/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         nft_parse
#define yylex           nft_lex
#define yyerror         nft_error
#define yydebug         nft_debug
#define yynerrs         nft_nerrs

/* First part of user prologue.  */
#line 11 "src/parser_bison.y"

#include <nft.h>

#include <ctype.h>
#include <stddef.h>
#include <stdio.h>
#include <inttypes.h>
#include <syslog.h>
#include <net/if.h>
#include <netinet/ip.h>
#include <netinet/tcp.h>
#include <netinet/if_ether.h>
#include <linux/netfilter.h>
#include <linux/netfilter/nf_tables.h>
#include <linux/netfilter/nf_conntrack_tuple_common.h>
#include <linux/netfilter/nf_nat.h>
#include <linux/netfilter/nf_log.h>
#include <linux/netfilter/nfnetlink_osf.h>
#include <linux/netfilter/nf_synproxy.h>
#include <linux/xfrm.h>
#include <netinet/ip_icmp.h>
#include <netinet/icmp6.h>
#include <libnftnl/common.h>
#include <libnftnl/set.h>
#include <libnftnl/udata.h>

#include <rule.h>
#include <statement.h>
#include <expression.h>
#include <headers.h>
#include <utils.h>
#include <parser.h>
#include <erec.h>
#include <sctp_chunk.h>

#include "parser_bison.h"

void parser_init(struct nft_ctx *nft, struct parser_state *state,
		 struct list_head *msgs, struct list_head *cmds,
		 struct scope *top_scope)
{
	memset(state, 0, sizeof(*state));
	state->msgs = msgs;
	state->cmds = cmds;
	state->scopes[0] = scope_init(top_scope, NULL);
	init_list_head(&state->indesc_list);
}

static void yyerror(struct location *loc, struct nft_ctx *nft, void *scanner,
		    struct parser_state *state, const char *s)
{
	erec_queue(error(loc, "%s", s), state->msgs);
}

static struct scope *current_scope(const struct parser_state *state)
{
	return state->scopes[state->scope];
}

static int open_scope(struct parser_state *state, struct scope *scope)
{
	if (state->scope >= array_size(state->scopes) - 1) {
		state->scope_err = true;
		return -1;
	}

	scope_init(scope, current_scope(state));
	state->scopes[++state->scope] = scope;

	return 0;
}

static void close_scope(struct parser_state *state)
{
	if (state->scope_err || state->scope == 0) {
		state->scope_err = false;
		return;
	}

	state->scope--;
}

static void location_init(void *scanner, struct parser_state *state,
			  struct location *loc)
{
	memset(loc, 0, sizeof(*loc));
	loc->indesc = state->indesc;
}

static void location_update(struct location *loc, struct location *rhs, int n)
{
	if (n) {
		loc->indesc       = rhs[n].indesc;
		loc->token_offset = rhs[1].token_offset;
		loc->line_offset  = rhs[1].line_offset;
		loc->first_line   = rhs[1].first_line;
		loc->first_column = rhs[1].first_column;
		loc->last_line    = rhs[n].last_line;
		loc->last_column  = rhs[n].last_column;
	} else {
		loc->indesc       = rhs[0].indesc;
		loc->token_offset = rhs[0].token_offset;
		loc->line_offset  = rhs[0].line_offset;
		loc->first_line   = loc->last_line   = rhs[0].last_line;
		loc->first_column = loc->last_column = rhs[0].last_column;
	}
}

static struct expr *handle_concat_expr(const struct location *loc,
					 struct expr *expr,
					 struct expr *expr_l, struct expr *expr_r,
					 struct location loc_rhs[3])
{
	if (expr->etype != EXPR_CONCAT) {
		expr = concat_expr_alloc(loc);
		compound_expr_add(expr, expr_l);
	} else {
		location_update(&expr_r->location, loc_rhs, 2);

		expr = expr_l;
		expr->location = *loc;
	}

	compound_expr_add(expr, expr_r);
	return expr;
}

static bool already_set(const void *attr, const struct location *loc,
			struct parser_state *state)
{
	if (!attr)
		return false;

	erec_queue(error(loc, "You can only specify this once. This statement is duplicated."),
		   state->msgs);
	return true;
}

static struct expr *ifname_expr_alloc(const struct location *location,
				      struct list_head *queue,
				      const char *name)
{
	size_t length = strlen(name);
	struct expr *expr;

	if (length == 0) {
		free_const(name);
		erec_queue(error(location, "empty interface name"), queue);
		return NULL;
	}

	if (length >= IFNAMSIZ) {
		free_const(name);
		erec_queue(error(location, "interface name too long"), queue);
		return NULL;
	}

	expr = constant_expr_alloc(location, &ifname_type, BYTEORDER_HOST_ENDIAN,
				   length * BITS_PER_BYTE, name);

	free_const(name);

	return expr;
}

static void timeout_state_free(struct timeout_state *s)
{
	free_const(s->timeout_str);
	free(s);
}

static void timeout_states_free(struct list_head *list)
{
	struct timeout_state *ts, *next;

	list_for_each_entry_safe(ts, next, list, head) {
		list_del(&ts->head);
		timeout_state_free(ts);
	}

	free(list);
}

#define YYLLOC_DEFAULT(Current, Rhs, N)	location_update(&Current, Rhs, N)

#define symbol_value(loc, str) \
	symbol_expr_alloc(loc, SYMBOL_VALUE, current_scope(state), str)

/* Declare those here to avoid compiler warnings */
void nft_set_debug(int, void *);
int nft_lex(void *, void *, void *);

#line 269 "src/parser_bison.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Use api.header.include to #include this header
   instead of duplicating it here.  */
#ifndef YY_NFT_SRC_PARSER_BISON_H_INCLUDED
# define YY_NFT_SRC_PARSER_BISON_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 1
#endif
#if YYDEBUG
extern int nft_debug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    TOKEN_EOF = 0,                 /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    JUNK = 258,                    /* "junk"  */
    NEWLINE = 259,                 /* "newline"  */
    COLON = 260,                   /* "colon"  */
    SEMICOLON = 261,               /* "semicolon"  */
    COMMA = 262,                   /* "comma"  */
    DOT = 263,                     /* "."  */
    EQ = 264,                      /* "=="  */
    NEQ = 265,                     /* "!="  */
    LT = 266,                      /* "<"  */
    GT = 267,                      /* ">"  */
    GTE = 268,                     /* ">="  */
    LTE = 269,                     /* "<="  */
    LSHIFT = 270,                  /* "<<"  */
    RSHIFT = 271,                  /* ">>"  */
    AMPERSAND = 272,               /* "&"  */
    CARET = 273,                   /* "^"  */
    NOT = 274,                     /* "!"  */
    SLASH = 275,                   /* "/"  */
    ASTERISK = 276,                /* "*"  */
    DASH = 277,                    /* "-"  */
    AT = 278,                      /* "@"  */
    VMAP = 279,                    /* "vmap"  */
    PLUS = 280,                    /* "+"  */
    INCLUDE = 281,                 /* "include"  */
    DEFINE = 282,                  /* "define"  */
    REDEFINE = 283,                /* "redefine"  */
    UNDEFINE = 284,                /* "undefine"  */
    FIB = 285,                     /* "fib"  */
    SOCKET = 286,                  /* "socket"  */
    TRANSPARENT = 287,             /* "transparent"  */
    WILDCARD = 288,                /* "wildcard"  */
    CGROUPV2 = 289,                /* "cgroupv2"  */
    TPROXY = 290,                  /* "tproxy"  */
    OSF = 291,                     /* "osf"  */
    SYNPROXY = 292,                /* "synproxy"  */
    MSS = 293,                     /* "mss"  */
    WSCALE = 294,                  /* "wscale"  */
    TYPEOF = 295,                  /* "typeof"  */
    HOOK = 296,                    /* "hook"  */
    HOOKS = 297,                   /* "hooks"  */
    DEVICE = 298,                  /* "device"  */
    DEVICES = 299,                 /* "devices"  */
    TABLE = 300,                   /* "table"  */
    TABLES = 301,                  /* "tables"  */
    CHAIN = 302,                   /* "chain"  */
    CHAINS = 303,                  /* "chains"  */
    RULE = 304,                    /* "rule"  */
    RULES = 305,                   /* "rules"  */
    SETS = 306,                    /* "sets"  */
    SET = 307,                     /* "set"  */
    ELEMENT = 308,                 /* "element"  */
    MAP = 309,                     /* "map"  */
    MAPS = 310,                    /* "maps"  */
    FLOWTABLE = 311,               /* "flowtable"  */
    HANDLE = 312,                  /* "handle"  */
    RULESET = 313,                 /* "ruleset"  */
    TRACE = 314,                   /* "trace"  */
    INET = 315,                    /* "inet"  */
    NETDEV = 316,                  /* "netdev"  */
    ADD = 317,                     /* "add"  */
    UPDATE = 318,                  /* "update"  */
    REPLACE = 319,                 /* "replace"  */
    CREATE = 320,                  /* "create"  */
    INSERT = 321,                  /* "insert"  */
    DELETE = 322,                  /* "delete"  */
    GET = 323,                     /* "get"  */
    LIST = 324,                    /* "list"  */
    RESET = 325,                   /* "reset"  */
    FLUSH = 326,                   /* "flush"  */
    RENAME = 327,                  /* "rename"  */
    DESCRIBE = 328,                /* "describe"  */
    IMPORT = 329,                  /* "import"  */
    EXPORT = 330,                  /* "export"  */
    DESTROY = 331,                 /* "destroy"  */
    MONITOR = 332,                 /* "monitor"  */
    ALL = 333,                     /* "all"  */
    ACCEPT = 334,                  /* "accept"  */
    DROP = 335,                    /* "drop"  */
    CONTINUE = 336,                /* "continue"  */
    JUMP = 337,                    /* "jump"  */
    GOTO = 338,                    /* "goto"  */
    RETURN = 339,                  /* "return"  */
    TO = 340,                      /* "to"  */
    CONSTANT = 341,                /* "constant"  */
    INTERVAL = 342,                /* "interval"  */
    DYNAMIC = 343,                 /* "dynamic"  */
    AUTOMERGE = 344,               /* "auto-merge"  */
    TIMEOUT = 345,                 /* "timeout"  */
    GC_INTERVAL = 346,             /* "gc-interval"  */
    ELEMENTS = 347,                /* "elements"  */
    EXPIRES = 348,                 /* "expires"  */
    POLICY = 349,                  /* "policy"  */
    MEMORY = 350,                  /* "memory"  */
    PERFORMANCE = 351,             /* "performance"  */
    SIZE = 352,                    /* "size"  */
    FLOW = 353,                    /* "flow"  */
    OFFLOAD = 354,                 /* "offload"  */
    METER = 355,                   /* "meter"  */
    METERS = 356,                  /* "meters"  */
    FLOWTABLES = 357,              /* "flowtables"  */
    NUM = 358,                     /* "number"  */
    STRING = 359,                  /* "string"  */
    QUOTED_STRING = 360,           /* "quoted string"  */
    ASTERISK_STRING = 361,         /* "string with a trailing asterisk"  */
    LL_HDR = 362,                  /* "ll"  */
    NETWORK_HDR = 363,             /* "nh"  */
    TRANSPORT_HDR = 364,           /* "th"  */
    BRIDGE = 365,                  /* "bridge"  */
    ETHER = 366,                   /* "ether"  */
    SADDR = 367,                   /* "saddr"  */
    DADDR = 368,                   /* "daddr"  */
    TYPE = 369,                    /* "type"  */
    VLAN = 370,                    /* "vlan"  */
    ID = 371,                      /* "id"  */
    CFI = 372,                     /* "cfi"  */
    DEI = 373,                     /* "dei"  */
    PCP = 374,                     /* "pcp"  */
    ARP = 375,                     /* "arp"  */
    HTYPE = 376,                   /* "htype"  */
    PTYPE = 377,                   /* "ptype"  */
    HLEN = 378,                    /* "hlen"  */
    PLEN = 379,                    /* "plen"  */
    OPERATION = 380,               /* "operation"  */
    IP = 381,                      /* "ip"  */
    HDRVERSION = 382,              /* "version"  */
    HDRLENGTH = 383,               /* "hdrlength"  */
    DSCP = 384,                    /* "dscp"  */
    ECN = 385,                     /* "ecn"  */
    LENGTH = 386,                  /* "length"  */
    FRAG_OFF = 387,                /* "frag-off"  */
    TTL = 388,                     /* "ttl"  */
    PROTOCOL = 389,                /* "protocol"  */
    CHECKSUM = 390,                /* "checksum"  */
    PTR = 391,                     /* "ptr"  */
    VALUE = 392,                   /* "value"  */
    LSRR = 393,                    /* "lsrr"  */
    RR = 394,                      /* "rr"  */
    SSRR = 395,                    /* "ssrr"  */
    RA = 396,                      /* "ra"  */
    ICMP = 397,                    /* "icmp"  */
    CODE = 398,                    /* "code"  */
    SEQUENCE = 399,                /* "seq"  */
    GATEWAY = 400,                 /* "gateway"  */
    MTU = 401,                     /* "mtu"  */
    IGMP = 402,                    /* "igmp"  */
    MRT = 403,                     /* "mrt"  */
    OPTIONS = 404,                 /* "options"  */
    IP6 = 405,                     /* "ip6"  */
    PRIORITY = 406,                /* "priority"  */
    FLOWLABEL = 407,               /* "flowlabel"  */
    NEXTHDR = 408,                 /* "nexthdr"  */
    HOPLIMIT = 409,                /* "hoplimit"  */
    ICMP6 = 410,                   /* "icmpv6"  */
    PPTR = 411,                    /* "param-problem"  */
    MAXDELAY = 412,                /* "max-delay"  */
    TADDR = 413,                   /* "taddr"  */
    AH = 414,                      /* "ah"  */
    RESERVED = 415,                /* "reserved"  */
    SPI = 416,                     /* "spi"  */
    ESP = 417,                     /* "esp"  */
    COMP = 418,                    /* "comp"  */
    FLAGS = 419,                   /* "flags"  */
    CPI = 420,                     /* "cpi"  */
    PORT = 421,                    /* "port"  */
    UDP = 422,                     /* "udp"  */
    SPORT = 423,                   /* "sport"  */
    DPORT = 424,                   /* "dport"  */
    UDPLITE = 425,                 /* "udplite"  */
    CSUMCOV = 426,                 /* "csumcov"  */
    TCP = 427,                     /* "tcp"  */
    ACKSEQ = 428,                  /* "ackseq"  */
    DOFF = 429,                    /* "doff"  */
    WINDOW = 430,                  /* "window"  */
    URGPTR = 431,                  /* "urgptr"  */
    OPTION = 432,                  /* "option"  */
    ECHO = 433,                    /* "echo"  */
    EOL = 434,                     /* "eol"  */
    MPTCP = 435,                   /* "mptcp"  */
    NOP = 436,                     /* "nop"  */
    SACK = 437,                    /* "sack"  */
    SACK0 = 438,                   /* "sack0"  */
    SACK1 = 439,                   /* "sack1"  */
    SACK2 = 440,                   /* "sack2"  */
    SACK3 = 441,                   /* "sack3"  */
    SACK_PERM = 442,               /* "sack-permitted"  */
    FASTOPEN = 443,                /* "fastopen"  */
    MD5SIG = 444,                  /* "md5sig"  */
    TIMESTAMP = 445,               /* "timestamp"  */
    COUNT = 446,                   /* "count"  */
    LEFT = 447,                    /* "left"  */
    RIGHT = 448,                   /* "right"  */
    TSVAL = 449,                   /* "tsval"  */
    TSECR = 450,                   /* "tsecr"  */
    SUBTYPE = 451,                 /* "subtype"  */
    DCCP = 452,                    /* "dccp"  */
    VXLAN = 453,                   /* "vxlan"  */
    VNI = 454,                     /* "vni"  */
    GRE = 455,                     /* "gre"  */
    GRETAP = 456,                  /* "gretap"  */
    GENEVE = 457,                  /* "geneve"  */
    SCTP = 458,                    /* "sctp"  */
    CHUNK = 459,                   /* "chunk"  */
    DATA = 460,                    /* "data"  */
    INIT = 461,                    /* "init"  */
    INIT_ACK = 462,                /* "init-ack"  */
    HEARTBEAT = 463,               /* "heartbeat"  */
    HEARTBEAT_ACK = 464,           /* "heartbeat-ack"  */
    ABORT = 465,                   /* "abort"  */
    SHUTDOWN = 466,                /* "shutdown"  */
    SHUTDOWN_ACK = 467,            /* "shutdown-ack"  */
    ERROR = 468,                   /* "error"  */
    COOKIE_ECHO = 469,             /* "cookie-echo"  */
    COOKIE_ACK = 470,              /* "cookie-ack"  */
    ECNE = 471,                    /* "ecne"  */
    CWR = 472,                     /* "cwr"  */
    SHUTDOWN_COMPLETE = 473,       /* "shutdown-complete"  */
    ASCONF_ACK = 474,              /* "asconf-ack"  */
    FORWARD_TSN = 475,             /* "forward-tsn"  */
    ASCONF = 476,                  /* "asconf"  */
    TSN = 477,                     /* "tsn"  */
    STREAM = 478,                  /* "stream"  */
    SSN = 479,                     /* "ssn"  */
    PPID = 480,                    /* "ppid"  */
    INIT_TAG = 481,                /* "init-tag"  */
    A_RWND = 482,                  /* "a-rwnd"  */
    NUM_OSTREAMS = 483,            /* "num-outbound-streams"  */
    NUM_ISTREAMS = 484,            /* "num-inbound-streams"  */
    INIT_TSN = 485,                /* "initial-tsn"  */
    CUM_TSN_ACK = 486,             /* "cum-tsn-ack"  */
    NUM_GACK_BLOCKS = 487,         /* "num-gap-ack-blocks"  */
    NUM_DUP_TSNS = 488,            /* "num-dup-tsns"  */
    LOWEST_TSN = 489,              /* "lowest-tsn"  */
    SEQNO = 490,                   /* "seqno"  */
    NEW_CUM_TSN = 491,             /* "new-cum-tsn"  */
    VTAG = 492,                    /* "vtag"  */
    RT = 493,                      /* "rt"  */
    RT0 = 494,                     /* "rt0"  */
    RT2 = 495,                     /* "rt2"  */
    RT4 = 496,                     /* "srh"  */
    SEG_LEFT = 497,                /* "seg-left"  */
    ADDR = 498,                    /* "addr"  */
    LAST_ENT = 499,                /* "last-entry"  */
    TAG = 500,                     /* "tag"  */
    SID = 501,                     /* "sid"  */
    HBH = 502,                     /* "hbh"  */
    FRAG = 503,                    /* "frag"  */
    RESERVED2 = 504,               /* "reserved2"  */
    MORE_FRAGMENTS = 505,          /* "more-fragments"  */
    DST = 506,                     /* "dst"  */
    MH = 507,                      /* "mh"  */
    META = 508,                    /* "meta"  */
    MARK = 509,                    /* "mark"  */
    IIF = 510,                     /* "iif"  */
    IIFNAME = 511,                 /* "iifname"  */
    IIFTYPE = 512,                 /* "iiftype"  */
    OIF = 513,                     /* "oif"  */
    OIFNAME = 514,                 /* "oifname"  */
    OIFTYPE = 515,                 /* "oiftype"  */
    SKUID = 516,                   /* "skuid"  */
    SKGID = 517,                   /* "skgid"  */
    NFTRACE = 518,                 /* "nftrace"  */
    RTCLASSID = 519,               /* "rtclassid"  */
    IBRIPORT = 520,                /* "ibriport"  */
    OBRIPORT = 521,                /* "obriport"  */
    IBRIDGENAME = 522,             /* "ibrname"  */
    OBRIDGENAME = 523,             /* "obrname"  */
    PKTTYPE = 524,                 /* "pkttype"  */
    CPU = 525,                     /* "cpu"  */
    IIFGROUP = 526,                /* "iifgroup"  */
    OIFGROUP = 527,                /* "oifgroup"  */
    CGROUP = 528,                  /* "cgroup"  */
    TIME = 529,                    /* "time"  */
    CLASSID = 530,                 /* "classid"  */
    NEXTHOP = 531,                 /* "nexthop"  */
    CT = 532,                      /* "ct"  */
    L3PROTOCOL = 533,              /* "l3proto"  */
    PROTO_SRC = 534,               /* "proto-src"  */
    PROTO_DST = 535,               /* "proto-dst"  */
    ZONE = 536,                    /* "zone"  */
    DIRECTION = 537,               /* "direction"  */
    EVENT = 538,                   /* "event"  */
    EXPECTATION = 539,             /* "expectation"  */
    EXPIRATION = 540,              /* "expiration"  */
    HELPER = 541,                  /* "helper"  */
    LABEL = 542,                   /* "label"  */
    STATE = 543,                   /* "state"  */
    STATUS = 544,                  /* "status"  */
    ORIGINAL = 545,                /* "original"  */
    REPLY = 546,                   /* "reply"  */
    COUNTER = 547,                 /* "counter"  */
    NAME = 548,                    /* "name"  */
    PACKETS = 549,                 /* "packets"  */
    BYTES = 550,                   /* "bytes"  */
    AVGPKT = 551,                  /* "avgpkt"  */
    LAST = 552,                    /* "last"  */
    NEVER = 553,                   /* "never"  */
    COUNTERS = 554,                /* "counters"  */
    QUOTAS = 555,                  /* "quotas"  */
    LIMITS = 556,                  /* "limits"  */
    SYNPROXYS = 557,               /* "synproxys"  */
    HELPERS = 558,                 /* "helpers"  */
    LOG = 559,                     /* "log"  */
    PREFIX = 560,                  /* "prefix"  */
    GROUP = 561,                   /* "group"  */
    SNAPLEN = 562,                 /* "snaplen"  */
    QUEUE_THRESHOLD = 563,         /* "queue-threshold"  */
    LEVEL = 564,                   /* "level"  */
    LIMIT = 565,                   /* "limit"  */
    RATE = 566,                    /* "rate"  */
    BURST = 567,                   /* "burst"  */
    OVER = 568,                    /* "over"  */
    UNTIL = 569,                   /* "until"  */
    QUOTA = 570,                   /* "quota"  */
    USED = 571,                    /* "used"  */
    SECMARK = 572,                 /* "secmark"  */
    SECMARKS = 573,                /* "secmarks"  */
    SECOND = 574,                  /* "second"  */
    MINUTE = 575,                  /* "minute"  */
    HOUR = 576,                    /* "hour"  */
    DAY = 577,                     /* "day"  */
    WEEK = 578,                    /* "week"  */
    _REJECT = 579,                 /* "reject"  */
    WITH = 580,                    /* "with"  */
    ICMPX = 581,                   /* "icmpx"  */
    SNAT = 582,                    /* "snat"  */
    DNAT = 583,                    /* "dnat"  */
    MASQUERADE = 584,              /* "masquerade"  */
    REDIRECT = 585,                /* "redirect"  */
    RANDOM = 586,                  /* "random"  */
    FULLY_RANDOM = 587,            /* "fully-random"  */
    PERSISTENT = 588,              /* "persistent"  */
    QUEUE = 589,                   /* "queue"  */
    QUEUENUM = 590,                /* "num"  */
    BYPASS = 591,                  /* "bypass"  */
    FANOUT = 592,                  /* "fanout"  */
    DUP = 593,                     /* "dup"  */
    FWD = 594,                     /* "fwd"  */
    NUMGEN = 595,                  /* "numgen"  */
    INC = 596,                     /* "inc"  */
    MOD = 597,                     /* "mod"  */
    OFFSET = 598,                  /* "offset"  */
    JHASH = 599,                   /* "jhash"  */
    SYMHASH = 600,                 /* "symhash"  */
    SEED = 601,                    /* "seed"  */
    POSITION = 602,                /* "position"  */
    INDEX = 603,                   /* "index"  */
    COMMENT = 604,                 /* "comment"  */
    XML = 605,                     /* "xml"  */
    JSON = 606,                    /* "json"  */
    VM = 607,                      /* "vm"  */
    NOTRACK = 608,                 /* "notrack"  */
    EXISTS = 609,                  /* "exists"  */
    MISSING = 610,                 /* "missing"  */
    EXTHDR = 611,                  /* "exthdr"  */
    IPSEC = 612,                   /* "ipsec"  */
    REQID = 613,                   /* "reqid"  */
    SPNUM = 614,                   /* "spnum"  */
    IN = 615,                      /* "in"  */
    OUT = 616,                     /* "out"  */
    XT = 617                       /* "xt"  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif
/* Token kinds.  */
#define YYEMPTY -2
#define TOKEN_EOF 0
#define YYerror 256
#define YYUNDEF 257
#define JUNK 258
#define NEWLINE 259
#define COLON 260
#define SEMICOLON 261
#define COMMA 262
#define DOT 263
#define EQ 264
#define NEQ 265
#define LT 266
#define GT 267
#define GTE 268
#define LTE 269
#define LSHIFT 270
#define RSHIFT 271
#define AMPERSAND 272
#define CARET 273
#define NOT 274
#define SLASH 275
#define ASTERISK 276
#define DASH 277
#define AT 278
#define VMAP 279
#define PLUS 280
#define INCLUDE 281
#define DEFINE 282
#define REDEFINE 283
#define UNDEFINE 284
#define FIB 285
#define SOCKET 286
#define TRANSPARENT 287
#define WILDCARD 288
#define CGROUPV2 289
#define TPROXY 290
#define OSF 291
#define SYNPROXY 292
#define MSS 293
#define WSCALE 294
#define TYPEOF 295
#define HOOK 296
#define HOOKS 297
#define DEVICE 298
#define DEVICES 299
#define TABLE 300
#define TABLES 301
#define CHAIN 302
#define CHAINS 303
#define RULE 304
#define RULES 305
#define SETS 306
#define SET 307
#define ELEMENT 308
#define MAP 309
#define MAPS 310
#define FLOWTABLE 311
#define HANDLE 312
#define RULESET 313
#define TRACE 314
#define INET 315
#define NETDEV 316
#define ADD 317
#define UPDATE 318
#define REPLACE 319
#define CREATE 320
#define INSERT 321
#define DELETE 322
#define GET 323
#define LIST 324
#define RESET 325
#define FLUSH 326
#define RENAME 327
#define DESCRIBE 328
#define IMPORT 329
#define EXPORT 330
#define DESTROY 331
#define MONITOR 332
#define ALL 333
#define ACCEPT 334
#define DROP 335
#define CONTINUE 336
#define JUMP 337
#define GOTO 338
#define RETURN 339
#define TO 340
#define CONSTANT 341
#define INTERVAL 342
#define DYNAMIC 343
#define AUTOMERGE 344
#define TIMEOUT 345
#define GC_INTERVAL 346
#define ELEMENTS 347
#define EXPIRES 348
#define POLICY 349
#define MEMORY 350
#define PERFORMANCE 351
#define SIZE 352
#define FLOW 353
#define OFFLOAD 354
#define METER 355
#define METERS 356
#define FLOWTABLES 357
#define NUM 358
#define STRING 359
#define QUOTED_STRING 360
#define ASTERISK_STRING 361
#define LL_HDR 362
#define NETWORK_HDR 363
#define TRANSPORT_HDR 364
#define BRIDGE 365
#define ETHER 366
#define SADDR 367
#define DADDR 368
#define TYPE 369
#define VLAN 370
#define ID 371
#define CFI 372
#define DEI 373
#define PCP 374
#define ARP 375
#define HTYPE 376
#define PTYPE 377
#define HLEN 378
#define PLEN 379
#define OPERATION 380
#define IP 381
#define HDRVERSION 382
#define HDRLENGTH 383
#define DSCP 384
#define ECN 385
#define LENGTH 386
#define FRAG_OFF 387
#define TTL 388
#define PROTOCOL 389
#define CHECKSUM 390
#define PTR 391
#define VALUE 392
#define LSRR 393
#define RR 394
#define SSRR 395
#define RA 396
#define ICMP 397
#define CODE 398
#define SEQUENCE 399
#define GATEWAY 400
#define MTU 401
#define IGMP 402
#define MRT 403
#define OPTIONS 404
#define IP6 405
#define PRIORITY 406
#define FLOWLABEL 407
#define NEXTHDR 408
#define HOPLIMIT 409
#define ICMP6 410
#define PPTR 411
#define MAXDELAY 412
#define TADDR 413
#define AH 414
#define RESERVED 415
#define SPI 416
#define ESP 417
#define COMP 418
#define FLAGS 419
#define CPI 420
#define PORT 421
#define UDP 422
#define SPORT 423
#define DPORT 424
#define UDPLITE 425
#define CSUMCOV 426
#define TCP 427
#define ACKSEQ 428
#define DOFF 429
#define WINDOW 430
#define URGPTR 431
#define OPTION 432
#define ECHO 433
#define EOL 434
#define MPTCP 435
#define NOP 436
#define SACK 437
#define SACK0 438
#define SACK1 439
#define SACK2 440
#define SACK3 441
#define SACK_PERM 442
#define FASTOPEN 443
#define MD5SIG 444
#define TIMESTAMP 445
#define COUNT 446
#define LEFT 447
#define RIGHT 448
#define TSVAL 449
#define TSECR 450
#define SUBTYPE 451
#define DCCP 452
#define VXLAN 453
#define VNI 454
#define GRE 455
#define GRETAP 456
#define GENEVE 457
#define SCTP 458
#define CHUNK 459
#define DATA 460
#define INIT 461
#define INIT_ACK 462
#define HEARTBEAT 463
#define HEARTBEAT_ACK 464
#define ABORT 465
#define SHUTDOWN 466
#define SHUTDOWN_ACK 467
#define ERROR 468
#define COOKIE_ECHO 469
#define COOKIE_ACK 470
#define ECNE 471
#define CWR 472
#define SHUTDOWN_COMPLETE 473
#define ASCONF_ACK 474
#define FORWARD_TSN 475
#define ASCONF 476
#define TSN 477
#define STREAM 478
#define SSN 479
#define PPID 480
#define INIT_TAG 481
#define A_RWND 482
#define NUM_OSTREAMS 483
#define NUM_ISTREAMS 484
#define INIT_TSN 485
#define CUM_TSN_ACK 486
#define NUM_GACK_BLOCKS 487
#define NUM_DUP_TSNS 488
#define LOWEST_TSN 489
#define SEQNO 490
#define NEW_CUM_TSN 491
#define VTAG 492
#define RT 493
#define RT0 494
#define RT2 495
#define RT4 496
#define SEG_LEFT 497
#define ADDR 498
#define LAST_ENT 499
#define TAG 500
#define SID 501
#define HBH 502
#define FRAG 503
#define RESERVED2 504
#define MORE_FRAGMENTS 505
#define DST 506
#define MH 507
#define META 508
#define MARK 509
#define IIF 510
#define IIFNAME 511
#define IIFTYPE 512
#define OIF 513
#define OIFNAME 514
#define OIFTYPE 515
#define SKUID 516
#define SKGID 517
#define NFTRACE 518
#define RTCLASSID 519
#define IBRIPORT 520
#define OBRIPORT 521
#define IBRIDGENAME 522
#define OBRIDGENAME 523
#define PKTTYPE 524
#define CPU 525
#define IIFGROUP 526
#define OIFGROUP 527
#define CGROUP 528
#define TIME 529
#define CLASSID 530
#define NEXTHOP 531
#define CT 532
#define L3PROTOCOL 533
#define PROTO_SRC 534
#define PROTO_DST 535
#define ZONE 536
#define DIRECTION 537
#define EVENT 538
#define EXPECTATION 539
#define EXPIRATION 540
#define HELPER 541
#define LABEL 542
#define STATE 543
#define STATUS 544
#define ORIGINAL 545
#define REPLY 546
#define COUNTER 547
#define NAME 548
#define PACKETS 549
#define BYTES 550
#define AVGPKT 551
#define LAST 552
#define NEVER 553
#define COUNTERS 554
#define QUOTAS 555
#define LIMITS 556
#define SYNPROXYS 557
#define HELPERS 558
#define LOG 559
#define PREFIX 560
#define GROUP 561
#define SNAPLEN 562
#define QUEUE_THRESHOLD 563
#define LEVEL 564
#define LIMIT 565
#define RATE 566
#define BURST 567
#define OVER 568
#define UNTIL 569
#define QUOTA 570
#define USED 571
#define SECMARK 572
#define SECMARKS 573
#define SECOND 574
#define MINUTE 575
#define HOUR 576
#define DAY 577
#define WEEK 578
#define _REJECT 579
#define WITH 580
#define ICMPX 581
#define SNAT 582
#define DNAT 583
#define MASQUERADE 584
#define REDIRECT 585
#define RANDOM 586
#define FULLY_RANDOM 587
#define PERSISTENT 588
#define QUEUE 589
#define QUEUENUM 590
#define BYPASS 591
#define FANOUT 592
#define DUP 593
#define FWD 594
#define NUMGEN 595
#define INC 596
#define MOD 597
#define OFFSET 598
#define JHASH 599
#define SYMHASH 600
#define SEED 601
#define POSITION 602
#define INDEX 603
#define COMMENT 604
#define XML 605
#define JSON 606
#define VM 607
#define NOTRACK 608
#define EXISTS 609
#define MISSING 610
#define EXTHDR 611
#define IPSEC 612
#define REQID 613
#define SPNUM 614
#define IN 615
#define OUT 616
#define XT 617

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 224 "src/parser_bison.y"

	uint64_t		val;
	uint32_t		val32;
	uint8_t			val8;
	const char *		string;

	struct list_head	*list;
	struct cmd		*cmd;
	struct handle		handle;
	struct table		*table;
	struct chain		*chain;
	struct rule		*rule;
	struct stmt		*stmt;
	struct expr		*expr;
	struct set		*set;
	struct obj		*obj;
	struct flowtable	*flowtable;
	struct ct		*ct;
	const struct datatype	*datatype;
	struct handle_spec	handle_spec;
	struct position_spec	position_spec;
	struct prio_spec	prio_spec;
	struct limit_rate	limit_rate;
	struct tcp_kind_field {
		uint16_t kind; /* must allow > 255 for SACK1, 2.. hack */
		uint8_t field;
	} tcp_kind_field;
	struct timeout_state	*timeout_state;

#line 1076 "src/parser_bison.c"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif




int nft_parse (struct nft_ctx *nft, void *scanner, struct parser_state *state);


#endif /* !YY_NFT_SRC_PARSER_BISON_H_INCLUDED  */
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_JUNK = 3,                       /* "junk"  */
  YYSYMBOL_NEWLINE = 4,                    /* "newline"  */
  YYSYMBOL_COLON = 5,                      /* "colon"  */
  YYSYMBOL_SEMICOLON = 6,                  /* "semicolon"  */
  YYSYMBOL_COMMA = 7,                      /* "comma"  */
  YYSYMBOL_DOT = 8,                        /* "."  */
  YYSYMBOL_EQ = 9,                         /* "=="  */
  YYSYMBOL_NEQ = 10,                       /* "!="  */
  YYSYMBOL_LT = 11,                        /* "<"  */
  YYSYMBOL_GT = 12,                        /* ">"  */
  YYSYMBOL_GTE = 13,                       /* ">="  */
  YYSYMBOL_LTE = 14,                       /* "<="  */
  YYSYMBOL_LSHIFT = 15,                    /* "<<"  */
  YYSYMBOL_RSHIFT = 16,                    /* ">>"  */
  YYSYMBOL_AMPERSAND = 17,                 /* "&"  */
  YYSYMBOL_CARET = 18,                     /* "^"  */
  YYSYMBOL_NOT = 19,                       /* "!"  */
  YYSYMBOL_SLASH = 20,                     /* "/"  */
  YYSYMBOL_ASTERISK = 21,                  /* "*"  */
  YYSYMBOL_DASH = 22,                      /* "-"  */
  YYSYMBOL_AT = 23,                        /* "@"  */
  YYSYMBOL_VMAP = 24,                      /* "vmap"  */
  YYSYMBOL_PLUS = 25,                      /* "+"  */
  YYSYMBOL_INCLUDE = 26,                   /* "include"  */
  YYSYMBOL_DEFINE = 27,                    /* "define"  */
  YYSYMBOL_REDEFINE = 28,                  /* "redefine"  */
  YYSYMBOL_UNDEFINE = 29,                  /* "undefine"  */
  YYSYMBOL_FIB = 30,                       /* "fib"  */
  YYSYMBOL_SOCKET = 31,                    /* "socket"  */
  YYSYMBOL_TRANSPARENT = 32,               /* "transparent"  */
  YYSYMBOL_WILDCARD = 33,                  /* "wildcard"  */
  YYSYMBOL_CGROUPV2 = 34,                  /* "cgroupv2"  */
  YYSYMBOL_TPROXY = 35,                    /* "tproxy"  */
  YYSYMBOL_OSF = 36,                       /* "osf"  */
  YYSYMBOL_SYNPROXY = 37,                  /* "synproxy"  */
  YYSYMBOL_MSS = 38,                       /* "mss"  */
  YYSYMBOL_WSCALE = 39,                    /* "wscale"  */
  YYSYMBOL_TYPEOF = 40,                    /* "typeof"  */
  YYSYMBOL_HOOK = 41,                      /* "hook"  */
  YYSYMBOL_HOOKS = 42,                     /* "hooks"  */
  YYSYMBOL_DEVICE = 43,                    /* "device"  */
  YYSYMBOL_DEVICES = 44,                   /* "devices"  */
  YYSYMBOL_TABLE = 45,                     /* "table"  */
  YYSYMBOL_TABLES = 46,                    /* "tables"  */
  YYSYMBOL_CHAIN = 47,                     /* "chain"  */
  YYSYMBOL_CHAINS = 48,                    /* "chains"  */
  YYSYMBOL_RULE = 49,                      /* "rule"  */
  YYSYMBOL_RULES = 50,                     /* "rules"  */
  YYSYMBOL_SETS = 51,                      /* "sets"  */
  YYSYMBOL_SET = 52,                       /* "set"  */
  YYSYMBOL_ELEMENT = 53,                   /* "element"  */
  YYSYMBOL_MAP = 54,                       /* "map"  */
  YYSYMBOL_MAPS = 55,                      /* "maps"  */
  YYSYMBOL_FLOWTABLE = 56,                 /* "flowtable"  */
  YYSYMBOL_HANDLE = 57,                    /* "handle"  */
  YYSYMBOL_RULESET = 58,                   /* "ruleset"  */
  YYSYMBOL_TRACE = 59,                     /* "trace"  */
  YYSYMBOL_INET = 60,                      /* "inet"  */
  YYSYMBOL_NETDEV = 61,                    /* "netdev"  */
  YYSYMBOL_ADD = 62,                       /* "add"  */
  YYSYMBOL_UPDATE = 63,                    /* "update"  */
  YYSYMBOL_REPLACE = 64,                   /* "replace"  */
  YYSYMBOL_CREATE = 65,                    /* "create"  */
  YYSYMBOL_INSERT = 66,                    /* "insert"  */
  YYSYMBOL_DELETE = 67,                    /* "delete"  */
  YYSYMBOL_GET = 68,                       /* "get"  */
  YYSYMBOL_LIST = 69,                      /* "list"  */
  YYSYMBOL_RESET = 70,                     /* "reset"  */
  YYSYMBOL_FLUSH = 71,                     /* "flush"  */
  YYSYMBOL_RENAME = 72,                    /* "rename"  */
  YYSYMBOL_DESCRIBE = 73,                  /* "describe"  */
  YYSYMBOL_IMPORT = 74,                    /* "import"  */
  YYSYMBOL_EXPORT = 75,                    /* "export"  */
  YYSYMBOL_DESTROY = 76,                   /* "destroy"  */
  YYSYMBOL_MONITOR = 77,                   /* "monitor"  */
  YYSYMBOL_ALL = 78,                       /* "all"  */
  YYSYMBOL_ACCEPT = 79,                    /* "accept"  */
  YYSYMBOL_DROP = 80,                      /* "drop"  */
  YYSYMBOL_CONTINUE = 81,                  /* "continue"  */
  YYSYMBOL_JUMP = 82,                      /* "jump"  */
  YYSYMBOL_GOTO = 83,                      /* "goto"  */
  YYSYMBOL_RETURN = 84,                    /* "return"  */
  YYSYMBOL_TO = 85,                        /* "to"  */
  YYSYMBOL_CONSTANT = 86,                  /* "constant"  */
  YYSYMBOL_INTERVAL = 87,                  /* "interval"  */
  YYSYMBOL_DYNAMIC = 88,                   /* "dynamic"  */
  YYSYMBOL_AUTOMERGE = 89,                 /* "auto-merge"  */
  YYSYMBOL_TIMEOUT = 90,                   /* "timeout"  */
  YYSYMBOL_GC_INTERVAL = 91,               /* "gc-interval"  */
  YYSYMBOL_ELEMENTS = 92,                  /* "elements"  */
  YYSYMBOL_EXPIRES = 93,                   /* "expires"  */
  YYSYMBOL_POLICY = 94,                    /* "policy"  */
  YYSYMBOL_MEMORY = 95,                    /* "memory"  */
  YYSYMBOL_PERFORMANCE = 96,               /* "performance"  */
  YYSYMBOL_SIZE = 97,                      /* "size"  */
  YYSYMBOL_FLOW = 98,                      /* "flow"  */
  YYSYMBOL_OFFLOAD = 99,                   /* "offload"  */
  YYSYMBOL_METER = 100,                    /* "meter"  */
  YYSYMBOL_METERS = 101,                   /* "meters"  */
  YYSYMBOL_FLOWTABLES = 102,               /* "flowtables"  */
  YYSYMBOL_NUM = 103,                      /* "number"  */
  YYSYMBOL_STRING = 104,                   /* "string"  */
  YYSYMBOL_QUOTED_STRING = 105,            /* "quoted string"  */
  YYSYMBOL_ASTERISK_STRING = 106,          /* "string with a trailing asterisk"  */
  YYSYMBOL_LL_HDR = 107,                   /* "ll"  */
  YYSYMBOL_NETWORK_HDR = 108,              /* "nh"  */
  YYSYMBOL_TRANSPORT_HDR = 109,            /* "th"  */
  YYSYMBOL_BRIDGE = 110,                   /* "bridge"  */
  YYSYMBOL_ETHER = 111,                    /* "ether"  */
  YYSYMBOL_SADDR = 112,                    /* "saddr"  */
  YYSYMBOL_DADDR = 113,                    /* "daddr"  */
  YYSYMBOL_TYPE = 114,                     /* "type"  */
  YYSYMBOL_VLAN = 115,                     /* "vlan"  */
  YYSYMBOL_ID = 116,                       /* "id"  */
  YYSYMBOL_CFI = 117,                      /* "cfi"  */
  YYSYMBOL_DEI = 118,                      /* "dei"  */
  YYSYMBOL_PCP = 119,                      /* "pcp"  */
  YYSYMBOL_ARP = 120,                      /* "arp"  */
  YYSYMBOL_HTYPE = 121,                    /* "htype"  */
  YYSYMBOL_PTYPE = 122,                    /* "ptype"  */
  YYSYMBOL_HLEN = 123,                     /* "hlen"  */
  YYSYMBOL_PLEN = 124,                     /* "plen"  */
  YYSYMBOL_OPERATION = 125,                /* "operation"  */
  YYSYMBOL_IP = 126,                       /* "ip"  */
  YYSYMBOL_HDRVERSION = 127,               /* "version"  */
  YYSYMBOL_HDRLENGTH = 128,                /* "hdrlength"  */
  YYSYMBOL_DSCP = 129,                     /* "dscp"  */
  YYSYMBOL_ECN = 130,                      /* "ecn"  */
  YYSYMBOL_LENGTH = 131,                   /* "length"  */
  YYSYMBOL_FRAG_OFF = 132,                 /* "frag-off"  */
  YYSYMBOL_TTL = 133,                      /* "ttl"  */
  YYSYMBOL_PROTOCOL = 134,                 /* "protocol"  */
  YYSYMBOL_CHECKSUM = 135,                 /* "checksum"  */
  YYSYMBOL_PTR = 136,                      /* "ptr"  */
  YYSYMBOL_VALUE = 137,                    /* "value"  */
  YYSYMBOL_LSRR = 138,                     /* "lsrr"  */
  YYSYMBOL_RR = 139,                       /* "rr"  */
  YYSYMBOL_SSRR = 140,                     /* "ssrr"  */
  YYSYMBOL_RA = 141,                       /* "ra"  */
  YYSYMBOL_ICMP = 142,                     /* "icmp"  */
  YYSYMBOL_CODE = 143,                     /* "code"  */
  YYSYMBOL_SEQUENCE = 144,                 /* "seq"  */
  YYSYMBOL_GATEWAY = 145,                  /* "gateway"  */
  YYSYMBOL_MTU = 146,                      /* "mtu"  */
  YYSYMBOL_IGMP = 147,                     /* "igmp"  */
  YYSYMBOL_MRT = 148,                      /* "mrt"  */
  YYSYMBOL_OPTIONS = 149,                  /* "options"  */
  YYSYMBOL_IP6 = 150,                      /* "ip6"  */
  YYSYMBOL_PRIORITY = 151,                 /* "priority"  */
  YYSYMBOL_FLOWLABEL = 152,                /* "flowlabel"  */
  YYSYMBOL_NEXTHDR = 153,                  /* "nexthdr"  */
  YYSYMBOL_HOPLIMIT = 154,                 /* "hoplimit"  */
  YYSYMBOL_ICMP6 = 155,                    /* "icmpv6"  */
  YYSYMBOL_PPTR = 156,                     /* "param-problem"  */
  YYSYMBOL_MAXDELAY = 157,                 /* "max-delay"  */
  YYSYMBOL_TADDR = 158,                    /* "taddr"  */
  YYSYMBOL_AH = 159,                       /* "ah"  */
  YYSYMBOL_RESERVED = 160,                 /* "reserved"  */
  YYSYMBOL_SPI = 161,                      /* "spi"  */
  YYSYMBOL_ESP = 162,                      /* "esp"  */
  YYSYMBOL_COMP = 163,                     /* "comp"  */
  YYSYMBOL_FLAGS = 164,                    /* "flags"  */
  YYSYMBOL_CPI = 165,                      /* "cpi"  */
  YYSYMBOL_PORT = 166,                     /* "port"  */
  YYSYMBOL_UDP = 167,                      /* "udp"  */
  YYSYMBOL_SPORT = 168,                    /* "sport"  */
  YYSYMBOL_DPORT = 169,                    /* "dport"  */
  YYSYMBOL_UDPLITE = 170,                  /* "udplite"  */
  YYSYMBOL_CSUMCOV = 171,                  /* "csumcov"  */
  YYSYMBOL_TCP = 172,                      /* "tcp"  */
  YYSYMBOL_ACKSEQ = 173,                   /* "ackseq"  */
  YYSYMBOL_DOFF = 174,                     /* "doff"  */
  YYSYMBOL_WINDOW = 175,                   /* "window"  */
  YYSYMBOL_URGPTR = 176,                   /* "urgptr"  */
  YYSYMBOL_OPTION = 177,                   /* "option"  */
  YYSYMBOL_ECHO = 178,                     /* "echo"  */
  YYSYMBOL_EOL = 179,                      /* "eol"  */
  YYSYMBOL_MPTCP = 180,                    /* "mptcp"  */
  YYSYMBOL_NOP = 181,                      /* "nop"  */
  YYSYMBOL_SACK = 182,                     /* "sack"  */
  YYSYMBOL_SACK0 = 183,                    /* "sack0"  */
  YYSYMBOL_SACK1 = 184,                    /* "sack1"  */
  YYSYMBOL_SACK2 = 185,                    /* "sack2"  */
  YYSYMBOL_SACK3 = 186,                    /* "sack3"  */
  YYSYMBOL_SACK_PERM = 187,                /* "sack-permitted"  */
  YYSYMBOL_FASTOPEN = 188,                 /* "fastopen"  */
  YYSYMBOL_MD5SIG = 189,                   /* "md5sig"  */
  YYSYMBOL_TIMESTAMP = 190,                /* "timestamp"  */
  YYSYMBOL_COUNT = 191,                    /* "count"  */
  YYSYMBOL_LEFT = 192,                     /* "left"  */
  YYSYMBOL_RIGHT = 193,                    /* "right"  */
  YYSYMBOL_TSVAL = 194,                    /* "tsval"  */
  YYSYMBOL_TSECR = 195,                    /* "tsecr"  */
  YYSYMBOL_SUBTYPE = 196,                  /* "subtype"  */
  YYSYMBOL_DCCP = 197,                     /* "dccp"  */
  YYSYMBOL_VXLAN = 198,                    /* "vxlan"  */
  YYSYMBOL_VNI = 199,                      /* "vni"  */
  YYSYMBOL_GRE = 200,                      /* "gre"  */
  YYSYMBOL_GRETAP = 201,                   /* "gretap"  */
  YYSYMBOL_GENEVE = 202,                   /* "geneve"  */
  YYSYMBOL_SCTP = 203,                     /* "sctp"  */
  YYSYMBOL_CHUNK = 204,                    /* "chunk"  */
  YYSYMBOL_DATA = 205,                     /* "data"  */
  YYSYMBOL_INIT = 206,                     /* "init"  */
  YYSYMBOL_INIT_ACK = 207,                 /* "init-ack"  */
  YYSYMBOL_HEARTBEAT = 208,                /* "heartbeat"  */
  YYSYMBOL_HEARTBEAT_ACK = 209,            /* "heartbeat-ack"  */
  YYSYMBOL_ABORT = 210,                    /* "abort"  */
  YYSYMBOL_SHUTDOWN = 211,                 /* "shutdown"  */
  YYSYMBOL_SHUTDOWN_ACK = 212,             /* "shutdown-ack"  */
  YYSYMBOL_ERROR = 213,                    /* "error"  */
  YYSYMBOL_COOKIE_ECHO = 214,              /* "cookie-echo"  */
  YYSYMBOL_COOKIE_ACK = 215,               /* "cookie-ack"  */
  YYSYMBOL_ECNE = 216,                     /* "ecne"  */
  YYSYMBOL_CWR = 217,                      /* "cwr"  */
  YYSYMBOL_SHUTDOWN_COMPLETE = 218,        /* "shutdown-complete"  */
  YYSYMBOL_ASCONF_ACK = 219,               /* "asconf-ack"  */
  YYSYMBOL_FORWARD_TSN = 220,              /* "forward-tsn"  */
  YYSYMBOL_ASCONF = 221,                   /* "asconf"  */
  YYSYMBOL_TSN = 222,                      /* "tsn"  */
  YYSYMBOL_STREAM = 223,                   /* "stream"  */
  YYSYMBOL_SSN = 224,                      /* "ssn"  */
  YYSYMBOL_PPID = 225,                     /* "ppid"  */
  YYSYMBOL_INIT_TAG = 226,                 /* "init-tag"  */
  YYSYMBOL_A_RWND = 227,                   /* "a-rwnd"  */
  YYSYMBOL_NUM_OSTREAMS = 228,             /* "num-outbound-streams"  */
  YYSYMBOL_NUM_ISTREAMS = 229,             /* "num-inbound-streams"  */
  YYSYMBOL_INIT_TSN = 230,                 /* "initial-tsn"  */
  YYSYMBOL_CUM_TSN_ACK = 231,              /* "cum-tsn-ack"  */
  YYSYMBOL_NUM_GACK_BLOCKS = 232,          /* "num-gap-ack-blocks"  */
  YYSYMBOL_NUM_DUP_TSNS = 233,             /* "num-dup-tsns"  */
  YYSYMBOL_LOWEST_TSN = 234,               /* "lowest-tsn"  */
  YYSYMBOL_SEQNO = 235,                    /* "seqno"  */
  YYSYMBOL_NEW_CUM_TSN = 236,              /* "new-cum-tsn"  */
  YYSYMBOL_VTAG = 237,                     /* "vtag"  */
  YYSYMBOL_RT = 238,                       /* "rt"  */
  YYSYMBOL_RT0 = 239,                      /* "rt0"  */
  YYSYMBOL_RT2 = 240,                      /* "rt2"  */
  YYSYMBOL_RT4 = 241,                      /* "srh"  */
  YYSYMBOL_SEG_LEFT = 242,                 /* "seg-left"  */
  YYSYMBOL_ADDR = 243,                     /* "addr"  */
  YYSYMBOL_LAST_ENT = 244,                 /* "last-entry"  */
  YYSYMBOL_TAG = 245,                      /* "tag"  */
  YYSYMBOL_SID = 246,                      /* "sid"  */
  YYSYMBOL_HBH = 247,                      /* "hbh"  */
  YYSYMBOL_FRAG = 248,                     /* "frag"  */
  YYSYMBOL_RESERVED2 = 249,                /* "reserved2"  */
  YYSYMBOL_MORE_FRAGMENTS = 250,           /* "more-fragments"  */
  YYSYMBOL_DST = 251,                      /* "dst"  */
  YYSYMBOL_MH = 252,                       /* "mh"  */
  YYSYMBOL_META = 253,                     /* "meta"  */
  YYSYMBOL_MARK = 254,                     /* "mark"  */
  YYSYMBOL_IIF = 255,                      /* "iif"  */
  YYSYMBOL_IIFNAME = 256,                  /* "iifname"  */
  YYSYMBOL_IIFTYPE = 257,                  /* "iiftype"  */
  YYSYMBOL_OIF = 258,                      /* "oif"  */
  YYSYMBOL_OIFNAME = 259,                  /* "oifname"  */
  YYSYMBOL_OIFTYPE = 260,                  /* "oiftype"  */
  YYSYMBOL_SKUID = 261,                    /* "skuid"  */
  YYSYMBOL_SKGID = 262,                    /* "skgid"  */
  YYSYMBOL_NFTRACE = 263,                  /* "nftrace"  */
  YYSYMBOL_RTCLASSID = 264,                /* "rtclassid"  */
  YYSYMBOL_IBRIPORT = 265,                 /* "ibriport"  */
  YYSYMBOL_OBRIPORT = 266,                 /* "obriport"  */
  YYSYMBOL_IBRIDGENAME = 267,              /* "ibrname"  */
  YYSYMBOL_OBRIDGENAME = 268,              /* "obrname"  */
  YYSYMBOL_PKTTYPE = 269,                  /* "pkttype"  */
  YYSYMBOL_CPU = 270,                      /* "cpu"  */
  YYSYMBOL_IIFGROUP = 271,                 /* "iifgroup"  */
  YYSYMBOL_OIFGROUP = 272,                 /* "oifgroup"  */
  YYSYMBOL_CGROUP = 273,                   /* "cgroup"  */
  YYSYMBOL_TIME = 274,                     /* "time"  */
  YYSYMBOL_CLASSID = 275,                  /* "classid"  */
  YYSYMBOL_NEXTHOP = 276,                  /* "nexthop"  */
  YYSYMBOL_CT = 277,                       /* "ct"  */
  YYSYMBOL_L3PROTOCOL = 278,               /* "l3proto"  */
  YYSYMBOL_PROTO_SRC = 279,                /* "proto-src"  */
  YYSYMBOL_PROTO_DST = 280,                /* "proto-dst"  */
  YYSYMBOL_ZONE = 281,                     /* "zone"  */
  YYSYMBOL_DIRECTION = 282,                /* "direction"  */
  YYSYMBOL_EVENT = 283,                    /* "event"  */
  YYSYMBOL_EXPECTATION = 284,              /* "expectation"  */
  YYSYMBOL_EXPIRATION = 285,               /* "expiration"  */
  YYSYMBOL_HELPER = 286,                   /* "helper"  */
  YYSYMBOL_LABEL = 287,                    /* "label"  */
  YYSYMBOL_STATE = 288,                    /* "state"  */
  YYSYMBOL_STATUS = 289,                   /* "status"  */
  YYSYMBOL_ORIGINAL = 290,                 /* "original"  */
  YYSYMBOL_REPLY = 291,                    /* "reply"  */
  YYSYMBOL_COUNTER = 292,                  /* "counter"  */
  YYSYMBOL_NAME = 293,                     /* "name"  */
  YYSYMBOL_PACKETS = 294,                  /* "packets"  */
  YYSYMBOL_BYTES = 295,                    /* "bytes"  */
  YYSYMBOL_AVGPKT = 296,                   /* "avgpkt"  */
  YYSYMBOL_LAST = 297,                     /* "last"  */
  YYSYMBOL_NEVER = 298,                    /* "never"  */
  YYSYMBOL_COUNTERS = 299,                 /* "counters"  */
  YYSYMBOL_QUOTAS = 300,                   /* "quotas"  */
  YYSYMBOL_LIMITS = 301,                   /* "limits"  */
  YYSYMBOL_SYNPROXYS = 302,                /* "synproxys"  */
  YYSYMBOL_HELPERS = 303,                  /* "helpers"  */
  YYSYMBOL_LOG = 304,                      /* "log"  */
  YYSYMBOL_PREFIX = 305,                   /* "prefix"  */
  YYSYMBOL_GROUP = 306,                    /* "group"  */
  YYSYMBOL_SNAPLEN = 307,                  /* "snaplen"  */
  YYSYMBOL_QUEUE_THRESHOLD = 308,          /* "queue-threshold"  */
  YYSYMBOL_LEVEL = 309,                    /* "level"  */
  YYSYMBOL_LIMIT = 310,                    /* "limit"  */
  YYSYMBOL_RATE = 311,                     /* "rate"  */
  YYSYMBOL_BURST = 312,                    /* "burst"  */
  YYSYMBOL_OVER = 313,                     /* "over"  */
  YYSYMBOL_UNTIL = 314,                    /* "until"  */
  YYSYMBOL_QUOTA = 315,                    /* "quota"  */
  YYSYMBOL_USED = 316,                     /* "used"  */
  YYSYMBOL_SECMARK = 317,                  /* "secmark"  */
  YYSYMBOL_SECMARKS = 318,                 /* "secmarks"  */
  YYSYMBOL_SECOND = 319,                   /* "second"  */
  YYSYMBOL_MINUTE = 320,                   /* "minute"  */
  YYSYMBOL_HOUR = 321,                     /* "hour"  */
  YYSYMBOL_DAY = 322,                      /* "day"  */
  YYSYMBOL_WEEK = 323,                     /* "week"  */
  YYSYMBOL__REJECT = 324,                  /* "reject"  */
  YYSYMBOL_WITH = 325,                     /* "with"  */
  YYSYMBOL_ICMPX = 326,                    /* "icmpx"  */
  YYSYMBOL_SNAT = 327,                     /* "snat"  */
  YYSYMBOL_DNAT = 328,                     /* "dnat"  */
  YYSYMBOL_MASQUERADE = 329,               /* "masquerade"  */
  YYSYMBOL_REDIRECT = 330,                 /* "redirect"  */
  YYSYMBOL_RANDOM = 331,                   /* "random"  */
  YYSYMBOL_FULLY_RANDOM = 332,             /* "fully-random"  */
  YYSYMBOL_PERSISTENT = 333,               /* "persistent"  */
  YYSYMBOL_QUEUE = 334,                    /* "queue"  */
  YYSYMBOL_QUEUENUM = 335,                 /* "num"  */
  YYSYMBOL_BYPASS = 336,                   /* "bypass"  */
  YYSYMBOL_FANOUT = 337,                   /* "fanout"  */
  YYSYMBOL_DUP = 338,                      /* "dup"  */
  YYSYMBOL_FWD = 339,                      /* "fwd"  */
  YYSYMBOL_NUMGEN = 340,                   /* "numgen"  */
  YYSYMBOL_INC = 341,                      /* "inc"  */
  YYSYMBOL_MOD = 342,                      /* "mod"  */
  YYSYMBOL_OFFSET = 343,                   /* "offset"  */
  YYSYMBOL_JHASH = 344,                    /* "jhash"  */
  YYSYMBOL_SYMHASH = 345,                  /* "symhash"  */
  YYSYMBOL_SEED = 346,                     /* "seed"  */
  YYSYMBOL_POSITION = 347,                 /* "position"  */
  YYSYMBOL_INDEX = 348,                    /* "index"  */
  YYSYMBOL_COMMENT = 349,                  /* "comment"  */
  YYSYMBOL_XML = 350,                      /* "xml"  */
  YYSYMBOL_JSON = 351,                     /* "json"  */
  YYSYMBOL_VM = 352,                       /* "vm"  */
  YYSYMBOL_NOTRACK = 353,                  /* "notrack"  */
  YYSYMBOL_EXISTS = 354,                   /* "exists"  */
  YYSYMBOL_MISSING = 355,                  /* "missing"  */
  YYSYMBOL_EXTHDR = 356,                   /* "exthdr"  */
  YYSYMBOL_IPSEC = 357,                    /* "ipsec"  */
  YYSYMBOL_REQID = 358,                    /* "reqid"  */
  YYSYMBOL_SPNUM = 359,                    /* "spnum"  */
  YYSYMBOL_IN = 360,                       /* "in"  */
  YYSYMBOL_OUT = 361,                      /* "out"  */
  YYSYMBOL_XT = 362,                       /* "xt"  */
  YYSYMBOL_363_ = 363,                     /* '='  */
  YYSYMBOL_364_ = 364,                     /* '{'  */
  YYSYMBOL_365_ = 365,                     /* '}'  */
  YYSYMBOL_366_ = 366,                     /* '('  */
  YYSYMBOL_367_ = 367,                     /* ')'  */
  YYSYMBOL_368_ = 368,                     /* '|'  */
  YYSYMBOL_369_ = 369,                     /* '$'  */
  YYSYMBOL_370_ = 370,                     /* '['  */
  YYSYMBOL_371_ = 371,                     /* ']'  */
  YYSYMBOL_YYACCEPT = 372,                 /* $accept  */
  YYSYMBOL_input = 373,                    /* input  */
  YYSYMBOL_stmt_separator = 374,           /* stmt_separator  */
  YYSYMBOL_opt_newline = 375,              /* opt_newline  */
  YYSYMBOL_close_scope_ah = 376,           /* close_scope_ah  */
  YYSYMBOL_close_scope_arp = 377,          /* close_scope_arp  */
  YYSYMBOL_close_scope_at = 378,           /* close_scope_at  */
  YYSYMBOL_close_scope_comp = 379,         /* close_scope_comp  */
  YYSYMBOL_close_scope_ct = 380,           /* close_scope_ct  */
  YYSYMBOL_close_scope_counter = 381,      /* close_scope_counter  */
  YYSYMBOL_close_scope_last = 382,         /* close_scope_last  */
  YYSYMBOL_close_scope_dccp = 383,         /* close_scope_dccp  */
  YYSYMBOL_close_scope_destroy = 384,      /* close_scope_destroy  */
  YYSYMBOL_close_scope_dst = 385,          /* close_scope_dst  */
  YYSYMBOL_close_scope_dup = 386,          /* close_scope_dup  */
  YYSYMBOL_close_scope_esp = 387,          /* close_scope_esp  */
  YYSYMBOL_close_scope_eth = 388,          /* close_scope_eth  */
  YYSYMBOL_close_scope_export = 389,       /* close_scope_export  */
  YYSYMBOL_close_scope_fib = 390,          /* close_scope_fib  */
  YYSYMBOL_close_scope_frag = 391,         /* close_scope_frag  */
  YYSYMBOL_close_scope_fwd = 392,          /* close_scope_fwd  */
  YYSYMBOL_close_scope_gre = 393,          /* close_scope_gre  */
  YYSYMBOL_close_scope_hash = 394,         /* close_scope_hash  */
  YYSYMBOL_close_scope_hbh = 395,          /* close_scope_hbh  */
  YYSYMBOL_close_scope_ip = 396,           /* close_scope_ip  */
  YYSYMBOL_close_scope_ip6 = 397,          /* close_scope_ip6  */
  YYSYMBOL_close_scope_vlan = 398,         /* close_scope_vlan  */
  YYSYMBOL_close_scope_icmp = 399,         /* close_scope_icmp  */
  YYSYMBOL_close_scope_igmp = 400,         /* close_scope_igmp  */
  YYSYMBOL_close_scope_import = 401,       /* close_scope_import  */
  YYSYMBOL_close_scope_ipsec = 402,        /* close_scope_ipsec  */
  YYSYMBOL_close_scope_list = 403,         /* close_scope_list  */
  YYSYMBOL_close_scope_limit = 404,        /* close_scope_limit  */
  YYSYMBOL_close_scope_meta = 405,         /* close_scope_meta  */
  YYSYMBOL_close_scope_mh = 406,           /* close_scope_mh  */
  YYSYMBOL_close_scope_monitor = 407,      /* close_scope_monitor  */
  YYSYMBOL_close_scope_nat = 408,          /* close_scope_nat  */
  YYSYMBOL_close_scope_numgen = 409,       /* close_scope_numgen  */
  YYSYMBOL_close_scope_osf = 410,          /* close_scope_osf  */
  YYSYMBOL_close_scope_policy = 411,       /* close_scope_policy  */
  YYSYMBOL_close_scope_quota = 412,        /* close_scope_quota  */
  YYSYMBOL_close_scope_queue = 413,        /* close_scope_queue  */
  YYSYMBOL_close_scope_reject = 414,       /* close_scope_reject  */
  YYSYMBOL_close_scope_reset = 415,        /* close_scope_reset  */
  YYSYMBOL_close_scope_rt = 416,           /* close_scope_rt  */
  YYSYMBOL_close_scope_sctp = 417,         /* close_scope_sctp  */
  YYSYMBOL_close_scope_sctp_chunk = 418,   /* close_scope_sctp_chunk  */
  YYSYMBOL_close_scope_secmark = 419,      /* close_scope_secmark  */
  YYSYMBOL_close_scope_socket = 420,       /* close_scope_socket  */
  YYSYMBOL_close_scope_tcp = 421,          /* close_scope_tcp  */
  YYSYMBOL_close_scope_tproxy = 422,       /* close_scope_tproxy  */
  YYSYMBOL_close_scope_type = 423,         /* close_scope_type  */
  YYSYMBOL_close_scope_th = 424,           /* close_scope_th  */
  YYSYMBOL_close_scope_udp = 425,          /* close_scope_udp  */
  YYSYMBOL_close_scope_udplite = 426,      /* close_scope_udplite  */
  YYSYMBOL_close_scope_log = 427,          /* close_scope_log  */
  YYSYMBOL_close_scope_synproxy = 428,     /* close_scope_synproxy  */
  YYSYMBOL_close_scope_xt = 429,           /* close_scope_xt  */
  YYSYMBOL_common_block = 430,             /* common_block  */
  YYSYMBOL_line = 431,                     /* line  */
  YYSYMBOL_base_cmd = 432,                 /* base_cmd  */
  YYSYMBOL_add_cmd = 433,                  /* add_cmd  */
  YYSYMBOL_replace_cmd = 434,              /* replace_cmd  */
  YYSYMBOL_create_cmd = 435,               /* create_cmd  */
  YYSYMBOL_insert_cmd = 436,               /* insert_cmd  */
  YYSYMBOL_table_or_id_spec = 437,         /* table_or_id_spec  */
  YYSYMBOL_chain_or_id_spec = 438,         /* chain_or_id_spec  */
  YYSYMBOL_set_or_id_spec = 439,           /* set_or_id_spec  */
  YYSYMBOL_obj_or_id_spec = 440,           /* obj_or_id_spec  */
  YYSYMBOL_delete_cmd = 441,               /* delete_cmd  */
  YYSYMBOL_destroy_cmd = 442,              /* destroy_cmd  */
  YYSYMBOL_get_cmd = 443,                  /* get_cmd  */
  YYSYMBOL_list_cmd = 444,                 /* list_cmd  */
  YYSYMBOL_basehook_device_name = 445,     /* basehook_device_name  */
  YYSYMBOL_basehook_spec = 446,            /* basehook_spec  */
  YYSYMBOL_reset_cmd = 447,                /* reset_cmd  */
  YYSYMBOL_flush_cmd = 448,                /* flush_cmd  */
  YYSYMBOL_rename_cmd = 449,               /* rename_cmd  */
  YYSYMBOL_import_cmd = 450,               /* import_cmd  */
  YYSYMBOL_export_cmd = 451,               /* export_cmd  */
  YYSYMBOL_monitor_cmd = 452,              /* monitor_cmd  */
  YYSYMBOL_monitor_event = 453,            /* monitor_event  */
  YYSYMBOL_monitor_object = 454,           /* monitor_object  */
  YYSYMBOL_monitor_format = 455,           /* monitor_format  */
  YYSYMBOL_markup_format = 456,            /* markup_format  */
  YYSYMBOL_describe_cmd = 457,             /* describe_cmd  */
  YYSYMBOL_table_block_alloc = 458,        /* table_block_alloc  */
  YYSYMBOL_table_options = 459,            /* table_options  */
  YYSYMBOL_table_flags = 460,              /* table_flags  */
  YYSYMBOL_table_flag = 461,               /* table_flag  */
  YYSYMBOL_table_block = 462,              /* table_block  */
  YYSYMBOL_chain_block_alloc = 463,        /* chain_block_alloc  */
  YYSYMBOL_chain_block = 464,              /* chain_block  */
  YYSYMBOL_subchain_block = 465,           /* subchain_block  */
  YYSYMBOL_typeof_verdict_expr = 466,      /* typeof_verdict_expr  */
  YYSYMBOL_typeof_data_expr = 467,         /* typeof_data_expr  */
  YYSYMBOL_typeof_expr = 468,              /* typeof_expr  */
  YYSYMBOL_set_block_alloc = 469,          /* set_block_alloc  */
  YYSYMBOL_typeof_key_expr = 470,          /* typeof_key_expr  */
  YYSYMBOL_set_block = 471,                /* set_block  */
  YYSYMBOL_set_block_expr = 472,           /* set_block_expr  */
  YYSYMBOL_set_flag_list = 473,            /* set_flag_list  */
  YYSYMBOL_set_flag = 474,                 /* set_flag  */
  YYSYMBOL_map_block_alloc = 475,          /* map_block_alloc  */
  YYSYMBOL_ct_obj_type_map = 476,          /* ct_obj_type_map  */
  YYSYMBOL_map_block_obj_type = 477,       /* map_block_obj_type  */
  YYSYMBOL_map_block_obj_typeof = 478,     /* map_block_obj_typeof  */
  YYSYMBOL_map_block_data_interval = 479,  /* map_block_data_interval  */
  YYSYMBOL_map_block = 480,                /* map_block  */
  YYSYMBOL_set_mechanism = 481,            /* set_mechanism  */
  YYSYMBOL_set_policy_spec = 482,          /* set_policy_spec  */
  YYSYMBOL_flowtable_block_alloc = 483,    /* flowtable_block_alloc  */
  YYSYMBOL_flowtable_block = 484,          /* flowtable_block  */
  YYSYMBOL_flowtable_expr = 485,           /* flowtable_expr  */
  YYSYMBOL_flowtable_list_expr = 486,      /* flowtable_list_expr  */
  YYSYMBOL_flowtable_expr_member = 487,    /* flowtable_expr_member  */
  YYSYMBOL_data_type_atom_expr = 488,      /* data_type_atom_expr  */
  YYSYMBOL_data_type_expr = 489,           /* data_type_expr  */
  YYSYMBOL_obj_block_alloc = 490,          /* obj_block_alloc  */
  YYSYMBOL_counter_block = 491,            /* counter_block  */
  YYSYMBOL_quota_block = 492,              /* quota_block  */
  YYSYMBOL_ct_helper_block = 493,          /* ct_helper_block  */
  YYSYMBOL_ct_timeout_block = 494,         /* ct_timeout_block  */
  YYSYMBOL_ct_expect_block = 495,          /* ct_expect_block  */
  YYSYMBOL_limit_block = 496,              /* limit_block  */
  YYSYMBOL_secmark_block = 497,            /* secmark_block  */
  YYSYMBOL_synproxy_block = 498,           /* synproxy_block  */
  YYSYMBOL_type_identifier = 499,          /* type_identifier  */
  YYSYMBOL_hook_spec = 500,                /* hook_spec  */
  YYSYMBOL_prio_spec = 501,                /* prio_spec  */
  YYSYMBOL_extended_prio_name = 502,       /* extended_prio_name  */
  YYSYMBOL_extended_prio_spec = 503,       /* extended_prio_spec  */
  YYSYMBOL_int_num = 504,                  /* int_num  */
  YYSYMBOL_dev_spec = 505,                 /* dev_spec  */
  YYSYMBOL_flags_spec = 506,               /* flags_spec  */
  YYSYMBOL_policy_spec = 507,              /* policy_spec  */
  YYSYMBOL_policy_expr = 508,              /* policy_expr  */
  YYSYMBOL_chain_policy = 509,             /* chain_policy  */
  YYSYMBOL_identifier = 510,               /* identifier  */
  YYSYMBOL_string = 511,                   /* string  */
  YYSYMBOL_time_spec = 512,                /* time_spec  */
  YYSYMBOL_time_spec_or_num_s = 513,       /* time_spec_or_num_s  */
  YYSYMBOL_family_spec = 514,              /* family_spec  */
  YYSYMBOL_family_spec_explicit = 515,     /* family_spec_explicit  */
  YYSYMBOL_table_spec = 516,               /* table_spec  */
  YYSYMBOL_tableid_spec = 517,             /* tableid_spec  */
  YYSYMBOL_chain_spec = 518,               /* chain_spec  */
  YYSYMBOL_chainid_spec = 519,             /* chainid_spec  */
  YYSYMBOL_chain_identifier = 520,         /* chain_identifier  */
  YYSYMBOL_set_spec = 521,                 /* set_spec  */
  YYSYMBOL_setid_spec = 522,               /* setid_spec  */
  YYSYMBOL_set_identifier = 523,           /* set_identifier  */
  YYSYMBOL_flowtable_spec = 524,           /* flowtable_spec  */
  YYSYMBOL_flowtableid_spec = 525,         /* flowtableid_spec  */
  YYSYMBOL_flowtable_identifier = 526,     /* flowtable_identifier  */
  YYSYMBOL_obj_spec = 527,                 /* obj_spec  */
  YYSYMBOL_objid_spec = 528,               /* objid_spec  */
  YYSYMBOL_obj_identifier = 529,           /* obj_identifier  */
  YYSYMBOL_handle_spec = 530,              /* handle_spec  */
  YYSYMBOL_position_spec = 531,            /* position_spec  */
  YYSYMBOL_index_spec = 532,               /* index_spec  */
  YYSYMBOL_rule_position = 533,            /* rule_position  */
  YYSYMBOL_ruleid_spec = 534,              /* ruleid_spec  */
  YYSYMBOL_comment_spec = 535,             /* comment_spec  */
  YYSYMBOL_ruleset_spec = 536,             /* ruleset_spec  */
  YYSYMBOL_rule = 537,                     /* rule  */
  YYSYMBOL_rule_alloc = 538,               /* rule_alloc  */
  YYSYMBOL_stmt_list = 539,                /* stmt_list  */
  YYSYMBOL_stateful_stmt_list = 540,       /* stateful_stmt_list  */
  YYSYMBOL_objref_stmt_counter = 541,      /* objref_stmt_counter  */
  YYSYMBOL_objref_stmt_limit = 542,        /* objref_stmt_limit  */
  YYSYMBOL_objref_stmt_quota = 543,        /* objref_stmt_quota  */
  YYSYMBOL_objref_stmt_synproxy = 544,     /* objref_stmt_synproxy  */
  YYSYMBOL_objref_stmt_ct = 545,           /* objref_stmt_ct  */
  YYSYMBOL_objref_stmt = 546,              /* objref_stmt  */
  YYSYMBOL_stateful_stmt = 547,            /* stateful_stmt  */
  YYSYMBOL_stmt = 548,                     /* stmt  */
  YYSYMBOL_xt_stmt = 549,                  /* xt_stmt  */
  YYSYMBOL_chain_stmt_type = 550,          /* chain_stmt_type  */
  YYSYMBOL_chain_stmt = 551,               /* chain_stmt  */
  YYSYMBOL_verdict_stmt = 552,             /* verdict_stmt  */
  YYSYMBOL_verdict_map_stmt = 553,         /* verdict_map_stmt  */
  YYSYMBOL_verdict_map_expr = 554,         /* verdict_map_expr  */
  YYSYMBOL_verdict_map_list_expr = 555,    /* verdict_map_list_expr  */
  YYSYMBOL_verdict_map_list_member_expr = 556, /* verdict_map_list_member_expr  */
  YYSYMBOL_connlimit_stmt = 557,           /* connlimit_stmt  */
  YYSYMBOL_counter_stmt = 558,             /* counter_stmt  */
  YYSYMBOL_counter_stmt_alloc = 559,       /* counter_stmt_alloc  */
  YYSYMBOL_counter_args = 560,             /* counter_args  */
  YYSYMBOL_counter_arg = 561,              /* counter_arg  */
  YYSYMBOL_last_stmt = 562,                /* last_stmt  */
  YYSYMBOL_log_stmt = 563,                 /* log_stmt  */
  YYSYMBOL_log_stmt_alloc = 564,           /* log_stmt_alloc  */
  YYSYMBOL_log_args = 565,                 /* log_args  */
  YYSYMBOL_log_arg = 566,                  /* log_arg  */
  YYSYMBOL_level_type = 567,               /* level_type  */
  YYSYMBOL_log_flags = 568,                /* log_flags  */
  YYSYMBOL_log_flags_tcp = 569,            /* log_flags_tcp  */
  YYSYMBOL_log_flag_tcp = 570,             /* log_flag_tcp  */
  YYSYMBOL_limit_stmt = 571,               /* limit_stmt  */
  YYSYMBOL_quota_mode = 572,               /* quota_mode  */
  YYSYMBOL_quota_unit = 573,               /* quota_unit  */
  YYSYMBOL_quota_used = 574,               /* quota_used  */
  YYSYMBOL_quota_stmt = 575,               /* quota_stmt  */
  YYSYMBOL_limit_mode = 576,               /* limit_mode  */
  YYSYMBOL_limit_burst_pkts = 577,         /* limit_burst_pkts  */
  YYSYMBOL_limit_rate_pkts = 578,          /* limit_rate_pkts  */
  YYSYMBOL_limit_burst_bytes = 579,        /* limit_burst_bytes  */
  YYSYMBOL_limit_rate_bytes = 580,         /* limit_rate_bytes  */
  YYSYMBOL_limit_bytes = 581,              /* limit_bytes  */
  YYSYMBOL_time_unit = 582,                /* time_unit  */
  YYSYMBOL_reject_stmt = 583,              /* reject_stmt  */
  YYSYMBOL_reject_stmt_alloc = 584,        /* reject_stmt_alloc  */
  YYSYMBOL_reject_with_expr = 585,         /* reject_with_expr  */
  YYSYMBOL_reject_opts = 586,              /* reject_opts  */
  YYSYMBOL_nat_stmt = 587,                 /* nat_stmt  */
  YYSYMBOL_nat_stmt_alloc = 588,           /* nat_stmt_alloc  */
  YYSYMBOL_tproxy_stmt = 589,              /* tproxy_stmt  */
  YYSYMBOL_synproxy_stmt = 590,            /* synproxy_stmt  */
  YYSYMBOL_synproxy_stmt_alloc = 591,      /* synproxy_stmt_alloc  */
  YYSYMBOL_synproxy_args = 592,            /* synproxy_args  */
  YYSYMBOL_synproxy_arg = 593,             /* synproxy_arg  */
  YYSYMBOL_synproxy_config = 594,          /* synproxy_config  */
  YYSYMBOL_synproxy_obj = 595,             /* synproxy_obj  */
  YYSYMBOL_synproxy_ts = 596,              /* synproxy_ts  */
  YYSYMBOL_synproxy_sack = 597,            /* synproxy_sack  */
  YYSYMBOL_primary_stmt_expr = 598,        /* primary_stmt_expr  */
  YYSYMBOL_shift_stmt_expr = 599,          /* shift_stmt_expr  */
  YYSYMBOL_and_stmt_expr = 600,            /* and_stmt_expr  */
  YYSYMBOL_exclusive_or_stmt_expr = 601,   /* exclusive_or_stmt_expr  */
  YYSYMBOL_inclusive_or_stmt_expr = 602,   /* inclusive_or_stmt_expr  */
  YYSYMBOL_basic_stmt_expr = 603,          /* basic_stmt_expr  */
  YYSYMBOL_concat_stmt_expr = 604,         /* concat_stmt_expr  */
  YYSYMBOL_map_stmt_expr_set = 605,        /* map_stmt_expr_set  */
  YYSYMBOL_map_stmt_expr = 606,            /* map_stmt_expr  */
  YYSYMBOL_prefix_stmt_expr = 607,         /* prefix_stmt_expr  */
  YYSYMBOL_range_stmt_expr = 608,          /* range_stmt_expr  */
  YYSYMBOL_multiton_stmt_expr = 609,       /* multiton_stmt_expr  */
  YYSYMBOL_stmt_expr = 610,                /* stmt_expr  */
  YYSYMBOL_nat_stmt_args = 611,            /* nat_stmt_args  */
  YYSYMBOL_masq_stmt = 612,                /* masq_stmt  */
  YYSYMBOL_masq_stmt_alloc = 613,          /* masq_stmt_alloc  */
  YYSYMBOL_masq_stmt_args = 614,           /* masq_stmt_args  */
  YYSYMBOL_redir_stmt = 615,               /* redir_stmt  */
  YYSYMBOL_redir_stmt_alloc = 616,         /* redir_stmt_alloc  */
  YYSYMBOL_redir_stmt_arg = 617,           /* redir_stmt_arg  */
  YYSYMBOL_dup_stmt = 618,                 /* dup_stmt  */
  YYSYMBOL_fwd_stmt = 619,                 /* fwd_stmt  */
  YYSYMBOL_nf_nat_flags = 620,             /* nf_nat_flags  */
  YYSYMBOL_nf_nat_flag = 621,              /* nf_nat_flag  */
  YYSYMBOL_queue_stmt = 622,               /* queue_stmt  */
  YYSYMBOL_queue_stmt_compat = 623,        /* queue_stmt_compat  */
  YYSYMBOL_queue_stmt_alloc = 624,         /* queue_stmt_alloc  */
  YYSYMBOL_queue_stmt_args = 625,          /* queue_stmt_args  */
  YYSYMBOL_queue_stmt_arg = 626,           /* queue_stmt_arg  */
  YYSYMBOL_queue_expr = 627,               /* queue_expr  */
  YYSYMBOL_queue_stmt_expr_simple = 628,   /* queue_stmt_expr_simple  */
  YYSYMBOL_queue_stmt_expr = 629,          /* queue_stmt_expr  */
  YYSYMBOL_queue_stmt_flags = 630,         /* queue_stmt_flags  */
  YYSYMBOL_queue_stmt_flag = 631,          /* queue_stmt_flag  */
  YYSYMBOL_set_elem_expr_stmt = 632,       /* set_elem_expr_stmt  */
  YYSYMBOL_set_elem_expr_stmt_alloc = 633, /* set_elem_expr_stmt_alloc  */
  YYSYMBOL_set_stmt = 634,                 /* set_stmt  */
  YYSYMBOL_set_stmt_op = 635,              /* set_stmt_op  */
  YYSYMBOL_map_stmt = 636,                 /* map_stmt  */
  YYSYMBOL_meter_stmt = 637,               /* meter_stmt  */
  YYSYMBOL_flow_stmt_legacy_alloc = 638,   /* flow_stmt_legacy_alloc  */
  YYSYMBOL_flow_stmt_opts = 639,           /* flow_stmt_opts  */
  YYSYMBOL_flow_stmt_opt = 640,            /* flow_stmt_opt  */
  YYSYMBOL_meter_stmt_alloc = 641,         /* meter_stmt_alloc  */
  YYSYMBOL_match_stmt = 642,               /* match_stmt  */
  YYSYMBOL_variable_expr = 643,            /* variable_expr  */
  YYSYMBOL_symbol_expr = 644,              /* symbol_expr  */
  YYSYMBOL_set_ref_expr = 645,             /* set_ref_expr  */
  YYSYMBOL_set_ref_symbol_expr = 646,      /* set_ref_symbol_expr  */
  YYSYMBOL_integer_expr = 647,             /* integer_expr  */
  YYSYMBOL_primary_expr = 648,             /* primary_expr  */
  YYSYMBOL_fib_expr = 649,                 /* fib_expr  */
  YYSYMBOL_fib_result = 650,               /* fib_result  */
  YYSYMBOL_fib_flag = 651,                 /* fib_flag  */
  YYSYMBOL_fib_tuple = 652,                /* fib_tuple  */
  YYSYMBOL_osf_expr = 653,                 /* osf_expr  */
  YYSYMBOL_osf_ttl = 654,                  /* osf_ttl  */
  YYSYMBOL_shift_expr = 655,               /* shift_expr  */
  YYSYMBOL_and_expr = 656,                 /* and_expr  */
  YYSYMBOL_exclusive_or_expr = 657,        /* exclusive_or_expr  */
  YYSYMBOL_inclusive_or_expr = 658,        /* inclusive_or_expr  */
  YYSYMBOL_basic_expr = 659,               /* basic_expr  */
  YYSYMBOL_concat_expr = 660,              /* concat_expr  */
  YYSYMBOL_prefix_rhs_expr = 661,          /* prefix_rhs_expr  */
  YYSYMBOL_range_rhs_expr = 662,           /* range_rhs_expr  */
  YYSYMBOL_multiton_rhs_expr = 663,        /* multiton_rhs_expr  */
  YYSYMBOL_map_expr = 664,                 /* map_expr  */
  YYSYMBOL_expr = 665,                     /* expr  */
  YYSYMBOL_set_expr = 666,                 /* set_expr  */
  YYSYMBOL_set_list_expr = 667,            /* set_list_expr  */
  YYSYMBOL_set_list_member_expr = 668,     /* set_list_member_expr  */
  YYSYMBOL_meter_key_expr = 669,           /* meter_key_expr  */
  YYSYMBOL_meter_key_expr_alloc = 670,     /* meter_key_expr_alloc  */
  YYSYMBOL_set_elem_expr = 671,            /* set_elem_expr  */
  YYSYMBOL_set_elem_key_expr = 672,        /* set_elem_key_expr  */
  YYSYMBOL_set_elem_expr_alloc = 673,      /* set_elem_expr_alloc  */
  YYSYMBOL_set_elem_options = 674,         /* set_elem_options  */
  YYSYMBOL_set_elem_option = 675,          /* set_elem_option  */
  YYSYMBOL_set_elem_expr_options = 676,    /* set_elem_expr_options  */
  YYSYMBOL_set_elem_stmt_list = 677,       /* set_elem_stmt_list  */
  YYSYMBOL_set_elem_stmt = 678,            /* set_elem_stmt  */
  YYSYMBOL_set_elem_expr_option = 679,     /* set_elem_expr_option  */
  YYSYMBOL_set_lhs_expr = 680,             /* set_lhs_expr  */
  YYSYMBOL_set_rhs_expr = 681,             /* set_rhs_expr  */
  YYSYMBOL_initializer_expr = 682,         /* initializer_expr  */
  YYSYMBOL_counter_config = 683,           /* counter_config  */
  YYSYMBOL_counter_obj = 684,              /* counter_obj  */
  YYSYMBOL_quota_config = 685,             /* quota_config  */
  YYSYMBOL_quota_obj = 686,                /* quota_obj  */
  YYSYMBOL_secmark_config = 687,           /* secmark_config  */
  YYSYMBOL_secmark_obj = 688,              /* secmark_obj  */
  YYSYMBOL_ct_obj_type = 689,              /* ct_obj_type  */
  YYSYMBOL_ct_cmd_type = 690,              /* ct_cmd_type  */
  YYSYMBOL_ct_l4protoname = 691,           /* ct_l4protoname  */
  YYSYMBOL_ct_helper_config = 692,         /* ct_helper_config  */
  YYSYMBOL_timeout_states = 693,           /* timeout_states  */
  YYSYMBOL_timeout_state = 694,            /* timeout_state  */
  YYSYMBOL_ct_timeout_config = 695,        /* ct_timeout_config  */
  YYSYMBOL_ct_expect_config = 696,         /* ct_expect_config  */
  YYSYMBOL_ct_obj_alloc = 697,             /* ct_obj_alloc  */
  YYSYMBOL_limit_config = 698,             /* limit_config  */
  YYSYMBOL_limit_obj = 699,                /* limit_obj  */
  YYSYMBOL_relational_expr = 700,          /* relational_expr  */
  YYSYMBOL_list_rhs_expr = 701,            /* list_rhs_expr  */
  YYSYMBOL_rhs_expr = 702,                 /* rhs_expr  */
  YYSYMBOL_shift_rhs_expr = 703,           /* shift_rhs_expr  */
  YYSYMBOL_and_rhs_expr = 704,             /* and_rhs_expr  */
  YYSYMBOL_exclusive_or_rhs_expr = 705,    /* exclusive_or_rhs_expr  */
  YYSYMBOL_inclusive_or_rhs_expr = 706,    /* inclusive_or_rhs_expr  */
  YYSYMBOL_basic_rhs_expr = 707,           /* basic_rhs_expr  */
  YYSYMBOL_concat_rhs_expr = 708,          /* concat_rhs_expr  */
  YYSYMBOL_boolean_keys = 709,             /* boolean_keys  */
  YYSYMBOL_boolean_expr = 710,             /* boolean_expr  */
  YYSYMBOL_keyword_expr = 711,             /* keyword_expr  */
  YYSYMBOL_primary_rhs_expr = 712,         /* primary_rhs_expr  */
  YYSYMBOL_relational_op = 713,            /* relational_op  */
  YYSYMBOL_verdict_expr = 714,             /* verdict_expr  */
  YYSYMBOL_chain_expr = 715,               /* chain_expr  */
  YYSYMBOL_meta_expr = 716,                /* meta_expr  */
  YYSYMBOL_meta_key = 717,                 /* meta_key  */
  YYSYMBOL_meta_key_qualified = 718,       /* meta_key_qualified  */
  YYSYMBOL_meta_key_unqualified = 719,     /* meta_key_unqualified  */
  YYSYMBOL_meta_stmt = 720,                /* meta_stmt  */
  YYSYMBOL_socket_expr = 721,              /* socket_expr  */
  YYSYMBOL_socket_key = 722,               /* socket_key  */
  YYSYMBOL_offset_opt = 723,               /* offset_opt  */
  YYSYMBOL_numgen_type = 724,              /* numgen_type  */
  YYSYMBOL_numgen_expr = 725,              /* numgen_expr  */
  YYSYMBOL_xfrm_spnum = 726,               /* xfrm_spnum  */
  YYSYMBOL_xfrm_dir = 727,                 /* xfrm_dir  */
  YYSYMBOL_xfrm_state_key = 728,           /* xfrm_state_key  */
  YYSYMBOL_xfrm_state_proto_key = 729,     /* xfrm_state_proto_key  */
  YYSYMBOL_xfrm_expr = 730,                /* xfrm_expr  */
  YYSYMBOL_hash_expr = 731,                /* hash_expr  */
  YYSYMBOL_nf_key_proto = 732,             /* nf_key_proto  */
  YYSYMBOL_rt_expr = 733,                  /* rt_expr  */
  YYSYMBOL_rt_key = 734,                   /* rt_key  */
  YYSYMBOL_ct_expr = 735,                  /* ct_expr  */
  YYSYMBOL_ct_dir = 736,                   /* ct_dir  */
  YYSYMBOL_ct_key = 737,                   /* ct_key  */
  YYSYMBOL_ct_key_dir = 738,               /* ct_key_dir  */
  YYSYMBOL_ct_key_proto_field = 739,       /* ct_key_proto_field  */
  YYSYMBOL_ct_key_dir_optional = 740,      /* ct_key_dir_optional  */
  YYSYMBOL_symbol_stmt_expr = 741,         /* symbol_stmt_expr  */
  YYSYMBOL_list_stmt_expr = 742,           /* list_stmt_expr  */
  YYSYMBOL_ct_stmt = 743,                  /* ct_stmt  */
  YYSYMBOL_payload_stmt = 744,             /* payload_stmt  */
  YYSYMBOL_payload_expr = 745,             /* payload_expr  */
  YYSYMBOL_payload_raw_len = 746,          /* payload_raw_len  */
  YYSYMBOL_payload_raw_expr = 747,         /* payload_raw_expr  */
  YYSYMBOL_payload_base_spec = 748,        /* payload_base_spec  */
  YYSYMBOL_eth_hdr_expr = 749,             /* eth_hdr_expr  */
  YYSYMBOL_eth_hdr_field = 750,            /* eth_hdr_field  */
  YYSYMBOL_vlan_hdr_expr = 751,            /* vlan_hdr_expr  */
  YYSYMBOL_vlan_hdr_field = 752,           /* vlan_hdr_field  */
  YYSYMBOL_arp_hdr_expr = 753,             /* arp_hdr_expr  */
  YYSYMBOL_arp_hdr_field = 754,            /* arp_hdr_field  */
  YYSYMBOL_ip_hdr_expr = 755,              /* ip_hdr_expr  */
  YYSYMBOL_ip_hdr_field = 756,             /* ip_hdr_field  */
  YYSYMBOL_ip_option_type = 757,           /* ip_option_type  */
  YYSYMBOL_ip_option_field = 758,          /* ip_option_field  */
  YYSYMBOL_icmp_hdr_expr = 759,            /* icmp_hdr_expr  */
  YYSYMBOL_icmp_hdr_field = 760,           /* icmp_hdr_field  */
  YYSYMBOL_igmp_hdr_expr = 761,            /* igmp_hdr_expr  */
  YYSYMBOL_igmp_hdr_field = 762,           /* igmp_hdr_field  */
  YYSYMBOL_ip6_hdr_expr = 763,             /* ip6_hdr_expr  */
  YYSYMBOL_ip6_hdr_field = 764,            /* ip6_hdr_field  */
  YYSYMBOL_icmp6_hdr_expr = 765,           /* icmp6_hdr_expr  */
  YYSYMBOL_icmp6_hdr_field = 766,          /* icmp6_hdr_field  */
  YYSYMBOL_auth_hdr_expr = 767,            /* auth_hdr_expr  */
  YYSYMBOL_auth_hdr_field = 768,           /* auth_hdr_field  */
  YYSYMBOL_esp_hdr_expr = 769,             /* esp_hdr_expr  */
  YYSYMBOL_esp_hdr_field = 770,            /* esp_hdr_field  */
  YYSYMBOL_comp_hdr_expr = 771,            /* comp_hdr_expr  */
  YYSYMBOL_comp_hdr_field = 772,           /* comp_hdr_field  */
  YYSYMBOL_udp_hdr_expr = 773,             /* udp_hdr_expr  */
  YYSYMBOL_udp_hdr_field = 774,            /* udp_hdr_field  */
  YYSYMBOL_udplite_hdr_expr = 775,         /* udplite_hdr_expr  */
  YYSYMBOL_udplite_hdr_field = 776,        /* udplite_hdr_field  */
  YYSYMBOL_tcp_hdr_expr = 777,             /* tcp_hdr_expr  */
  YYSYMBOL_inner_inet_expr = 778,          /* inner_inet_expr  */
  YYSYMBOL_inner_eth_expr = 779,           /* inner_eth_expr  */
  YYSYMBOL_inner_expr = 780,               /* inner_expr  */
  YYSYMBOL_vxlan_hdr_expr = 781,           /* vxlan_hdr_expr  */
  YYSYMBOL_vxlan_hdr_field = 782,          /* vxlan_hdr_field  */
  YYSYMBOL_geneve_hdr_expr = 783,          /* geneve_hdr_expr  */
  YYSYMBOL_geneve_hdr_field = 784,         /* geneve_hdr_field  */
  YYSYMBOL_gre_hdr_expr = 785,             /* gre_hdr_expr  */
  YYSYMBOL_gre_hdr_field = 786,            /* gre_hdr_field  */
  YYSYMBOL_gretap_hdr_expr = 787,          /* gretap_hdr_expr  */
  YYSYMBOL_optstrip_stmt = 788,            /* optstrip_stmt  */
  YYSYMBOL_tcp_hdr_field = 789,            /* tcp_hdr_field  */
  YYSYMBOL_tcp_hdr_option_kind_and_field = 790, /* tcp_hdr_option_kind_and_field  */
  YYSYMBOL_tcp_hdr_option_sack = 791,      /* tcp_hdr_option_sack  */
  YYSYMBOL_tcp_hdr_option_type = 792,      /* tcp_hdr_option_type  */
  YYSYMBOL_tcpopt_field_sack = 793,        /* tcpopt_field_sack  */
  YYSYMBOL_tcpopt_field_window = 794,      /* tcpopt_field_window  */
  YYSYMBOL_tcpopt_field_tsopt = 795,       /* tcpopt_field_tsopt  */
  YYSYMBOL_tcpopt_field_maxseg = 796,      /* tcpopt_field_maxseg  */
  YYSYMBOL_tcpopt_field_mptcp = 797,       /* tcpopt_field_mptcp  */
  YYSYMBOL_dccp_hdr_expr = 798,            /* dccp_hdr_expr  */
  YYSYMBOL_dccp_hdr_field = 799,           /* dccp_hdr_field  */
  YYSYMBOL_sctp_chunk_type = 800,          /* sctp_chunk_type  */
  YYSYMBOL_sctp_chunk_common_field = 801,  /* sctp_chunk_common_field  */
  YYSYMBOL_sctp_chunk_data_field = 802,    /* sctp_chunk_data_field  */
  YYSYMBOL_sctp_chunk_init_field = 803,    /* sctp_chunk_init_field  */
  YYSYMBOL_sctp_chunk_sack_field = 804,    /* sctp_chunk_sack_field  */
  YYSYMBOL_sctp_chunk_alloc = 805,         /* sctp_chunk_alloc  */
  YYSYMBOL_sctp_hdr_expr = 806,            /* sctp_hdr_expr  */
  YYSYMBOL_sctp_hdr_field = 807,           /* sctp_hdr_field  */
  YYSYMBOL_th_hdr_expr = 808,              /* th_hdr_expr  */
  YYSYMBOL_th_hdr_field = 809,             /* th_hdr_field  */
  YYSYMBOL_exthdr_expr = 810,              /* exthdr_expr  */
  YYSYMBOL_hbh_hdr_expr = 811,             /* hbh_hdr_expr  */
  YYSYMBOL_hbh_hdr_field = 812,            /* hbh_hdr_field  */
  YYSYMBOL_rt_hdr_expr = 813,              /* rt_hdr_expr  */
  YYSYMBOL_rt_hdr_field = 814,             /* rt_hdr_field  */
  YYSYMBOL_rt0_hdr_expr = 815,             /* rt0_hdr_expr  */
  YYSYMBOL_rt0_hdr_field = 816,            /* rt0_hdr_field  */
  YYSYMBOL_rt2_hdr_expr = 817,             /* rt2_hdr_expr  */
  YYSYMBOL_rt2_hdr_field = 818,            /* rt2_hdr_field  */
  YYSYMBOL_rt4_hdr_expr = 819,             /* rt4_hdr_expr  */
  YYSYMBOL_rt4_hdr_field = 820,            /* rt4_hdr_field  */
  YYSYMBOL_frag_hdr_expr = 821,            /* frag_hdr_expr  */
  YYSYMBOL_frag_hdr_field = 822,           /* frag_hdr_field  */
  YYSYMBOL_dst_hdr_expr = 823,             /* dst_hdr_expr  */
  YYSYMBOL_dst_hdr_field = 824,            /* dst_hdr_field  */
  YYSYMBOL_mh_hdr_expr = 825,              /* mh_hdr_expr  */
  YYSYMBOL_mh_hdr_field = 826,             /* mh_hdr_field  */
  YYSYMBOL_exthdr_exists_expr = 827,       /* exthdr_exists_expr  */
  YYSYMBOL_exthdr_key = 828                /* exthdr_key  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE) \
             + YYSIZEOF (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  2
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   9074

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  372
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  457
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1386
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2378

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   617


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,   369,     2,     2,     2,
     366,   367,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   363,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   370,     2,   371,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   364,   368,   365,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,  1010,  1010,  1011,  1020,  1021,  1024,  1025,  1028,  1029,
    1030,  1031,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,
    1040,  1041,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,
    1050,  1051,  1052,  1053,  1054,  1055,  1056,  1057,  1058,  1059,
    1060,  1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,  1069,
    1070,  1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,  1080,
    1081,  1082,  1084,  1092,  1107,  1114,  1126,  1134,  1135,  1136,
    1137,  1157,  1158,  1159,  1160,  1161,  1162,  1163,  1164,  1165,
    1166,  1167,  1168,  1169,  1170,  1171,  1172,  1175,  1179,  1186,
    1190,  1198,  1202,  1206,  1213,  1220,  1224,  1231,  1240,  1244,
    1248,  1252,  1256,  1260,  1264,  1268,  1272,  1276,  1280,  1284,
    1288,  1294,  1300,  1304,  1311,  1315,  1323,  1330,  1337,  1341,
    1348,  1357,  1361,  1365,  1369,  1373,  1377,  1381,  1385,  1391,
    1397,  1398,  1401,  1402,  1405,  1406,  1409,  1410,  1413,  1417,
    1421,  1429,  1433,  1437,  1441,  1445,  1449,  1453,  1460,  1464,
    1468,  1474,  1478,  1482,  1488,  1492,  1496,  1500,  1504,  1508,
    1512,  1516,  1520,  1527,  1531,  1535,  1541,  1545,  1549,  1556,
    1562,  1566,  1570,  1574,  1578,  1582,  1586,  1590,  1594,  1598,
    1602,  1606,  1610,  1614,  1618,  1622,  1626,  1630,  1634,  1638,
    1642,  1646,  1650,  1654,  1658,  1662,  1666,  1670,  1674,  1678,
    1682,  1686,  1690,  1694,  1700,  1706,  1710,  1720,  1724,  1728,
    1733,  1737,  1741,  1745,  1750,  1754,  1758,  1762,  1767,  1771,
    1776,  1780,  1784,  1788,  1794,  1798,  1802,  1806,  1810,  1814,
    1818,  1824,  1831,  1837,  1845,  1851,  1859,  1868,  1869,  1872,
    1873,  1874,  1875,  1876,  1877,  1878,  1879,  1882,  1883,  1886,
    1887,  1888,  1891,  1900,  1910,  1914,  1924,  1925,  1930,  1942,
    1943,  1944,  1945,  1946,  1957,  1967,  1978,  1988,  1999,  2010,
    2019,  2028,  2037,  2048,  2059,  2073,  2083,  2084,  2085,  2086,
    2087,  2088,  2089,  2094,  2103,  2113,  2114,  2115,  2122,  2143,
    2154,  2159,  2165,  2176,  2189,  2194,  2195,  2198,  2199,  2200,
    2201,  2211,  2216,  2221,  2226,  2232,  2241,  2246,  2247,  2258,
    2259,  2262,  2266,  2269,  2270,  2271,  2272,  2276,  2281,  2282,
    2285,  2286,  2287,  2288,  2289,  2292,  2293,  2296,  2297,  2300,
    2301,  2302,  2303,  2308,  2313,  2330,  2353,  2367,  2376,  2381,
    2387,  2392,  2401,  2404,  2408,  2414,  2415,  2419,  2424,  2425,
    2426,  2427,  2441,  2445,  2449,  2455,  2460,  2467,  2472,  2477,
    2480,  2489,  2498,  2505,  2518,  2525,  2526,  2538,  2543,  2544,
    2545,  2546,  2550,  2560,  2561,  2562,  2563,  2567,  2577,  2578,
    2579,  2580,  2584,  2595,  2600,  2601,  2602,  2606,  2616,  2617,
    2618,  2619,  2623,  2633,  2634,  2635,  2636,  2640,  2650,  2651,
    2652,  2653,  2657,  2667,  2668,  2669,  2670,  2674,  2684,  2685,
    2686,  2687,  2688,  2691,  2727,  2734,  2738,  2741,  2751,  2758,
    2769,  2782,  2797,  2798,  2801,  2812,  2818,  2822,  2825,  2831,
    2844,  2849,  2858,  2859,  2862,  2863,  2866,  2867,  2868,  2871,
    2887,  2888,  2891,  2892,  2895,  2896,  2897,  2898,  2899,  2900,
    2903,  2912,  2921,  2929,  2937,  2945,  2953,  2961,  2969,  2977,
    2985,  2993,  3001,  3009,  3017,  3025,  3033,  3041,  3045,  3050,
    3058,  3065,  3072,  3086,  3090,  3097,  3101,  3107,  3119,  3125,
    3132,  3138,  3145,  3153,  3161,  3169,  3177,  3184,  3192,  3193,
    3194,  3195,  3196,  3199,  3200,  3201,  3202,  3203,  3206,  3207,
    3208,  3209,  3210,  3211,  3212,  3213,  3214,  3215,  3216,  3217,
    3218,  3219,  3220,  3221,  3222,  3223,  3224,  3225,  3226,  3227,
    3228,  3231,  3242,  3243,  3246,  3255,  3259,  3265,  3271,  3276,
    3279,  3284,  3289,  3292,  3298,  3303,  3311,  3312,  3314,  3320,
    3324,  3327,  3332,  3339,  3343,  3347,  3355,  3356,  3359,  3365,
    3369,  3372,  3497,  3502,  3507,  3512,  3517,  3523,  3553,  3557,
    3561,  3565,  3569,  3575,  3579,  3582,  3586,  3592,  3606,  3617,
    3618,  3619,  3622,  3623,  3626,  3627,  3642,  3660,  3661,  3662,
    3665,  3666,  3669,  3676,  3677,  3680,  3694,  3701,  3702,  3717,
    3718,  3719,  3720,  3721,  3724,  3727,  3733,  3739,  3743,  3747,
    3754,  3761,  3768,  3775,  3781,  3787,  3793,  3796,  3797,  3800,
    3806,  3812,  3818,  3825,  3832,  3840,  3841,  3844,  3850,  3854,
    3857,  3862,  3867,  3871,  3877,  3893,  3912,  3918,  3919,  3925,
    3926,  3932,  3933,  3934,  3935,  3936,  3937,  3938,  3939,  3940,
    3941,  3942,  3943,  3944,  3947,  3948,  3952,  3958,  3959,  3965,
    3966,  3972,  3973,  3979,  3982,  3983,  3994,  3995,  3998,  4002,
    4005,  4011,  4017,  4018,  4021,  4022,  4023,  4026,  4030,  4034,
    4039,  4044,  4049,  4055,  4059,  4063,  4067,  4073,  4078,  4082,
    4090,  4099,  4100,  4103,  4106,  4110,  4115,  4121,  4122,  4125,
    4128,  4132,  4136,  4140,  4145,  4152,  4157,  4165,  4170,  4179,
    4180,  4186,  4187,  4188,  4191,  4192,  4196,  4200,  4206,  4207,
    4210,  4216,  4220,  4223,  4228,  4234,  4235,  4238,  4239,  4240,
    4246,  4247,  4248,  4249,  4252,  4253,  4259,  4260,  4263,  4264,
    4267,  4273,  4280,  4287,  4298,  4299,  4300,  4303,  4311,  4323,
    4330,  4333,  4339,  4343,  4346,  4352,  4361,  4372,  4378,  4404,
    4405,  4414,  4415,  4418,  4427,  4438,  4439,  4440,  4441,  4442,
    4443,  4444,  4445,  4446,  4447,  4448,  4449,  4450,  4451,  4452,
    4455,  4478,  4479,  4480,  4483,  4484,  4485,  4486,  4487,  4490,
    4494,  4497,  4501,  4508,  4511,  4527,  4528,  4532,  4538,  4539,
    4545,  4546,  4552,  4553,  4559,  4562,  4563,  4574,  4580,  4586,
    4587,  4590,  4596,  4597,  4598,  4601,  4608,  4613,  4618,  4621,
    4625,  4629,  4635,  4636,  4643,  4649,  4650,  4651,  4659,  4660,
    4663,  4669,  4675,  4679,  4682,  4686,  4690,  4700,  4704,  4707,
    4713,  4720,  4724,  4730,  4744,  4758,  4763,  4769,  4785,  4789,
    4797,  4801,  4805,  4815,  4818,  4819,  4822,  4823,  4824,  4825,
    4836,  4847,  4853,  4874,  4880,  4897,  4903,  4904,  4905,  4908,
    4909,  4910,  4913,  4914,  4917,  4940,  4946,  4952,  4959,  4972,
    4980,  4988,  4994,  4998,  5002,  5006,  5010,  5017,  5022,  5033,
    5047,  5053,  5057,  5061,  5065,  5069,  5073,  5077,  5081,  5087,
    5093,  5101,  5102,  5103,  5106,  5107,  5111,  5117,  5118,  5124,
    5125,  5131,  5132,  5138,  5141,  5142,  5143,  5152,  5163,  5164,
    5167,  5175,  5176,  5177,  5178,  5179,  5180,  5181,  5182,  5183,
    5184,  5185,  5186,  5187,  5188,  5191,  5192,  5193,  5194,  5195,
    5202,  5209,  5216,  5223,  5230,  5237,  5244,  5251,  5258,  5265,
    5272,  5279,  5286,  5289,  5290,  5291,  5292,  5293,  5294,  5295,
    5298,  5302,  5306,  5310,  5314,  5318,  5324,  5325,  5335,  5339,
    5343,  5359,  5360,  5363,  5364,  5365,  5366,  5367,  5370,  5371,
    5372,  5373,  5374,  5375,  5376,  5377,  5378,  5379,  5380,  5381,
    5382,  5383,  5384,  5385,  5386,  5387,  5388,  5389,  5390,  5391,
    5392,  5393,  5396,  5416,  5420,  5435,  5439,  5443,  5449,  5453,
    5459,  5460,  5461,  5464,  5465,  5468,  5469,  5472,  5478,  5479,
    5482,  5483,  5486,  5487,  5490,  5491,  5494,  5502,  5529,  5534,
    5539,  5545,  5546,  5549,  5553,  5573,  5574,  5575,  5576,  5579,
    5583,  5587,  5593,  5594,  5597,  5598,  5599,  5600,  5601,  5602,
    5603,  5604,  5605,  5606,  5607,  5608,  5609,  5610,  5611,  5612,
    5613,  5616,  5617,  5618,  5619,  5620,  5621,  5622,  5625,  5626,
    5627,  5628,  5631,  5632,  5633,  5634,  5637,  5638,  5641,  5647,
    5655,  5668,  5674,  5683,  5684,  5685,  5686,  5687,  5688,  5689,
    5690,  5691,  5692,  5693,  5694,  5695,  5696,  5697,  5698,  5699,
    5700,  5701,  5702,  5703,  5704,  5707,  5725,  5734,  5735,  5736,
    5737,  5750,  5756,  5757,  5758,  5761,  5767,  5768,  5769,  5770,
    5771,  5774,  5780,  5781,  5782,  5783,  5784,  5785,  5786,  5787,
    5788,  5791,  5795,  5803,  5810,  5811,  5812,  5813,  5814,  5815,
    5816,  5817,  5818,  5819,  5820,  5821,  5824,  5825,  5826,  5827,
    5830,  5831,  5832,  5833,  5834,  5837,  5843,  5844,  5845,  5846,
    5847,  5848,  5849,  5852,  5858,  5859,  5860,  5861,  5864,  5870,
    5871,  5872,  5873,  5874,  5875,  5876,  5877,  5878,  5880,  5886,
    5887,  5888,  5889,  5890,  5891,  5892,  5893,  5894,  5895,  5898,
    5904,  5905,  5906,  5907,  5908,  5911,  5917,  5918,  5921,  5927,
    5928,  5929,  5932,  5938,  5939,  5940,  5941,  5944,  5950,  5951,
    5952,  5953,  5956,  5960,  5965,  5973,  5980,  5981,  5982,  5983,
    5984,  5985,  5986,  5987,  5988,  5989,  5990,  5991,  5992,  5993,
    5996,  5997,  5998,  6001,  6002,  6005,  6013,  6021,  6022,  6025,
    6033,  6041,  6042,  6045,  6049,  6056,  6057,  6058,  6061,  6068,
    6075,  6076,  6077,  6078,  6079,  6080,  6081,  6082,  6083,  6084,
    6087,  6092,  6097,  6102,  6107,  6112,  6119,  6120,  6121,  6122,
    6123,  6126,  6127,  6128,  6129,  6130,  6131,  6132,  6133,  6134,
    6135,  6136,  6137,  6146,  6147,  6150,  6153,  6154,  6157,  6160,
    6163,  6167,  6178,  6179,  6180,  6183,  6184,  6185,  6186,  6187,
    6188,  6189,  6190,  6191,  6192,  6193,  6194,  6195,  6196,  6197,
    6198,  6199,  6200,  6203,  6204,  6205,  6208,  6209,  6210,  6211,
    6214,  6215,  6216,  6217,  6218,  6221,  6222,  6223,  6224,  6227,
    6232,  6236,  6240,  6244,  6248,  6252,  6257,  6262,  6267,  6272,
    6277,  6284,  6288,  6294,  6295,  6296,  6297,  6300,  6308,  6309,
    6312,  6313,  6314,  6315,  6316,  6317,  6318,  6319,  6322,  6328,
    6329,  6332,  6338,  6339,  6340,  6341,  6344,  6350,  6356,  6362,
    6365,  6371,  6372,  6373,  6374,  6380,  6386,  6387,  6388,  6389,
    6390,  6391,  6394,  6400,  6401,  6404,  6410,  6411,  6412,  6413,
    6414,  6417,  6431,  6432,  6433,  6434,  6435
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "\"junk\"",
  "\"newline\"", "\"colon\"", "\"semicolon\"", "\"comma\"", "\".\"",
  "\"==\"", "\"!=\"", "\"<\"", "\">\"", "\">=\"", "\"<=\"", "\"<<\"",
  "\">>\"", "\"&\"", "\"^\"", "\"!\"", "\"/\"", "\"*\"", "\"-\"", "\"@\"",
  "\"vmap\"", "\"+\"", "\"include\"", "\"define\"", "\"redefine\"",
  "\"undefine\"", "\"fib\"", "\"socket\"", "\"transparent\"",
  "\"wildcard\"", "\"cgroupv2\"", "\"tproxy\"", "\"osf\"", "\"synproxy\"",
  "\"mss\"", "\"wscale\"", "\"typeof\"", "\"hook\"", "\"hooks\"",
  "\"device\"", "\"devices\"", "\"table\"", "\"tables\"", "\"chain\"",
  "\"chains\"", "\"rule\"", "\"rules\"", "\"sets\"", "\"set\"",
  "\"element\"", "\"map\"", "\"maps\"", "\"flowtable\"", "\"handle\"",
  "\"ruleset\"", "\"trace\"", "\"inet\"", "\"netdev\"", "\"add\"",
  "\"update\"", "\"replace\"", "\"create\"", "\"insert\"", "\"delete\"",
  "\"get\"", "\"list\"", "\"reset\"", "\"flush\"", "\"rename\"",
  "\"describe\"", "\"import\"", "\"export\"", "\"destroy\"", "\"monitor\"",
  "\"all\"", "\"accept\"", "\"drop\"", "\"continue\"", "\"jump\"",
  "\"goto\"", "\"return\"", "\"to\"", "\"constant\"", "\"interval\"",
  "\"dynamic\"", "\"auto-merge\"", "\"timeout\"", "\"gc-interval\"",
  "\"elements\"", "\"expires\"", "\"policy\"", "\"memory\"",
  "\"performance\"", "\"size\"", "\"flow\"", "\"offload\"", "\"meter\"",
  "\"meters\"", "\"flowtables\"", "\"number\"", "\"string\"",
  "\"quoted string\"", "\"string with a trailing asterisk\"", "\"ll\"",
  "\"nh\"", "\"th\"", "\"bridge\"", "\"ether\"", "\"saddr\"", "\"daddr\"",
  "\"type\"", "\"vlan\"", "\"id\"", "\"cfi\"", "\"dei\"", "\"pcp\"",
  "\"arp\"", "\"htype\"", "\"ptype\"", "\"hlen\"", "\"plen\"",
  "\"operation\"", "\"ip\"", "\"version\"", "\"hdrlength\"", "\"dscp\"",
  "\"ecn\"", "\"length\"", "\"frag-off\"", "\"ttl\"", "\"protocol\"",
  "\"checksum\"", "\"ptr\"", "\"value\"", "\"lsrr\"", "\"rr\"", "\"ssrr\"",
  "\"ra\"", "\"icmp\"", "\"code\"", "\"seq\"", "\"gateway\"", "\"mtu\"",
  "\"igmp\"", "\"mrt\"", "\"options\"", "\"ip6\"", "\"priority\"",
  "\"flowlabel\"", "\"nexthdr\"", "\"hoplimit\"", "\"icmpv6\"",
  "\"param-problem\"", "\"max-delay\"", "\"taddr\"", "\"ah\"",
  "\"reserved\"", "\"spi\"", "\"esp\"", "\"comp\"", "\"flags\"", "\"cpi\"",
  "\"port\"", "\"udp\"", "\"sport\"", "\"dport\"", "\"udplite\"",
  "\"csumcov\"", "\"tcp\"", "\"ackseq\"", "\"doff\"", "\"window\"",
  "\"urgptr\"", "\"option\"", "\"echo\"", "\"eol\"", "\"mptcp\"",
  "\"nop\"", "\"sack\"", "\"sack0\"", "\"sack1\"", "\"sack2\"",
  "\"sack3\"", "\"sack-permitted\"", "\"fastopen\"", "\"md5sig\"",
  "\"timestamp\"", "\"count\"", "\"left\"", "\"right\"", "\"tsval\"",
  "\"tsecr\"", "\"subtype\"", "\"dccp\"", "\"vxlan\"", "\"vni\"",
  "\"gre\"", "\"gretap\"", "\"geneve\"", "\"sctp\"", "\"chunk\"",
  "\"data\"", "\"init\"", "\"init-ack\"", "\"heartbeat\"",
  "\"heartbeat-ack\"", "\"abort\"", "\"shutdown\"", "\"shutdown-ack\"",
  "\"error\"", "\"cookie-echo\"", "\"cookie-ack\"", "\"ecne\"", "\"cwr\"",
  "\"shutdown-complete\"", "\"asconf-ack\"", "\"forward-tsn\"",
  "\"asconf\"", "\"tsn\"", "\"stream\"", "\"ssn\"", "\"ppid\"",
  "\"init-tag\"", "\"a-rwnd\"", "\"num-outbound-streams\"",
  "\"num-inbound-streams\"", "\"initial-tsn\"", "\"cum-tsn-ack\"",
  "\"num-gap-ack-blocks\"", "\"num-dup-tsns\"", "\"lowest-tsn\"",
  "\"seqno\"", "\"new-cum-tsn\"", "\"vtag\"", "\"rt\"", "\"rt0\"",
  "\"rt2\"", "\"srh\"", "\"seg-left\"", "\"addr\"", "\"last-entry\"",
  "\"tag\"", "\"sid\"", "\"hbh\"", "\"frag\"", "\"reserved2\"",
  "\"more-fragments\"", "\"dst\"", "\"mh\"", "\"meta\"", "\"mark\"",
  "\"iif\"", "\"iifname\"", "\"iiftype\"", "\"oif\"", "\"oifname\"",
  "\"oiftype\"", "\"skuid\"", "\"skgid\"", "\"nftrace\"", "\"rtclassid\"",
  "\"ibriport\"", "\"obriport\"", "\"ibrname\"", "\"obrname\"",
  "\"pkttype\"", "\"cpu\"", "\"iifgroup\"", "\"oifgroup\"", "\"cgroup\"",
  "\"time\"", "\"classid\"", "\"nexthop\"", "\"ct\"", "\"l3proto\"",
  "\"proto-src\"", "\"proto-dst\"", "\"zone\"", "\"direction\"",
  "\"event\"", "\"expectation\"", "\"expiration\"", "\"helper\"",
  "\"label\"", "\"state\"", "\"status\"", "\"original\"", "\"reply\"",
  "\"counter\"", "\"name\"", "\"packets\"", "\"bytes\"", "\"avgpkt\"",
  "\"last\"", "\"never\"", "\"counters\"", "\"quotas\"", "\"limits\"",
  "\"synproxys\"", "\"helpers\"", "\"log\"", "\"prefix\"", "\"group\"",
  "\"snaplen\"", "\"queue-threshold\"", "\"level\"", "\"limit\"",
  "\"rate\"", "\"burst\"", "\"over\"", "\"until\"", "\"quota\"",
  "\"used\"", "\"secmark\"", "\"secmarks\"", "\"second\"", "\"minute\"",
  "\"hour\"", "\"day\"", "\"week\"", "\"reject\"", "\"with\"", "\"icmpx\"",
  "\"snat\"", "\"dnat\"", "\"masquerade\"", "\"redirect\"", "\"random\"",
  "\"fully-random\"", "\"persistent\"", "\"queue\"", "\"num\"",
  "\"bypass\"", "\"fanout\"", "\"dup\"", "\"fwd\"", "\"numgen\"",
  "\"inc\"", "\"mod\"", "\"offset\"", "\"jhash\"", "\"symhash\"",
  "\"seed\"", "\"position\"", "\"index\"", "\"comment\"", "\"xml\"",
  "\"json\"", "\"vm\"", "\"notrack\"", "\"exists\"", "\"missing\"",
  "\"exthdr\"", "\"ipsec\"", "\"reqid\"", "\"spnum\"", "\"in\"", "\"out\"",
  "\"xt\"", "'='", "'{'", "'}'", "'('", "')'", "'|'", "'$'", "'['", "']'",
  "$accept", "input", "stmt_separator", "opt_newline", "close_scope_ah",
  "close_scope_arp", "close_scope_at", "close_scope_comp",
  "close_scope_ct", "close_scope_counter", "close_scope_last",
  "close_scope_dccp", "close_scope_destroy", "close_scope_dst",
  "close_scope_dup", "close_scope_esp", "close_scope_eth",
  "close_scope_export", "close_scope_fib", "close_scope_frag",
  "close_scope_fwd", "close_scope_gre", "close_scope_hash",
  "close_scope_hbh", "close_scope_ip", "close_scope_ip6",
  "close_scope_vlan", "close_scope_icmp", "close_scope_igmp",
  "close_scope_import", "close_scope_ipsec", "close_scope_list",
  "close_scope_limit", "close_scope_meta", "close_scope_mh",
  "close_scope_monitor", "close_scope_nat", "close_scope_numgen",
  "close_scope_osf", "close_scope_policy", "close_scope_quota",
  "close_scope_queue", "close_scope_reject", "close_scope_reset",
  "close_scope_rt", "close_scope_sctp", "close_scope_sctp_chunk",
  "close_scope_secmark", "close_scope_socket", "close_scope_tcp",
  "close_scope_tproxy", "close_scope_type", "close_scope_th",
  "close_scope_udp", "close_scope_udplite", "close_scope_log",
  "close_scope_synproxy", "close_scope_xt", "common_block", "line",
  "base_cmd", "add_cmd", "replace_cmd", "create_cmd", "insert_cmd",
  "table_or_id_spec", "chain_or_id_spec", "set_or_id_spec",
  "obj_or_id_spec", "delete_cmd", "destroy_cmd", "get_cmd", "list_cmd",
  "basehook_device_name", "basehook_spec", "reset_cmd", "flush_cmd",
  "rename_cmd", "import_cmd", "export_cmd", "monitor_cmd", "monitor_event",
  "monitor_object", "monitor_format", "markup_format", "describe_cmd",
  "table_block_alloc", "table_options", "table_flags", "table_flag",
  "table_block", "chain_block_alloc", "chain_block", "subchain_block",
  "typeof_verdict_expr", "typeof_data_expr", "typeof_expr",
  "set_block_alloc", "typeof_key_expr", "set_block", "set_block_expr",
  "set_flag_list", "set_flag", "map_block_alloc", "ct_obj_type_map",
  "map_block_obj_type", "map_block_obj_typeof", "map_block_data_interval",
  "map_block", "set_mechanism", "set_policy_spec", "flowtable_block_alloc",
  "flowtable_block", "flowtable_expr", "flowtable_list_expr",
  "flowtable_expr_member", "data_type_atom_expr", "data_type_expr",
  "obj_block_alloc", "counter_block", "quota_block", "ct_helper_block",
  "ct_timeout_block", "ct_expect_block", "limit_block", "secmark_block",
  "synproxy_block", "type_identifier", "hook_spec", "prio_spec",
  "extended_prio_name", "extended_prio_spec", "int_num", "dev_spec",
  "flags_spec", "policy_spec", "policy_expr", "chain_policy", "identifier",
  "string", "time_spec", "time_spec_or_num_s", "family_spec",
  "family_spec_explicit", "table_spec", "tableid_spec", "chain_spec",
  "chainid_spec", "chain_identifier", "set_spec", "setid_spec",
  "set_identifier", "flowtable_spec", "flowtableid_spec",
  "flowtable_identifier", "obj_spec", "objid_spec", "obj_identifier",
  "handle_spec", "position_spec", "index_spec", "rule_position",
  "ruleid_spec", "comment_spec", "ruleset_spec", "rule", "rule_alloc",
  "stmt_list", "stateful_stmt_list", "objref_stmt_counter",
  "objref_stmt_limit", "objref_stmt_quota", "objref_stmt_synproxy",
  "objref_stmt_ct", "objref_stmt", "stateful_stmt", "stmt", "xt_stmt",
  "chain_stmt_type", "chain_stmt", "verdict_stmt", "verdict_map_stmt",
  "verdict_map_expr", "verdict_map_list_expr",
  "verdict_map_list_member_expr", "connlimit_stmt", "counter_stmt",
  "counter_stmt_alloc", "counter_args", "counter_arg", "last_stmt",
  "log_stmt", "log_stmt_alloc", "log_args", "log_arg", "level_type",
  "log_flags", "log_flags_tcp", "log_flag_tcp", "limit_stmt", "quota_mode",
  "quota_unit", "quota_used", "quota_stmt", "limit_mode",
  "limit_burst_pkts", "limit_rate_pkts", "limit_burst_bytes",
  "limit_rate_bytes", "limit_bytes", "time_unit", "reject_stmt",
  "reject_stmt_alloc", "reject_with_expr", "reject_opts", "nat_stmt",
  "nat_stmt_alloc", "tproxy_stmt", "synproxy_stmt", "synproxy_stmt_alloc",
  "synproxy_args", "synproxy_arg", "synproxy_config", "synproxy_obj",
  "synproxy_ts", "synproxy_sack", "primary_stmt_expr", "shift_stmt_expr",
  "and_stmt_expr", "exclusive_or_stmt_expr", "inclusive_or_stmt_expr",
  "basic_stmt_expr", "concat_stmt_expr", "map_stmt_expr_set",
  "map_stmt_expr", "prefix_stmt_expr", "range_stmt_expr",
  "multiton_stmt_expr", "stmt_expr", "nat_stmt_args", "masq_stmt",
  "masq_stmt_alloc", "masq_stmt_args", "redir_stmt", "redir_stmt_alloc",
  "redir_stmt_arg", "dup_stmt", "fwd_stmt", "nf_nat_flags", "nf_nat_flag",
  "queue_stmt", "queue_stmt_compat", "queue_stmt_alloc", "queue_stmt_args",
  "queue_stmt_arg", "queue_expr", "queue_stmt_expr_simple",
  "queue_stmt_expr", "queue_stmt_flags", "queue_stmt_flag",
  "set_elem_expr_stmt", "set_elem_expr_stmt_alloc", "set_stmt",
  "set_stmt_op", "map_stmt", "meter_stmt", "flow_stmt_legacy_alloc",
  "flow_stmt_opts", "flow_stmt_opt", "meter_stmt_alloc", "match_stmt",
  "variable_expr", "symbol_expr", "set_ref_expr", "set_ref_symbol_expr",
  "integer_expr", "primary_expr", "fib_expr", "fib_result", "fib_flag",
  "fib_tuple", "osf_expr", "osf_ttl", "shift_expr", "and_expr",
  "exclusive_or_expr", "inclusive_or_expr", "basic_expr", "concat_expr",
  "prefix_rhs_expr", "range_rhs_expr", "multiton_rhs_expr", "map_expr",
  "expr", "set_expr", "set_list_expr", "set_list_member_expr",
  "meter_key_expr", "meter_key_expr_alloc", "set_elem_expr",
  "set_elem_key_expr", "set_elem_expr_alloc", "set_elem_options",
  "set_elem_option", "set_elem_expr_options", "set_elem_stmt_list",
  "set_elem_stmt", "set_elem_expr_option", "set_lhs_expr", "set_rhs_expr",
  "initializer_expr", "counter_config", "counter_obj", "quota_config",
  "quota_obj", "secmark_config", "secmark_obj", "ct_obj_type",
  "ct_cmd_type", "ct_l4protoname", "ct_helper_config", "timeout_states",
  "timeout_state", "ct_timeout_config", "ct_expect_config", "ct_obj_alloc",
  "limit_config", "limit_obj", "relational_expr", "list_rhs_expr",
  "rhs_expr", "shift_rhs_expr", "and_rhs_expr", "exclusive_or_rhs_expr",
  "inclusive_or_rhs_expr", "basic_rhs_expr", "concat_rhs_expr",
  "boolean_keys", "boolean_expr", "keyword_expr", "primary_rhs_expr",
  "relational_op", "verdict_expr", "chain_expr", "meta_expr", "meta_key",
  "meta_key_qualified", "meta_key_unqualified", "meta_stmt", "socket_expr",
  "socket_key", "offset_opt", "numgen_type", "numgen_expr", "xfrm_spnum",
  "xfrm_dir", "xfrm_state_key", "xfrm_state_proto_key", "xfrm_expr",
  "hash_expr", "nf_key_proto", "rt_expr", "rt_key", "ct_expr", "ct_dir",
  "ct_key", "ct_key_dir", "ct_key_proto_field", "ct_key_dir_optional",
  "symbol_stmt_expr", "list_stmt_expr", "ct_stmt", "payload_stmt",
  "payload_expr", "payload_raw_len", "payload_raw_expr",
  "payload_base_spec", "eth_hdr_expr", "eth_hdr_field", "vlan_hdr_expr",
  "vlan_hdr_field", "arp_hdr_expr", "arp_hdr_field", "ip_hdr_expr",
  "ip_hdr_field", "ip_option_type", "ip_option_field", "icmp_hdr_expr",
  "icmp_hdr_field", "igmp_hdr_expr", "igmp_hdr_field", "ip6_hdr_expr",
  "ip6_hdr_field", "icmp6_hdr_expr", "icmp6_hdr_field", "auth_hdr_expr",
  "auth_hdr_field", "esp_hdr_expr", "esp_hdr_field", "comp_hdr_expr",
  "comp_hdr_field", "udp_hdr_expr", "udp_hdr_field", "udplite_hdr_expr",
  "udplite_hdr_field", "tcp_hdr_expr", "inner_inet_expr", "inner_eth_expr",
  "inner_expr", "vxlan_hdr_expr", "vxlan_hdr_field", "geneve_hdr_expr",
  "geneve_hdr_field", "gre_hdr_expr", "gre_hdr_field", "gretap_hdr_expr",
  "optstrip_stmt", "tcp_hdr_field", "tcp_hdr_option_kind_and_field",
  "tcp_hdr_option_sack", "tcp_hdr_option_type", "tcpopt_field_sack",
  "tcpopt_field_window", "tcpopt_field_tsopt", "tcpopt_field_maxseg",
  "tcpopt_field_mptcp", "dccp_hdr_expr", "dccp_hdr_field",
  "sctp_chunk_type", "sctp_chunk_common_field", "sctp_chunk_data_field",
  "sctp_chunk_init_field", "sctp_chunk_sack_field", "sctp_chunk_alloc",
  "sctp_hdr_expr", "sctp_hdr_field", "th_hdr_expr", "th_hdr_field",
  "exthdr_expr", "hbh_hdr_expr", "hbh_hdr_field", "rt_hdr_expr",
  "rt_hdr_field", "rt0_hdr_expr", "rt0_hdr_field", "rt2_hdr_expr",
  "rt2_hdr_field", "rt4_hdr_expr", "rt4_hdr_field", "frag_hdr_expr",
  "frag_hdr_field", "dst_hdr_expr", "dst_hdr_field", "mh_hdr_expr",
  "mh_hdr_field", "exthdr_exists_expr", "exthdr_key", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-1844)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1068)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -1844,  8384, -1844,   976, -1844, -1844,   157,   154,   154,   154,
    1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130, -1844, -1844,
    4545,   238,  3365,   261,  3067,   270,  7263,  1058,  2036,   334,
    8000,   226,   248,  3287,   314, -1844, -1844, -1844, -1844,   555,
    1130,  1130,  1130,  1130, -1844, -1844, -1844,  1038, -1844,   154,
   -1844,   154,   127,  7085, -1844,   976, -1844, -1844,    34,    62,
     976,   154, -1844,    96,   250,  7085,   154, -1844,   -50, -1844,
     154, -1844, -1844,  1130, -1844,  1130,  1130,  1130,  1130,  1130,
    1130,  1130,   669,  1130,  1130,  1130,  1130, -1844,  1130, -1844,
    1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,   706,  1130,
    1130,  1130,  1130, -1844,  1130, -1844,  1130,  1130,  1130,  1130,
    1130,  1130,  1630,  1130,  1130,  1130,  1130,  1130,   792,  1130,
    1130,  1130,   380,  1130,  1639,  1885,  2000,  2451,  1130,  1130,
    1130,  2656, -1844,  1130,  1135,  1130,  1130,  1130,  1130,  1028,
    1499,  1130, -1844,  1130,  1130,  1130,  1130,  1130,   397,  1130,
   -1844,  1130, -1844,  1240,   861,   659,   417, -1844, -1844, -1844,
   -1844,   867,  1197,  1303,  1854,  2686,  2080,   650,  1535,  1588,
    1254,   565,  1070,   945,   965,  3332,   798,  3101,   796, -1844,
    3732,   658,  1193,   382,   431,   114,   276,  1356,   514,  1192,
    5114, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844,  5326, -1844, -1844,   460,  7824,   336,   990,   770,
    8000,   154, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844,  1107, -1844, -1844,   343, -1844, -1844,  1107, -1844, -1844,
    1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,   706,  1130,
    1130,  1130,  1130, -1844, -1844, -1844,  2063, -1844, -1844, -1844,
    1130,  1130,  1130,    -2, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844,   649,   655,   675, -1844, -1844, -1844,   215,   522,   955,
   -1844, -1844, -1844,   628, -1844, -1844, -1844,    81,    81, -1844,
     293,   154,  8663,  5537,   526,   490, -1844,   449,   614, -1844,
   -1844, -1844, -1844, -1844,   171,   764,   729, -1844,   813,   873,
   -1844,   547,  7085, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,   987, -1844,
   -1844,   913, -1844, -1844, -1844,   601, -1844,  5428, -1844, -1844,
     744, -1844,   402, -1844,   543, -1844, -1844, -1844, -1844,  1043,
   -1844,   148, -1844, -1844,   887, -1844, -1844, -1844,  1279,   922,
     932,   597, -1844,   870, -1844,  6473, -1844, -1844, -1844,   935,
   -1844, -1844, -1844,   942, -1844, -1844,  6854,  6854, -1844, -1844,
     140,   635,   648, -1844, -1844,   657, -1844, -1844, -1844,   662,
   -1844,   666,  1004,  7085, -1844,    96,   250, -1844,   -50, -1844,
   -1844,  1130,  1130,  1130,   780, -1844, -1844, -1844,  7085, -1844,
     309, -1844, -1844, -1844,   323, -1844, -1844, -1844,   339,   250,
   -1844, -1844, -1844,   378, -1844, -1844,   -50, -1844,   507,   700,
   -1844, -1844, -1844, -1844,  1130, -1844, -1844, -1844, -1844,   -50,
   -1844, -1844, -1844,  1036, -1844, -1844, -1844, -1844,  1130, -1844,
   -1844, -1844, -1844, -1844, -1844,  1130,  1130, -1844, -1844, -1844,
    1064,  1076, -1844,  1130,  1078, -1844,  1130, -1844,  1130, -1844,
    1130, -1844,  1130, -1844, -1844, -1844, -1844,  1130, -1844, -1844,
   -1844,  1130,  1130,   297,   154, -1844, -1844, -1844,   -50, -1844,
   -1844,  1130, -1844, -1844,  1130, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844,  1130, -1844,   154, -1844, -1844, -1844,
   -1844,  1080, -1844, -1844, -1844, -1844, -1844,  1118,   711, -1844,
   -1844,   831, -1844, -1844,  1046,   115, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,   508,
     661, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,  1231,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,  3580, -1844,
   -1844, -1844, -1844,  1049, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844,  2094, -1844,  4085, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844,  4467, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844,   204, -1844, -1844,   788, -1844, -1844,
   -1844, -1844, -1844, -1844,   791, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844,  1548, -1844, -1844,
   -1844, -1844,   821,   275,   824,  1066, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844,   814,   812, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
     -50, -1844,   700, -1844,  1130, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,  1107, -1844,
   -1844, -1844, -1844,    10,   -25,   441,   228, -1844, -1844, -1844,
    5637,  1103,  7615,  8000,  1020, -1844, -1844, -1844, -1844,  1203,
    1210,   155,  1191,  1202,  1212,    78,  1227,  1548,  1232,  7615,
     193,  7615,   984,  7615, -1844, -1844,  1146,  8000,  1000,  7615,
    7615,  1201,  1396, -1844,  6574,   162, -1844,  1396, -1844, -1844,
   -1844,   937, -1844,  1221,  1225,   987, -1844, -1844, -1844,   773,
    1396,  1248,  1250,  1256,  1396,   913, -1844, -1844,   540, -1844,
   -1844,  7615, -1844, -1844,  5846,  1230,  1197,  1303,  1854,  2686,
   -1844,  1535,   790, -1844, -1844, -1844, -1844,  1245, -1844, -1844,
   -1844, -1844,  7615, -1844,  1389,  1317,  1348,  1015,  1032,   335,
   -1844, -1844, -1844, -1844,  1380,  1214,  1384, -1844, -1844, -1844,
   -1844,  1387, -1844, -1844, -1844, -1844,   566, -1844, -1844,  1390,
    1393, -1844, -1844, -1844,  1305,  1321, -1844, -1844,   744, -1844,
   -1844,  1424, -1844, -1844, -1844, -1844,  1426, -1844, -1844,  6055,
   -1844,  1426, -1844, -1844, -1844,   146, -1844, -1844,  1043, -1844,
    1429, -1844,   154, -1844,  1067, -1844,   154,   137, -1844,  8516,
    8516,  8516,  8516,  8516,  8000,   180,  8205, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844,  8516, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
     296, -1844,  1397,  1450,  1444,  1105,   865,  1463, -1844, -1844,
   -1844,  8205,  7615,  7615,  1372,   151,   976,  1489, -1844,  1079,
     976,  1395, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844,  1449,  1139,  1143,  1148, -1844,  1159,  1164, -1844, -1844,
   -1844, -1844,  1236,  1229,  1176,  1396, -1844, -1844,  1440,  1446,
    1458,  1168,  1466, -1844,  1476,  1222, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844,  1485, -1844, -1844, -1844, -1844, -1844,  1130,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,  1491,
     861, -1844, -1844, -1844, -1844,  1494, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844,   910, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,  1495,
   -1844,  1413, -1844, -1844,  1415, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844,  1249, -1844,  1322,  1484, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844,   975,  1216,  1291,  1291, -1844,
   -1844, -1844,  1385, -1844, -1844, -1844, -1844,  1383,  1386, -1844,
    1388,  1392,  1391,   262, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844,  1519, -1844, -1844,  1521, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,  1439,
   -1844,  1445, -1844, -1844, -1844, -1844, -1844, -1844, -1844,  1527,
    1530,  1294, -1844, -1844, -1844, -1844, -1844,  1536,   269, -1844,
   -1844, -1844,  1274, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
    1276,  1280,  1281,  1540, -1844, -1844,   984, -1844, -1844, -1844,
    1543, -1844, -1844, -1844, -1844,  7615,  2686,  1535,  1645,  6264,
   -1844,   148,   259,  1644,  2447,  1396,  1396,  1550,  8000,  7615,
    7615,  7615, -1844,  1551,  7615,  1606,  7615, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844,  1560, -1844,   139,  1637, -1844, -1844,
     218,   525,   275, -1844,   492,   537,   170,  1625, -1844,  7615,
   -1844, -1844,   873,  1563,   847,   280, -1844,  1062,  1463,   873,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,  1522,   703,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,   954,
    1163, -1844,  1185, -1844, -1844, -1844,  7615,  1672,  7615, -1844,
   -1844, -1844,   686,   692, -1844,  7615, -1844, -1844,  1314, -1844,
   -1844,  7615,  7615,  7615,  7615,  7615,  1583,  7615,  7615,   201,
    7615,  1426,  7615,  1611,  1689,  1618,  6691,  6691, -1844, -1844,
   -1844,  7615,  1214,  7615,  1214, -1844,  1686,  1704, -1844,  1000,
   -1844,  8000, -1844,  8000, -1844, -1844, -1844,  1397,  1450,  1444,
   -1844,   873, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,  1361,
    8516,  8516,  8516,  8516,  8516,  8516,  8516,  8516,  8705,  8516,
    8516,   721, -1844,  1121, -1844, -1844, -1844, -1844, -1844,  1626,
   -1844,   859,   253, -1844,  2833,  3750,  2435,  3611,  1264, -1844,
   -1844, -1844, -1844, -1844, -1844,  1374,  1377,  1379, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844,  1740, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844,  2447, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844,  1399,  1400, -1844, -1844, -1844,
   -1844, -1844, -1844,  1294,    68,  1655, -1844, -1844, -1844, -1844,
   -1844,  1459, -1844, -1844, -1844, -1844, -1844,  1453,   467, -1844,
    1560,  1188, -1844,  1507,   139, -1844,   816, -1844, -1844,  7615,
    7615,  1756, -1844, -1844,  1660,  1660, -1844,   259, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844,  1402,  1644,  7085,
     259, -1844, -1844, -1844, -1844, -1844, -1844,  7615, -1844, -1844,
   -1844,   195,  1455,  1464,  1757, -1844, -1844, -1844,  1462,   146,
   -1844,  8000,   146,  7615,  1738, -1844,  8435, -1844,  1594,  1501,
    1490,  1497,  1176,   847, -1844,  1660,  1660, -1844,   718, -1844,
    6574, -1844,  5152, -1844, -1844, -1844, -1844,  1798, -1844, -1844,
    1480, -1844, -1844,  1480, -1844,  1744,  1480, -1844, -1844,  7615,
   -1844, -1844, -1844, -1844, -1844,  1389,  1317,  1348, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844,  1811,  7615,  1651,  7615, -1844,
   -1844, -1844, -1844,  1214, -1844,  1214,  1426, -1844, -1844,   459,
    7085,  6748,   183, -1844, -1844, -1844,  1489,  1812, -1844, -1844,
    1397,  1450,  1444, -1844,   513,  1489, -1844, -1844,  1062,  8516,
    8705, -1844,  1715,  1784, -1844, -1844, -1844, -1844, -1844,   154,
     154,   154,   154,   154,  1720,   745,   154,   154,   154,   154,
   -1844, -1844, -1844,   976, -1844,  1468,   189, -1844,  1733, -1844,
   -1844, -1844,   976,   976,   976,   976,   976,  8000, -1844,  1660,
    1660,  1470,  1479,  1737,  1042,  1172,  1650, -1844,  1525,  1176,
   -1844, -1844, -1844,   976,   976,   976,   452, -1844,  8000,  1660,
    1660,  1482,  1042,  1172, -1844, -1844, -1844,   976,   976,   452,
    1742,  1486,  1748, -1844, -1844, -1844, -1844, -1844,  2980,  4104,
    2880,  4292,  1666, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
    4461,  1856, -1844, -1844,  1750, -1844, -1844, -1844,  1847, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,  1752, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844,  1927, -1844,  2425,   882,
    2655,  1755, -1844, -1844, -1844, -1844, -1844,  1455,  1464, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,  1462,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844,  7615, -1844, -1844,
   -1844, -1844, -1844, -1844,  8000,  1502,   259, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844,  1471,  1839, -1844,  1760, -1844,  1761,
   -1844,  1471,  1763, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
    7615,    81,    81,   873,  1463, -1844,   173,  1766, -1844,   303,
     984,  1767, -1844, -1844, -1844,   847, -1844, -1844, -1844,   976,
   -1844,   703, -1844, -1844, -1844, -1844, -1844, -1844,  7615, -1844,
    1788, -1844,  1426,  1426,  8000, -1844,   471,  1510,  1871,   873,
   -1844,  1489,  1489,  1687,  1775, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844,  1873, -1844,   154,   154,
     154, -1844, -1844, -1844, -1844, -1844,   495, -1844, -1844, -1844,
   -1844, -1844,  1783, -1844, -1844, -1844, -1844, -1844, -1844,  1880,
   -1844,   976,   976,   -50, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844,  1881, -1844, -1844, -1844, -1844,
   -1844,  1223, -1844, -1844, -1844, -1844, -1844, -1844,   896,   976,
     976,   -50,   995,  1223, -1844, -1844, -1844,  1739,   495,   976,
   -1844, -1844, -1844, -1844, -1844, -1844,  2442,  1077,  3133, -1844,
   -1844, -1844, -1844,  1789, -1844,  1294, -1844, -1844, -1844,  1528,
     775,  1130, -1844, -1844, -1844, -1844, -1844,  1660,  1790,   775,
    1791,  1130, -1844, -1844, -1844, -1844, -1844,  1793,  1130, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844,  7085, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844,  1601, -1844,   149, -1844, -1844, -1844,   139, -1844,
   -1844, -1844, -1844, -1844, -1844,  1808,  1607, -1844, -1844,  1560,
     139, -1844, -1844, -1844, -1844, -1844, -1844, -1844,  7615,  1549,
    8000, -1844, -1844,  1401,  6748, -1844, -1844,  1726,   976,  1555,
    1557,  1559,  1561,  1562,  1720, -1844, -1844, -1844,  1570,  1572,
    1573,  1576,   134,   976, -1844, -1844,  1874,  8000, -1844, -1844,
   -1844, -1844,  1042, -1844,  1172, -1844,  7356, -1844, -1844, -1844,
     710, -1844,   205,   976,   976, -1844, -1844, -1844, -1844, -1844,
    1920, -1844,  1577, -1844, -1844,   976,   976, -1844,   976,   976,
     976,   976,   976, -1844,  1809,   976, -1844,  1582, -1844, -1844,
   -1844, -1844, -1844,  1846, -1844, -1844,  1455,  1464,  1462, -1844,
   -1844, -1844, -1844,  1592,   873, -1844, -1844,  1687, -1844, -1844,
   -1844, -1844, -1844, -1844,  1578,  1595,  1596, -1844, -1844, -1844,
   -1844, -1844, -1844,   186, -1844, -1844, -1844,  1858, -1844, -1844,
   -1844, -1844,  8000,  5746, -1844, -1844, -1844, -1844, -1844,   976,
    1956, -1844,   976,  1961, -1844,   976,  1042,  1867, -1844, -1844,
   -1844,  1023, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
    1750, -1844,  1870, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844,   775, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844,  1726,  2394,  4815,  3041,  4932,  2489, -1844, -1844,
   -1844,  2583,  2865,  2040,  2134,   143, -1844,  1556, -1844,  1880,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,  8000, -1844,
   -1844,  1090, -1844,  1879,  1882, -1844,  1978,   192, -1844,   976,
   -1844, -1844, -1844, -1844, -1844,   976,   976,   976,   976,   976,
    2663,  2101,  3205,   976,   976,   976,   976, -1844, -1844,   575,
    1621,  1739, -1844,  1982, -1844, -1844, -1844, -1844,  1498,  1870,
     976, -1844, -1844, -1844, -1844, -1844, -1844,   976,   976,   976,
   -1844, -1844, -1844, -1844, -1844, -1844,   495, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       2,     0,     1,     0,     4,     5,     0,     0,     0,     0,
     442,   442,   442,   442,   442,   442,   442,   442,   446,   449,
     442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   448,     9,    28,    29,     0,
     442,   442,   442,   442,    68,    67,     3,     0,    71,     0,
     443,     0,   467,     0,    66,     0,   434,   435,     0,     0,
       0,     0,   626,    87,    89,     0,     0,   294,     0,   317,
       0,   347,    72,   442,    73,   442,   442,   442,   442,   442,
     442,   442,     0,   442,   442,   442,   442,    74,   442,    75,
     442,   442,   442,   442,   442,   442,   442,   442,     0,   442,
     442,   442,   442,    76,   442,    77,   442,   473,   442,   473,
     442,   473,   473,   442,   442,   473,   442,   473,     0,   442,
     473,   473,     0,   442,   473,   473,   473,   473,   442,   442,
     442,   473,    35,   442,   473,   442,   442,   442,   442,   473,
     473,   442,    47,   442,   442,   442,   442,   473,     0,   442,
      80,   442,    81,     0,     0,     0,   783,   754,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    25,    25,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   968,   969,   970,   971,   972,   973,   974,   975,   976,
     977,   978,   979,   980,   981,   982,   983,   984,   985,   986,
     987,   989,     0,   991,   990,     0,     0,     0,     0,    34,
       0,     0,    85,   750,   749,   755,   756,   252,   766,   767,
     760,   959,   761,   764,   768,   765,   762,   763,   757,  1073,
    1074,  1075,  1076,  1077,  1078,  1079,  1080,  1081,  1082,  1083,
    1084,  1085,  1086,    53,  1091,  1092,  1093,  1094,  1088,  1089,
    1090,   758,  1340,  1341,  1342,  1343,  1344,  1345,  1346,  1347,
     759,     0,   249,   250,     0,    33,   233,     0,    21,   235,
     442,   442,   442,   442,   442,   442,   442,   442,     0,   442,
     442,   442,   442,    16,   238,    39,   239,   447,   444,   445,
     442,   442,   442,    13,   880,   853,   855,    70,    69,   450,
     452,     0,     0,     0,   469,   468,   470,     0,   617,     0,
     734,   735,   736,     0,   950,   951,   952,   522,   523,   955,
     741,     0,     0,     0,   538,   543,   548,     0,   571,   595,
     607,   608,   683,   689,   710,     0,     0,   995,     0,     7,
      92,   475,   477,   488,   489,   490,   491,   492,   520,   502,
     478,    61,   275,   517,   498,   526,   496,    13,   536,    14,
      59,   546,   494,   495,    46,   598,    40,     0,    54,    60,
     615,    40,   682,    40,   688,    18,    24,   508,    45,   708,
     514,     0,   515,   500,     0,   740,   499,   785,   788,   790,
     792,   794,   795,   802,   804,     0,   803,   747,   525,   959,
     503,   509,   501,   757,   518,    62,     0,     0,    65,   461,
       0,     0,     0,    91,   455,     0,    95,   310,   309,     0,
     458,     0,     0,     0,   626,   112,   114,   294,     0,   317,
     347,   442,   442,   442,    13,   880,   853,   855,     0,    60,
       0,   136,   137,   138,     0,   130,   131,   139,     0,   132,
     133,   141,   142,     0,   134,   135,     0,   143,     0,   145,
     146,   857,   858,   856,   442,    13,    36,    44,    51,     0,
      60,   203,   474,   205,   170,   171,   172,   173,   442,   174,
     176,   200,   199,   198,   192,   442,   473,   196,   195,   197,
     857,   858,   859,   442,     0,    13,   442,   177,   442,   180,
     442,   183,   442,   189,    36,    44,    51,   442,   186,    78,
     220,   442,   442,   474,   216,   218,   215,   222,     0,   223,
      13,   442,   208,   207,   442,   213,   211,    44,    79,   224,
     225,   226,   227,   230,   442,   229,     0,  1100,  1097,  1098,
      56,     0,   774,   775,   776,   777,   778,   780,     0,  1000,
    1002,     0,  1001,    52,     0,     0,  1338,  1339,    56,  1102,
    1103,    55,    20,    55,  1106,  1107,  1108,  1109,    30,     0,
       0,  1112,  1113,  1114,  1115,  1116,     9,  1134,  1135,  1129,
    1124,  1125,  1126,  1127,  1128,  1130,  1131,  1132,  1133,     0,
      28,    55,  1149,  1148,  1147,  1150,  1151,  1152,    31,    55,
    1155,  1156,  1157,    32,  1166,  1167,  1159,  1160,  1161,  1163,
    1162,  1164,  1165,    29,  1178,    55,  1174,  1171,  1170,  1175,
    1173,  1172,  1176,  1177,    31,  1181,  1184,  1180,  1182,  1183,
       8,  1187,  1186,    19,  1189,  1190,  1191,    11,  1195,  1196,
    1193,  1194,    57,  1201,  1198,  1199,  1200,    58,  1248,  1242,
    1245,  1246,  1240,  1241,  1243,  1244,  1247,  1249,     0,  1202,
      55,  1282,  1283,     0,    15,  1228,  1227,  1220,  1221,  1222,
    1206,  1207,  1208,  1209,  1210,  1211,  1212,  1213,  1214,  1215,
      53,  1224,  1223,  1226,  1225,  1217,  1218,  1219,  1235,  1237,
    1236,     0,    25,     0,  1232,  1231,  1230,  1229,  1336,  1333,
    1334,     0,  1335,    49,    55,    28,  1353,  1027,    29,  1352,
    1355,  1025,  1026,    34,     0,    48,    48,     0,    48,  1359,
      48,  1362,  1361,  1363,     0,    48,  1350,  1349,    27,  1371,
    1368,  1366,  1367,  1369,  1370,    23,  1374,  1373,    17,    55,
    1377,  1380,  1376,  1379,    38,    37,   963,   964,   965,    51,
     966,    34,    37,   961,   962,  1042,  1043,  1049,  1035,  1036,
    1034,  1044,  1045,  1065,  1038,  1047,  1040,  1041,  1046,  1037,
    1039,  1032,  1033,  1063,  1062,  1064,    51,     0,    12,  1050,
    1006,  1005,     0,   802,     0,     0,    48,    27,    23,    17,
      38,  1381,  1010,  1011,   988,  1009,     0,   748,  1087,   232,
     251,    82,   234,    83,    60,   154,   155,   132,   156,   157,
       0,   158,   160,   161,   442,    13,    36,    44,    51,    86,
      84,   240,   241,   243,   242,   245,   246,   244,   247,   877,
     877,   877,    97,     0,     0,   571,     0,   464,   465,   466,
       0,     0,     0,     0,     0,   957,   956,   953,   954,     0,
       0,     0,    37,    37,     0,     0,     0,     0,    12,     0,
       0,     0,   579,     0,   569,   570,     0,     0,     0,     0,
       0,     0,     0,     6,     0,     0,   806,     0,   476,   479,
     519,     0,   493,     0,     0,   537,   539,   497,   504,     0,
       0,     0,     0,     0,     0,   547,   549,   505,     0,   594,
     506,     0,    47,    16,     0,     0,    20,    30,     9,    28,
     918,    29,     0,   923,   921,   922,    14,     0,    40,    40,
     908,   909,     0,   644,   647,   649,   651,   653,   654,   659,
     664,   662,   663,   665,   667,   606,   631,   632,   642,   910,
     633,   640,   634,   641,   637,   638,     0,   635,   636,     0,
     666,   639,   507,   516,     0,     0,   623,   622,   616,   618,
     510,     0,   701,   702,   703,   681,   686,   699,   511,     0,
     687,   692,   512,   513,   704,     0,   726,   727,   709,   711,
     714,   724,     0,   752,     0,   751,     0,     0,   742,     0,
       0,     0,     0,     0,     0,     0,     0,   943,   944,   945,
     946,   947,   948,   949,    20,    30,     9,    28,    31,   935,
      29,    31,     8,    19,    11,    57,    58,    53,    15,    25,
      49,    40,     0,   925,   893,   926,   799,   800,   905,   892,
     882,   881,   897,   899,   901,   903,   904,   891,   927,   928,
     894,     0,     0,     0,     0,     7,     0,   847,   846,   904,
       0,     0,   403,    60,   259,   276,   297,   329,   348,   471,
     111,     0,     0,     0,     0,   118,     0,     0,   877,   877,
     877,   120,     0,     0,   571,     0,   129,   153,     0,     0,
       0,     0,     0,   144,     0,     0,   877,   148,   151,   149,
     152,   169,   191,     0,   206,   175,   194,   193,    12,   442,
     179,   178,   181,   184,   190,   185,   182,   188,   187,   217,
     219,   221,   210,   209,   212,   214,   228,   231,  1099,     0,
       0,    55,   771,   772,    22,     0,   998,   784,    42,    42,
    1337,  1104,  1101,  1110,  1105,    20,    28,    20,    28,  1111,
    1136,  1137,  1138,  1139,    28,  1121,  1146,  1145,  1154,  1153,
    1158,  1169,  1168,  1179,  1185,  1188,  1192,  1197,    10,  1266,
    1272,  1270,  1261,  1262,  1265,  1267,  1256,  1257,  1258,  1259,
    1260,  1268,  1263,  1264,  1269,  1204,  1271,  1203,  1284,    15,
    1280,  1216,  1234,  1233,  1238,  1288,  1285,  1286,  1287,  1289,
    1290,  1291,  1292,  1293,  1294,  1295,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1319,    50,  1331,  1354,  1021,  1022,  1028,
      48,  1023,  1351,     0,  1356,  1358,     0,  1360,  1348,  1365,
    1372,  1378,  1375,   960,   967,   958,  1048,  1051,  1052,     0,
    1054,     0,  1053,  1055,  1056,    12,    12,  1057,  1029,     0,
       0,  1003,  1383,  1382,  1384,  1385,  1386,     0,     0,   769,
     168,   159,     0,   877,   163,   166,   164,   167,   236,   248,
       0,     0,     0,     0,   368,    13,   579,   393,    36,   373,
       0,    44,   398,   854,    51,     0,    28,    29,   609,     0,
      60,     0,   728,   730,     0,     0,     0,     0,     0,     0,
       0,     0,    12,     0,     0,  1057,     0,    13,   439,   544,
     545,    36,   577,   578,     0,    44,     0,     0,   723,    45,
     718,   717,     0,   722,   720,   721,     0,   695,   697,     0,
     521,   819,     7,     7,   821,   815,   818,   904,   843,     7,
     805,   472,   285,   541,   542,   540,   562,    20,     0,     0,
     560,   556,   551,   552,   553,   554,   557,   555,   550,     0,
       0,    53,     0,   673,   919,   920,     0,   668,     0,   911,
     914,   915,   912,   913,   924,     0,   917,   916,     0,   631,
     640,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   675,     0,     0,     0,     0,     0,     0,   620,   621,
     619,     0,     0,     0,   690,   713,   718,   717,   712,     0,
      10,     0,   744,     0,   743,   786,   787,   789,   791,   793,
     796,     7,   527,   529,   801,   912,   934,   913,   936,   933,
     932,   938,   930,   931,   929,   939,   937,   940,   941,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   888,   887,   904,   993,  1072,   849,   848,    63,     0,
      64,     0,     0,   109,     0,     0,     0,     0,     0,    60,
     259,   276,   297,   329,   348,     0,     0,     0,    13,    36,
      44,    51,   462,   451,   453,   276,   456,   459,   348,    12,
     204,   201,    12,     0,   779,   773,   770,    52,   781,   782,
    1117,  1119,  1118,  1120,    55,  1141,  1143,  1142,  1144,  1123,
      28,     0,  1278,  1250,  1275,  1252,  1279,  1255,  1276,  1277,
    1253,  1273,  1274,  1251,  1254,  1281,  1316,  1315,  1317,  1318,
    1324,  1306,  1307,  1308,  1309,  1321,  1310,  1311,  1312,  1313,
    1314,  1322,  1323,  1325,  1326,  1327,  1328,  1329,  1330,    55,
    1305,  1304,  1320,    49,  1024,     0,     0,    28,    28,    29,
      29,  1030,  1031,  1003,  1003,     0,    26,  1008,  1012,  1013,
      34,     0,   348,    12,   383,   388,   378,     0,     0,    98,
       0,     0,   105,     0,     0,   100,     0,   107,   611,     0,
       0,   610,   485,   731,     0,     0,   826,   729,   822,  1266,
    1270,  1265,  1269,  1271,    53,    10,    10,     0,   814,     0,
     812,    37,    37,    12,   534,    12,    12,     0,    12,   482,
     483,     0,   580,   583,     0,   484,   573,   572,   574,     0,
     705,     0,     0,     0,     0,   809,     0,   810,     0,    13,
       0,     0,   571,   820,   829,     0,     0,   842,   816,   827,
     808,   807,     0,   561,    28,   565,   566,    53,   564,   596,
       0,   600,   597,     0,   602,     0,     0,   604,   674,     0,
     678,   680,   643,   645,   646,   648,   650,   652,   660,   661,
     655,   658,   657,   656,   670,   669,     0,     0,     0,  1066,
    1067,  1068,  1069,   684,   700,   691,   693,   725,   753,     0,
       0,     0,     0,   530,   942,   890,   884,     0,   895,   896,
     898,   900,   902,   889,   797,   883,   798,   906,   907,     0,
       0,   797,     0,     0,    60,   405,   404,   407,   406,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      88,   261,   260,     0,   255,     0,     0,    55,     0,    90,
     278,   277,     0,     0,     0,     0,     0,     0,   306,     0,
       0,     0,     0,     0,     0,     0,     0,   538,     0,   571,
      93,   299,   298,     0,     0,     0,     0,   480,     0,     0,
       0,     0,     0,     0,    94,   331,   330,     0,     0,     0,
       0,     0,     0,    13,    96,   350,   349,   128,     0,     0,
       0,     0,     0,   383,   388,   378,   121,   126,   122,   127,
       0,     0,   150,   202,     0,   999,  1140,  1122,     0,  1303,
    1332,  1357,  1364,  1058,  1059,  1060,  1061,    41,     0,    26,
    1004,  1020,  1016,  1015,  1014,    34,     0,   165,     0,     0,
       0,     0,    13,   370,   369,   372,   371,   580,   583,    36,
     395,   394,   397,   396,    44,   375,   374,   377,   376,   574,
      51,   400,   399,   402,   401,   612,   614,     0,   824,   825,
     823,  1239,   997,   996,     0,     0,   813,   994,   992,   486,
     535,   487,    12,  1070,     0,   585,   587,     0,    36,     0,
      36,     0,     0,    44,   719,   715,   716,    45,    45,   696,
       0,     0,     0,     7,   844,   845,     0,     0,   831,     0,
     579,     0,   830,   840,   841,   817,   828,   524,   286,     0,
     559,     0,   558,    55,    55,    47,    55,   671,     0,   677,
       0,   679,   685,   694,     0,   732,     0,     0,     0,     7,
     528,   886,   885,   627,     0,   110,   463,   367,   454,   275,
     457,   294,   317,   460,   347,   258,   254,   256,     0,     0,
       0,   367,   367,   367,   367,   262,     0,   432,   433,    43,
     431,   430,     0,   428,   279,   281,   280,   284,   282,   295,
     292,     0,     0,     0,   346,   345,    43,   344,   408,   410,
     411,   409,   364,   412,   365,    55,   363,   313,   314,   316,
     315,     0,   312,   300,   307,   308,   304,   481,     0,     0,
       0,     0,     0,     0,   342,   341,   339,     0,     0,     0,
     353,   113,   115,   116,   117,   119,     0,     0,     0,   140,
     147,  1095,    10,     0,  1007,  1003,  1019,  1017,   162,     0,
       0,     0,    12,   385,   384,   387,   386,     0,     0,     0,
       0,     0,    12,   390,   389,   392,   391,     0,     0,    12,
     380,   379,   382,   381,   850,    99,   878,   879,   106,   101,
     852,   108,   613,     0,   745,  1071,   589,   590,   591,   592,
     593,   582,     0,   567,     0,   584,   568,   586,     0,   576,
     706,   707,   698,   811,    12,     0,     0,    14,    14,     0,
       0,   287,   563,    31,    31,   605,   603,   672,     0,     0,
       0,   733,   739,     0,   532,   531,   628,   629,     0,     0,
       0,     0,     0,     0,     0,   367,   367,   367,     0,     0,
       0,     0,     0,     0,   356,   429,     0,     0,   302,   303,
     305,   343,     0,   296,     0,   301,     0,   332,   333,   340,
     328,   338,     0,     0,     0,   354,    12,    12,    12,  1096,
       0,    26,     0,    57,    53,     0,     0,   103,     0,     0,
       0,     0,     0,   104,     0,     0,   102,     0,   581,   588,
     575,   835,    12,     0,   838,   839,   580,   583,   574,   599,
     601,   676,   737,     0,     7,   630,   624,   627,   403,   276,
     297,   329,   348,   257,     0,     0,     0,   368,   393,   373,
     398,   361,   360,     0,   357,   362,   283,     0,   293,   366,
     311,    60,     0,     0,    13,    36,    44,    51,   291,     0,
       0,   325,     0,   288,   327,     0,     0,     0,   422,   416,
     415,   419,   414,   417,   418,   351,   352,   124,   125,   123,
       0,  1018,     0,   863,   862,   869,   871,   874,   875,   872,
     873,   876,     0,   865,   746,   836,    13,    36,    36,    44,
     738,   533,   629,     0,     0,     0,     0,     0,   383,   388,
     378,     0,     0,     0,     0,     7,   355,   427,   324,   290,
     318,   319,    12,   320,   322,   321,   323,   335,     0,   337,
      55,     0,   423,     0,     0,  1205,     0,     0,   866,     0,
     832,   833,   834,   837,   625,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   359,   358,     0,
       0,     0,   326,   289,   336,    55,   421,   420,     0,     0,
       0,    55,    60,   263,   264,   265,   266,     0,     0,     0,
      13,    36,    44,    51,   424,   425,     0,   413,   334,   440,
     441,   868,   867,    43,   864,   274,    12,    12,    12,   267,
     272,   268,   273,   426,   870,   270,   271,   269
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1844, -1844,    -1, -1235,   974,    58, -1331,   977,  -957,  -356,
    -894,  -735,  1086,  1204, -1844,   979,  -524, -1844, -1844,  1206,
   -1844,  -139, -1650,  1209,   -19,   -18,  1432,  -598, -1844, -1844,
    -690, -1844,  -465,  -720,  1213, -1844,  -281, -1844,   877, -1824,
    -487, -1228, -1844,  -882,  -498,  -931, -1844,  -492,   524,  -671,
   -1844,  -429,  1451, -1004,   997, -1844,  -437, -1844,    12, -1844,
   -1844,  2004, -1844, -1844, -1844,  1747,  1751,   178,  1085, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844,    19, -1844,  1599, -1844, -1844,   -94,
     567,  -358, -1396, -1844, -1844, -1844, -1640,  -427, -1844, -1416,
    -435,   264,  -108,  -423, -1844,  -102, -1844, -1844, -1411, -1415,
   -1844,  -432, -1414, -1843, -1844,  -236,   -91, -1664,  -600,  -155,
    -156, -1676, -1671, -1669,  -154,  -153,  -140, -1844, -1844,  -272,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,   256,  -774,
   -1509, -1844,   281,   -44,  3449, -1844,   254, -1844, -1844,   353,
   -1844,   330,   753,  1785, -1844,    82, -1844,  -646,  1638, -1844,
   -1844,   260,   516,  1153,   837,   -39, -1844, -1844, -1422, -1844,
   -1844, -1844, -1844, -1844, -1844, -1361,  -346, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844,   135, -1844, -1844, -1844, -1844,  1178,
   -1844, -1844, -1844, -1844,  1174, -1844, -1844, -1844,   156, -1844,
    -313, -1428, -1628, -1844, -1207, -1660, -1459, -1619, -1453,   191,
     196, -1844, -1844,  -793, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844,  1116,  -363,  1652,  -105,  -183,  -205,   712,   709,   713,
   -1844,  -799, -1844, -1844, -1844, -1844, -1844, -1844,  1799, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,  -355,   694,
   -1844, -1844, -1844, -1844,  1111,   474,  -921,   469,  1226,   697,
   -1345, -1844, -1844,  1804, -1844, -1844, -1844, -1844,  1115, -1844,
   -1844,   -67,     5,  -855,  -350,   272,   -21, -1844, -1844, -1844,
     988,   265, -1844, -1844, -1844, -1844, -1844,  -173,  -201, -1844,
   -1844,   674,  -824,  1915,   -63, -1844,   794, -1301, -1844, -1555,
   -1844, -1844,   527, -1379, -1844,   493, -1460,   497, -1844, -1844,
    1730,  -645,  1705,  -643,  1708,  -602,  1709,   190, -1844, -1803,
   -1844, -1844,  -166, -1844, -1844,  -633,  -599,  1721, -1844,  -388,
    -344,  -873,  -848,  -833, -1844,  -378,  -861, -1844,  1999,  1924,
    -847, -1844, -1520,  -321,   298,  1843, -1844,   -31, -1844,   550,
   -1844, -1423, -1844,   765, -1844, -1844, -1844, -1844, -1844,   803,
    -262,   948,  1456,  1140,  1844,  1849, -1844, -1844,  -443,   211,
   -1844, -1844, -1844,  1179,   -65, -1844, -1844,   -46, -1844,   -38,
   -1844,   -32, -1844,   -70, -1844, -1844, -1844,   -66, -1844,   -60,
   -1844,   -17, -1844,   -16, -1844,    -4, -1844,    14, -1844,    15,
   -1844,    20, -1844,    24, -1844,    29,  1478, -1844,   -71, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,  1516,
   -1105, -1844, -1844, -1844, -1844, -1844,    36, -1844, -1844, -1844,
   -1844,   989, -1844, -1844,    37, -1844,    42, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844, -1844,
   -1844, -1844, -1844, -1844, -1844, -1844, -1844
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     1,  1795,   884,  1163,  1371,  1511,  1165,  1248,   842,
     897,  1190,   829,  1230,   982,  1164,  1369,   813,  1496,  1229,
     983,   701,  1831,  1228,  1425,  1427,  1370,  1157,  1159,   811,
     804,   519,  1098,  1233,  1232,   830,   910,  2034,  1498,  2135,
    1099,   984,   907,   538,  1221,  1215,  1553,  1100,  1136,   808,
     962,  1141,  1128,  1166,  1167,   898,   963,   890,  1796,    46,
      47,    48,    74,    87,    89,   453,   457,   462,   449,   103,
     293,   105,   132,  1104,   481,   142,   150,   152,   275,   278,
     295,   296,   838,  1268,   276,   222,   421,  1743,  1956,  1957,
    1464,   422,  1465,  1652,  2228,  2229,  1979,   425,  1773,  1466,
     426,  2001,  2002,   429,  2292,  2231,  2232,  2236,  1467,  1774,
    1986,   431,  1468,  2133,  2213,  2214,  1994,  1995,  2119,  1578,
    1583,  1840,  1838,  1839,  1581,  1586,  1462,  1996,  1752,  2153,
    2241,  2242,  2243,  2331,  1753,  1754,  1969,  1970,  1946,   223,
    1310,  2361,    49,    50,    61,   456,    52,   460,  1949,   464,
     465,  1951,    71,   470,  1954,   451,   452,  1947,   314,   315,
     316,    53,   433,  1596,   483,  1756,   351,   352,  1776,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,  1422,  1702,  1703,   366,   367,   368,   895,   896,
     369,   370,   371,   905,   906,  1357,  1351,  1657,  1658,   372,
    1280,  1628,  1893,   373,  1314,  1888,  1622,  1890,  1623,  1624,
    2081,   374,   375,  1661,   909,   376,   377,   378,   379,   380,
     968,   969,  1728,   420,  2117,  2196,   933,   934,   935,   936,
     937,   938,   939,  1681,   940,   941,   942,   943,   944,   945,
     381,   382,   975,   383,   384,   980,   385,   386,   976,   977,
     387,   388,   389,   988,   989,  1317,  1318,  1319,   990,   991,
    1291,  1292,   390,   391,   392,   393,   394,   997,   998,   395,
     396,   224,   946,   994,  1034,   947,   397,   228,  1134,   557,
     558,   948,   565,   398,   399,   400,   401,   402,   403,  1036,
    1037,  1038,   404,   405,   406,   885,   886,  1609,  1610,  1333,
    1334,  1335,  1597,  1598,  1648,  1643,  1644,  1649,  1336,  1903,
    1056,  1846,   843,  1858,   845,  1864,   846,   474,   504,  2165,
    2063,  2307,  2308,  2046,  2056,  1270,  1853,   844,   407,  1057,
    1058,  1042,  1043,  1044,  1045,  1337,  1047,   949,   950,   951,
    1050,  1051,   408,   857,   952,   762,   763,   231,   410,   953,
     563,  1566,   792,   954,  1258,   805,  1570,  1835,   234,   955,
     724,   957,   725,   958,   787,   788,  1245,  1246,   789,   959,
     960,   411,   412,   961,  2032,   239,   551,   240,   572,   241,
     578,   242,   586,   243,   600,  1154,  1510,   244,   608,   245,
     613,   246,   623,   247,   634,   248,   640,   249,   643,   250,
     647,   251,   652,   252,   657,   253,   691,   692,   693,   254,
     694,   255,   707,   256,   702,   257,   414,   669,  1185,  1603,
    1187,  1523,  1515,  1520,  1513,  1517,   258,   674,  1213,  1552,
    1535,  1541,  1530,  1214,   259,   713,   260,   568,   261,   262,
     738,   263,   726,   264,   728,   265,   730,   266,   735,   267,
     745,   268,   748,   269,   754,   270,   801
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      44,   427,    54,  1075,   891,   428,   889,   858,  1077,   227,
    1074,   892,  1087,    45,   350,   793,  1076,  1040,   298,  1191,
     299,  1432,   409,  1338,  1117,   876,   423,  1046,  1116,   981,
    1364,  1093,  1374,  1219,   409,   225,  1162,  1095,  1059,  1059,
     703,   995,  1235,  1102,  1101,  1789,   308,   806,  1142,  1115,
    1125,   279,  1787,  1323,   415,   851,  1800,  1063,   225,   418,
    1802,  1041,  1801,   482,  1405,   482,  1699,   482,   482,  1580,
     225,   482,  1283,   482,  1811,  1799,   482,   482,  1073,  1698,
     482,   482,   482,   482,   881,  1868,  1869,   482,  1081,  1810,
     523,  1630,    62,  1121,   297,   523,   523,  1635,  1637,  1437,
     970,  1091,   978,   482,  1650,  1777,  1777,   680,  1330,   706,
     680,   681,  1700,  1341,   681,   956,  1905,   682,  2012,  1097,
     682,  1847,   303,   304,   305,   306,  1352,  1848,  1417,  2028,
    1356,   677,  2026,  1378,   677,  2027,  1913,  1914,  2008,   678,
    1827,  1829,   678,  1235,  1143,   679,  1938,   883,   679,  1110,
    1423,  1491,  1415,  1416,  1418,   883,  1859,   434,  1836,   764,
     683,   684,  2141,   683,   684,   444,   445,   446,   447,  1339,
    1419,   992,  1156,   685,  1122,  2154,   685,  1409,  1061,  2036,
    1158,  1302,   996,  1912,   311,    56,  1701,  2066,   480,  1604,
    1939,   686,   687,  2285,   686,   687,  1161,   688,  1275,  2339,
     688,   689,  1281,   992,   689,   505,   690,  1271,  1272,   690,
     514,   515,   516,   695,   696,  1884,   695,   696,  1870,   697,
     530,   225,   697,   537,   992,   225,  -749,  2237,  1222,  2067,
    1224,  2070,  1225,  -749,  -749,  -749,  -749,  1227,  2211,  2212,
    -715,  1188,  1138,  1626,  1284,  1278,  2170,  2211,  2212,   157,
    1981,  1982,  1297,  2179,     3,  1631,   877,     4,    56,     5,
     856,   856,    55,    58,    59,    60,    64,  1234,  1967,  1968,
    2009,  2010,  -749,    65,  1872,  1873,  2094,  1936,   731,     6,
       7,     8,     9,  1004,   271,  1216,  1276,    73,  1561,  1562,
     809,  1061,  -851,  1435,  1236,   229,   812,  1308,  1252,  1885,
     850,   764,   226,  1440,  1273,   309,   277,   310,  2238,  2239,
      88,  1283,   503,   527,   349,   529,  1441,   419,   229,   221,
    1231,   409,   424,   104,   993,   226,   430,   432,   230,  1006,
     229,   436,   158,   159,   160,   878,  1267,   226,  1777,  1277,
    1266,   715,  1039,  1388,  1247,  1614,   459,   432,   448,  1594,
     717,   230,  1595,  1039,  1039,   859,  1434,   225,   732,   733,
     734,  1265,  -851,   230,   486,   718,  1088,    67,    68,    69,
    1645,   427,   454,  1646,  1274,   428,  1549,  1260,    57,  1789,
    1089,   151,   839,   840,   841,  1261,  1787,   432,   525,  1389,
    1262,  1303,   860,  1550,  1070,   715,  1090,   416,   540,   427,
    2098,  -443,   409,   428,   736,   546,  1818,  1308,  1139,  1086,
    1033,  1565,   427,    56,  1828,  2007,   428,   409,   294,   718,
    1426,  1033,  1033,  1428,  1305,   417,  1551,    56,  2007,   737,
    1568,   437,   438,   439,  1627,  1092,  1593,  1478,   225,  1777,
    1777,  1480,   544,    56,  1886,  1475,  1476,  1477,   466,   467,
     221,    57,   482,   225,  1525,  1912,     4,   479,     5,  2309,
    -253,   427,   819,  1489,  1934,   428,   490,   491,     3,  1264,
     500,     4,   497,     5,   312,   313,  2110,   807,   824,   721,
     722,   229,    56,  1481,  1479,   229,  2095,   971,   226,   528,
    1886,  1309,   226,     6,     7,     8,     9,  1870,   541,   542,
    -764,  1413,   545,   221,  1062,  1632,  2230,  -764,  -764,  -764,
    -764,  2251,   221,  2373,   230,   221,  1457,   221,   230,  1298,
    -754,  1605,  1606,  1078,  1079,  1080,  2267,  1340,  -754,  -754,
    -754,  -754,  1812,  -756,  1682,  1813,   817,   432,  2168,  2374,
    -756,  -756,  -756,  -756,  1421,  -765,  -764,  -716,  1940,   221,
     564,  2286,  -765,  -765,  -765,  -765,  1096,  2340,   221,  1938,
    2269,   723,   454,  1193,  1094,   349,  2240,  1664,  2268,  1667,
     221,  1710,  2301,  2073,   221,  2007,   272,   273,   274,  -756,
     232,  1155,  2289,   855,   855,  1108,  -749,   861,  1679,  2109,
    1391,  -765,  1282,  2194,  -443,  1708,  1709,  1711,   272,   273,
     274,  2097,   887,   232,  2322,  1160,    57,  2320,   887,   461,
    2321,    56,  2161,  1712,  -275,   232,  1837,   229,  1724,  1145,
      57,  1500,  1820,  1502,   226,   727,  1463,  1569,   979,   887,
    1573,   680,  1194,   680,  1146,   681,    57,   681,   820,   821,
    2186,   682,   746,   682,  1149,   300,  2187,  1376,  1377,   520,
     230,  1392,  1293,  1393,  1439,   995,  1879,   677,  1880,  1881,
    2180,  1883,  1424,  1451,   501,   678,   473,   747,  2093,  2090,
    2091,   679,  2188,  1453,   729,    57,  1322,  1035,   795,   158,
     159,   160,  1359,   502,   683,   684,   683,   684,  1035,  1035,
    1665,   559,   560,   561,   810,  1360,  1217,   685,   229,   685,
    1218,  2159,  1495,  2099,  2114,   226,   419,  1452,  1469,   641,
     309,  1898,  1361,   229,   310,   686,   687,   686,   687,   424,
     226,   688,  1554,   688,   430,   689,   642,   689,  1440,  1766,
     690,   230,   690,   972,   973,   974,  1766,   695,   696,   695,
     696,  1719,   871,   697,  1767,   697,   230,  2221,  1766,   335,
    1438,  1767,   847,   427,   874,   875,   335,   428,   848,   441,
     872,  1273,  1768,  1767,   609,  2193,   232,  1769,   335,  1768,
     232, -1021,  1147, -1021,  1769,  1904,  1120, -1022,   849, -1022,
     310,  1768,   964,   965,  2275,   610,  1769,  1148,  2277,  1338,
    2276,   790,  1587,   708,  1585,   233,   471,  2234,   611,   818,
     854,   791,  1127,  2274,    57,  1279,   870,  1323,  1645,  1394,
    1320,  1646,  1283,  1582,   880,   852,   887,     3,   233,   869,
       4,  1332,     5,  1653,  1935,  1131,   709,   710,  1625,  2360,
     233,  1420,  1842,   235,   440,  1958,  2111,   495,   496,   301,
    1338,   302,     6,     7,     8,     9,  1620,  1655,  1106,   879,
     469,  1346,  1656,  1592,  1789,   715,   235,  1269,   225,  2132,
    -764,  1787,   711,     4,   221,     5,  1362,  1923,   235,   493,
    1924,  1395,  1447,  1926,   972,   973,   974,   883,  1004,   718,
    1832,  -754,   225,     3,  1347,  1448,     4,  1449,     5,  1033,
    1436,  1877,  1878,  -756,  1005,   712,   887,  1126,  1722,  1348,
    1372,  2146,   232,  1373,  2137,  -765,  1263,   873,     6,     7,
       8,     9,   670,   562,  1777,  1777,   715,   882,  1406,  1579,
     158,   159,   160,   698,  1006,  2075,   908,   874,   875, -1021,
     699,   966,   996,  1871,   967, -1022,   717,  1379,   993,  1001,
     718,   995,  2163,  1039,   221,  1349,   485,  2164,   487,   489,
    1002,  1619,   492,   442,   494,   443,   612,   498,   499,  2271,
     700,   507,   509,   511,   513,  1003,   671,   672,   518,  1132,
    1133,   526,  2047,   552,   553,   673,   533,   536,   236,  2048,
       4,   233,     5,   232,   543,   233,  1922,  1052,  1039,  1809,
     472, -1021,   473,  1808,  1053,  1638,  1571, -1022,   232,  1064,
    2150,   236,  2224,  2142,  1033,  1033,  1033,  1033,  1033,   225,
    1639,  1033,  1065,   236,  1807,  1640,  2049,   320,   321,   235,
    2225,  1066,   322,   235,  1504,  2226,  1067,  2227,  1641,  1959,
    1068,  1960,  1797,  1642,  1350,   566,   567,  1033,   307,   995,
     822,  1505,     4,  2105,     5,  2303,  1506,  1507,  2304,  1696,
    2327,  2050,  1386,  1706,  1387,  1458,  1033,   157,  1659,  1460,
    1715,   311,  1705,  1707,  -347,   721,   722,   887,  1660,  1713,
    1707,  1716,  1718,   531,  -851,  1816,   648,   899,     3,  1103,
     649,     4,  1459,     5,  1449,  2167,  1447,  1129,    18,    19,
    1961,  1962,  1963,  1964,     4,  2173,     5,  1608,  2142,  1459,
     653,  1449,  2176,     6,     7,     8,     9,   133,   134,  -860,
     135,   136,   137,   650,   651,   554,   555,   233,   229,   556,
    1819,  -861,  1806,  1109,  1638,   226,  1130,  1501,  1447,  1503,
     802,   803,  -442,   654,   655,  1509,   656,  2181,    35,  1639,
    1135,  1720,   229,  1449,  1640,  2037,  1988,   723,    36,  1321,
    1137,   230,  1189,  1508,    37,   235,  1035,  1641,  1223,  2253,
    2051,  1226,  1642,  1249,   236,   887,  1250,  2047,   236,  1251,
     237,  1989,  1990,  1257,  2048,   230,  1673,  1674,    38,  1259,
     521,  1860,   522,  1680,   475,   476,   477,   478,  1289,     3,
      18,    19,     4,   237,     5,    18,    19,  1294,   233,  2247,
    2248,  2249,  1526,  2184,  2185,   237,  1527,  1528,  1529,   238,
    1293,  2049,  1608,   233,     6,     7,     8,     9,   900,   901,
     902,   903,   904,   644,   993,  2265,  1295,     4,   796,     5,
    2144,   887,   413,  1296,   645,   646,   235,   797,   798,  -442,
      35,   799,   800,  1299,   413,    35,  2050,  2052,  1410,  1316,
      36,   235,  1412,  1338,  1300,    36,    37,  1407,  1997,  1998,
    1999,    37,  2000,  1875,  1301,     3,   157,  1659,     4,   229,
       5,  1035,  1035,  1035,  1035,  1035,   226,  1663,  1035,  1304,
      38,   893,   894,  1908,  1306,    38,  1329,  1945,   157,  1659,
       6,     7,     8,     9,   999,  1000,  1991,  1312,  1313,  1666,
     236,  1342,   230,   225,  1035,  1790,   749,   714,  1791,   569,
     570,   571,  2125,  2126,  2127,  1368,  1992,  1993,  1972,   715,
     750,   716,   993,  1035,  1343,  -442,  1683,   751,  1344,  1911,
    1375,  1941,  1942,  1107,  1383,  2332,   986,   987,  1932,   717,
    1933,  1707,  1707,   718,   547,   752,   719,   548,   549,   550,
     138,  1353,   753,  1354,  1937,  2051,   237,   139,   140,  1355,
     237,  2128,  2129,  2130,  2131,   814,  1384,  2069,  2071,  1150,
    1151,  1152,  1153,   141,   825,   826,   827,   828,   985,   986,
     987,   236,   635,  1385,  2068,  1390,  1379,  1379,  1379,  1379,
    1379, -1066,  1379,  1379, -1067,   238,   236,  1396,   636,   238,
    1397,  1689,  1689,   232,  1381,  1382,  2089,   637,  1398,  2375,
    2376,  2377,  1442,  1443,   638,   639,   225,   573,   225,   574,
     575,   576,   577,  2083,  1399,  2086,   887,   232,  1792,  1401,
    1322,  1411,  -442,  1402,   409,   720,  1409,  2020,  1531,  1532,
    1533,  1534,  2157,  1518,  1519,  1033,  1033,  1033,  1033,  1033,
    1033,  1033,  1033,  1033,  1033,  1033,   876,   272,   273,   274,
    1723,  1725,  1445,  1741,  1750,  1771,  1785,  1444,   721,   722,
     225,  1450,   739,  1446,  1726,  1456,  1742,  1751,  1772,  1786,
     324,   325,   326,  1901,  1902,   329,  2065,  1061,   740,   874,
     875,  1817,   237,  2254,  2103,  2104,  1440,  2106,  1461,  1276,
     158,   159,   160,  1470,   888,  2189,  2190,  1471,     3,   741,
    1283,     4,  1472,     5,  1521,  1522,   742,  1536,  1537,  1538,
    1539,  1540,  2123,  1473,  2121,  2204,  2205,  2206,  1474,  2122,
    1273,   413,  1485,     6,     7,     8,     9,   887,  1823,  1824,
    1276,  1825,  1826,  1482,   534,   972,   973,   974,  2140,  1483,
     723,  1557,  1558,  1849,   232,  2354,  1793,  1559,  1560,    18,
      19,  1484,  1895,   229,  1320,  1406,  2143,   883,  1636,  1486,
     226,  1833,  1834,   237,  1984,  1985,  2149,  1843,   409,  1487,
    1850,   858,  1855,   157,  1659,  1861,  1488,  1332,   237,  1490,
    1844,  2120,  1512,  1851,  1493,  1856,   230,  1497,  1862,  2329,
    2330,  2359,  1308,  -442,  1514,   743,   744,  1691,  1692,    35,
    -571,  1516,   413,  1919,   225,  1524,  1543,  1544,   233,    36,
    1545,   409,  1555,  1546,  1556,    37,  1548,   413,  1547,  1794,
    1563,  1662,  1662,  1564,  1662,  1920,   225,  1565,  1572,  1567,
    1574,  1033,  1324,  1577,  1575,  1576,  1584,   614,   615,    38,
    1589,  1918,  1004,  1607,  1615,  1033,   235,   225,  1617,  1629,
    1237,  1238,   616,  1621,   617,   618,   619,     3,  1633,   409,
       4,  1654,     5,  1608,  1239,   488,   229,  1669,   229,  1971,
    1325,  1672,  1240,   226,   506,   226,  1678,   620,   621,   622,
      18,    19,     6,     7,     8,     9,  1686,  1687,  1241,    18,
      19,   624,   625,  1688,   626,   225,  1033,  1790,  -715,   230,
    1791,   230,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,
    1035,  1035,  1035,   627,  1033,  1033,  -716,  2177,  1704,  1721,
     229,   628,   629,  1293,   630,  2296,  1980,   226,  1803,  2295,
      35,  1804,  1965,  1805,   631,   632,   633,  1814,  1841,    35,
      36,  1974,  1975,  1976,  1977,  1978,    37,  1980,  1830,    36,
    2294,  1867,   225,   230,  1308,    37,  1874,  1887,   409,   233,
    1821,  1822,  2003,  2004,  2005,  2006,  1889,  1891,  1892,   409,
      38,  1900,  2313,   225,  2288,  1906,  2014,  2015,  2016,    38,
    2076,  2077,  2078,  2079,  2080,  1907,  -442,  1741,  1750,  1771,
    1785,   236,  2311,  2312,   225,  1921,  1909,   235,  1910,  1750,
    1742,  1751,  1772,  1786,  1925,   225,  1928,  1930,  1943,  1447,
     874,   875,  1751,  1944,  1955,   236,  1242,  1243,  1244,   773,
    1792,  1966,  1973,  1983,   856,   856,   872,  2043,  2053,  2060,
    1987,   865,   783,   784,   785,  2011,  2017,  2019,   232,  2018,
    2044,  2054,  2061,  2031,  2033,  2035,   887,     3,  2064,  -588,
       4,  2372,     5,  2082,  2084,  2371,  2088,  2074,  2293,  2096,
    2100,  2334,  1854,  2108,   229,  2112,  2113,  2116,  2118,   225,
    2124,   226,     6,     7,     8,     9,  2370,  2136,  2137,  2142,
    2152,  2162,  2160,  2169,  2171,  2178,   229,  1790,  2174,  2134,
    1791,  1896,  2183,  1321,  1407,  2365,  2358,   230,  1035,  1293,
    2310,  2182,  2364,  2195,  2192,  2217,   427,   229,  2101,  2198,
     428,  2199,  1035,  2200,   226,  2201,  2202,  2250,     3,   230,
     508,     4,  1662,     5,  2207,  1662,  2208,  2209,  1662,   225,
    2210,  2252,  2278,  2262,   427,    18,    19,  2264,   428,  2266,
     230,  2134,   236,     6,     7,     8,     9,  2270,  1793,  2279,
    2280,   232,  2287,   232,  2298,   229,   579,   580,  1790,  -292,
    2302,  1791,   226,  1035,  2306,   581,   582,   583,   584,   585,
    2138,  2139,  2336,  2338,  2356,  2337,  1948,  1950,  1950,  1953,
    -293,  1035,  1035,   237,  2369,    35,  1429,  2166,   230,  1365,
    2145,  1431,  1430,  1255,  1254,    36,  1253,  2172,  2147,  2148,
    1144,    37,  2151,  1256,  2175,   232,  1499,   237,  2155,  1140,
    1792,  1815,   229,  1433,    72,  2043,  2053,  2060,   815,   226,
    2203,  2025,   238,   816,  1072,    38,  2220,  1798,  2044,  2054,
    2061,     3,   409,   229,     4,   510,     5,  2013,  2235,  2328,
     226,  2219,  2281,  2283,  2282,   230,   238,  2284,  2273,  2357,
      18,    19,  1952,   233,   229,  2215,     6,     7,     8,     9,
    1069,   226,   823,  1345,  2115,   229,   230,  2102,   225,  1358,
    2085,   143,   226,   144,  1400,  2244,  1071,  2087,   145,  2314,
     146,  1792,  2272,  1676,   147,  1675,  1694,   230,  1677,  1408,
    1897,   235,     3,  1894,  1326,     4,  1697,     5,   230,   831,
      35,   832,  1414,   833,   834,   225,  2218,  2197,  1494,  1033,
      36,   835,   836,   853,  1717,  2233,    37,     6,     7,     8,
       9,   794,  2216,  1651,   148,     3,   149,  1876,     4,   229,
       5,  1915,   225,  -571,   237,  1916,   226,  1060,  1793,  1082,
      38,   225,  2245,  2246,  1084,   837,  1085,   855,   855,   232,
       6,     7,     8,     9,  2255,  2256,  1083,  2257,  2258,  2259,
    2260,  2261,   230,  2362,  2263,   863,   233,   867,   233,  1192,
    1220,   232,   868,   238,  1186,  2305,     0,  1542,     0,     0,
       0,  2047,     0,     0,   601,     0,   602,     0,  2048,   229,
       0,  1980,   232,   161,     0,     0,   226,     0,     0,     0,
       0,     0,     0,     0,   235,   603,   235,     0,  2215,  1793,
     165,  2030,     0,   604,   605,   606,   607,   225,  2297,     0,
     233,  2299,   230,     0,  2300,  2049,   166,     0,   158,   159,
     160,   167,     0,   409,   168,     0,   236,     0,     0,   169,
     232,     0,     0,   170,     0,     0,   171,   172,     0,     0,
       0,   173,  2355,     0,   174,     0,   175,     0,   235,     0,
    2050,     0,  1725,  1750,  1771,  1785,     0,  2333,     0,   225,
    1843,  1850,  1855,  1861,     0,  1726,  1751,  1772,  1786,  2134,
       0,   176,  2038,  1844,  1851,  1856,  1862,   181,     0,     0,
    2335,     0,     0,   225,     0,     0,     0,   232,  2341,     0,
       0,     0,     0,     0,  2342,  2343,  2344,  2345,  2346,  2043,
    2053,  2060,  2350,  2351,  2352,  2353,     0,     0,   232,  1049,
       0,     0,  2044,  2054,  2061,     0,     0,     0,   229,  2363,
    1049,  1049,     0,     0,     0,   226,  2366,  2367,  2368,   232,
       0,     0,     0,   874,   875,     0,     0,     0,     0,   236,
     232,   236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   230,     0,     0,   233,   229,     0,     0,     0,  2051,
       0,     0,   226,     0,     0,     0,  1035,     0,     0,   887,
       0,     0,     0,     0,     0,     3,  1324,     0,     4,     0,
       5,     0,   229,     0,  1048,  2325,     0,     0,   230,   226,
       0,   229,   235,   236,     0,  1048,  1048,   233,   226,     0,
       6,     7,     8,     9,   232,     0,     3,     0,     0,     4,
       0,     5,  1061,     0,  1325,   230,     3,     0,   237,     4,
       0,     5,     0,     3,   230,     0,     4,     0,     5,     0,
     887,     6,     7,     8,     9,   235,     0,     0,     0,     0,
       0,     6,     7,     8,     9,   233,  2348,     0,     6,     7,
       8,     9,     0,     0,     0,  1757,     0,   238,     0,     0,
       0,     0,     0,   887,   232,  1599,     0,   229,  1647,     0,
       3,     0,     0,     4,   226,     5,   512,     0,     0,  2326,
       0,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,    18,    19,     0,     0,     6,     7,     8,     9,  2039,
     230,     0,   233,     0,  1758,  1759,  1760,  1761,     0,  1762,
    1790,     0,  1763,  1791,     0,     0,  2039,     0,     0,   229,
       0,     0,     0,   233,     0,     0,   226,     0,     0,  1764,
    1170,   237,     0,   237,     0,     0,     0,   236,     0,  2040,
     235,    35,     0,   229,   233,     0,     0,     0,     0,     0,
     226,    36,   230,     0,     0,   233,  2040,    37,     0,   236,
       0,   235,     0,     0,     3,     0,     0,     4,     0,     5,
     238,     0,   238,     0,     0,     0,   230,     0,     0,  1765,
     236,    38,   235,     0,     0,   237,     0,     0,     0,     6,
       7,     8,     9,   235,     0,  1727,     0,  1744,  1755,  1775,
    1788,     0,  1600,   232,     0,  1172,  1173,  1601,  1175,  1176,
    1177,  1178,  1179,  1180,  1181,  1182,  1183,  1602,     0,   233,
       0,     0,     0,     0,   413,     0,     0,     0,   236,  1288,
       0,  1290,     0,  1792,     0,     0,     3,     0,     0,     4,
     232,     5,     0,     0,     3,     0,     0,     4,  1307,     5,
    1311,     0,  1315,     0,     0,     0,     0,   235,  1327,  1328,
       0,     6,     7,     8,     9,     0,     0,   232,     0,     6,
       7,     8,     9,     0,     0,     0,   232,     0,     0,   233,
       0,   517,     0,  2041,     0,   236,     0,     0,     0,     0,
    1363,     0,  1766,  1367,     0,     0,    18,    19,     0,     0,
    2041,     0,     0,     0,     0,     0,   236,  1767,     0,     0,
       0,  1845,   335,     0,  1852,     0,  1857,   235,     0,  1863,
       0,     0,     0,   887,     0,  1768,     0,   236,     0,   237,
    1769,     0,     0,     0,     0,     0,     0,  2039,   236,  2315,
       0,     0,     0,     0,     0,     0,    35,     0,     0,  2057,
       0,   237,   232,     0,   887,     0,    36,     0,  1404,     0,
       0,  1793,    37,     0,   887,     0,     0,     0,   413,     0,
    2042,   887,   237,     0,     0,     0,     0,  2040,   587,   588,
    1770,  1647,   589,     0,     0,     0,    38,  2156,  1049,     0,
     238,     0,     0,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   236,     0,   232,     0,     0,     0,     0,     0,
       0,   413,     0,     0,     3,     0,     0,     4,   233,     5,
     237,     0,     0,     0,     0,     0,     0,     0,   232,     0,
       0,  1454,  1455,     0,  2319,     0,  1380,     0,     0,     6,
       7,     8,     9,   599,     0,     0,     3,     0,     0,     4,
    1729,     5,     0,     0,     0,   233,   235,  1273,     0,   413,
    1730,     3,   236,  1048,     4,  1731,     5,  1732,     0,  1733,
       0,     6,     7,     8,     9,     0,     0,   237,     0,     0,
       0,     0,   233,     0,     0,     0,     6,     7,     8,     9,
       0,   233,     0,   235,     0,     0,     0,     0,   237,     0,
    1757,     0,     0,  1049,  1049,  1049,  1049,  1049,     0,     0,
    1049,     0,   887,  2058,     0,     0,   238,     0,     0,   237,
     235,  2041,     0,     0,     0,     0,     0,     0,  2323,   235,
     237,  1744,  1755,  1775,  1788,     0,  1049,   238,     0,     0,
       0,     0,     0,  1755,     0,     0,     0,     0,     0,  1758,
    1759,  1760,  1761,     0,  1762,  1049,     0,  1763,   413,     0,
       0,     3,     0,     0,     4,     0,     5,   233,     0,   413,
       0,  2045,  2055,  2062,  1764,     0,     0,  1734,  1048,  1048,
    1048,  1048,  1048,     0,   887,  1048,     6,     7,     8,     9,
       0,     0,   887,     0,   237,     0,     0,  1729,     0,     0,
    2059,   236,     0,     0,     0,   235,     0,  1730,  2347,     0,
       0,  1048,  1731,     0,  1732,     0,  1733,     0,     0,   233,
       0,     0,     3,     0,  1765,     4,     0,     5,     0,     0,
    1048,     0,     0,   238,     0,     0,     0,     0,   236,     0,
       0,     0,     0,   233,     0,     0,     0,     6,     7,     8,
       9,     0,     0,     0,   237,     0,     0,   235,     0,     0,
       0,  1757,     0,     0,  1588,   236,     0,     0,  1591,     0,
       0,     0,     0,     0,   236,     0,     0,     0,  1611,  1612,
    1613,   235,     0,  1616,    90,  1618,     0,     0,     0,     0,
    1735,     0,    91,   238,    92,     0,    93,     0,     0,    94,
      95,    96,     0,    97,     0,  1736,     0,     0,  1634,     0,
    1758,  1759,  1760,  1761,     3,  1762,     0,     4,  1763,     5,
       0,     0,     0,  1737,  1734,     0,     0,     0,  1738,     0,
    1739,     0,     0,     0,     0,  1764,     0,  1766,     0,     6,
       7,     8,     9,     0,     0,  1668,     0,  1670,     0,     0,
     236,     0,  1767,     0,  1671,     0,  1276,   335,     0,  2045,
    2055,  2062,   887,     0,     0,     0,     0,     0,     0,  1684,
    1768,  1685,     0,     0,     0,  1769,     0,     0,  1740,     0,
    1693,     0,  1695,     0,     0,  1765,     3,     0,     0,     4,
     161,     5,   162,   237,   887,     0,   163,     0,     0,     0,
       0,   164,   236,     0,     0,     0,     0,   165,     0,   887,
    2324,     6,     7,     8,     9,     0,     0,     0,     0,     0,
       0,     0,     0,   166,     0,  2023,   236,  2057,   167,     0,
     237,   168,   413,     0,     0,     0,   169,  1735,     0,     0,
     170,     0,     0,   171,   172,   675,     0,     0,   173,     0,
       0,   174,  1736,   175,     0,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,   237,     0,     0,   238,
    1737,     0,     0,     0,     0,  1738,     0,  1739,   176,     0,
     676,     0,     0,     0,   181,  1380,  1380,  1380,  1380,  1380,
       0,  1380,  1380,     0,     0,     0,   238,     0,  1766,  2057,
    1690,  1690,     0,     0,   280,   238,     0,     0,     0,   887,
       0,     0,   281,  1767,   282,     0,   283,     0,   335,   284,
     285,   286,     0,   287,    98,  2021,     0,     0,     0,     0,
       0,  1768,     0,     0,     0,     0,  1769,     0,     0,    99,
       0,     0,   237,     0,  1049,  1049,  1049,  1049,  1049,  1049,
    1049,  1049,  1049,  1049,  1049,     0,     0,   100,     0,     0,
       0,     0,   101,     0,   102,     0,     0,     0,  1865,  1866,
     887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   238,    75,     0,     0,     0,  2317,     0,     0,     0,
      76,  2058,    77,     0,   237,     0,  1882,    78,    79,    80,
       0,    81,     0,     0,     0,     0,  1727,  1755,  1775,  1788,
       0,     0,  1899,     0,  1845,  1852,  1857,  1863,   237,  1048,
    1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,
      51,     0,     0,   413,     0,     0,     0,     0,     0,     0,
      63,    51,    51,    66,    66,    66,    70,   658,  1927,    51,
       0,     0,     0,  2045,  2055,  2062,   659,   238,     0,     0,
       0,     0,   887,  2058,     0,  1929,     0,  1931,     0,     0,
       0,     0,   660,     0,     0,     0,   661,     0,  2158,     0,
     662,   663,     0,     0,     0,   664,   665,   666,   667,   668,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    51,     0,     0,   435,    51,    66,    66,    66,
      70,     0,     0,     0,     0,     0,     0,    51,     0,   450,
     455,   458,    51,   463,    66,    66,   468,     0,   450,   450,
     450,   450,     0,    66,   887,     0,     0,   484,     0,    51,
    1049,     0,    66,    66,   288,    70,     0,     0,    66,     0,
    2349,     0,     0,     0,  1049,     0,     0,     0,     0,   289,
       0,     0,    51,   524,   463,    66,   463,     0,   532,   535,
       0,     0,   539,    51,    66,    66,     0,   290,    66,     0,
      51,     0,   291,  1168,   292,     0,     0,     0,     0,     0,
       0,     0,     3,     0,     0,     4,     0,     5,  1169,     0,
       0,     0,     0,     0,     0,  1049,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1048,     0,     6,     7,     8,
       9,     0,    82,  1049,  1049,     0,     0,     0,     0,  1048,
       0,  1778,     0,     0,     0,     0,     0,    83,     0,     0,
       0,     0,     0,     0,     0,     0,  2072,     0,     0,     0,
       0,     0,     0,     0,     0,    84,     0,     0,     0,     0,
      85,     0,    86,  1170,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2092,
    1048,  1779,  1780,  1781,     0,  1762,     0,     0,  1763,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1048,  1048,
       0,     0,     0,     0,     0,  1782,     0,  2107,     0,   450,
     455,   458,    51,   463,    66,    66,   468,     0,   450,   450,
     450,   450,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     3,     0,     0,     4,  1171,     5,     0,  1172,  1173,
    1174,  1175,  1176,  1177,  1178,  1179,  1180,  1181,  1182,  1183,
    1184,     0,     0,   153,     0,  1783,     6,     7,     8,     9,
     154,   155,     0,     0,     0,   317,   156,   318,     0,     0,
       0,     0,     0,     0,  1745,     0,     0,     0,     0,     0,
       0,     0,   319,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   320,   321,     0,     0,     0,   322,     0,     0,
     323,     0,     0,     0,     0,     0,     0,     0,     0,   324,
     325,   326,   327,   328,   329,     0,     0,     0,     0,     0,
       0,   161,     0,   162,  1746,     0,   704,   163,   330,     0,
     331,     0,   164,   157,   158,   159,   160,     0,   165,   161,
       0,   162,     0,     0,  1747,   163,     0,     0,     0,     0,
     164,     0,     0,     0,   166,     0,   165,     0,     0,   167,
       0,     0,   168,     0,     0,     0,     0,   169,  1766,     0,
       0,   170,   166,     0,   171,   172,     0,   167,     0,   173,
     168,     0,   174,  1767,   175,   169,     0,  2191,   335,   170,
       0,     0,   171,   172,  1748,     0,     0,   173,     0,     0,
     174,  1768,   175,     0,     0,     0,  1769,     0,     0,   176,
       0,   705,     0,     0,     0,   181,     0,  1105,     0,     0,
       0,     0,     0,     0,    66,     0,     0,   176,   177,     0,
     178,   179,   180,   181,     0,  1111,     0,  1112,     0,  1113,
     887,  1114,     0,     0,     0,     0,  1118,     0,     0,     0,
    1119,    51,     0,     0,     0,     0,  1784,     0,     0,     0,
    1123,     0,     0,  1124,     0,     0,     0,     0,   182,   183,
     184,   185,     0,    66,     0,     0,     0,   186,   187,     0,
       0,   188,   189,   332,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,     0,     0,   333,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1049,     0,
       0,     0,   334,     0,     0,     0,     0,   335,     0,     0,
       0,     0,     0,     0,   336,     0,     0,     0,     0,     0,
     337,     0,     0,     0,     0,   338,     0,     0,     0,     0,
       0,   213,   214,     0,   339,     0,     0,   340,   341,   342,
     343,     0,     0,     0,   344,     0,     0,     0,   345,   346,
     215,     0,     0,     0,   216,   217,     0,     0,     0,   887,
       0,     0,     0,   347,     0,     3,   218,   219,     4,     0,
       5,     0,   348,  1048,   349,  1749,   220,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,   153,     0,     0,
       6,     7,     8,     9,   154,   155,     0,     0,     0,   317,
     156,   318,     0,     0,     0,     0,     0,     0,  1745,     0,
       0,     0,     0,     0,     0,     0,   319,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   320,   321,     0,     0,
       0,   322,     0,     0,   323,     0,     0,     0,     0,     0,
       0,     0,     0,   324,   325,   326,   327,   328,   329,     0,
       0,     0,     0,     0,   161,     0,   162,     0,  1746,     0,
     163,     0,   330,     0,   331,   164,     0,   157,   158,   159,
     160,   165,     0,   161,     0,   162,     0,     0,  1747,   163,
       0,     0,     0,     0,   164,     0,     0,   166,     0,     0,
     165,     0,   167,     0,     0,   168,     0,     0,     0,     0,
     169,     0,     0,     0,   170,     0,   166,   171,   172,     0,
       0,   167,   173,     0,   168,   174,     0,   175,     0,   169,
       0,     0,     0,   170,     0,     0,   171,   172,  1748,     0,
       0,   173,     0,     0,   174,     0,   175,     0,     0,     0,
       0,     0,   176,     0,     0,     0,     0,     0,   181,     0,
       0,     0,     0,     3,     0,     0,     4,     0,     5,     0,
       0,   176,   177,     0,   178,   179,   180,   181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     6,     7,
       8,     9,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1778,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   182,   183,   184,   185,     0,     0,     0,     0,
       0,   186,   187,     0,     0,   188,   189,   332,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,     0,
       0,   333,  1779,  1780,  1781,     0,  1762,     0,     0,  1763,
       0,     0,     0,     0,     0,     0,   334,     0,     0,     0,
       0,   335,     0,     0,     0,     0,  1782,     0,   336,     0,
       0,     0,     0,     0,   337,     0,     0,     0,     0,   338,
       0,     0,     0,     0,     0,   213,   214,     0,   339,     0,
       0,   340,   341,   342,   343,     0,     0,     0,   344,     0,
       0,     0,   345,   346,   215,     0,     0,     0,   216,   217,
       0,     0,     0,   887,     0,     0,  1783,   347,     0,     0,
     218,   219,     3,     0,     0,     4,   348,     5,   349,  2022,
     220,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   153,     0,     0,     6,     7,     8,
       9,   154,   155,     0,     0,     0,   317,   156,   318,     0,
       0,     0,     0,     0,     0,  1745,     0,     0,     0,     0,
       0,     0,     0,   319,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   320,   321,     0,     0,     0,   322,     0,
       0,   323,     0,     0,     0,     0,     0,     0,     0,     0,
     324,   325,   326,   327,   328,   329,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1746,     0,     0,  1492,   330,
       0,   331,     0,     0,   157,   158,   159,   160,     0,  1766,
     161,     0,   162,     0,     0,  1747,   163,     0,     0,     0,
       0,   164,    10,     0,  1767,     0,     0,   165,     0,   335,
      11,     0,    12,     0,    13,     0,     0,    14,    15,    16,
       0,    17,  1768,   166,     0,    18,    19,  1769,   167,     0,
       0,   168,     0,     0,     0,     0,   169,     0,     0,     0,
     170,     0,     0,   171,   172,  1748,     0,     0,   173,     0,
       0,   174,     0,   175,     0,     0,     0,     0,     0,     0,
       0,   887,     0,     0,     0,     0,     0,     0,     0,  1195,
       0,     0,     0,     0,     0,    35,     0,  2024,   176,   177,
       0,   178,   179,   180,   181,    36,     0,     0,     0,     0,
       0,    37,  1196,  1197,  1198,  1199,  1200,  1201,  1202,  1203,
    1204,  1205,  1206,  1207,  1208,  1209,  1210,  1211,  1212,     0,
       0,     0,     0,     0,     0,    38,     0,     0,     0,   182,
     183,   184,   185,     0,     0,     0,     0,     0,   186,   187,
       0,     0,   188,   189,   332,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,     0,     0,   333,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   334,     0,     0,     0,     0,   335,     0,
       0,     0,     0,     0,     0,   336,     0,     0,     0,     0,
       0,   337,     0,     0,     0,     0,   338,     0,     0,     0,
       0,     0,   213,   214,     0,   339,     0,     0,   340,   341,
     342,   343,     0,     0,     0,   344,     0,     0,     0,   345,
     346,   215,     0,     0,     0,   216,   217,     0,     0,     0,
     887,     0,     0,     0,   347,     0,     3,   218,   219,     4,
       0,     5,    39,   348,     0,   349,  2029,   220,     0,     0,
     221,     0,     0,     0,     0,     0,     0,    40,   153,     0,
       0,     6,     7,     8,     9,   154,   155,     0,     0,     0,
     317,   156,   318,     0,     0,    41,     0,     0,     0,  1745,
      42,     0,    43,     0,     0,     0,     0,   319,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   320,   321,     0,
       0,     0,   322,     0,     0,   323,     0,     0,     0,     0,
       0,     0,     0,     0,   324,   325,   326,   327,   328,   329,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1746,
       0,     0,     0,   330,     0,   331,     0,     0,   157,   158,
     159,   160,     0,     0,   161,     0,   162,     0,     0,  1747,
     163,     0,     0,     3,     0,   164,     4,     0,     5,     0,
       0,   165,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   166,     6,     7,
       8,     9,   167,     0,     0,   168,     0,     0,     0,     0,
     169,     0,  1778,     0,   170,     0,     0,   171,   172,  1748,
       0,     0,   173,     0,     0,   174,     0,   175,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   176,   177,     0,   178,   179,   180,   181,     0,
       0,     0,  1779,  1780,  1781,     0,  1762,     0,     0,  1763,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1782,     0,     0,     0,
       0,     0,     0,   182,   183,   184,   185,     0,     0,     0,
       0,     0,   186,   187,     0,     0,   188,   189,   332,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
       0,     0,   333,     0,     0,     0,  1783,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   334,     0,     0,
       0,     0,   335,     0,     0,     0,     0,     0,     0,   336,
       0,     0,     0,     0,     0,   337,     0,     0,     0,     0,
     338,     0,     0,     0,     0,     0,   213,   214,     0,   339,
       0,     0,   340,   341,   342,   343,     0,     0,     0,   344,
       0,     0,     0,   345,   346,   215,     4,     0,     5,   216,
     217,     0,     0,     0,   887,     0,     0,     0,   347,     0,
       0,   218,   219,     0,     0,   153,     0,   348,     0,   349,
    2316,   220,   154,   155,   221,     0,     0,   317,   156,   318,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   319,     0,     0,     0,     0,  1766,
       0,     0,     0,     0,   320,   321,     0,     0,   755,   322,
       0,     0,   323,     0,  1767,     0,     0,     0,     0,   335,
       0,   324,   325,   326,   327,   328,   329,     0,     0,     0,
       0,     0,  1768,     0,     0,   756,     0,  1769,   757,     0,
     330,     0,   331,     0,     0,   157,   158,   159,   160,     0,
       0,   161,     0,   162,     0,   758,     0,   163,     0,     0,
       0,     0,   164,     0,     0,     0,     0,     0,   165,     0,
       0,   887,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   166,     0,     0,  2318,     0,   167,
       0,     0,   168,     0,     0,     0,     0,   169,     0,     0,
       0,   170,     0,     0,   171,   172,     0,     0,     0,   173,
       0,     0,   174,     0,   175,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   176,
     177,     0,   178,   179,   180,   181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,     0,
     182,   183,   184,   185,     0,     0,     0,     0,     0,   186,
     187,     0,     0,   188,   189,   332,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,     0,     0,   333,
       0,   759,     0,   911,     0,   213,   214,     0,   765,   766,
       0,     0,   767,     0,   334,   760,     0,     0,     0,   335,
       0,   153,     0,     0,     0,     0,   336,     0,     0,   155,
     768,     0,   337,     0,   156,     0,     0,   338,     0,     0,
       0,   761,     0,   213,   214,     0,   339,     0,     0,   340,
     341,   342,   343,     0,     0,     0,   344,     0,     0,     0,
     345,   346,   215,     0,     0,     0,   216,   217,   912,     0,
       0,     0,     0,     0,   913,   347,     0,     0,   218,   219,
       0,     0,     0,   914,   348,   915,   349,  1917,   220,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   157,   158,   159,   160,     0,     0,   161,     0,   916,
       0,     0,     0,   917,     0,     0,     0,     0,   918,     0,
       0,     0,     0,     0,   919,     0,     0,     0,   920,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     166,     0,     0,     0,     0,   167,     0,     0,   921,     0,
     769,     0,     0,   169,     0,     0,     0,   170,     0,     0,
     171,   172,     0,     0,     0,   173,     0,     0,   174,     0,
     175,     0,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,   779,   780,   781,   782,     0,     0,
     783,   784,   785,     0,     0,   176,   177,   864,   178,   179,
     180,   181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1285,   786,     0,     0,     0,     0,     0,   765,
     766,     0,     0,   767,     0,     0,     0,     0,     0,     0,
     153,     0,     0,     0,     0,     0,   922,     0,   155,     0,
       0,   768,     0,   156,     0,     0,     0,     0,     0,     0,
       0,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,     0,     0,   212,     0,   912,     0,     0,
       0,     0,     0,   913,     0,   923,     0,     0,   924,   925,
       0,     0,     0,     0,     0,   926,     0,     0,   865,     0,
       0,     0,     0,   927,     0,     0,     0,     0,     0,     0,
     157,   158,   159,   160,     0,     0,   161,     0,   916,   213,
     214,     0,   917,     0,     0,   928,   929,   918,     0,     0,
       0,     0,     0,  1286,     0,     0,     0,   920,   215,     0,
       0,     0,   216,   217,     0,     0,     0,     0,     0,   166,
       0,     0,   930,   931,   167,   761,     0,  1287,     0,     0,
       0,   769,   169,     0,   932,     0,   170,   221,     0,   171,
     172,     0,     0,     0,   173,     0,     0,   174,     0,   175,
       0,     0,     0,     0,     0,   770,   771,   772,   773,   774,
     775,   866,   776,   777,   778,   779,   780,   781,   782,     0,
       0,   783,   784,   785,   176,   177,  2290,   178,   179,   180,
     181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1366,     0,     0,   786,     0,     0,     0,   765,   766,
       0,     0,   767,     0,     0,     0,     0,     0,     0,   153,
       0,     0,     0,     0,     0,   922,     0,   155,     0,     0,
     768,     0,   156,     0,     0,     0,     0,     0,     0,     0,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,     0,     0,   212,     0,   912,     0,     0,     0,
       0,     0,   913,     0,   923,     0,     0,   924,   925,     0,
       0,     0,     0,     0,   926,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   157,
     158,   159,   160,     0,     0,   161,     0,   916,   213,   214,
       0,   917,     0,     0,   928,   929,   918,     0,     0,     0,
       0,     0,  1286,     0,     0,     0,   920,   215,     0,     0,
       0,   216,   217,     0,     0,     0,     0,     0,   166,     0,
       0,   930,   931,   167,   761,     0,  1287,     0,     0,     0,
     769,   169,     0,   932,     0,   170,   221,     0,   171,   172,
       0,     0,     0,   173,     0,     0,   174,     0,   175,     0,
       0,     0,     0,     0,   770,   771,   772,   773,   774,   775,
    2291,   776,   777,   778,   779,   780,   781,   782,     0,     0,
     783,   784,   785,   176,   177,     0,   178,   179,   180,   181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1403,     0,     0,   786,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   153,     0,
       0,     0,     0,     0,   922,     0,   155,     0,     0,     0,
       0,   156,     0,     0,     0,     0,     0,     0,     0,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,     0,     0,   212,     0,   912,     0,     0,     0,     0,
       0,   913,     0,   923,     0,     0,   924,   925,     0,     0,
       0,     0,     0,   926,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   157,   158,
     159,   160,     0,     0,   161,     0,   916,   213,   214,     0,
     917,     0,     0,   928,   929,   918,     0,     0,     0,     0,
       0,  1286,     0,     0,     0,   920,   215,     0,     0,     0,
     216,   217,     0,     0,     0,     0,     0,   166,     0,     0,
     930,   931,   167,   761,     0,  1287,     0,     0,     0,     0,
     169,     0,   932,     0,   170,   221,     0,   171,   172,     0,
       0,     0,   173,     0,     0,   174,     0,   175,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   176,   177,     0,   178,   179,   180,   181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1590,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   153,     0,     0,
       0,     0,     0,   922,     0,   155,     0,     0,     0,     0,
     156,     0,     0,     0,     0,     0,     0,     0,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
       0,     0,   212,     0,   912,     0,     0,     0,     0,     0,
     913,     0,   923,     0,     0,   924,   925,     0,     0,     0,
       0,     0,   926,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   157,   158,   159,
     160,     0,     0,   161,     0,   916,   213,   214,     0,   917,
       0,     0,   928,   929,   918,     0,     0,     0,     0,     0,
    1286,     0,     0,     0,   920,   215,     0,     0,     0,   216,
     217,     0,     0,     0,     0,     0,   166,     0,     0,   930,
     931,   167,   761,     0,  1287,     0,     0,     0,     0,   169,
       0,   932,     0,   170,   221,     0,   171,   172,     0,     0,
       0,   173,     0,     0,   174,     0,   175,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   176,   177,     0,   178,   179,   180,   181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1007,  1008,  1009,  1010,  1011,  1012,     0,     0,
       0,     0,  1013,     0,     0,     0,   992,     0,     0,     0,
       0,     0,   922,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,     0,
       0,   212,     0,   912,     0,     0,     0,     0,     0,   913,
       0,   923,     0,     0,   924,   925,     0,     0,     0,     0,
       0,   926,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   157,   158,   159,   160,
       0,     0,     0,     0,  1014,   213,   214,     0,  1015,     0,
       0,   928,   929,  1016,     0,  1331,     0,     0,     0,  1017,
       0,     0,     0,   920,   215,     0,     0,     0,   216,   217,
       0,     0,     0,     0,     0,  1018,     0,     0,   930,   931,
    1019,   761,     0,  1020,     0,     0,     0,     0,  1021,     0,
     932,     0,  1022,   221,     0,  1023,  1024,     0,     0,     0,
    1025,     0,     0,  1026,   912,  1027,     0,     0,     0,     0,
     913,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1028,     0,     0,  1029,     0,     0,  1030,   157,   158,   159,
     160,     0,     0,     0,     0,  1014,     0,     0,     0,  1015,
       0,     0,     0,     0,  1016,     0,     0,     0,     0,     0,
    1017,     0,     0,     0,   920,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1018,     0,     0,     0,
       0,  1019,     0,     0,  1020,     0,     0,     0,     0,  1021,
       0,     0,     0,  1022,     0,     0,  1023,  1024,     0,     0,
       0,  1025,     0,     0,  1026,     0,  1027,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     923,   912,     0,   924,   925,     0,     0,   913,     0,  1331,
     926,  1028,     0,     0,  1029,     0,     0,  1030,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   158,   159,   160,     0,     0,
     928,   929,  1014,  1031,     0,     0,  1015,     0,     0,     0,
       0,  1016,     0,     0,     0,     0,     0,  1017,   912,     0,
       0,   920,     0,     0,   913,     0,     0,   930,   931,     0,
       0,     0,     0,     0,     0,     0,     0,   349,     0,  1032,
       0,  1020,   221,     0,     0,     0,     0,     0,     0,     0,
       0,   157,   158,   159,   160,     0,     0,     0,     0,  1014,
       0,   923,     0,  1015,   924,   925,     0,     0,  1016,     0,
       0,   926,     0,     0,  1017,     0,  1054,   992,   920,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1018,     0,     0,     0,     0,  1019,     0,     0,  1020,     0,
       0,   928,   929,  1021,  1031,     0,     0,  1022,     0,     0,
    1023,  1024,     0,     0,     0,  1025,     0,     0,  1026,     0,
    1027,     0,     0,     0,   912,     0,     0,     0,   930,   931,
     913,     0,     0,     0,     0,     0,     0,     0,   349,     0,
    1032,     0,     0,   221,     0,  1028,     0,     0,  1029,     0,
       0,  1030,     0,     0,     0,     0,     0,   157,   158,   159,
     160,     0,     0,     0,     0,  1014,     0,     0,     0,  1015,
       0,     0,     0,     0,  1016,     0,     0,     0,   923,     0,
    1017,   924,   925,     0,   920,     0,     0,     0,   926,     0,
       0,     0,     0,     0,     0,     0,  1018,     0,     0,     0,
       0,  1019,     0,     0,  1020,     0,     0,     0,     0,  1021,
       0,     0,     0,  1022,     0,     0,  1023,  1024,   928,   929,
       0,  1025,     0,     0,  1026,     0,  1027,     0,     0,     0,
       0,     0,     0,     0,     0,   923,     0,     0,   924,   925,
       0,     0,     0,     0,     0,   926,     0,     0,     0,     0,
       0,  1028,     0,     0,  1029,     0,     0,  1030,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   928,   929,     0,  1031,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   930,   931,     0,     0,     0,     0,   153,     0,
       0,     0,     0,     0,  1032,   154,   155,   221,     0,     0,
     317,   156,   318,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   319,     0,     0,
       0,   923,     0,     0,   924,   925,     0,   320,   321,     0,
       0,   926,   322,     0,     0,   323,     0,     0,     0,     0,
       0,     0,     0,     0,   324,   325,   326,   327,   328,   329,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   928,   929,   330,  1031,   331,     0,     0,   157,   158,
     159,   160,     0,     0,   161,     0,   162,     0,     0,     0,
     163,     0,     0,     0,     0,   164,     0,     0,   930,   931,
       0,   165,     0,     0,     0,     0,     0,     0,  1055,     0,
    1032,     0,     0,   221,     0,     0,     0,   166,     0,     0,
       0,     0,   167,     0,     0,   168,     0,     0,     0,     0,
     169,     0,     0,     0,   170,     0,     0,   171,   172,     0,
       0,     0,   173,     0,     0,   174,     0,   175,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   176,   177,     0,   178,   179,   180,   181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     106,     0,     0,     0,     0,   107,     0,     0,   108,   109,
     110,   111,     0,     0,   112,   113,     0,   114,   115,   116,
       0,   117,     0,   182,   183,   184,   185,     0,     0,     0,
       0,     0,   186,   187,     0,     0,   188,   189,   332,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
       0,   118,   333,   119,   120,   121,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   334,     0,   153,
       0,     0,   335,     0,     0,     0,   154,   155,     0,   336,
       0,     0,   156,  2221,     0,   337,     0,     0,     0,     0,
     338,     0,     0,     0,     0,     0,   213,   214,     0,   339,
       0,     0,   340,   341,   342,   343,     0,     0,     0,   344,
       0,     0,     0,   345,   346,   215,     0,     0,     0,   216,
     217,     0,     0,     0,     0,     0,     0,     0,   347,     0,
       0,   218,   219,  2222,     0,     0,     0,   348,     0,   349,
       0,   220,     0,     0,   221,     0,     0,     0,     0,   157,
     158,   159,   160,     0,     0,   161,     0,   162,     0,     0,
       0,   163,     0,     0,     0,     0,   164,     0,     0,     0,
       0,     0,   165,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   166,     0,
       0,     0,     0,   167,     0,     0,   168,     0,     0,     0,
       0,   169,     0,     0,     0,   170,     0,     0,   171,   172,
       0,     0,     0,   173,     0,     0,   174,     0,   175,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     122,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   176,   177,   123,   178,   179,   180,   181,
       0,     0,   124,   125,   126,   127,     0,     0,     0,     0,
       0,     0,     0,   128,     0,     0,     0,     0,   129,     0,
     130,   131,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   182,   183,   184,   185,     0,     0,
       0,     0,     0,   186,   187,     0,     0,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,     0,     0,  2223,     0,     0,     0,     0,   153,     0,
       0,     0,     0,     0,     0,     0,   155,     0,  2224,     0,
       0,   156,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2225,     0,     0,     0,
       0,  2226,     0,  2227,     0,     0,     0,   213,   214,     0,
       0,     0,     0,     0,     0,   912,     0,     0,     0,     0,
       0,   913,     0,     0,     0,     0,   215,     0,     0,     0,
     216,   217,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,   219,     0,     0,     0,     0,   157,   158,
     159,   160,   220,     0,   161,   221,   916,     0,     0,     0,
     917,     0,     0,     0,     0,   918,     0,     0,     0,     0,
       0,  1286,     0,     0,     0,   920,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   166,     0,     0,
       0,     0,   167,     0,     0,  1287,     0,     0,     0,     0,
     169,     0,     0,     0,   170,     0,     0,   171,   172,     0,
       0,     0,   173,     0,     0,   174,     0,   175,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   176,   177,     0,   178,   179,   180,   181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   153,     0,     0,
       0,     0,     0,   922,   154,   155,     0,     0,     0,     0,
     156,     0,     0,     0,     0,     0,     0,     0,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
       0,     0,   212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   923,     0,     0,   924,   925,     0,     0,     0,
       0,     0,   926,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   157,   158,   159,
     160,     0,     0,   161,     0,   162,   213,   214,     0,   163,
       0,     0,   928,   929,   164,     0,     0,     0,     0,     0,
     165,     0,     0,     0,     0,   215,     0,     0,     0,   216,
     217,     0,     0,     0,     0,     0,   166,     0,     0,   930,
     931,   167,   761,     0,   168,     0,     0,     0,     0,   169,
       0,   932,     0,   170,   221,     0,   171,   172,     0,     0,
       0,   173,     0,     0,   174,     0,   175,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   176,   177,   153,   178,   179,   180,   181,     0,     0,
     154,   155,     0,     0,     0,     0,   156,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   182,   183,   184,   185,     0,     0,     0,     0,
       0,   186,   187,     0,     0,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,     0,
       0,   212,     0,   157,   158,   159,   160,     0,     0,   161,
       0,   162,     0,     0,     0,   163,     0,     0,     0,     0,
     164,     0,     0,     0,     0,     0,   165,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   166,     0,     0,   213,   214,   167,     0,     0,
     168,     0,     0,     0,     0,   169,     0,     0,     0,   170,
       0,     0,   171,   172,   215,     0,     0,   173,   216,   217,
     174,     0,   175,     0,     0,     0,     0,     0,     0,     0,
     218,   219,     0,     0,     0,     0,     0,     0,   349,     0,
     220,     0,     0,   221,     0,     0,     0,   176,   177,     0,
     178,   179,   180,   181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   992,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
     184,   185,     0,     0,     0,     0,     0,   186,   187,     0,
       0,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   912,     0,   212,     0,     0,
       0,   913,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   157,   158,
     159,   160,     0,     0,     0,     0,  1014,     0,     0,     0,
    1015,   213,   214,     0,     0,  1016,     0,     0,     0,     0,
       0,  1017,     0,     0,     0,   920,     0,     0,     0,     0,
     215,     0,     0,     0,   216,   217,     0,  1018,     0,     0,
       0,     0,  1019,     0,     0,  1020,   218,   219,     0,     0,
    1021,     0,     0,     0,  1022,     0,   220,  1023,  1024,   221,
       0,     0,  1025,     0,     0,  1026,     0,  1027,     0,     0,
       0,     0,     0,     0,     2,     3,     0,     0,     4,     0,
       5,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1028,     0,     0,  1029,     0,     0,  1030,     0,
       6,     7,     8,     9,     0,     0,     0,     0,     0,     0,
       0,    10,     0,     0,     0,     0,     0,     0,     0,    11,
       0,    12,     0,    13,     0,     0,    14,    15,    16,     0,
      17,     0,     0,     0,    18,    19,    20,     0,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  -442,     0,
       0,     0,   923,     0,    35,   924,   925,     0,     0,     0,
       0,     0,   926,     0,    36,   912,     0,     0,     0,     0,
      37,   913,     0,     0,   324,   325,   326,  1901,  1902,   329,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   928,   929,    38,  1031,     0,     0,   157,   158,
     159,   160,     0,     0,     0,     0,  1014,     0,     0,     0,
    1015,     0,     0,     0,     0,  1016,     0,     0,     0,   930,
     931,  1017,     0,     0,     0,   920,     0,     0,     0,   349,
       0,  1032,     0,     0,   221,     0,     0,  1018,     0,     0,
       0,     0,  1019,     0,     0,  1020,   912,     0,     0,     0,
    1021,     0,   913,     0,  1022,     0,     0,  1023,  1024,     0,
       0,     0,  1025,     0,     0,  1026,     0,  1027,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   157,
     158,   159,   160,     0,     0,     0,     0,  1014,     0,     0,
       0,  1015,  1028,     0,     0,  1029,  1016,     0,  1030,     0,
       0,     0,  1017,     0,     0,     0,   920,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1018,     0,
       0,    39,     0,  1019,     0,     0,  1020,     0,     0,     0,
       0,  1021,     0,     0,     0,  1022,    40,     0,  1023,  1024,
       0,  -442,     0,  1025,     0,     0,  1026,     0,  1027,     0,
       0,     0,     0,     0,    41,     0,     0,     0,     0,    42,
       0,    43,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1028,     0,     0,  1029,     0,     0,  1030,
       0,     0,   923,     0,     0,   924,   925,     0,     0,     0,
       0,     0,   926,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   928,   929,     0,  1031,     0,   862,     0,     0,
       0,     0,     0,     0,     0,   912,     0,     0,     0,     0,
       0,   913,     0,     0,     0,     0,     0,     0,     0,   930,
     931,     0,     0,     0,   756,     0,     0,   757,     0,     0,
       0,  1032,     0,   923,   221,     0,   924,   925,  1714,   158,
     159,   160,     0,   926,   758,     0,  1014,     0,     0,     0,
    1015,     0,     0,     0,     0,  1016,     0,     0,     0,     0,
       0,  1017,     0,     0,     0,   920,     0,     0,     0,     0,
       0,     0,     0,   928,   929,     0,  1031,  1018,     0,     0,
       0,     0,  1019,     0,     0,  1020,     0,     0,     0,     0,
    1021,     0,     0,     0,  1022,     0,     0,  1023,  1024,     0,
     930,   931,  1025,     0,     0,  1026,     0,  1027,     0,     0,
       0,     0,  1032,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1028,     0,     0,  1029,     0,     0,  1030,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     759,     0,     0,     0,   213,   214,     0,     0,     0,     0,
       0,     0,   923,     0,   760,   924,   925,     0,     0,     0,
       0,     0,   926,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     761,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   928,   929,     0,  1031,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   930,
     931,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1032,     0,     0,   221
};

static const yytype_int16 yycheck[] =
{
       1,    68,     3,   438,   362,    68,   352,   328,   440,    30,
     437,   367,   449,     1,    53,   216,   439,   405,    37,   690,
      38,  1025,    53,   884,   516,   338,    65,   405,   515,   384,
     912,   466,   926,   723,    65,    30,   634,   469,   416,   417,
     179,   391,   762,   480,   479,  1467,    47,   220,   572,   514,
     537,    32,  1467,   877,    55,   317,  1472,   420,    53,    60,
    1474,   405,  1473,   107,   985,   109,  1411,   111,   112,  1276,
      65,   115,   846,   117,  1488,  1471,   120,   121,   436,  1410,
     124,   125,   126,   127,   346,  1594,  1595,   131,   444,  1485,
     134,  1319,    10,   528,    36,   139,   140,  1332,  1333,  1030,
     381,   459,   383,   147,  1339,  1466,  1467,   177,   882,   180,
     180,   177,  1413,   887,   180,   377,  1636,   177,  1782,   475,
     180,  1580,    40,    41,    42,    43,   900,  1580,  1001,  1805,
     904,   177,  1803,   932,   180,  1804,  1645,  1646,  1778,   177,
    1563,  1564,   180,   863,   573,   177,  1701,     4,   180,   505,
    1005,  1108,   999,  1000,  1002,     4,  1584,    75,  1572,   190,
     177,   177,  1986,   180,   180,    83,    84,    85,    86,     7,
    1003,    23,   601,   177,   530,  2018,   180,     7,    38,  1829,
     609,   103,    45,  1643,    57,   104,  1421,  1847,   106,  1294,
       7,   177,   177,     7,   180,   180,   625,   177,   843,     7,
     180,   177,   845,    23,   180,   123,   177,   840,   841,   180,
     128,   129,   130,   177,   177,    20,   180,   180,  1597,   177,
     138,   216,   180,   141,    23,   220,     8,    22,   726,  1848,
     728,  1859,   730,    15,    16,    17,    18,   735,   104,   105,
      22,   670,   127,   104,   846,   844,  2049,   104,   105,   103,
    1759,  1760,    97,   104,     1,    85,    85,     4,   104,     6,
     327,   328,   105,     7,     8,     9,    12,   759,    79,    80,
    1779,  1780,    54,    13,  1605,  1606,   103,  1699,   164,    26,
      27,    28,    29,     8,    58,   714,   311,    49,  1245,  1246,
     271,    38,   294,  1028,   786,    30,   277,   104,   796,   104,
      85,   332,    30,     7,   294,    49,    58,    51,   103,   104,
      49,  1085,   122,   135,   364,   137,    20,    61,    53,   369,
     749,   352,    66,    53,   391,    53,    70,    73,    30,    54,
      65,    77,   104,   105,   106,   164,   828,    65,  1699,   364,
     827,   126,   405,     8,   787,  1302,    92,    93,    88,    90,
     146,    53,    93,   416,   417,    62,  1027,   352,   244,   245,
     246,   826,   364,    65,   110,   150,    57,    14,    15,    16,
      90,   438,    91,    93,   364,   438,   114,   814,   297,  1801,
      57,    47,   300,   301,   302,   820,  1801,   133,   134,    54,
     822,   313,    99,   131,   433,   126,    57,   363,   144,   466,
    1909,   104,   433,   466,   128,   151,  1511,   104,   293,   448,
     405,   343,   479,   104,   346,  1776,   479,   448,   104,   150,
    1018,   416,   417,  1021,   867,   363,   164,   104,  1789,   153,
     161,    78,    79,    80,   295,    57,  1291,  1082,   433,  1800,
    1801,  1084,    45,   104,   295,  1078,  1079,  1080,    95,    96,
     369,   297,   496,   448,  1189,  1915,     4,   104,     6,  2262,
     364,   528,   284,  1096,     5,   528,   113,   114,     1,   825,
      90,     4,   119,     6,   347,   348,     5,   221,   288,   275,
     276,   216,   104,  1085,  1083,   220,   313,    85,   216,   136,
     295,   298,   220,    26,    27,    28,    29,  1876,   145,   146,
       8,   364,   149,   369,   364,   335,  2146,    15,    16,    17,
      18,  2161,   369,  2356,   216,   369,   365,   369,   220,   364,
       7,  1295,  1296,   441,   442,   443,  2186,   365,    15,    16,
      17,    18,  1489,     8,  1389,  1492,   282,   283,  2047,  2363,
      15,    16,    17,    18,   364,     8,    54,    22,   365,   369,
     133,   365,    15,    16,    17,    18,   474,   365,   369,  2114,
    2188,   357,   281,   702,    57,   364,   361,  1360,  2187,  1362,
     369,  1444,  2236,  1874,   369,  1936,   350,   351,   352,    54,
      30,   600,  2222,   327,   328,   503,   368,   331,  1387,  1934,
     945,    54,   364,  2113,   297,  1442,  1443,  1445,   350,   351,
     352,   298,   349,    53,  2280,   623,   297,  2278,   349,    93,
    2279,   104,  2035,  1446,   364,    65,  1573,   352,   365,   111,
     297,  1145,  1553,  1147,   352,   243,  1063,   358,    85,   349,
    1263,   701,   703,   703,   126,   701,   297,   703,   285,   286,
    2099,   701,   128,   703,   586,    90,  2099,   928,   929,   133,
     352,    85,   853,    87,  1032,  1005,  1613,   703,  1615,  1616,
    2088,  1618,  1006,  1051,   284,   703,   286,   153,  1903,  1897,
    1898,   703,  2100,  1051,   243,   297,   877,   405,   342,   104,
     105,   106,   142,   303,   701,   701,   703,   703,   416,   417,
    1361,    32,    33,    34,   351,   155,   715,   701,   433,   703,
     718,  2032,  1131,  1910,  1939,   433,   450,  1051,  1071,   144,
     454,  1632,   172,   448,   458,   701,   701,   703,   703,   463,
     448,   701,  1220,   703,   468,   701,   161,   703,     7,   277,
     701,   433,   703,   331,   332,   333,   277,   701,   701,   703,
     703,    20,   293,   701,   292,   703,   448,    37,   277,   297,
    1031,   292,   103,   820,   313,   314,   297,   820,   103,    90,
     311,   294,   310,   292,   114,  2110,   216,   315,   297,   310,
     220,    85,   111,    87,   315,  1636,   522,    85,   103,    87,
     524,   310,    38,    39,  2200,   135,   315,   126,  2202,  1650,
    2201,   331,  1284,   135,  1281,    30,    90,    87,   148,   283,
     172,   341,   546,  2199,   297,   364,   316,  1631,    90,   243,
     877,    93,  1586,  1278,    85,   293,   349,     1,    53,   293,
       4,   884,     6,  1347,   365,   114,   168,   169,  1315,  2338,
      65,  1004,   365,    30,    81,    90,   365,    45,    46,   284,
    1701,   286,    26,    27,    28,    29,  1311,   144,   495,    85,
      97,    78,   149,  1290,  2276,   126,    53,   838,   853,   364,
     368,  2276,   204,     4,   369,     6,   326,  1660,    65,   116,
    1663,   305,     7,  1666,   331,   332,   333,     4,     8,   150,
    1570,   368,   877,     1,   111,    20,     4,    22,     6,   884,
    1029,  1611,  1612,   368,    24,   237,   349,   544,    39,   126,
     919,     5,   352,   921,     8,   368,   824,   293,    26,    27,
      28,    29,   114,   254,  2275,  2276,   126,   104,   985,  1275,
     104,   105,   106,   127,    54,  1882,   325,   313,   314,   243,
     134,   187,    45,  1604,   190,   243,   146,   932,  1005,    17,
     150,  1291,   167,  1006,   369,   172,   109,   172,   111,   112,
      18,  1307,   115,   284,   117,   286,   306,   120,   121,  2194,
     164,   124,   125,   126,   127,   368,   168,   169,   131,   258,
     259,   134,    90,   112,   113,   177,   139,   140,    30,    97,
       4,   216,     6,   433,   147,   220,  1657,    52,  1051,  1481,
     284,   305,   286,  1480,    52,   277,  1258,   305,   448,   364,
       5,    53,   292,     8,   999,  1000,  1001,  1002,  1003,  1004,
     292,  1006,   364,    65,  1479,   297,   134,    62,    63,   216,
     310,   364,    67,   220,   114,   315,   364,   317,   310,   284,
     364,   286,  1469,   315,   261,   168,   169,  1032,     0,  1389,
     287,   131,     4,  1925,     6,    22,   136,   137,    25,  1404,
    2285,   169,    20,  1441,    22,  1056,  1051,   103,   104,  1060,
    1448,    57,  1440,  1441,   364,   275,   276,   349,   114,  1447,
    1448,  1449,  1450,    45,   294,  1504,   131,   164,     1,    43,
     135,     4,    20,     6,    22,  2042,     7,     7,    60,    61,
    1736,  1737,  1738,  1739,     4,  2052,     6,  1298,     8,    20,
     135,    22,  2059,    26,    27,    28,    29,    49,    50,    45,
      52,    53,    54,   168,   169,   254,   255,   352,   853,   258,
    1549,    45,  1478,    45,   277,   853,     8,  1146,     7,  1148,
     360,   361,   104,   168,   169,  1154,   171,  2094,   110,   292,
     309,    20,   877,    22,   297,  1835,   104,   357,   120,   877,
     104,   853,   103,   243,   126,   352,   884,   310,   370,  2163,
     278,   370,   315,   342,   216,   349,   342,    90,   220,   103,
      30,   129,   130,   359,    97,   877,  1381,  1382,   150,   367,
      45,   365,    47,  1388,    99,   100,   101,   102,    85,     1,
      60,    61,     4,    53,     6,    60,    61,   177,   433,  2156,
    2157,  2158,   227,  2097,  2098,    65,   231,   232,   233,    30,
    1411,   134,  1413,   448,    26,    27,    28,    29,   305,   306,
     307,   308,   309,   153,  1291,  2182,    23,     4,   238,     6,
       7,   349,    53,    23,   164,   165,   433,   247,   248,   104,
     110,   251,   252,    52,    65,   110,   169,   365,   992,   103,
     120,   448,   996,  2114,    52,   120,   126,   985,    86,    87,
      88,   126,    90,  1609,    52,     1,   103,   104,     4,  1004,
       6,   999,  1000,  1001,  1002,  1003,  1004,   114,  1006,    52,
     150,   294,   295,  1639,    52,   150,    85,  1724,   103,   104,
      26,    27,    28,    29,    15,    16,   254,   313,   314,   114,
     352,   364,  1004,  1298,  1032,    41,   114,   114,    44,   112,
     113,   114,  1958,  1959,  1960,    85,   274,   275,  1747,   126,
     128,   128,  1389,  1051,   103,   297,  1389,   135,   103,  1642,
      85,  1719,  1720,   496,    17,  2292,   336,   337,  1693,   146,
    1695,  1719,  1720,   150,   104,   153,   153,   107,   108,   109,
     292,   103,   160,   103,  1700,   278,   216,   299,   300,   103,
     220,  1961,  1962,  1963,  1964,   280,    18,  1854,  1860,   138,
     139,   140,   141,   315,   289,   290,   291,   292,   335,   336,
     337,   433,   128,   368,  1849,     5,  1381,  1382,  1383,  1384,
    1385,     7,  1387,  1388,     7,   216,   448,     7,   144,   220,
       7,  1396,  1397,   853,    15,    16,  1893,   153,   103,  2366,
    2367,  2368,    15,    16,   160,   161,  1411,   114,  1413,   116,
     117,   118,   119,  1888,   103,  1890,   349,   877,   164,     5,
    1631,   364,   297,     7,  1465,   242,     7,  1793,   222,   223,
     224,   225,   365,   194,   195,  1440,  1441,  1442,  1443,  1444,
    1445,  1446,  1447,  1448,  1449,  1450,  1769,   350,   351,   352,
    1461,  1462,    18,  1464,  1465,  1466,  1467,    17,   275,   276,
    1465,     8,   116,   368,  1462,   103,  1464,  1465,  1466,  1467,
      79,    80,    81,    82,    83,    84,  1842,    38,   132,   313,
     314,  1510,   352,  2164,  1923,  1924,     7,  1926,   103,   311,
     104,   105,   106,   364,   351,  2103,  2104,   364,     1,   153,
    2284,     4,   364,     6,   192,   193,   160,   226,   227,   228,
     229,   230,  1954,   364,  1951,  2125,  2126,  2127,   364,  1952,
     294,   352,   364,    26,    27,    28,    29,   349,  1557,  1558,
     311,  1559,  1560,   103,    45,   331,   332,   333,  1983,   103,
     357,   112,   113,   365,  1004,  2329,   292,   112,   113,    60,
      61,   103,  1629,  1298,  1631,  1632,  1995,     4,     5,   103,
    1298,   112,   113,   433,    95,    96,  2011,  1578,  1609,   103,
    1581,  1902,  1583,   103,   104,  1586,   364,  1650,   448,   104,
    1578,  1949,    97,  1581,   103,  1583,  1298,   103,  1586,    43,
      44,   103,   104,   104,   191,   249,   250,  1396,  1397,   110,
     103,   196,   433,  1652,  1609,   131,   231,   234,   853,   120,
     234,  1652,   103,   235,   103,   126,   235,   448,   236,   365,
     103,  1359,  1360,   103,  1362,  1654,  1631,   343,   364,   103,
     364,  1636,   877,   103,   364,   364,   103,   112,   113,   150,
       5,  1652,     8,   103,   103,  1650,   853,  1652,    52,    22,
     112,   113,   127,   103,   129,   130,   131,     1,    43,  1700,
       4,   149,     6,  1874,   126,    45,  1411,     5,  1413,  1746,
     877,   367,   134,  1411,    45,  1413,   103,   152,   153,   154,
      60,    61,    26,    27,    28,    29,    85,     8,   150,    60,
      61,   113,   114,    85,   116,  1700,  1701,    41,    22,  1411,
      44,  1413,  1440,  1441,  1442,  1443,  1444,  1445,  1446,  1447,
    1448,  1449,  1450,   135,  1719,  1720,    22,  2073,   367,   103,
    1465,   143,   144,  1934,   146,  2227,  1757,  1465,   364,  2226,
     110,   364,  1743,   364,   156,   157,   158,     7,   295,   110,
     120,  1752,  1753,  1754,  1755,  1756,   126,  1778,   103,   120,
    2225,     5,  1757,  1465,   104,   126,   364,   312,  1799,  1004,
     371,   371,  1773,  1774,  1775,  1776,   312,    20,   316,  1810,
     150,    43,  2269,  1778,  2221,   191,  1787,  1788,  1789,   150,
     319,   320,   321,   322,   323,   294,   297,  1798,  1799,  1800,
    1801,   853,  2267,  2268,  1799,     7,   316,  1004,   311,  1810,
    1798,  1799,  1800,  1801,    70,  1810,     5,   166,   103,     7,
     313,   314,  1810,    39,   104,   877,   278,   279,   280,   281,
     164,   363,    99,   363,  1901,  1902,   311,  1838,  1839,  1840,
     103,   191,   294,   295,   296,   363,   104,    99,  1298,   363,
    1838,  1839,  1840,   103,     7,   103,   349,     1,   103,    20,
       4,  2353,     6,   103,   103,  2352,   103,   365,  2224,   103,
     103,  2300,   365,    85,  1609,   365,     5,   190,   103,  1874,
       7,  1609,    26,    27,    28,    29,  2351,   104,     8,     8,
     151,   363,   103,   103,   103,   294,  1631,    41,   105,  1966,
      44,  1629,   295,  1631,  1632,  2342,  2335,  1609,  1636,  2110,
    2266,   103,  2341,   187,   365,    41,  1983,  1652,  1919,   364,
    1983,   364,  1650,   364,  1652,   364,   364,     7,     1,  1631,
      45,     4,  1660,     6,   364,  1663,   364,   364,  1666,  1934,
     364,   364,   364,   134,  2011,    60,    61,   365,  2011,   103,
    1652,  2018,  1004,    26,    27,    28,    29,   365,   292,   364,
     364,  1411,   104,  1413,     8,  1700,   112,   113,    41,     8,
     103,    44,  1700,  1701,   104,   121,   122,   123,   124,   125,
    1981,  1982,   103,     5,   363,   103,  1730,  1731,  1732,  1733,
       8,  1719,  1720,   853,  2350,   110,  1022,  2041,  1700,   913,
    2001,  1024,  1023,   799,   798,   120,   797,  2051,  2009,  2010,
     578,   126,  2013,   800,  2058,  1465,  1139,   877,  2019,   568,
     164,  1497,  1757,  1026,    20,  2026,  2027,  2028,   281,  1757,
    2124,   365,   853,   282,   435,   150,  2144,  1470,  2026,  2027,
    2028,     1,  2073,  1778,     4,    45,     6,  1783,  2150,  2285,
    1778,  2142,  2207,  2209,  2208,  1757,   877,  2210,  2198,  2331,
      60,    61,  1732,  1298,  1799,  2132,    26,    27,    28,    29,
     432,  1799,   287,   895,  1939,  1810,  1778,  1921,  2073,   905,
    1889,    45,  1810,    47,   968,  2152,   434,  1891,    52,  2272,
      54,   164,  2197,  1384,    58,  1383,  1402,  1799,  1385,   988,
    1631,  1298,     1,  1629,   878,     4,  1409,     6,  1810,    46,
     110,    48,   997,    50,    51,  2110,  2137,  2118,  1130,  2114,
     120,    58,    59,   319,  1450,  2146,   126,    26,    27,    28,
      29,   216,  2133,  1339,    98,     1,   100,  1610,     4,  1874,
       6,  1648,  2137,   103,  1004,  1648,  1874,   417,   292,   444,
     150,  2146,  2153,  2154,   446,    92,   447,  1901,  1902,  1609,
      26,    27,    28,    29,  2165,  2166,   445,  2168,  2169,  2170,
    2171,  2172,  1874,  2339,  2175,   332,  1411,   333,  1413,   701,
     724,  1631,   333,  1004,   668,  2250,    -1,  1198,    -1,    -1,
      -1,    90,    -1,    -1,   114,    -1,   116,    -1,    97,  1934,
      -1,  2222,  1652,   109,    -1,    -1,  1934,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1411,   135,  1413,    -1,  2285,   292,
     126,   365,    -1,   143,   144,   145,   146,  2222,  2229,    -1,
    1465,  2232,  1934,    -1,  2235,   134,   142,    -1,   104,   105,
     106,   147,    -1,  2274,   150,    -1,  1298,    -1,    -1,   155,
    1700,    -1,    -1,   159,    -1,    -1,   162,   163,    -1,    -1,
      -1,   167,  2329,    -1,   170,    -1,   172,    -1,  1465,    -1,
     169,    -1,  2273,  2274,  2275,  2276,    -1,  2298,    -1,  2274,
    2281,  2282,  2283,  2284,    -1,  2273,  2274,  2275,  2276,  2356,
      -1,   197,   365,  2281,  2282,  2283,  2284,   203,    -1,    -1,
    2301,    -1,    -1,  2298,    -1,    -1,    -1,  1757,  2309,    -1,
      -1,    -1,    -1,    -1,  2315,  2316,  2317,  2318,  2319,  2320,
    2321,  2322,  2323,  2324,  2325,  2326,    -1,    -1,  1778,   405,
      -1,    -1,  2320,  2321,  2322,    -1,    -1,    -1,  2073,  2340,
     416,   417,    -1,    -1,    -1,  2073,  2347,  2348,  2349,  1799,
      -1,    -1,    -1,   313,   314,    -1,    -1,    -1,    -1,  1411,
    1810,  1413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2073,    -1,    -1,  1609,  2110,    -1,    -1,    -1,   278,
      -1,    -1,  2110,    -1,    -1,    -1,  2114,    -1,    -1,   349,
      -1,    -1,    -1,    -1,    -1,     1,  1631,    -1,     4,    -1,
       6,    -1,  2137,    -1,   405,   365,    -1,    -1,  2110,  2137,
      -1,  2146,  1609,  1465,    -1,   416,   417,  1652,  2146,    -1,
      26,    27,    28,    29,  1874,    -1,     1,    -1,    -1,     4,
      -1,     6,    38,    -1,  1631,  2137,     1,    -1,  1298,     4,
      -1,     6,    -1,     1,  2146,    -1,     4,    -1,     6,    -1,
     349,    26,    27,    28,    29,  1652,    -1,    -1,    -1,    -1,
      -1,    26,    27,    28,    29,  1700,   365,    -1,    26,    27,
      28,    29,    -1,    -1,    -1,    40,    -1,  1298,    -1,    -1,
      -1,    -1,    -1,   349,  1934,    38,    -1,  2222,  1335,    -1,
       1,    -1,    -1,     4,  2222,     6,    45,    -1,    -1,   365,
      -1,    -1,    -1,  1700,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    60,    61,    -1,    -1,    26,    27,    28,    29,    94,
    2222,    -1,  1757,    -1,    89,    90,    91,    92,    -1,    94,
      41,    -1,    97,    44,    -1,    -1,    94,    -1,    -1,  2274,
      -1,    -1,    -1,  1778,    -1,    -1,  2274,    -1,    -1,   114,
     103,  1411,    -1,  1413,    -1,    -1,    -1,  1609,    -1,   134,
    1757,   110,    -1,  2298,  1799,    -1,    -1,    -1,    -1,    -1,
    2298,   120,  2274,    -1,    -1,  1810,   134,   126,    -1,  1631,
      -1,  1778,    -1,    -1,     1,    -1,    -1,     4,    -1,     6,
    1411,    -1,  1413,    -1,    -1,    -1,  2298,    -1,    -1,   164,
    1652,   150,  1799,    -1,    -1,  1465,    -1,    -1,    -1,    26,
      27,    28,    29,  1810,    -1,  1462,    -1,  1464,  1465,  1466,
    1467,    -1,   175,  2073,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,    -1,  1874,
      -1,    -1,    -1,    -1,  1465,    -1,    -1,    -1,  1700,   850,
      -1,   852,    -1,   164,    -1,    -1,     1,    -1,    -1,     4,
    2110,     6,    -1,    -1,     1,    -1,    -1,     4,   869,     6,
     871,    -1,   873,    -1,    -1,    -1,    -1,  1874,   879,   880,
      -1,    26,    27,    28,    29,    -1,    -1,  2137,    -1,    26,
      27,    28,    29,    -1,    -1,    -1,  2146,    -1,    -1,  1934,
      -1,    45,    -1,   278,    -1,  1757,    -1,    -1,    -1,    -1,
     911,    -1,   277,   914,    -1,    -1,    60,    61,    -1,    -1,
     278,    -1,    -1,    -1,    -1,    -1,  1778,   292,    -1,    -1,
      -1,  1578,   297,    -1,  1581,    -1,  1583,  1934,    -1,  1586,
      -1,    -1,    -1,   349,    -1,   310,    -1,  1799,    -1,  1609,
     315,    -1,    -1,    -1,    -1,    -1,    -1,    94,  1810,   365,
      -1,    -1,    -1,    -1,    -1,    -1,   110,    -1,    -1,   114,
      -1,  1631,  2222,    -1,   349,    -1,   120,    -1,   979,    -1,
      -1,   292,   126,    -1,   349,    -1,    -1,    -1,  1609,    -1,
     365,   349,  1652,    -1,    -1,    -1,    -1,   134,   112,   113,
     365,  1648,   116,    -1,    -1,    -1,   150,   365,   884,    -1,
    1631,    -1,    -1,   127,   128,   129,   130,   131,   132,   133,
     134,   135,  1874,    -1,  2274,    -1,    -1,    -1,    -1,    -1,
      -1,  1652,    -1,    -1,     1,    -1,    -1,     4,  2073,     6,
    1700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2298,    -1,
      -1,  1052,  1053,    -1,   365,    -1,   932,    -1,    -1,    26,
      27,    28,    29,   177,    -1,    -1,     1,    -1,    -1,     4,
      37,     6,    -1,    -1,    -1,  2110,  2073,   294,    -1,  1700,
      47,     1,  1934,   884,     4,    52,     6,    54,    -1,    56,
      -1,    26,    27,    28,    29,    -1,    -1,  1757,    -1,    -1,
      -1,    -1,  2137,    -1,    -1,    -1,    26,    27,    28,    29,
      -1,  2146,    -1,  2110,    -1,    -1,    -1,    -1,  1778,    -1,
      40,    -1,    -1,   999,  1000,  1001,  1002,  1003,    -1,    -1,
    1006,    -1,   349,   278,    -1,    -1,  1757,    -1,    -1,  1799,
    2137,   278,    -1,    -1,    -1,    -1,    -1,    -1,   365,  2146,
    1810,  1798,  1799,  1800,  1801,    -1,  1032,  1778,    -1,    -1,
      -1,    -1,    -1,  1810,    -1,    -1,    -1,    -1,    -1,    89,
      90,    91,    92,    -1,    94,  1051,    -1,    97,  1799,    -1,
      -1,     1,    -1,    -1,     4,    -1,     6,  2222,    -1,  1810,
      -1,  1838,  1839,  1840,   114,    -1,    -1,   164,   999,  1000,
    1001,  1002,  1003,    -1,   349,  1006,    26,    27,    28,    29,
      -1,    -1,   349,    -1,  1874,    -1,    -1,    37,    -1,    -1,
     365,  2073,    -1,    -1,    -1,  2222,    -1,    47,   365,    -1,
      -1,  1032,    52,    -1,    54,    -1,    56,    -1,    -1,  2274,
      -1,    -1,     1,    -1,   164,     4,    -1,     6,    -1,    -1,
    1051,    -1,    -1,  1874,    -1,    -1,    -1,    -1,  2110,    -1,
      -1,    -1,    -1,  2298,    -1,    -1,    -1,    26,    27,    28,
      29,    -1,    -1,    -1,  1934,    -1,    -1,  2274,    -1,    -1,
      -1,    40,    -1,    -1,  1285,  2137,    -1,    -1,  1289,    -1,
      -1,    -1,    -1,    -1,  2146,    -1,    -1,    -1,  1299,  1300,
    1301,  2298,    -1,  1304,    37,  1306,    -1,    -1,    -1,    -1,
     277,    -1,    45,  1934,    47,    -1,    49,    -1,    -1,    52,
      53,    54,    -1,    56,    -1,   292,    -1,    -1,  1329,    -1,
      89,    90,    91,    92,     1,    94,    -1,     4,    97,     6,
      -1,    -1,    -1,   310,   164,    -1,    -1,    -1,   315,    -1,
     317,    -1,    -1,    -1,    -1,   114,    -1,   277,    -1,    26,
      27,    28,    29,    -1,    -1,  1366,    -1,  1368,    -1,    -1,
    2222,    -1,   292,    -1,  1375,    -1,   311,   297,    -1,  2026,
    2027,  2028,   349,    -1,    -1,    -1,    -1,    -1,    -1,  1390,
     310,  1392,    -1,    -1,    -1,   315,    -1,    -1,   365,    -1,
    1401,    -1,  1403,    -1,    -1,   164,     1,    -1,    -1,     4,
     109,     6,   111,  2073,   349,    -1,   115,    -1,    -1,    -1,
      -1,   120,  2274,    -1,    -1,    -1,    -1,   126,    -1,   349,
     365,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   142,    -1,   365,  2298,   114,   147,    -1,
    2110,   150,  2073,    -1,    -1,    -1,   155,   277,    -1,    -1,
     159,    -1,    -1,   162,   163,   164,    -1,    -1,   167,    -1,
      -1,   170,   292,   172,    -1,    -1,    -1,  2137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2146,    -1,    -1,  2110,
     310,    -1,    -1,    -1,    -1,   315,    -1,   317,   197,    -1,
     199,    -1,    -1,    -1,   203,  1381,  1382,  1383,  1384,  1385,
      -1,  1387,  1388,    -1,    -1,    -1,  2137,    -1,   277,   114,
    1396,  1397,    -1,    -1,    37,  2146,    -1,    -1,    -1,   349,
      -1,    -1,    45,   292,    47,    -1,    49,    -1,   297,    52,
      53,    54,    -1,    56,   277,   365,    -1,    -1,    -1,    -1,
      -1,   310,    -1,    -1,    -1,    -1,   315,    -1,    -1,   292,
      -1,    -1,  2222,    -1,  1440,  1441,  1442,  1443,  1444,  1445,
    1446,  1447,  1448,  1449,  1450,    -1,    -1,   310,    -1,    -1,
      -1,    -1,   315,    -1,   317,    -1,    -1,    -1,  1589,  1590,
     349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2222,    37,    -1,    -1,    -1,   365,    -1,    -1,    -1,
      45,   278,    47,    -1,  2274,    -1,  1617,    52,    53,    54,
      -1,    56,    -1,    -1,    -1,    -1,  2273,  2274,  2275,  2276,
      -1,    -1,  1633,    -1,  2281,  2282,  2283,  2284,  2298,  1440,
    1441,  1442,  1443,  1444,  1445,  1446,  1447,  1448,  1449,  1450,
       1,    -1,    -1,  2274,    -1,    -1,    -1,    -1,    -1,    -1,
      11,    12,    13,    14,    15,    16,    17,   135,  1669,    20,
      -1,    -1,    -1,  2320,  2321,  2322,   144,  2298,    -1,    -1,
      -1,    -1,   349,   278,    -1,  1686,    -1,  1688,    -1,    -1,
      -1,    -1,   160,    -1,    -1,    -1,   164,    -1,   365,    -1,
     168,   169,    -1,    -1,    -1,   173,   174,   175,   176,   177,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    73,    -1,    -1,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,    -1,   104,   349,    -1,    -1,   108,    -1,   110,
    1636,    -1,   113,   114,   277,   116,    -1,    -1,   119,    -1,
     365,    -1,    -1,    -1,  1650,    -1,    -1,    -1,    -1,   292,
      -1,    -1,   133,   134,   135,   136,   137,    -1,   139,   140,
      -1,    -1,   143,   144,   145,   146,    -1,   310,   149,    -1,
     151,    -1,   315,    23,   317,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     1,    -1,    -1,     4,    -1,     6,    38,    -1,
      -1,    -1,    -1,    -1,    -1,  1701,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1636,    -1,    26,    27,    28,
      29,    -1,   277,  1719,  1720,    -1,    -1,    -1,    -1,  1650,
      -1,    40,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1867,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,    -1,    -1,
     315,    -1,   317,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1900,
    1701,    90,    91,    92,    -1,    94,    -1,    -1,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1719,  1720,
      -1,    -1,    -1,    -1,    -1,   114,    -1,  1928,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     1,    -1,    -1,     4,   175,     6,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,    -1,    -1,    23,    -1,   164,    26,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    35,    36,    37,    -1,    -1,
      -1,    -1,    -1,    -1,    44,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    62,    63,    -1,    -1,    -1,    67,    -1,    -1,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    81,    82,    83,    84,    -1,    -1,    -1,    -1,    -1,
      -1,   109,    -1,   111,    94,    -1,   114,   115,    98,    -1,
     100,    -1,   120,   103,   104,   105,   106,    -1,   126,   109,
      -1,   111,    -1,    -1,   114,   115,    -1,    -1,    -1,    -1,
     120,    -1,    -1,    -1,   142,    -1,   126,    -1,    -1,   147,
      -1,    -1,   150,    -1,    -1,    -1,    -1,   155,   277,    -1,
      -1,   159,   142,    -1,   162,   163,    -1,   147,    -1,   167,
     150,    -1,   170,   292,   172,   155,    -1,  2108,   297,   159,
      -1,    -1,   162,   163,   164,    -1,    -1,   167,    -1,    -1,
     170,   310,   172,    -1,    -1,    -1,   315,    -1,    -1,   197,
      -1,   199,    -1,    -1,    -1,   203,    -1,   488,    -1,    -1,
      -1,    -1,    -1,    -1,   495,    -1,    -1,   197,   198,    -1,
     200,   201,   202,   203,    -1,   506,    -1,   508,    -1,   510,
     349,   512,    -1,    -1,    -1,    -1,   517,    -1,    -1,    -1,
     521,   522,    -1,    -1,    -1,    -1,   365,    -1,    -1,    -1,
     531,    -1,    -1,   534,    -1,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   544,    -1,    -1,    -1,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,    -1,    -1,   277,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2114,    -1,
      -1,    -1,   292,    -1,    -1,    -1,    -1,   297,    -1,    -1,
      -1,    -1,    -1,    -1,   304,    -1,    -1,    -1,    -1,    -1,
     310,    -1,    -1,    -1,    -1,   315,    -1,    -1,    -1,    -1,
      -1,   321,   322,    -1,   324,    -1,    -1,   327,   328,   329,
     330,    -1,    -1,    -1,   334,    -1,    -1,    -1,   338,   339,
     340,    -1,    -1,    -1,   344,   345,    -1,    -1,    -1,   349,
      -1,    -1,    -1,   353,    -1,     1,   356,   357,     4,    -1,
       6,    -1,   362,  2114,   364,   365,   366,    -1,    -1,   369,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,    -1,
      26,    27,    28,    29,    30,    31,    -1,    -1,    -1,    35,
      36,    37,    -1,    -1,    -1,    -1,    -1,    -1,    44,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    62,    63,    -1,    -1,
      -1,    67,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    81,    82,    83,    84,    -1,
      -1,    -1,    -1,    -1,   109,    -1,   111,    -1,    94,    -1,
     115,    -1,    98,    -1,   100,   120,    -1,   103,   104,   105,
     106,   126,    -1,   109,    -1,   111,    -1,    -1,   114,   115,
      -1,    -1,    -1,    -1,   120,    -1,    -1,   142,    -1,    -1,
     126,    -1,   147,    -1,    -1,   150,    -1,    -1,    -1,    -1,
     155,    -1,    -1,    -1,   159,    -1,   142,   162,   163,    -1,
      -1,   147,   167,    -1,   150,   170,    -1,   172,    -1,   155,
      -1,    -1,    -1,   159,    -1,    -1,   162,   163,   164,    -1,
      -1,   167,    -1,    -1,   170,    -1,   172,    -1,    -1,    -1,
      -1,    -1,   197,    -1,    -1,    -1,    -1,    -1,   203,    -1,
      -1,    -1,    -1,     1,    -1,    -1,     4,    -1,     6,    -1,
      -1,   197,   198,    -1,   200,   201,   202,   203,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,    -1,    -1,    -1,
      -1,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,    -1,
      -1,   277,    90,    91,    92,    -1,    94,    -1,    -1,    97,
      -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,
      -1,   297,    -1,    -1,    -1,    -1,   114,    -1,   304,    -1,
      -1,    -1,    -1,    -1,   310,    -1,    -1,    -1,    -1,   315,
      -1,    -1,    -1,    -1,    -1,   321,   322,    -1,   324,    -1,
      -1,   327,   328,   329,   330,    -1,    -1,    -1,   334,    -1,
      -1,    -1,   338,   339,   340,    -1,    -1,    -1,   344,   345,
      -1,    -1,    -1,   349,    -1,    -1,   164,   353,    -1,    -1,
     356,   357,     1,    -1,    -1,     4,   362,     6,   364,   365,
     366,    -1,    -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    23,    -1,    -1,    26,    27,    28,
      29,    30,    31,    -1,    -1,    -1,    35,    36,    37,    -1,
      -1,    -1,    -1,    -1,    -1,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    62,    63,    -1,    -1,    -1,    67,    -1,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    81,    82,    83,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    -1,    -1,  1109,    98,
      -1,   100,    -1,    -1,   103,   104,   105,   106,    -1,   277,
     109,    -1,   111,    -1,    -1,   114,   115,    -1,    -1,    -1,
      -1,   120,    37,    -1,   292,    -1,    -1,   126,    -1,   297,
      45,    -1,    47,    -1,    49,    -1,    -1,    52,    53,    54,
      -1,    56,   310,   142,    -1,    60,    61,   315,   147,    -1,
      -1,   150,    -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,
     159,    -1,    -1,   162,   163,   164,    -1,    -1,   167,    -1,
      -1,   170,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,
      -1,    -1,    -1,    -1,    -1,   110,    -1,   365,   197,   198,
      -1,   200,   201,   202,   203,   120,    -1,    -1,    -1,    -1,
      -1,   126,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
      -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,   238,
     239,   240,   241,    -1,    -1,    -1,    -1,    -1,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,    -1,    -1,   277,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,   297,    -1,
      -1,    -1,    -1,    -1,    -1,   304,    -1,    -1,    -1,    -1,
      -1,   310,    -1,    -1,    -1,    -1,   315,    -1,    -1,    -1,
      -1,    -1,   321,   322,    -1,   324,    -1,    -1,   327,   328,
     329,   330,    -1,    -1,    -1,   334,    -1,    -1,    -1,   338,
     339,   340,    -1,    -1,    -1,   344,   345,    -1,    -1,    -1,
     349,    -1,    -1,    -1,   353,    -1,     1,   356,   357,     4,
      -1,     6,   277,   362,    -1,   364,   365,   366,    -1,    -1,
     369,    -1,    -1,    -1,    -1,    -1,    -1,   292,    23,    -1,
      -1,    26,    27,    28,    29,    30,    31,    -1,    -1,    -1,
      35,    36,    37,    -1,    -1,   310,    -1,    -1,    -1,    44,
     315,    -1,   317,    -1,    -1,    -1,    -1,    52,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    62,    63,    -1,
      -1,    -1,    67,    -1,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    81,    82,    83,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      -1,    -1,    -1,    98,    -1,   100,    -1,    -1,   103,   104,
     105,   106,    -1,    -1,   109,    -1,   111,    -1,    -1,   114,
     115,    -1,    -1,     1,    -1,   120,     4,    -1,     6,    -1,
      -1,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   142,    26,    27,
      28,    29,   147,    -1,    -1,   150,    -1,    -1,    -1,    -1,
     155,    -1,    40,    -1,   159,    -1,    -1,   162,   163,   164,
      -1,    -1,   167,    -1,    -1,   170,    -1,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   197,   198,    -1,   200,   201,   202,   203,    -1,
      -1,    -1,    90,    91,    92,    -1,    94,    -1,    -1,    97,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   114,    -1,    -1,    -1,
      -1,    -1,    -1,   238,   239,   240,   241,    -1,    -1,    -1,
      -1,    -1,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
      -1,    -1,   277,    -1,    -1,    -1,   164,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,
      -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,   304,
      -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,    -1,    -1,
     315,    -1,    -1,    -1,    -1,    -1,   321,   322,    -1,   324,
      -1,    -1,   327,   328,   329,   330,    -1,    -1,    -1,   334,
      -1,    -1,    -1,   338,   339,   340,     4,    -1,     6,   344,
     345,    -1,    -1,    -1,   349,    -1,    -1,    -1,   353,    -1,
      -1,   356,   357,    -1,    -1,    23,    -1,   362,    -1,   364,
     365,   366,    30,    31,   369,    -1,    -1,    35,    36,    37,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,   277,
      -1,    -1,    -1,    -1,    62,    63,    -1,    -1,   104,    67,
      -1,    -1,    70,    -1,   292,    -1,    -1,    -1,    -1,   297,
      -1,    79,    80,    81,    82,    83,    84,    -1,    -1,    -1,
      -1,    -1,   310,    -1,    -1,   131,    -1,   315,   134,    -1,
      98,    -1,   100,    -1,    -1,   103,   104,   105,   106,    -1,
      -1,   109,    -1,   111,    -1,   151,    -1,   115,    -1,    -1,
      -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,   126,    -1,
      -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   142,    -1,    -1,   365,    -1,   147,
      -1,    -1,   150,    -1,    -1,    -1,    -1,   155,    -1,    -1,
      -1,   159,    -1,    -1,   162,   163,    -1,    -1,    -1,   167,
      -1,    -1,   170,    -1,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   197,
     198,    -1,   200,   201,   202,   203,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,    -1,
     238,   239,   240,   241,    -1,    -1,    -1,    -1,    -1,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,    -1,    -1,   277,
      -1,   317,    -1,     5,    -1,   321,   322,    -1,   112,   113,
      -1,    -1,   116,    -1,   292,   331,    -1,    -1,    -1,   297,
      -1,    23,    -1,    -1,    -1,    -1,   304,    -1,    -1,    31,
     134,    -1,   310,    -1,    36,    -1,    -1,   315,    -1,    -1,
      -1,   357,    -1,   321,   322,    -1,   324,    -1,    -1,   327,
     328,   329,   330,    -1,    -1,    -1,   334,    -1,    -1,    -1,
     338,   339,   340,    -1,    -1,    -1,   344,   345,    70,    -1,
      -1,    -1,    -1,    -1,    76,   353,    -1,    -1,   356,   357,
      -1,    -1,    -1,    85,   362,    87,   364,   365,   366,    -1,
      -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,    -1,    -1,   109,    -1,   111,
      -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,   120,    -1,
      -1,    -1,    -1,    -1,   126,    -1,    -1,    -1,   130,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    -1,    -1,    -1,    -1,   147,    -1,    -1,   150,    -1,
     254,    -1,    -1,   155,    -1,    -1,    -1,   159,    -1,    -1,
     162,   163,    -1,    -1,    -1,   167,    -1,    -1,   170,    -1,
     172,    -1,    -1,    -1,   278,   279,   280,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,   290,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   197,   198,    90,   200,   201,
     202,   203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,   317,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,
      23,    -1,    -1,    -1,    -1,    -1,   238,    -1,    31,    -1,
      -1,   134,    -1,    36,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,    -1,    -1,   277,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    76,    -1,   287,    -1,    -1,   290,   291,
      -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,   191,    -1,
      -1,    -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,    -1,    -1,   109,    -1,   111,   321,
     322,    -1,   115,    -1,    -1,   327,   328,   120,    -1,    -1,
      -1,    -1,    -1,   126,    -1,    -1,    -1,   130,   340,    -1,
      -1,    -1,   344,   345,    -1,    -1,    -1,    -1,    -1,   142,
      -1,    -1,   354,   355,   147,   357,    -1,   150,    -1,    -1,
      -1,   254,   155,    -1,   366,    -1,   159,   369,    -1,   162,
     163,    -1,    -1,    -1,   167,    -1,    -1,   170,    -1,   172,
      -1,    -1,    -1,    -1,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,   197,   198,    90,   200,   201,   202,
     203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,    -1,    -1,   317,    -1,    -1,    -1,   112,   113,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,    23,
      -1,    -1,    -1,    -1,    -1,   238,    -1,    31,    -1,    -1,
     134,    -1,    36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,    -1,    -1,   277,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    76,    -1,   287,    -1,    -1,   290,   291,    -1,
      -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,
     104,   105,   106,    -1,    -1,   109,    -1,   111,   321,   322,
      -1,   115,    -1,    -1,   327,   328,   120,    -1,    -1,    -1,
      -1,    -1,   126,    -1,    -1,    -1,   130,   340,    -1,    -1,
      -1,   344,   345,    -1,    -1,    -1,    -1,    -1,   142,    -1,
      -1,   354,   355,   147,   357,    -1,   150,    -1,    -1,    -1,
     254,   155,    -1,   366,    -1,   159,   369,    -1,   162,   163,
      -1,    -1,    -1,   167,    -1,    -1,   170,    -1,   172,    -1,
      -1,    -1,    -1,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,    -1,
     294,   295,   296,   197,   198,    -1,   200,   201,   202,   203,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,    -1,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,
      -1,    -1,    -1,    -1,   238,    -1,    31,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,    -1,    -1,   277,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    76,    -1,   287,    -1,    -1,   290,   291,    -1,    -1,
      -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,    -1,    -1,   109,    -1,   111,   321,   322,    -1,
     115,    -1,    -1,   327,   328,   120,    -1,    -1,    -1,    -1,
      -1,   126,    -1,    -1,    -1,   130,   340,    -1,    -1,    -1,
     344,   345,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,
     354,   355,   147,   357,    -1,   150,    -1,    -1,    -1,    -1,
     155,    -1,   366,    -1,   159,   369,    -1,   162,   163,    -1,
      -1,    -1,   167,    -1,    -1,   170,    -1,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   197,   198,    -1,   200,   201,   202,   203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,    -1,
      -1,    -1,    -1,   238,    -1,    31,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
      -1,    -1,   277,    -1,    70,    -1,    -1,    -1,    -1,    -1,
      76,    -1,   287,    -1,    -1,   290,   291,    -1,    -1,    -1,
      -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,    -1,    -1,   109,    -1,   111,   321,   322,    -1,   115,
      -1,    -1,   327,   328,   120,    -1,    -1,    -1,    -1,    -1,
     126,    -1,    -1,    -1,   130,   340,    -1,    -1,    -1,   344,
     345,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,   354,
     355,   147,   357,    -1,   150,    -1,    -1,    -1,    -1,   155,
      -1,   366,    -1,   159,   369,    -1,   162,   163,    -1,    -1,
      -1,   167,    -1,    -1,   170,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   197,   198,    -1,   200,   201,   202,   203,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     9,    10,    11,    12,    13,    14,    -1,    -1,
      -1,    -1,    19,    -1,    -1,    -1,    23,    -1,    -1,    -1,
      -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,    -1,
      -1,   277,    -1,    70,    -1,    -1,    -1,    -1,    -1,    76,
      -1,   287,    -1,    -1,   290,   291,    -1,    -1,    -1,    -1,
      -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
      -1,    -1,    -1,    -1,   111,   321,   322,    -1,   115,    -1,
      -1,   327,   328,   120,    -1,    21,    -1,    -1,    -1,   126,
      -1,    -1,    -1,   130,   340,    -1,    -1,    -1,   344,   345,
      -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,   354,   355,
     147,   357,    -1,   150,    -1,    -1,    -1,    -1,   155,    -1,
     366,    -1,   159,   369,    -1,   162,   163,    -1,    -1,    -1,
     167,    -1,    -1,   170,    70,   172,    -1,    -1,    -1,    -1,
      76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     197,    -1,    -1,   200,    -1,    -1,   203,   103,   104,   105,
     106,    -1,    -1,    -1,    -1,   111,    -1,    -1,    -1,   115,
      -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,
     126,    -1,    -1,    -1,   130,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,
      -1,   147,    -1,    -1,   150,    -1,    -1,    -1,    -1,   155,
      -1,    -1,    -1,   159,    -1,    -1,   162,   163,    -1,    -1,
      -1,   167,    -1,    -1,   170,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     287,    70,    -1,   290,   291,    -1,    -1,    76,    -1,    21,
     297,   197,    -1,    -1,   200,    -1,    -1,   203,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   104,   105,   106,    -1,    -1,
     327,   328,   111,   330,    -1,    -1,   115,    -1,    -1,    -1,
      -1,   120,    -1,    -1,    -1,    -1,    -1,   126,    70,    -1,
      -1,   130,    -1,    -1,    76,    -1,    -1,   354,   355,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,   366,
      -1,   150,   369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,    -1,    -1,    -1,    -1,   111,
      -1,   287,    -1,   115,   290,   291,    -1,    -1,   120,    -1,
      -1,   297,    -1,    -1,   126,    -1,    22,    23,   130,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    -1,    -1,    -1,    -1,   147,    -1,    -1,   150,    -1,
      -1,   327,   328,   155,   330,    -1,    -1,   159,    -1,    -1,
     162,   163,    -1,    -1,    -1,   167,    -1,    -1,   170,    -1,
     172,    -1,    -1,    -1,    70,    -1,    -1,    -1,   354,   355,
      76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,
     366,    -1,    -1,   369,    -1,   197,    -1,    -1,   200,    -1,
      -1,   203,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,    -1,    -1,    -1,    -1,   111,    -1,    -1,    -1,   115,
      -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,   287,    -1,
     126,   290,   291,    -1,   130,    -1,    -1,    -1,   297,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,
      -1,   147,    -1,    -1,   150,    -1,    -1,    -1,    -1,   155,
      -1,    -1,    -1,   159,    -1,    -1,   162,   163,   327,   328,
      -1,   167,    -1,    -1,   170,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   287,    -1,    -1,   290,   291,
      -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,
      -1,   197,    -1,    -1,   200,    -1,    -1,   203,    -1,    -1,
     369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   327,   328,    -1,   330,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   354,   355,    -1,    -1,    -1,    -1,    23,    -1,
      -1,    -1,    -1,    -1,   366,    30,    31,   369,    -1,    -1,
      35,    36,    37,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,
      -1,   287,    -1,    -1,   290,   291,    -1,    62,    63,    -1,
      -1,   297,    67,    -1,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    81,    82,    83,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   327,   328,    98,   330,   100,    -1,    -1,   103,   104,
     105,   106,    -1,    -1,   109,    -1,   111,    -1,    -1,    -1,
     115,    -1,    -1,    -1,    -1,   120,    -1,    -1,   354,   355,
      -1,   126,    -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,
     366,    -1,    -1,   369,    -1,    -1,    -1,   142,    -1,    -1,
      -1,    -1,   147,    -1,    -1,   150,    -1,    -1,    -1,    -1,
     155,    -1,    -1,    -1,   159,    -1,    -1,   162,   163,    -1,
      -1,    -1,   167,    -1,    -1,   170,    -1,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   197,   198,    -1,   200,   201,   202,   203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    -1,    -1,    42,    -1,    -1,    45,    46,
      47,    48,    -1,    -1,    51,    52,    -1,    54,    55,    56,
      -1,    58,    -1,   238,   239,   240,   241,    -1,    -1,    -1,
      -1,    -1,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
      -1,    98,   277,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    23,
      -1,    -1,   297,    -1,    -1,    -1,    30,    31,    -1,   304,
      -1,    -1,    36,    37,    -1,   310,    -1,    -1,    -1,    -1,
     315,    -1,    -1,    -1,    -1,    -1,   321,   322,    -1,   324,
      -1,    -1,   327,   328,   329,   330,    -1,    -1,    -1,   334,
      -1,    -1,    -1,   338,   339,   340,    -1,    -1,    -1,   344,
     345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   353,    -1,
      -1,   356,   357,    87,    -1,    -1,    -1,   362,    -1,   364,
      -1,   366,    -1,    -1,   369,    -1,    -1,    -1,    -1,   103,
     104,   105,   106,    -1,    -1,   109,    -1,   111,    -1,    -1,
      -1,   115,    -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,
      -1,    -1,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
      -1,    -1,    -1,   147,    -1,    -1,   150,    -1,    -1,    -1,
      -1,   155,    -1,    -1,    -1,   159,    -1,    -1,   162,   163,
      -1,    -1,    -1,   167,    -1,    -1,   170,    -1,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   197,   198,   292,   200,   201,   202,   203,
      -1,    -1,   299,   300,   301,   302,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   310,    -1,    -1,    -1,    -1,   315,    -1,
     317,   318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   238,   239,   240,   241,    -1,    -1,
      -1,    -1,    -1,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,    -1,    -1,   277,    -1,    -1,    -1,    -1,    23,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    31,    -1,   292,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,    -1,
      -1,   315,    -1,   317,    -1,    -1,    -1,   321,   322,    -1,
      -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    76,    -1,    -1,    -1,    -1,   340,    -1,    -1,    -1,
     344,   345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   356,   357,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   366,    -1,   109,   369,   111,    -1,    -1,    -1,
     115,    -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,
      -1,   126,    -1,    -1,    -1,   130,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,
      -1,    -1,   147,    -1,    -1,   150,    -1,    -1,    -1,    -1,
     155,    -1,    -1,    -1,   159,    -1,    -1,   162,   163,    -1,
      -1,    -1,   167,    -1,    -1,   170,    -1,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   197,   198,    -1,   200,   201,   202,   203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,    -1,
      -1,    -1,    -1,   238,    30,    31,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
      -1,    -1,   277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   287,    -1,    -1,   290,   291,    -1,    -1,    -1,
      -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,    -1,    -1,   109,    -1,   111,   321,   322,    -1,   115,
      -1,    -1,   327,   328,   120,    -1,    -1,    -1,    -1,    -1,
     126,    -1,    -1,    -1,    -1,   340,    -1,    -1,    -1,   344,
     345,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,   354,
     355,   147,   357,    -1,   150,    -1,    -1,    -1,    -1,   155,
      -1,   366,    -1,   159,   369,    -1,   162,   163,    -1,    -1,
      -1,   167,    -1,    -1,   170,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   197,   198,    23,   200,   201,   202,   203,    -1,    -1,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,    -1,    -1,    -1,
      -1,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,    -1,
      -1,   277,    -1,   103,   104,   105,   106,    -1,    -1,   109,
      -1,   111,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,
     120,    -1,    -1,    -1,    -1,    -1,   126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,    -1,   321,   322,   147,    -1,    -1,
     150,    -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,   159,
      -1,    -1,   162,   163,   340,    -1,    -1,   167,   344,   345,
     170,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     356,   357,    -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,
     366,    -1,    -1,   369,    -1,    -1,    -1,   197,   198,    -1,
     200,   201,   202,   203,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,    -1,    -1,    -1,    -1,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,    70,    -1,   277,    -1,    -1,
      -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,    -1,    -1,    -1,    -1,   111,    -1,    -1,    -1,
     115,   321,   322,    -1,    -1,   120,    -1,    -1,    -1,    -1,
      -1,   126,    -1,    -1,    -1,   130,    -1,    -1,    -1,    -1,
     340,    -1,    -1,    -1,   344,   345,    -1,   142,    -1,    -1,
      -1,    -1,   147,    -1,    -1,   150,   356,   357,    -1,    -1,
     155,    -1,    -1,    -1,   159,    -1,   366,   162,   163,   369,
      -1,    -1,   167,    -1,    -1,   170,    -1,   172,    -1,    -1,
      -1,    -1,    -1,    -1,     0,     1,    -1,    -1,     4,    -1,
       6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   197,    -1,    -1,   200,    -1,    -1,   203,    -1,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      -1,    47,    -1,    49,    -1,    -1,    52,    53,    54,    -1,
      56,    -1,    -1,    -1,    60,    61,    62,    -1,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,
      -1,    -1,   287,    -1,   110,   290,   291,    -1,    -1,    -1,
      -1,    -1,   297,    -1,   120,    70,    -1,    -1,    -1,    -1,
     126,    76,    -1,    -1,    79,    80,    81,    82,    83,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   327,   328,   150,   330,    -1,    -1,   103,   104,
     105,   106,    -1,    -1,    -1,    -1,   111,    -1,    -1,    -1,
     115,    -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,   354,
     355,   126,    -1,    -1,    -1,   130,    -1,    -1,    -1,   364,
      -1,   366,    -1,    -1,   369,    -1,    -1,   142,    -1,    -1,
      -1,    -1,   147,    -1,    -1,   150,    70,    -1,    -1,    -1,
     155,    -1,    76,    -1,   159,    -1,    -1,   162,   163,    -1,
      -1,    -1,   167,    -1,    -1,   170,    -1,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,
     104,   105,   106,    -1,    -1,    -1,    -1,   111,    -1,    -1,
      -1,   115,   197,    -1,    -1,   200,   120,    -1,   203,    -1,
      -1,    -1,   126,    -1,    -1,    -1,   130,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
      -1,   277,    -1,   147,    -1,    -1,   150,    -1,    -1,    -1,
      -1,   155,    -1,    -1,    -1,   159,   292,    -1,   162,   163,
      -1,   297,    -1,   167,    -1,    -1,   170,    -1,   172,    -1,
      -1,    -1,    -1,    -1,   310,    -1,    -1,    -1,    -1,   315,
      -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   197,    -1,    -1,   200,    -1,    -1,   203,
      -1,    -1,   287,    -1,    -1,   290,   291,    -1,    -1,    -1,
      -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   327,   328,    -1,   330,    -1,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   354,
     355,    -1,    -1,    -1,   131,    -1,    -1,   134,    -1,    -1,
      -1,   366,    -1,   287,   369,    -1,   290,   291,   103,   104,
     105,   106,    -1,   297,   151,    -1,   111,    -1,    -1,    -1,
     115,    -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,
      -1,   126,    -1,    -1,    -1,   130,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   327,   328,    -1,   330,   142,    -1,    -1,
      -1,    -1,   147,    -1,    -1,   150,    -1,    -1,    -1,    -1,
     155,    -1,    -1,    -1,   159,    -1,    -1,   162,   163,    -1,
     354,   355,   167,    -1,    -1,   170,    -1,   172,    -1,    -1,
      -1,    -1,   366,    -1,    -1,   369,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   197,    -1,    -1,   200,    -1,    -1,   203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     317,    -1,    -1,    -1,   321,   322,    -1,    -1,    -1,    -1,
      -1,    -1,   287,    -1,   331,   290,   291,    -1,    -1,    -1,
      -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   327,   328,    -1,   330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   354,
     355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   366,    -1,    -1,   369
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,   373,     0,     1,     4,     6,    26,    27,    28,    29,
      37,    45,    47,    49,    52,    53,    54,    56,    60,    61,
      62,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,   110,   120,   126,   150,   277,
     292,   310,   315,   317,   374,   430,   431,   432,   433,   514,
     515,   516,   518,   533,   374,   105,   104,   297,   510,   510,
     510,   516,   527,   516,   518,   533,   516,   521,   521,   521,
     516,   524,   433,    49,   434,    37,    45,    47,    52,    53,
      54,    56,   277,   292,   310,   315,   317,   435,    49,   436,
      37,    45,    47,    49,    52,    53,    54,    56,   277,   292,
     310,   315,   317,   441,    53,   443,    37,    42,    45,    46,
      47,    48,    51,    52,    54,    55,    56,    58,    98,   100,
     101,   102,   277,   292,   299,   300,   301,   302,   310,   315,
     317,   318,   444,    49,    50,    52,    53,    54,   292,   299,
     300,   315,   447,    45,    47,    52,    54,    58,    98,   100,
     448,    47,   449,    23,    30,    31,    36,   103,   104,   105,
     106,   109,   111,   115,   120,   126,   142,   147,   150,   155,
     159,   162,   163,   167,   170,   172,   197,   198,   200,   201,
     202,   203,   238,   239,   240,   241,   247,   248,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   277,   321,   322,   340,   344,   345,   356,   357,
     366,   369,   457,   511,   643,   644,   647,   648,   649,   653,
     716,   719,   721,   725,   730,   731,   733,   735,   745,   747,
     749,   751,   753,   755,   759,   761,   763,   765,   767,   769,
     771,   773,   775,   777,   781,   783,   785,   787,   798,   806,
     808,   810,   811,   813,   815,   817,   819,   821,   823,   825,
     827,    58,   350,   351,   352,   450,   456,    58,   451,   456,
      37,    45,    47,    49,    52,    53,    54,    56,   277,   292,
     310,   315,   317,   442,   104,   452,   453,   377,   396,   397,
      90,   284,   286,   527,   527,   527,   527,     0,   374,   510,
     510,    57,   347,   348,   530,   531,   532,    35,    37,    52,
      62,    63,    67,    70,    79,    80,    81,    82,    83,    84,
      98,   100,   253,   277,   292,   297,   304,   310,   315,   324,
     327,   328,   329,   330,   334,   338,   339,   353,   362,   364,
     537,   538,   539,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   557,   558,   559,   562,
     563,   564,   571,   575,   583,   584,   587,   588,   589,   590,
     591,   612,   613,   615,   616,   618,   619,   622,   623,   624,
     634,   635,   636,   637,   638,   641,   642,   648,   655,   656,
     657,   658,   659,   660,   664,   665,   666,   700,   714,   719,
     720,   743,   744,   745,   788,   374,   363,   363,   374,   510,
     595,   458,   463,   537,   510,   469,   472,   643,   666,   475,
     510,   483,   518,   534,   527,   516,   518,   521,   521,   521,
     524,    90,   284,   286,   527,   527,   527,   527,   533,   440,
     516,   527,   528,   437,   514,   516,   517,   438,   516,   518,
     519,   534,   439,   516,   521,   522,   521,   521,   516,   524,
     525,    90,   284,   286,   689,   440,   440,   440,   440,   521,
     527,   446,   515,   536,   516,   536,   518,   536,    45,   536,
     521,   521,   536,   524,   536,    45,    46,   521,   536,   536,
      90,   284,   303,   689,   690,   527,    45,   536,    45,   536,
      45,   536,    45,   536,   527,   527,   527,    45,   536,   403,
     534,    45,    47,   515,   516,   518,   536,   439,   521,   439,
     527,    45,   516,   536,    45,   516,   536,   527,   415,   516,
     518,   521,   521,   536,    45,   521,   518,   104,   107,   108,
     109,   748,   112,   113,   254,   255,   258,   651,   652,    32,
      33,    34,   254,   722,   133,   654,   168,   169,   809,   112,
     113,   114,   750,   114,   116,   117,   118,   119,   752,   112,
     113,   121,   122,   123,   124,   125,   754,   112,   113,   116,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   177,
     756,   114,   116,   135,   143,   144,   145,   146,   760,   114,
     135,   148,   306,   762,   112,   113,   127,   129,   130,   131,
     152,   153,   154,   764,   113,   114,   116,   135,   143,   144,
     146,   156,   157,   158,   766,   128,   144,   153,   160,   161,
     768,   144,   161,   770,   153,   164,   165,   772,   131,   135,
     168,   169,   774,   135,   168,   169,   171,   776,   135,   144,
     160,   164,   168,   169,   173,   174,   175,   176,   177,   789,
     114,   168,   169,   177,   799,   164,   199,   749,   751,   753,
     755,   759,   761,   763,   765,   767,   769,   771,   773,   775,
     777,   778,   779,   780,   782,   798,   806,   808,   127,   134,
     164,   393,   786,   393,   114,   199,   780,   784,   135,   168,
     169,   204,   237,   807,   114,   126,   128,   146,   150,   153,
     242,   275,   276,   357,   732,   734,   814,   243,   816,   243,
     818,   164,   244,   245,   246,   820,   128,   153,   812,   116,
     132,   153,   160,   249,   250,   822,   128,   153,   824,   114,
     128,   135,   153,   160,   826,   104,   131,   134,   151,   317,
     331,   357,   717,   718,   719,   112,   113,   116,   134,   254,
     278,   279,   280,   281,   282,   283,   285,   286,   287,   288,
     289,   290,   291,   294,   295,   296,   317,   736,   737,   740,
     331,   341,   724,   660,   665,   342,   238,   247,   248,   251,
     252,   828,   360,   361,   402,   727,   659,   510,   421,   456,
     351,   401,   456,   389,   440,   437,   438,   518,   534,   439,
     521,   521,   524,   525,   689,   440,   440,   440,   440,   384,
     407,    46,    48,    50,    51,    58,    59,    92,   454,   527,
     527,   527,   381,   684,   699,   686,   688,   103,   103,   103,
      85,   732,   293,   635,   172,   510,   643,   715,   715,    62,
      99,   510,   104,   717,    90,   191,   284,   736,   737,   293,
     316,   293,   311,   293,   313,   314,   572,    85,   164,    85,
      85,   732,   104,     4,   375,   667,   668,   349,   535,   548,
     429,   463,   381,   294,   295,   560,   561,   382,   427,   164,
     305,   306,   307,   308,   309,   565,   566,   414,   325,   586,
     408,     5,    70,    76,    85,    87,   111,   115,   120,   126,
     130,   150,   238,   287,   290,   291,   297,   305,   327,   328,
     354,   355,   366,   598,   599,   600,   601,   602,   603,   604,
     606,   607,   608,   609,   610,   611,   644,   647,   653,   709,
     710,   711,   716,   721,   725,   731,   732,   733,   735,   741,
     742,   745,   422,   428,    38,    39,   187,   190,   592,   593,
     408,    85,   331,   332,   333,   614,   620,   621,   408,    85,
     617,   620,   386,   392,   413,   335,   336,   337,   625,   626,
     630,   631,    23,   643,   645,   646,    45,   639,   640,    15,
      16,    17,    18,   368,     8,    24,    54,     9,    10,    11,
      12,    13,    14,    19,   111,   115,   120,   126,   142,   147,
     150,   155,   159,   162,   163,   167,   170,   172,   197,   200,
     203,   330,   366,   644,   646,   647,   661,   662,   663,   666,
     701,   702,   703,   704,   705,   706,   707,   708,   710,   711,
     712,   713,    52,    52,    22,   364,   682,   701,   702,   707,
     682,    38,   364,   594,   364,   364,   364,   364,   364,   530,
     537,   595,   458,   463,   469,   472,   475,   483,   527,   527,
     527,   381,   684,   699,   686,   688,   537,   428,    57,    57,
      57,   463,    57,   472,    57,   483,   527,   381,   404,   412,
     419,   472,   428,    43,   445,   516,   521,   536,   527,    45,
     381,   516,   516,   516,   516,   404,   412,   419,   516,   516,
     518,   472,   381,   516,   516,   412,   521,   510,   424,     7,
       8,   114,   258,   259,   650,   309,   420,   104,   127,   293,
     424,   423,   388,   423,   398,   111,   126,   111,   126,   377,
     138,   139,   140,   141,   757,   396,   423,   399,   423,   400,
     397,   423,   399,   376,   387,   379,   425,   426,    23,    38,
     103,   175,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   790,   791,   792,   423,   103,
     383,   421,   778,   393,   780,   182,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   800,   805,   417,   423,   396,   397,   402,
     734,   416,   416,   370,   416,   416,   370,   416,   395,   391,
     385,   423,   406,   405,   419,   405,   419,   112,   113,   126,
     134,   150,   278,   279,   280,   738,   739,   740,   380,   342,
     342,   103,   416,   395,   391,   385,   406,   359,   726,   367,
     428,   472,   483,   527,   381,   404,   412,   419,   455,   456,
     697,   697,   697,   294,   364,   683,   311,   364,   698,   364,
     572,   685,   364,   511,   687,     5,   126,   150,   610,    85,
     610,   632,   633,   660,   177,    23,    23,    97,   364,    52,
      52,    52,   103,   313,    52,   740,    52,   610,   104,   298,
     512,   610,   313,   314,   576,   610,   103,   627,   628,   629,
     643,   647,   660,   664,   725,   731,   630,   610,   610,    85,
     511,    21,   666,   671,   672,   673,   680,   707,   708,     7,
     365,   511,   364,   103,   103,   561,    78,   111,   126,   172,
     261,   568,   511,   103,   103,   103,   511,   567,   566,   142,
     155,   172,   326,   610,   415,   384,     5,   610,    85,   388,
     398,   377,   396,   397,   382,    85,   408,   408,   603,   644,
     711,    15,    16,    17,    18,   368,    20,    22,     8,    54,
       5,   620,    85,    87,   243,   305,     7,     7,   103,   103,
     593,     5,     7,     5,   610,   628,   643,   647,   626,     7,
     510,   364,   510,   364,   640,   712,   712,   703,   704,   705,
     659,   364,   554,   645,   702,   396,   399,   397,   399,   376,
     387,   379,   425,   426,   421,   383,   393,   417,   408,   707,
       7,    20,    15,    16,    17,    18,   368,     7,    20,    22,
       8,   701,   702,   707,   610,   610,   103,   365,   374,    20,
     374,   103,   498,   428,   462,   464,   471,   480,   484,   594,
     364,   364,   364,   364,   364,   697,   697,   697,   683,   698,
     685,   687,   103,   103,   103,   364,   103,   103,   364,   697,
     104,   380,   516,   103,   652,   423,   390,   103,   410,   410,
     388,   396,   388,   396,   114,   131,   136,   137,   243,   396,
     758,   378,    97,   796,   191,   794,   196,   797,   194,   195,
     795,   192,   193,   793,   131,   383,   227,   231,   232,   233,
     804,   222,   223,   224,   225,   802,   226,   227,   228,   229,
     230,   803,   803,   231,   234,   234,   235,   236,   235,   114,
     131,   164,   801,   418,   416,   103,   103,   112,   113,   112,
     113,   380,   380,   103,   103,   343,   723,   103,   161,   358,
     728,   732,   364,   697,   364,   364,   364,   103,   491,   381,
     576,   496,   404,   492,   103,   412,   497,   419,   610,     5,
       5,   610,   428,   645,    90,    93,   535,   674,   675,    38,
     175,   180,   190,   791,   792,   511,   511,   103,   660,   669,
     670,   610,   610,   610,   380,   103,   610,    52,   610,   381,
     404,   103,   578,   580,   581,   412,   104,   295,   573,    22,
     413,    85,   335,    43,   610,   375,     5,   375,   277,   292,
     297,   310,   315,   677,   678,    90,    93,   535,   676,   679,
     375,   668,   465,   388,   149,   144,   149,   569,   570,   104,
     114,   585,   647,   114,   585,   421,   114,   585,   610,     5,
     610,   610,   367,   598,   598,   599,   600,   601,   103,   603,
     598,   605,   645,   666,   610,   610,    85,     8,    85,   644,
     711,   741,   741,   610,   621,   610,   620,   631,   378,   632,
     669,   375,   555,   556,   367,   707,   701,   707,   712,   712,
     703,   704,   705,   707,   103,   701,   707,   663,   707,    20,
      20,   103,    39,   374,   365,   374,   430,   535,   594,    37,
      47,    52,    54,    56,   164,   277,   292,   310,   315,   317,
     365,   374,   430,   459,   535,    44,    94,   114,   164,   365,
     374,   430,   500,   506,   507,   535,   537,    40,    89,    90,
      91,    92,    94,    97,   114,   164,   277,   292,   310,   315,
     365,   374,   430,   470,   481,   535,   540,   547,    40,    90,
      91,    92,   114,   164,   365,   374,   430,   481,   535,   540,
      41,    44,   164,   292,   365,   374,   430,   428,   462,   464,
     471,   480,   484,   364,   364,   364,   381,   404,   412,   419,
     464,   484,   380,   380,     7,   420,   423,   396,   792,   423,
     417,   371,   371,   396,   396,   397,   397,   723,   346,   723,
     103,   394,   402,   112,   113,   729,   484,   380,   494,   495,
     493,   295,   365,   374,   430,   535,   683,   578,   580,   365,
     374,   430,   535,   698,   365,   374,   430,   535,   685,   573,
     365,   374,   430,   535,   687,   610,   610,     5,   512,   512,
     675,   421,   378,   378,   364,   548,   674,   405,   405,   380,
     380,   380,   610,   380,    20,   104,   295,   312,   577,   312,
     579,    20,   316,   574,   627,   643,   647,   629,   628,   610,
      43,    82,    83,   681,   708,   714,   191,   294,   381,   316,
     311,   572,   678,   512,   512,   677,   679,   365,   374,   537,
     396,     7,   421,   585,   585,    70,   585,   610,     5,   610,
     166,   610,   620,   620,     5,   365,   540,   548,   671,     7,
     365,   701,   701,   103,    39,   428,   510,   529,   510,   520,
     510,   523,   523,   510,   526,   104,   460,   461,    90,   284,
     286,   529,   529,   529,   529,   374,   363,    79,    80,   508,
     509,   643,   423,    99,   374,   374,   374,   374,   374,   468,
     648,   512,   512,   363,    95,    96,   482,   103,   104,   129,
     130,   254,   274,   275,   488,   489,   499,    86,    87,    88,
      90,   473,   474,   374,   374,   374,   374,   547,   468,   512,
     512,   363,   489,   473,   374,   374,   374,   104,   363,    99,
     381,   365,   365,   365,   365,   365,   494,   495,   493,   365,
     365,   103,   746,     7,   409,   103,   394,   402,   365,    94,
     134,   278,   365,   374,   430,   535,   695,    90,    97,   134,
     169,   278,   365,   374,   430,   535,   696,   114,   278,   365,
     374,   430,   535,   692,   103,   381,   577,   579,   404,   412,
     574,   419,   610,   669,   365,   380,   319,   320,   321,   322,
     323,   582,   103,   404,   103,   581,   404,   582,   103,   412,
     413,   413,   610,   375,   103,   313,   103,   298,   512,   576,
     103,   374,   570,   423,   423,   415,   423,   610,    85,   632,
       5,   365,   365,     5,   375,   556,   190,   596,   103,   490,
     463,   469,   475,   483,     7,   529,   529,   529,   490,   490,
     490,   490,   364,   485,   643,   411,   104,     8,   374,   374,
     472,   411,     8,   423,     7,   374,     5,   374,   374,   472,
       5,   374,   151,   501,   485,   374,   365,   365,   365,   378,
     103,   723,   363,   167,   172,   691,   515,   380,   512,   103,
     691,   103,   515,   380,   105,   515,   380,   548,   294,   104,
     573,   380,   103,   295,   382,   382,   578,   580,   573,   399,
     399,   610,   365,   632,   714,   187,   597,   374,   364,   364,
     364,   364,   364,   461,   490,   490,   490,   364,   364,   364,
     364,   104,   105,   486,   487,   643,   374,    41,   648,   488,
     474,    37,    87,   277,   292,   310,   315,   317,   466,   467,
     468,   477,   478,   648,    87,   477,   479,    22,   103,   104,
     361,   502,   503,   504,   643,   374,   374,   380,   380,   380,
       7,   394,   364,   425,   421,   374,   374,   374,   374,   374,
     374,   374,   134,   374,   365,   380,   103,   577,   579,   574,
     365,   375,   596,   498,   464,   471,   480,   484,   364,   364,
     364,   491,   496,   492,   497,     7,   365,   104,   428,   468,
      90,   284,   476,   381,   404,   412,   419,   374,     8,   374,
     374,   489,   103,    22,    25,   746,   104,   693,   694,   691,
     381,   404,   404,   412,   597,   365,   365,   365,   365,   365,
     494,   495,   493,   365,   365,   365,   365,   375,   487,    43,
      44,   505,   380,   648,   423,   374,   103,   103,     5,     7,
     365,   374,   374,   374,   374,   374,   374,   365,   365,   365,
     374,   374,   374,   374,   511,   643,   363,   501,   423,   103,
     512,   513,   694,   374,   423,   428,   374,   374,   374,   381,
     404,   412,   419,   485,   411,   380,   380,   380
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   372,   373,   373,   374,   374,   375,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   430,   430,   430,   430,   431,   431,   431,
     431,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   433,   433,   433,
     433,   433,   433,   433,   433,   433,   433,   433,   433,   433,
     433,   433,   433,   433,   433,   433,   433,   433,   433,   433,
     433,   434,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   436,
     437,   437,   438,   438,   439,   439,   440,   440,   441,   441,
     441,   441,   441,   441,   441,   441,   441,   441,   441,   441,
     441,   441,   441,   441,   442,   442,   442,   442,   442,   442,
     442,   442,   442,   442,   442,   442,   442,   442,   442,   443,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   445,   446,   446,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   448,   448,   448,   448,   448,   448,
     448,   449,   450,   450,   451,   451,   452,   453,   453,   454,
     454,   454,   454,   454,   454,   454,   454,   455,   455,   456,
     456,   456,   457,   458,   459,   459,   460,   460,   461,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   463,   464,   464,   464,   464,
     464,   464,   464,   464,   464,   465,   465,   465,   466,   466,
     467,   467,   468,   468,   469,   470,   470,   471,   471,   471,
     471,   471,   471,   471,   471,   471,   471,   471,   471,   472,
     472,   473,   473,   474,   474,   474,   474,   475,   476,   476,
     477,   477,   477,   477,   477,   478,   478,   479,   479,   480,
     480,   480,   480,   480,   480,   480,   480,   480,   480,   480,
     480,   480,   480,   481,   481,   482,   482,   483,   484,   484,
     484,   484,   484,   484,   484,   485,   485,   486,   486,   486,
     487,   487,   487,   488,   488,   489,   489,   490,   491,   491,
     491,   491,   491,   492,   492,   492,   492,   492,   493,   493,
     493,   493,   493,   494,   494,   494,   494,   494,   495,   495,
     495,   495,   495,   496,   496,   496,   496,   496,   497,   497,
     497,   497,   497,   498,   498,   498,   498,   498,   499,   499,
     499,   499,   499,   500,   501,   502,   502,   503,   503,   503,
     503,   503,   504,   504,   505,   505,   505,   505,   506,   507,
     508,   508,   509,   509,   510,   510,   511,   511,   511,   512,
     513,   513,   514,   514,   515,   515,   515,   515,   515,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   533,   533,
     533,   534,   535,   536,   536,   537,   537,   538,   539,   539,
     540,   540,   541,   542,   543,   544,   545,   545,   546,   546,
     546,   546,   546,   547,   547,   547,   547,   547,   548,   548,
     548,   548,   548,   548,   548,   548,   548,   548,   548,   548,
     548,   548,   548,   548,   548,   548,   548,   548,   548,   548,
     548,   549,   550,   550,   551,   552,   552,   553,   554,   554,
     555,   555,   555,   556,   557,   557,   558,   558,   559,   560,
     560,   561,   561,   562,   562,   562,   563,   563,   564,   565,
     565,   566,   566,   566,   566,   566,   566,   567,   568,   568,
     568,   568,   568,   569,   569,   570,   570,   571,   571,   572,
     572,   572,   573,   573,   574,   574,   575,   576,   576,   576,
     577,   577,   578,   579,   579,   580,   580,   581,   581,   582,
     582,   582,   582,   582,   583,   584,   585,   585,   586,   586,
     586,   586,   586,   586,   586,   586,   587,   588,   588,   589,
     589,   589,   589,   589,   589,   590,   590,   591,   592,   592,
     593,   593,   593,   593,   594,   594,   595,   596,   596,   597,
     597,   598,   598,   598,   598,   598,   598,   598,   598,   598,
     598,   598,   598,   598,   599,   599,   599,   600,   600,   601,
     601,   602,   602,   603,   604,   604,   605,   605,   606,   606,
     607,   608,   609,   609,   610,   610,   610,   611,   611,   611,
     611,   611,   611,   611,   611,   611,   611,   611,   611,   611,
     611,   612,   612,   613,   614,   614,   614,   615,   615,   616,
     617,   617,   617,   617,   617,   618,   618,   619,   619,   620,
     620,   621,   621,   621,   622,   622,   622,   622,   623,   623,
     624,   625,   625,   626,   626,   627,   627,   628,   628,   628,
     629,   629,   629,   629,   630,   630,   631,   631,   632,   632,
     633,   634,   634,   634,   635,   635,   635,   636,   636,   637,
     637,   638,   639,   639,   640,   641,   641,   642,   643,   644,
     644,   645,   645,   646,   647,   648,   648,   648,   648,   648,
     648,   648,   648,   648,   648,   648,   648,   648,   648,   648,
     649,   650,   650,   650,   651,   651,   651,   651,   651,   652,
     652,   653,   653,   654,   654,   655,   655,   655,   656,   656,
     657,   657,   658,   658,   659,   660,   660,   661,   662,   663,
     663,   664,   665,   665,   665,   666,   667,   667,   667,   668,
     668,   668,   669,   669,   670,   671,   671,   671,   672,   672,
     673,   673,   674,   674,   675,   675,   675,   676,   676,   677,
     677,   678,   678,   678,   678,   678,   678,   678,   678,   678,
     679,   679,   679,   680,   681,   681,   682,   682,   682,   682,
     683,   684,   685,   686,   687,   688,   689,   689,   689,   690,
     690,   690,   691,   691,   692,   692,   693,   693,   694,   695,
     695,   695,   696,   696,   696,   696,   696,   697,   698,   698,
     699,   700,   700,   700,   700,   700,   700,   700,   700,   701,
     701,   702,   702,   702,   703,   703,   703,   704,   704,   705,
     705,   706,   706,   707,   708,   708,   708,   708,   709,   709,
     710,   711,   711,   711,   711,   711,   711,   711,   711,   711,
     711,   711,   711,   711,   711,   712,   712,   712,   712,   712,
     712,   712,   712,   712,   712,   712,   712,   712,   712,   712,
     712,   712,   712,   713,   713,   713,   713,   713,   713,   713,
     714,   714,   714,   714,   714,   714,   715,   715,   716,   716,
     716,   717,   717,   718,   718,   718,   718,   718,   719,   719,
     719,   719,   719,   719,   719,   719,   719,   719,   719,   719,
     719,   719,   719,   719,   719,   719,   719,   719,   719,   719,
     719,   719,   720,   720,   720,   720,   720,   720,   721,   721,
     722,   722,   722,   723,   723,   724,   724,   725,   726,   726,
     727,   727,   728,   728,   729,   729,   730,   730,   731,   731,
     731,   732,   732,   733,   733,   734,   734,   734,   734,   735,
     735,   735,   736,   736,   737,   737,   737,   737,   737,   737,
     737,   737,   737,   737,   737,   737,   737,   737,   737,   737,
     737,   738,   738,   738,   738,   738,   738,   738,   739,   739,
     739,   739,   740,   740,   740,   740,   741,   741,   742,   742,
     743,   743,   744,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   746,   747,   748,   748,   748,
     748,   749,   750,   750,   750,   751,   752,   752,   752,   752,
     752,   753,   754,   754,   754,   754,   754,   754,   754,   754,
     754,   755,   755,   755,   756,   756,   756,   756,   756,   756,
     756,   756,   756,   756,   756,   756,   757,   757,   757,   757,
     758,   758,   758,   758,   758,   759,   760,   760,   760,   760,
     760,   760,   760,   761,   762,   762,   762,   762,   763,   764,
     764,   764,   764,   764,   764,   764,   764,   764,   765,   766,
     766,   766,   766,   766,   766,   766,   766,   766,   766,   767,
     768,   768,   768,   768,   768,   769,   770,   770,   771,   772,
     772,   772,   773,   774,   774,   774,   774,   775,   776,   776,
     776,   776,   777,   777,   777,   777,   778,   778,   778,   778,
     778,   778,   778,   778,   778,   778,   778,   778,   778,   778,
     779,   779,   779,   780,   780,   781,   781,   782,   782,   783,
     783,   784,   784,   785,   785,   786,   786,   786,   787,   788,
     789,   789,   789,   789,   789,   789,   789,   789,   789,   789,
     790,   790,   790,   790,   790,   790,   791,   791,   791,   791,
     791,   792,   792,   792,   792,   792,   792,   792,   792,   792,
     792,   792,   792,   793,   793,   794,   795,   795,   796,   797,
     798,   798,   799,   799,   799,   800,   800,   800,   800,   800,
     800,   800,   800,   800,   800,   800,   800,   800,   800,   800,
     800,   800,   800,   801,   801,   801,   802,   802,   802,   802,
     803,   803,   803,   803,   803,   804,   804,   804,   804,   805,
     805,   805,   805,   805,   805,   805,   805,   805,   805,   805,
     805,   806,   806,   807,   807,   807,   807,   808,   809,   809,
     810,   810,   810,   810,   810,   810,   810,   810,   811,   812,
     812,   813,   814,   814,   814,   814,   815,   816,   817,   818,
     819,   820,   820,   820,   820,   821,   822,   822,   822,   822,
     822,   822,   823,   824,   824,   825,   826,   826,   826,   826,
     826,   827,   828,   828,   828,   828,   828
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     0,     2,     1,     1,     1,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     3,     5,     5,     3,     2,     1,     1,     2,
       2,     1,     2,     2,     2,     2,     2,     2,     3,     3,
       2,     2,     3,     3,     3,     2,     3,     2,     6,     2,
       6,     3,     2,     6,     6,     3,     6,     3,     5,     7,
       5,     7,     8,     8,     8,     5,     7,     5,     7,     5,
       7,     3,     2,     6,     2,     6,     6,     6,     3,     6,
       3,     5,     5,     8,     8,     8,     5,     5,     5,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       6,     2,     2,     2,     3,     2,     2,     6,     3,     3,
       5,     3,     3,     3,     2,     2,     2,     2,     2,     3,
       2,     2,     6,     3,     3,     5,     3,     3,     3,     3,
       2,     2,     2,     2,     2,     3,     2,     2,     3,     3,
       2,     3,     3,     2,     3,     3,     2,     3,     3,     2,
       3,     3,     2,     3,     3,     2,     2,     2,     2,     2,
       2,     4,     5,     2,     2,     1,     2,     2,     2,     3,
       3,     2,     3,     2,     3,     2,     2,     3,     2,     3,
       2,     3,     2,     2,     2,     2,     2,     2,     3,     2,
       2,     3,     2,     1,     2,     1,     3,     0,     1,     0,
       1,     1,     1,     1,     1,     1,     1,     0,     1,     1,
       1,     2,     1,     0,     2,     1,     1,     3,     1,     0,
       2,     2,     3,     8,     8,     8,     8,     9,     9,    10,
      10,    10,     9,     9,     9,     0,     0,     2,     2,     3,
       3,     3,     3,     5,     3,     0,     2,     3,     1,     3,
       2,     1,     1,     3,     0,     2,     3,     0,     2,     2,
       3,     4,     4,     4,     3,     4,     2,     3,     3,     1,
       1,     3,     1,     1,     1,     1,     1,     0,     1,     1,
       2,     2,     2,     2,     2,     1,     3,     1,     0,     0,
       2,     2,     4,     4,     8,     6,     7,     6,     4,     3,
       4,     3,     3,     3,     2,     1,     1,     0,     0,     2,
       2,     5,     5,     3,     4,     3,     1,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     3,     0,     0,     2,
       2,     2,     2,     0,     2,     2,     2,     2,     0,     2,
       2,     2,     2,     0,     2,     2,     2,     2,     0,     2,
       2,     2,     2,     0,     2,     2,     2,     2,     0,     2,
       2,     2,     2,     0,     2,     2,     2,     2,     1,     1,
       1,     1,     1,     7,     2,     1,     1,     1,     1,     1,
       3,     3,     1,     2,     2,     2,     3,     0,     2,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     2,     2,     1,     2,     1,     1,
       2,     3,     2,     3,     1,     2,     3,     1,     2,     3,
       1,     2,     3,     1,     2,     2,     2,     1,     2,     2,
       2,     2,     2,     0,     1,     1,     2,     1,     1,     2,
       1,     2,     4,     4,     4,     4,     5,     5,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     1,     1,
       2,     2,     2,     2,     1,     1,     2,     1,     1,     2,
       1,     3,     1,     1,     5,     1,     1,     3,     3,     1,
       1,     3,     3,     5,     4,     5,     1,     2,     1,     1,
       2,     2,     2,     1,     3,     3,     1,     2,     1,     1,
       2,     2,     2,     2,     2,     2,     2,     1,     3,     3,
       1,     2,     1,     3,     1,     1,     1,     6,     6,     1,
       1,     0,     1,     1,     0,     3,     6,     1,     1,     0,
       0,     3,     3,     0,     2,     2,     3,     2,     2,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     0,     6,
       3,     6,     3,     5,     3,     5,     2,     1,     1,     3,
       4,     4,     5,     6,     5,     1,     2,     1,     1,     2,
       2,     2,     1,     1,     6,     8,     0,     0,     1,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     3,     1,     3,     1,
       3,     1,     3,     1,     1,     3,     1,     1,     3,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     2,     3,
       3,     4,     5,     2,     3,     2,     6,     4,     3,     4,
       3,     2,     1,     1,     3,     4,     1,     2,     1,     1,
       2,     3,     1,     3,     4,     3,     5,     3,     6,     1,
       3,     1,     1,     1,     2,     4,     6,     6,     1,     2,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     3,
       1,     1,     1,     1,     1,     3,     1,     1,     1,     2,
       1,     4,     5,     6,     1,     1,     1,     7,     8,     6,
       1,     1,     1,     2,     2,     6,     8,     1,     2,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       4,     1,     1,     2,     1,     1,     1,     1,     1,     3,
       1,     4,     4,     0,     2,     1,     3,     3,     1,     3,
       1,     3,     1,     3,     1,     1,     3,     3,     3,     1,
       1,     3,     1,     1,     1,     3,     1,     3,     3,     3,
       3,     5,     1,     2,     1,     1,     2,     3,     1,     1,
       2,     1,     1,     2,     2,     2,     1,     1,     2,     1,
       2,     2,     6,     6,     6,     4,     5,     6,     4,     4,
       2,     2,     1,     1,     1,     1,     1,     1,     2,     2,
       4,     0,     4,     0,     1,     0,     1,     1,     1,     1,
       1,     1,     2,     2,     6,     3,     1,     3,     3,     3,
       7,     3,     3,     3,     3,     3,     3,     0,     4,     4,
       0,     2,     2,     4,     4,     5,     5,     3,     3,     3,
       3,     1,     1,     1,     1,     3,     3,     1,     3,     1,
       3,     1,     3,     1,     1,     1,     3,     3,     1,     1,
       1,     2,     2,     2,     2,     2,     2,     2,     1,     2,
       2,     1,     1,     1,     2,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     2,     1,     2,     2,     2,     2,
       2,     2,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     5,     3,     5,     1,     5,     5,     3,     5,
       1,     1,     1,     0,     2,     1,     1,     6,     2,     0,
       1,     1,     1,     1,     1,     1,     5,     6,     8,     6,
       5,     2,     2,     3,     4,     1,     1,     1,     2,     3,
       4,     4,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     3,     1,     1,     1,     1,     1,     1,     3,     3,
       5,     6,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     7,     1,     1,     2,
       1,     3,     1,     1,     2,     3,     1,     1,     1,     1,
       2,     3,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     3,     5,     4,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     3,     2,     1,     1,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     1,     1,     1,     1,     3,     1,     1,     3,     1,
       1,     1,     3,     1,     1,     1,     1,     3,     1,     1,
       1,     1,     2,     3,     3,     9,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     2,     1,     1,     2,
       2,     1,     1,     3,     3,     1,     1,     1,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     4,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     3,     5,     1,     1,     1,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       1,     3,     1,     1,     2,     1,     3,     4,     3,     1,
       3,     1,     1,     1,     4,     3,     1,     1,     1,     1,
       1,     1,     3,     1,     1,     3,     1,     1,     2,     1,
       1,     2,     2,     2,     2,     2,     2
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (&yylloc, nft, scanner, state, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YYLOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

# ifndef YYLOCATION_PRINT

#  if defined YY_LOCATION_PRINT

   /* Temporary convenience wrapper in case some people defined the
      undocumented and private YY_LOCATION_PRINT macros.  */
#   define YYLOCATION_PRINT(File, Loc)  YY_LOCATION_PRINT(File, *(Loc))

#  elif defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
}

#   define YYLOCATION_PRINT  yy_location_print_

    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT(File, Loc)  YYLOCATION_PRINT(File, &(Loc))

#  else

#   define YYLOCATION_PRINT(File, Loc) ((void) 0)
    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT  YYLOCATION_PRINT

#  endif
# endif /* !defined YYLOCATION_PRINT */


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, Location, nft, scanner, state); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (yylocationp);
  YY_USE (nft);
  YY_USE (scanner);
  YY_USE (state);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  YYLOCATION_PRINT (yyo, yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yykind, yyvaluep, yylocationp, nft, scanner, state);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp,
                 int yyrule, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)],
                       &(yylsp[(yyi + 1) - (yynrhs)]), nft, scanner, state);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, nft, scanner, state); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yysymbol_kind_t yytoken;
  YYLTYPE *yylloc;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  int yyn = yypact[+*yyctx->yyssp];
  if (!yypact_value_is_default (yyn))
    {
      /* Start YYX at -YYN if negative to avoid negative indexes in
         YYCHECK.  In other words, skip the first -YYN actions for
         this state because they are default actions.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;
      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yyx;
      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
        if (yycheck[yyx + yyn] == yyx && yyx != YYSYMBOL_YYerror
            && !yytable_value_is_error (yytable[yyx + yyn]))
          {
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = YY_CAST (yysymbol_kind_t, yyx);
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  YY_USE (yyvaluep);
  YY_USE (yylocationp);
  YY_USE (nft);
  YY_USE (scanner);
  YY_USE (state);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  switch (yykind)
    {
    case YYSYMBOL_STRING: /* "string"  */
#line 380 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6248 "src/parser_bison.c"
        break;

    case YYSYMBOL_QUOTED_STRING: /* "quoted string"  */
#line 380 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6254 "src/parser_bison.c"
        break;

    case YYSYMBOL_ASTERISK_STRING: /* "string with a trailing asterisk"  */
#line 380 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6260 "src/parser_bison.c"
        break;

    case YYSYMBOL_line: /* line  */
#line 704 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6266 "src/parser_bison.c"
        break;

    case YYSYMBOL_base_cmd: /* base_cmd  */
#line 707 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6272 "src/parser_bison.c"
        break;

    case YYSYMBOL_add_cmd: /* add_cmd  */
#line 707 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6278 "src/parser_bison.c"
        break;

    case YYSYMBOL_replace_cmd: /* replace_cmd  */
#line 707 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6284 "src/parser_bison.c"
        break;

    case YYSYMBOL_create_cmd: /* create_cmd  */
#line 707 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6290 "src/parser_bison.c"
        break;

    case YYSYMBOL_insert_cmd: /* insert_cmd  */
#line 707 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6296 "src/parser_bison.c"
        break;

    case YYSYMBOL_table_or_id_spec: /* table_or_id_spec  */
#line 710 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6302 "src/parser_bison.c"
        break;

    case YYSYMBOL_chain_or_id_spec: /* chain_or_id_spec  */
#line 712 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6308 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_or_id_spec: /* set_or_id_spec  */
#line 717 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6314 "src/parser_bison.c"
        break;

    case YYSYMBOL_obj_or_id_spec: /* obj_or_id_spec  */
#line 719 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6320 "src/parser_bison.c"
        break;

    case YYSYMBOL_delete_cmd: /* delete_cmd  */
#line 707 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6326 "src/parser_bison.c"
        break;

    case YYSYMBOL_destroy_cmd: /* destroy_cmd  */
#line 707 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6332 "src/parser_bison.c"
        break;

    case YYSYMBOL_get_cmd: /* get_cmd  */
#line 707 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6338 "src/parser_bison.c"
        break;

    case YYSYMBOL_list_cmd: /* list_cmd  */
#line 707 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6344 "src/parser_bison.c"
        break;

    case YYSYMBOL_basehook_device_name: /* basehook_device_name  */
#line 733 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6350 "src/parser_bison.c"
        break;

    case YYSYMBOL_basehook_spec: /* basehook_spec  */
#line 725 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6356 "src/parser_bison.c"
        break;

    case YYSYMBOL_reset_cmd: /* reset_cmd  */
#line 707 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6362 "src/parser_bison.c"
        break;

    case YYSYMBOL_flush_cmd: /* flush_cmd  */
#line 707 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6368 "src/parser_bison.c"
        break;

    case YYSYMBOL_rename_cmd: /* rename_cmd  */
#line 707 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6374 "src/parser_bison.c"
        break;

    case YYSYMBOL_import_cmd: /* import_cmd  */
#line 707 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6380 "src/parser_bison.c"
        break;

    case YYSYMBOL_export_cmd: /* export_cmd  */
#line 707 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6386 "src/parser_bison.c"
        break;

    case YYSYMBOL_monitor_cmd: /* monitor_cmd  */
#line 707 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6392 "src/parser_bison.c"
        break;

    case YYSYMBOL_monitor_event: /* monitor_event  */
#line 959 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6398 "src/parser_bison.c"
        break;

    case YYSYMBOL_describe_cmd: /* describe_cmd  */
#line 707 "src/parser_bison.y"
            { cmd_free(((*yyvaluep).cmd)); }
#line 6404 "src/parser_bison.c"
        break;

    case YYSYMBOL_table_block_alloc: /* table_block_alloc  */
#line 739 "src/parser_bison.y"
            { close_scope(state); table_free(((*yyvaluep).table)); }
#line 6410 "src/parser_bison.c"
        break;

    case YYSYMBOL_chain_block_alloc: /* chain_block_alloc  */
#line 741 "src/parser_bison.y"
            { close_scope(state); chain_free(((*yyvaluep).chain)); }
#line 6416 "src/parser_bison.c"
        break;

    case YYSYMBOL_typeof_verdict_expr: /* typeof_verdict_expr  */
#line 818 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6422 "src/parser_bison.c"
        break;

    case YYSYMBOL_typeof_data_expr: /* typeof_data_expr  */
#line 818 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6428 "src/parser_bison.c"
        break;

    case YYSYMBOL_typeof_expr: /* typeof_expr  */
#line 818 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6434 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_block_alloc: /* set_block_alloc  */
#line 752 "src/parser_bison.y"
            { set_free(((*yyvaluep).set)); }
#line 6440 "src/parser_bison.c"
        break;

    case YYSYMBOL_typeof_key_expr: /* typeof_key_expr  */
#line 818 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6446 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_block_expr: /* set_block_expr  */
#line 859 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6452 "src/parser_bison.c"
        break;

    case YYSYMBOL_map_block_alloc: /* map_block_alloc  */
#line 755 "src/parser_bison.y"
            { set_free(((*yyvaluep).set)); }
#line 6458 "src/parser_bison.c"
        break;

    case YYSYMBOL_flowtable_block_alloc: /* flowtable_block_alloc  */
#line 759 "src/parser_bison.y"
            { flowtable_free(((*yyvaluep).flowtable)); }
#line 6464 "src/parser_bison.c"
        break;

    case YYSYMBOL_flowtable_expr: /* flowtable_expr  */
#line 859 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6470 "src/parser_bison.c"
        break;

    case YYSYMBOL_flowtable_list_expr: /* flowtable_list_expr  */
#line 859 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6476 "src/parser_bison.c"
        break;

    case YYSYMBOL_flowtable_expr_member: /* flowtable_expr_member  */
#line 859 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6482 "src/parser_bison.c"
        break;

    case YYSYMBOL_data_type_atom_expr: /* data_type_atom_expr  */
#line 701 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6488 "src/parser_bison.c"
        break;

    case YYSYMBOL_data_type_expr: /* data_type_expr  */
#line 701 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6494 "src/parser_bison.c"
        break;

    case YYSYMBOL_obj_block_alloc: /* obj_block_alloc  */
#line 762 "src/parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 6500 "src/parser_bison.c"
        break;

    case YYSYMBOL_type_identifier: /* type_identifier  */
#line 696 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6506 "src/parser_bison.c"
        break;

    case YYSYMBOL_prio_spec: /* prio_spec  */
#line 730 "src/parser_bison.y"
            { expr_free(((*yyvaluep).prio_spec).expr); }
#line 6512 "src/parser_bison.c"
        break;

    case YYSYMBOL_extended_prio_name: /* extended_prio_name  */
#line 733 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6518 "src/parser_bison.c"
        break;

    case YYSYMBOL_extended_prio_spec: /* extended_prio_spec  */
#line 730 "src/parser_bison.y"
            { expr_free(((*yyvaluep).prio_spec).expr); }
#line 6524 "src/parser_bison.c"
        break;

    case YYSYMBOL_dev_spec: /* dev_spec  */
#line 736 "src/parser_bison.y"
            { free(((*yyvaluep).expr)); }
#line 6530 "src/parser_bison.c"
        break;

    case YYSYMBOL_policy_expr: /* policy_expr  */
#line 816 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6536 "src/parser_bison.c"
        break;

    case YYSYMBOL_identifier: /* identifier  */
#line 696 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6542 "src/parser_bison.c"
        break;

    case YYSYMBOL_string: /* string  */
#line 696 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6548 "src/parser_bison.c"
        break;

    case YYSYMBOL_table_spec: /* table_spec  */
#line 710 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6554 "src/parser_bison.c"
        break;

    case YYSYMBOL_tableid_spec: /* tableid_spec  */
#line 710 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6560 "src/parser_bison.c"
        break;

    case YYSYMBOL_chain_spec: /* chain_spec  */
#line 712 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6566 "src/parser_bison.c"
        break;

    case YYSYMBOL_chainid_spec: /* chainid_spec  */
#line 712 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6572 "src/parser_bison.c"
        break;

    case YYSYMBOL_chain_identifier: /* chain_identifier  */
#line 715 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6578 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_spec: /* set_spec  */
#line 717 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6584 "src/parser_bison.c"
        break;

    case YYSYMBOL_setid_spec: /* setid_spec  */
#line 717 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6590 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_identifier: /* set_identifier  */
#line 722 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6596 "src/parser_bison.c"
        break;

    case YYSYMBOL_flowtable_spec: /* flowtable_spec  */
#line 715 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6602 "src/parser_bison.c"
        break;

    case YYSYMBOL_flowtableid_spec: /* flowtableid_spec  */
#line 722 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6608 "src/parser_bison.c"
        break;

    case YYSYMBOL_obj_spec: /* obj_spec  */
#line 719 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6614 "src/parser_bison.c"
        break;

    case YYSYMBOL_objid_spec: /* objid_spec  */
#line 719 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6620 "src/parser_bison.c"
        break;

    case YYSYMBOL_obj_identifier: /* obj_identifier  */
#line 722 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6626 "src/parser_bison.c"
        break;

    case YYSYMBOL_handle_spec: /* handle_spec  */
#line 715 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6632 "src/parser_bison.c"
        break;

    case YYSYMBOL_position_spec: /* position_spec  */
#line 715 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6638 "src/parser_bison.c"
        break;

    case YYSYMBOL_index_spec: /* index_spec  */
#line 715 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6644 "src/parser_bison.c"
        break;

    case YYSYMBOL_rule_position: /* rule_position  */
#line 715 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6650 "src/parser_bison.c"
        break;

    case YYSYMBOL_ruleid_spec: /* ruleid_spec  */
#line 715 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6656 "src/parser_bison.c"
        break;

    case YYSYMBOL_comment_spec: /* comment_spec  */
#line 696 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6662 "src/parser_bison.c"
        break;

    case YYSYMBOL_ruleset_spec: /* ruleset_spec  */
#line 715 "src/parser_bison.y"
            { handle_free(&((*yyvaluep).handle)); }
#line 6668 "src/parser_bison.c"
        break;

    case YYSYMBOL_rule: /* rule  */
#line 743 "src/parser_bison.y"
            { rule_free(((*yyvaluep).rule)); }
#line 6674 "src/parser_bison.c"
        break;

    case YYSYMBOL_stmt_list: /* stmt_list  */
#line 765 "src/parser_bison.y"
            { stmt_list_free(((*yyvaluep).list)); free(((*yyvaluep).list)); }
#line 6680 "src/parser_bison.c"
        break;

    case YYSYMBOL_stateful_stmt_list: /* stateful_stmt_list  */
#line 765 "src/parser_bison.y"
            { stmt_list_free(((*yyvaluep).list)); free(((*yyvaluep).list)); }
#line 6686 "src/parser_bison.c"
        break;

    case YYSYMBOL_objref_stmt_counter: /* objref_stmt_counter  */
#line 771 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6692 "src/parser_bison.c"
        break;

    case YYSYMBOL_objref_stmt_limit: /* objref_stmt_limit  */
#line 771 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6698 "src/parser_bison.c"
        break;

    case YYSYMBOL_objref_stmt_quota: /* objref_stmt_quota  */
#line 771 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6704 "src/parser_bison.c"
        break;

    case YYSYMBOL_objref_stmt_synproxy: /* objref_stmt_synproxy  */
#line 771 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6710 "src/parser_bison.c"
        break;

    case YYSYMBOL_objref_stmt_ct: /* objref_stmt_ct  */
#line 771 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6716 "src/parser_bison.c"
        break;

    case YYSYMBOL_objref_stmt: /* objref_stmt  */
#line 771 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6722 "src/parser_bison.c"
        break;

    case YYSYMBOL_stateful_stmt: /* stateful_stmt  */
#line 769 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6728 "src/parser_bison.c"
        break;

    case YYSYMBOL_stmt: /* stmt  */
#line 767 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6734 "src/parser_bison.c"
        break;

    case YYSYMBOL_xt_stmt: /* xt_stmt  */
#line 983 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6740 "src/parser_bison.c"
        break;

    case YYSYMBOL_chain_stmt: /* chain_stmt  */
#line 795 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6746 "src/parser_bison.c"
        break;

    case YYSYMBOL_verdict_stmt: /* verdict_stmt  */
#line 767 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6752 "src/parser_bison.c"
        break;

    case YYSYMBOL_verdict_map_stmt: /* verdict_map_stmt  */
#line 853 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6758 "src/parser_bison.c"
        break;

    case YYSYMBOL_verdict_map_expr: /* verdict_map_expr  */
#line 856 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6764 "src/parser_bison.c"
        break;

    case YYSYMBOL_verdict_map_list_expr: /* verdict_map_list_expr  */
#line 856 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6770 "src/parser_bison.c"
        break;

    case YYSYMBOL_verdict_map_list_member_expr: /* verdict_map_list_member_expr  */
#line 856 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6776 "src/parser_bison.c"
        break;

    case YYSYMBOL_connlimit_stmt: /* connlimit_stmt  */
#line 783 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6782 "src/parser_bison.c"
        break;

    case YYSYMBOL_counter_stmt: /* counter_stmt  */
#line 769 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6788 "src/parser_bison.c"
        break;

    case YYSYMBOL_counter_stmt_alloc: /* counter_stmt_alloc  */
#line 769 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6794 "src/parser_bison.c"
        break;

    case YYSYMBOL_last_stmt: /* last_stmt  */
#line 769 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6800 "src/parser_bison.c"
        break;

    case YYSYMBOL_log_stmt: /* log_stmt  */
#line 780 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6806 "src/parser_bison.c"
        break;

    case YYSYMBOL_log_stmt_alloc: /* log_stmt_alloc  */
#line 780 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6812 "src/parser_bison.c"
        break;

    case YYSYMBOL_limit_stmt: /* limit_stmt  */
#line 783 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6818 "src/parser_bison.c"
        break;

    case YYSYMBOL_quota_unit: /* quota_unit  */
#line 733 "src/parser_bison.y"
            { free_const(((*yyvaluep).string)); }
#line 6824 "src/parser_bison.c"
        break;

    case YYSYMBOL_quota_stmt: /* quota_stmt  */
#line 783 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6830 "src/parser_bison.c"
        break;

    case YYSYMBOL_reject_stmt: /* reject_stmt  */
#line 786 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6836 "src/parser_bison.c"
        break;

    case YYSYMBOL_reject_stmt_alloc: /* reject_stmt_alloc  */
#line 786 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6842 "src/parser_bison.c"
        break;

    case YYSYMBOL_reject_with_expr: /* reject_with_expr  */
#line 801 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6848 "src/parser_bison.c"
        break;

    case YYSYMBOL_nat_stmt: /* nat_stmt  */
#line 788 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6854 "src/parser_bison.c"
        break;

    case YYSYMBOL_nat_stmt_alloc: /* nat_stmt_alloc  */
#line 788 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6860 "src/parser_bison.c"
        break;

    case YYSYMBOL_tproxy_stmt: /* tproxy_stmt  */
#line 791 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6866 "src/parser_bison.c"
        break;

    case YYSYMBOL_synproxy_stmt: /* synproxy_stmt  */
#line 793 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6872 "src/parser_bison.c"
        break;

    case YYSYMBOL_synproxy_stmt_alloc: /* synproxy_stmt_alloc  */
#line 793 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6878 "src/parser_bison.c"
        break;

    case YYSYMBOL_synproxy_obj: /* synproxy_obj  */
#line 879 "src/parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 6884 "src/parser_bison.c"
        break;

    case YYSYMBOL_primary_stmt_expr: /* primary_stmt_expr  */
#line 840 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6890 "src/parser_bison.c"
        break;

    case YYSYMBOL_shift_stmt_expr: /* shift_stmt_expr  */
#line 842 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6896 "src/parser_bison.c"
        break;

    case YYSYMBOL_and_stmt_expr: /* and_stmt_expr  */
#line 844 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6902 "src/parser_bison.c"
        break;

    case YYSYMBOL_exclusive_or_stmt_expr: /* exclusive_or_stmt_expr  */
#line 844 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6908 "src/parser_bison.c"
        break;

    case YYSYMBOL_inclusive_or_stmt_expr: /* inclusive_or_stmt_expr  */
#line 844 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6914 "src/parser_bison.c"
        break;

    case YYSYMBOL_basic_stmt_expr: /* basic_stmt_expr  */
#line 840 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6920 "src/parser_bison.c"
        break;

    case YYSYMBOL_concat_stmt_expr: /* concat_stmt_expr  */
#line 832 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6926 "src/parser_bison.c"
        break;

    case YYSYMBOL_map_stmt_expr_set: /* map_stmt_expr_set  */
#line 832 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6932 "src/parser_bison.c"
        break;

    case YYSYMBOL_map_stmt_expr: /* map_stmt_expr  */
#line 832 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6938 "src/parser_bison.c"
        break;

    case YYSYMBOL_prefix_stmt_expr: /* prefix_stmt_expr  */
#line 837 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6944 "src/parser_bison.c"
        break;

    case YYSYMBOL_range_stmt_expr: /* range_stmt_expr  */
#line 837 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6950 "src/parser_bison.c"
        break;

    case YYSYMBOL_multiton_stmt_expr: /* multiton_stmt_expr  */
#line 835 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6956 "src/parser_bison.c"
        break;

    case YYSYMBOL_stmt_expr: /* stmt_expr  */
#line 832 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 6962 "src/parser_bison.c"
        break;

    case YYSYMBOL_masq_stmt: /* masq_stmt  */
#line 788 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6968 "src/parser_bison.c"
        break;

    case YYSYMBOL_masq_stmt_alloc: /* masq_stmt_alloc  */
#line 788 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6974 "src/parser_bison.c"
        break;

    case YYSYMBOL_redir_stmt: /* redir_stmt  */
#line 788 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6980 "src/parser_bison.c"
        break;

    case YYSYMBOL_redir_stmt_alloc: /* redir_stmt_alloc  */
#line 788 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6986 "src/parser_bison.c"
        break;

    case YYSYMBOL_dup_stmt: /* dup_stmt  */
#line 804 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6992 "src/parser_bison.c"
        break;

    case YYSYMBOL_fwd_stmt: /* fwd_stmt  */
#line 806 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 6998 "src/parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt: /* queue_stmt  */
#line 799 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7004 "src/parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt_compat: /* queue_stmt_compat  */
#line 799 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7010 "src/parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt_alloc: /* queue_stmt_alloc  */
#line 799 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7016 "src/parser_bison.c"
        break;

    case YYSYMBOL_queue_expr: /* queue_expr  */
#line 801 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7022 "src/parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt_expr_simple: /* queue_stmt_expr_simple  */
#line 801 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7028 "src/parser_bison.c"
        break;

    case YYSYMBOL_queue_stmt_expr: /* queue_stmt_expr  */
#line 801 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7034 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_elem_expr_stmt: /* set_elem_expr_stmt  */
#line 863 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7040 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_elem_expr_stmt_alloc: /* set_elem_expr_stmt_alloc  */
#line 863 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7046 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_stmt: /* set_stmt  */
#line 808 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7052 "src/parser_bison.c"
        break;

    case YYSYMBOL_map_stmt: /* map_stmt  */
#line 811 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7058 "src/parser_bison.c"
        break;

    case YYSYMBOL_meter_stmt: /* meter_stmt  */
#line 813 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7064 "src/parser_bison.c"
        break;

    case YYSYMBOL_flow_stmt_legacy_alloc: /* flow_stmt_legacy_alloc  */
#line 813 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7070 "src/parser_bison.c"
        break;

    case YYSYMBOL_meter_stmt_alloc: /* meter_stmt_alloc  */
#line 813 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7076 "src/parser_bison.c"
        break;

    case YYSYMBOL_match_stmt: /* match_stmt  */
#line 767 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7082 "src/parser_bison.c"
        break;

    case YYSYMBOL_variable_expr: /* variable_expr  */
#line 816 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7088 "src/parser_bison.c"
        break;

    case YYSYMBOL_symbol_expr: /* symbol_expr  */
#line 816 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7094 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_ref_expr: /* set_ref_expr  */
#line 824 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7100 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_ref_symbol_expr: /* set_ref_symbol_expr  */
#line 824 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7106 "src/parser_bison.c"
        break;

    case YYSYMBOL_integer_expr: /* integer_expr  */
#line 816 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7112 "src/parser_bison.c"
        break;

    case YYSYMBOL_primary_expr: /* primary_expr  */
#line 818 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7118 "src/parser_bison.c"
        break;

    case YYSYMBOL_fib_expr: /* fib_expr  */
#line 950 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7124 "src/parser_bison.c"
        break;

    case YYSYMBOL_osf_expr: /* osf_expr  */
#line 955 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7130 "src/parser_bison.c"
        break;

    case YYSYMBOL_shift_expr: /* shift_expr  */
#line 818 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7136 "src/parser_bison.c"
        break;

    case YYSYMBOL_and_expr: /* and_expr  */
#line 818 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7142 "src/parser_bison.c"
        break;

    case YYSYMBOL_exclusive_or_expr: /* exclusive_or_expr  */
#line 820 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7148 "src/parser_bison.c"
        break;

    case YYSYMBOL_inclusive_or_expr: /* inclusive_or_expr  */
#line 820 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7154 "src/parser_bison.c"
        break;

    case YYSYMBOL_basic_expr: /* basic_expr  */
#line 822 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7160 "src/parser_bison.c"
        break;

    case YYSYMBOL_concat_expr: /* concat_expr  */
#line 847 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7166 "src/parser_bison.c"
        break;

    case YYSYMBOL_prefix_rhs_expr: /* prefix_rhs_expr  */
#line 829 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7172 "src/parser_bison.c"
        break;

    case YYSYMBOL_range_rhs_expr: /* range_rhs_expr  */
#line 829 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7178 "src/parser_bison.c"
        break;

    case YYSYMBOL_multiton_rhs_expr: /* multiton_rhs_expr  */
#line 827 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7184 "src/parser_bison.c"
        break;

    case YYSYMBOL_map_expr: /* map_expr  */
#line 850 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7190 "src/parser_bison.c"
        break;

    case YYSYMBOL_expr: /* expr  */
#line 869 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7196 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_expr: /* set_expr  */
#line 859 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7202 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_list_expr: /* set_list_expr  */
#line 859 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7208 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_list_member_expr: /* set_list_member_expr  */
#line 859 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7214 "src/parser_bison.c"
        break;

    case YYSYMBOL_meter_key_expr: /* meter_key_expr  */
#line 866 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7220 "src/parser_bison.c"
        break;

    case YYSYMBOL_meter_key_expr_alloc: /* meter_key_expr_alloc  */
#line 866 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7226 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_elem_expr: /* set_elem_expr  */
#line 861 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7232 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_elem_key_expr: /* set_elem_key_expr  */
#line 1006 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7238 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_elem_expr_alloc: /* set_elem_expr_alloc  */
#line 861 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7244 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_elem_stmt_list: /* set_elem_stmt_list  */
#line 765 "src/parser_bison.y"
            { stmt_list_free(((*yyvaluep).list)); free(((*yyvaluep).list)); }
#line 7250 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_elem_stmt: /* set_elem_stmt  */
#line 767 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7256 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_lhs_expr: /* set_lhs_expr  */
#line 861 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7262 "src/parser_bison.c"
        break;

    case YYSYMBOL_set_rhs_expr: /* set_rhs_expr  */
#line 861 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7268 "src/parser_bison.c"
        break;

    case YYSYMBOL_initializer_expr: /* initializer_expr  */
#line 869 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7274 "src/parser_bison.c"
        break;

    case YYSYMBOL_counter_obj: /* counter_obj  */
#line 879 "src/parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7280 "src/parser_bison.c"
        break;

    case YYSYMBOL_quota_obj: /* quota_obj  */
#line 879 "src/parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7286 "src/parser_bison.c"
        break;

    case YYSYMBOL_secmark_obj: /* secmark_obj  */
#line 879 "src/parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7292 "src/parser_bison.c"
        break;

    case YYSYMBOL_timeout_states: /* timeout_states  */
#line 999 "src/parser_bison.y"
            { timeout_states_free(((*yyvaluep).list)); }
#line 7298 "src/parser_bison.c"
        break;

    case YYSYMBOL_timeout_state: /* timeout_state  */
#line 996 "src/parser_bison.y"
            { timeout_state_free(((*yyvaluep).timeout_state)); }
#line 7304 "src/parser_bison.c"
        break;

    case YYSYMBOL_ct_obj_alloc: /* ct_obj_alloc  */
#line 879 "src/parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7310 "src/parser_bison.c"
        break;

    case YYSYMBOL_limit_obj: /* limit_obj  */
#line 879 "src/parser_bison.y"
            { obj_free(((*yyvaluep).obj)); }
#line 7316 "src/parser_bison.c"
        break;

    case YYSYMBOL_relational_expr: /* relational_expr  */
#line 882 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7322 "src/parser_bison.c"
        break;

    case YYSYMBOL_list_rhs_expr: /* list_rhs_expr  */
#line 874 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7328 "src/parser_bison.c"
        break;

    case YYSYMBOL_rhs_expr: /* rhs_expr  */
#line 872 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7334 "src/parser_bison.c"
        break;

    case YYSYMBOL_shift_rhs_expr: /* shift_rhs_expr  */
#line 874 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7340 "src/parser_bison.c"
        break;

    case YYSYMBOL_and_rhs_expr: /* and_rhs_expr  */
#line 876 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7346 "src/parser_bison.c"
        break;

    case YYSYMBOL_exclusive_or_rhs_expr: /* exclusive_or_rhs_expr  */
#line 876 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7352 "src/parser_bison.c"
        break;

    case YYSYMBOL_inclusive_or_rhs_expr: /* inclusive_or_rhs_expr  */
#line 876 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7358 "src/parser_bison.c"
        break;

    case YYSYMBOL_basic_rhs_expr: /* basic_rhs_expr  */
#line 872 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7364 "src/parser_bison.c"
        break;

    case YYSYMBOL_concat_rhs_expr: /* concat_rhs_expr  */
#line 872 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7370 "src/parser_bison.c"
        break;

    case YYSYMBOL_boolean_expr: /* boolean_expr  */
#line 986 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7376 "src/parser_bison.c"
        break;

    case YYSYMBOL_keyword_expr: /* keyword_expr  */
#line 869 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7382 "src/parser_bison.c"
        break;

    case YYSYMBOL_primary_rhs_expr: /* primary_rhs_expr  */
#line 874 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7388 "src/parser_bison.c"
        break;

    case YYSYMBOL_verdict_expr: /* verdict_expr  */
#line 816 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7394 "src/parser_bison.c"
        break;

    case YYSYMBOL_chain_expr: /* chain_expr  */
#line 816 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7400 "src/parser_bison.c"
        break;

    case YYSYMBOL_meta_expr: /* meta_expr  */
#line 932 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7406 "src/parser_bison.c"
        break;

    case YYSYMBOL_meta_stmt: /* meta_stmt  */
#line 778 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7412 "src/parser_bison.c"
        break;

    case YYSYMBOL_socket_expr: /* socket_expr  */
#line 936 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7418 "src/parser_bison.c"
        break;

    case YYSYMBOL_numgen_expr: /* numgen_expr  */
#line 897 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7424 "src/parser_bison.c"
        break;

    case YYSYMBOL_xfrm_expr: /* xfrm_expr  */
#line 1003 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7430 "src/parser_bison.c"
        break;

    case YYSYMBOL_hash_expr: /* hash_expr  */
#line 897 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7436 "src/parser_bison.c"
        break;

    case YYSYMBOL_rt_expr: /* rt_expr  */
#line 942 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7442 "src/parser_bison.c"
        break;

    case YYSYMBOL_ct_expr: /* ct_expr  */
#line 946 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7448 "src/parser_bison.c"
        break;

    case YYSYMBOL_symbol_stmt_expr: /* symbol_stmt_expr  */
#line 874 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7454 "src/parser_bison.c"
        break;

    case YYSYMBOL_list_stmt_expr: /* list_stmt_expr  */
#line 842 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7460 "src/parser_bison.c"
        break;

    case YYSYMBOL_ct_stmt: /* ct_stmt  */
#line 776 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7466 "src/parser_bison.c"
        break;

    case YYSYMBOL_payload_stmt: /* payload_stmt  */
#line 774 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7472 "src/parser_bison.c"
        break;

    case YYSYMBOL_payload_expr: /* payload_expr  */
#line 886 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7478 "src/parser_bison.c"
        break;

    case YYSYMBOL_payload_raw_expr: /* payload_raw_expr  */
#line 886 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7484 "src/parser_bison.c"
        break;

    case YYSYMBOL_eth_hdr_expr: /* eth_hdr_expr  */
#line 891 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7490 "src/parser_bison.c"
        break;

    case YYSYMBOL_vlan_hdr_expr: /* vlan_hdr_expr  */
#line 891 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7496 "src/parser_bison.c"
        break;

    case YYSYMBOL_arp_hdr_expr: /* arp_hdr_expr  */
#line 894 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7502 "src/parser_bison.c"
        break;

    case YYSYMBOL_ip_hdr_expr: /* ip_hdr_expr  */
#line 897 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7508 "src/parser_bison.c"
        break;

    case YYSYMBOL_icmp_hdr_expr: /* icmp_hdr_expr  */
#line 897 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7514 "src/parser_bison.c"
        break;

    case YYSYMBOL_igmp_hdr_expr: /* igmp_hdr_expr  */
#line 897 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7520 "src/parser_bison.c"
        break;

    case YYSYMBOL_ip6_hdr_expr: /* ip6_hdr_expr  */
#line 901 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7526 "src/parser_bison.c"
        break;

    case YYSYMBOL_icmp6_hdr_expr: /* icmp6_hdr_expr  */
#line 901 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7532 "src/parser_bison.c"
        break;

    case YYSYMBOL_auth_hdr_expr: /* auth_hdr_expr  */
#line 904 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7538 "src/parser_bison.c"
        break;

    case YYSYMBOL_esp_hdr_expr: /* esp_hdr_expr  */
#line 904 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7544 "src/parser_bison.c"
        break;

    case YYSYMBOL_comp_hdr_expr: /* comp_hdr_expr  */
#line 904 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7550 "src/parser_bison.c"
        break;

    case YYSYMBOL_udp_hdr_expr: /* udp_hdr_expr  */
#line 907 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7556 "src/parser_bison.c"
        break;

    case YYSYMBOL_udplite_hdr_expr: /* udplite_hdr_expr  */
#line 907 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7562 "src/parser_bison.c"
        break;

    case YYSYMBOL_tcp_hdr_expr: /* tcp_hdr_expr  */
#line 965 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7568 "src/parser_bison.c"
        break;

    case YYSYMBOL_inner_inet_expr: /* inner_inet_expr  */
#line 973 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7574 "src/parser_bison.c"
        break;

    case YYSYMBOL_inner_eth_expr: /* inner_eth_expr  */
#line 973 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7580 "src/parser_bison.c"
        break;

    case YYSYMBOL_inner_expr: /* inner_expr  */
#line 973 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7586 "src/parser_bison.c"
        break;

    case YYSYMBOL_vxlan_hdr_expr: /* vxlan_hdr_expr  */
#line 976 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7592 "src/parser_bison.c"
        break;

    case YYSYMBOL_geneve_hdr_expr: /* geneve_hdr_expr  */
#line 976 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7598 "src/parser_bison.c"
        break;

    case YYSYMBOL_gre_hdr_expr: /* gre_hdr_expr  */
#line 976 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7604 "src/parser_bison.c"
        break;

    case YYSYMBOL_gretap_hdr_expr: /* gretap_hdr_expr  */
#line 976 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7610 "src/parser_bison.c"
        break;

    case YYSYMBOL_optstrip_stmt: /* optstrip_stmt  */
#line 980 "src/parser_bison.y"
            { stmt_free(((*yyvaluep).stmt)); }
#line 7616 "src/parser_bison.c"
        break;

    case YYSYMBOL_dccp_hdr_expr: /* dccp_hdr_expr  */
#line 910 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7622 "src/parser_bison.c"
        break;

    case YYSYMBOL_sctp_chunk_alloc: /* sctp_chunk_alloc  */
#line 910 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7628 "src/parser_bison.c"
        break;

    case YYSYMBOL_sctp_hdr_expr: /* sctp_hdr_expr  */
#line 910 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7634 "src/parser_bison.c"
        break;

    case YYSYMBOL_th_hdr_expr: /* th_hdr_expr  */
#line 916 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7640 "src/parser_bison.c"
        break;

    case YYSYMBOL_exthdr_expr: /* exthdr_expr  */
#line 920 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7646 "src/parser_bison.c"
        break;

    case YYSYMBOL_hbh_hdr_expr: /* hbh_hdr_expr  */
#line 922 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7652 "src/parser_bison.c"
        break;

    case YYSYMBOL_rt_hdr_expr: /* rt_hdr_expr  */
#line 925 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7658 "src/parser_bison.c"
        break;

    case YYSYMBOL_rt0_hdr_expr: /* rt0_hdr_expr  */
#line 925 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7664 "src/parser_bison.c"
        break;

    case YYSYMBOL_rt2_hdr_expr: /* rt2_hdr_expr  */
#line 925 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7670 "src/parser_bison.c"
        break;

    case YYSYMBOL_rt4_hdr_expr: /* rt4_hdr_expr  */
#line 925 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7676 "src/parser_bison.c"
        break;

    case YYSYMBOL_frag_hdr_expr: /* frag_hdr_expr  */
#line 922 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7682 "src/parser_bison.c"
        break;

    case YYSYMBOL_dst_hdr_expr: /* dst_hdr_expr  */
#line 922 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7688 "src/parser_bison.c"
        break;

    case YYSYMBOL_mh_hdr_expr: /* mh_hdr_expr  */
#line 928 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7694 "src/parser_bison.c"
        break;

    case YYSYMBOL_exthdr_exists_expr: /* exthdr_exists_expr  */
#line 990 "src/parser_bison.y"
            { expr_free(((*yyvaluep).expr)); }
#line 7700 "src/parser_bison.c"
        break;

      default:
        break;
    }
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}






/*----------.
| yyparse.  |
`----------*/

int
yyparse (struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
/* Lookahead token kind.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs = 0;

    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    /* The location stack: array, bottom, top.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls = yylsa;
    YYLTYPE *yylsp = yyls;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[3];

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */


/* User initialization code.  */
#line 216 "src/parser_bison.y"
{
	location_init(scanner, state, &yylloc);
	if (nft->debug_mask & NFT_DEBUG_SCANNER)
		nft_set_debug(1, scanner);
	if (nft->debug_mask & NFT_DEBUG_PARSER)
		yydebug = 1;
}

#line 7806 "src/parser_bison.c"

  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yyls1, yysize * YYSIZEOF (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex (&yylval, &yylloc, scanner);
    }

  if (yychar <= TOKEN_EOF)
    {
      yychar = TOKEN_EOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      yyerror_range[1] = yylloc;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 3: /* input: input line  */
#line 1012 "src/parser_bison.y"
                        {
				if ((yyvsp[0].cmd) != NULL) {
					(yyvsp[0].cmd)->location = (yylsp[0]);
					list_add_tail(&(yyvsp[0].cmd)->list, state->cmds);
				}
			}
#line 8024 "src/parser_bison.c"
    break;

  case 8: /* close_scope_ah: %empty  */
#line 1028 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_AH); }
#line 8030 "src/parser_bison.c"
    break;

  case 9: /* close_scope_arp: %empty  */
#line 1029 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_ARP); }
#line 8036 "src/parser_bison.c"
    break;

  case 10: /* close_scope_at: %empty  */
#line 1030 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_AT); }
#line 8042 "src/parser_bison.c"
    break;

  case 11: /* close_scope_comp: %empty  */
#line 1031 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_COMP); }
#line 8048 "src/parser_bison.c"
    break;

  case 12: /* close_scope_ct: %empty  */
#line 1032 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CT); }
#line 8054 "src/parser_bison.c"
    break;

  case 13: /* close_scope_counter: %empty  */
#line 1033 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_COUNTER); }
#line 8060 "src/parser_bison.c"
    break;

  case 14: /* close_scope_last: %empty  */
#line 1034 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_LAST); }
#line 8066 "src/parser_bison.c"
    break;

  case 15: /* close_scope_dccp: %empty  */
#line 1035 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_DCCP); }
#line 8072 "src/parser_bison.c"
    break;

  case 16: /* close_scope_destroy: %empty  */
#line 1036 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_DESTROY); }
#line 8078 "src/parser_bison.c"
    break;

  case 17: /* close_scope_dst: %empty  */
#line 1037 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_DST); }
#line 8084 "src/parser_bison.c"
    break;

  case 18: /* close_scope_dup: %empty  */
#line 1038 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_DUP); }
#line 8090 "src/parser_bison.c"
    break;

  case 19: /* close_scope_esp: %empty  */
#line 1039 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_ESP); }
#line 8096 "src/parser_bison.c"
    break;

  case 20: /* close_scope_eth: %empty  */
#line 1040 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_ETH); }
#line 8102 "src/parser_bison.c"
    break;

  case 21: /* close_scope_export: %empty  */
#line 1041 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_EXPORT); }
#line 8108 "src/parser_bison.c"
    break;

  case 22: /* close_scope_fib: %empty  */
#line 1042 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_FIB); }
#line 8114 "src/parser_bison.c"
    break;

  case 23: /* close_scope_frag: %empty  */
#line 1043 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_FRAG); }
#line 8120 "src/parser_bison.c"
    break;

  case 24: /* close_scope_fwd: %empty  */
#line 1044 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_FWD); }
#line 8126 "src/parser_bison.c"
    break;

  case 25: /* close_scope_gre: %empty  */
#line 1045 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_GRE); }
#line 8132 "src/parser_bison.c"
    break;

  case 26: /* close_scope_hash: %empty  */
#line 1046 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_HASH); }
#line 8138 "src/parser_bison.c"
    break;

  case 27: /* close_scope_hbh: %empty  */
#line 1047 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_HBH); }
#line 8144 "src/parser_bison.c"
    break;

  case 28: /* close_scope_ip: %empty  */
#line 1048 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_IP); }
#line 8150 "src/parser_bison.c"
    break;

  case 29: /* close_scope_ip6: %empty  */
#line 1049 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_IP6); }
#line 8156 "src/parser_bison.c"
    break;

  case 30: /* close_scope_vlan: %empty  */
#line 1050 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_VLAN); }
#line 8162 "src/parser_bison.c"
    break;

  case 31: /* close_scope_icmp: %empty  */
#line 1051 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_ICMP); }
#line 8168 "src/parser_bison.c"
    break;

  case 32: /* close_scope_igmp: %empty  */
#line 1052 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_IGMP); }
#line 8174 "src/parser_bison.c"
    break;

  case 33: /* close_scope_import: %empty  */
#line 1053 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_IMPORT); }
#line 8180 "src/parser_bison.c"
    break;

  case 34: /* close_scope_ipsec: %empty  */
#line 1054 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_IPSEC); }
#line 8186 "src/parser_bison.c"
    break;

  case 35: /* close_scope_list: %empty  */
#line 1055 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_LIST); }
#line 8192 "src/parser_bison.c"
    break;

  case 36: /* close_scope_limit: %empty  */
#line 1056 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_LIMIT); }
#line 8198 "src/parser_bison.c"
    break;

  case 37: /* close_scope_meta: %empty  */
#line 1057 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_META); }
#line 8204 "src/parser_bison.c"
    break;

  case 38: /* close_scope_mh: %empty  */
#line 1058 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_MH); }
#line 8210 "src/parser_bison.c"
    break;

  case 39: /* close_scope_monitor: %empty  */
#line 1059 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_MONITOR); }
#line 8216 "src/parser_bison.c"
    break;

  case 40: /* close_scope_nat: %empty  */
#line 1060 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_NAT); }
#line 8222 "src/parser_bison.c"
    break;

  case 41: /* close_scope_numgen: %empty  */
#line 1061 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_NUMGEN); }
#line 8228 "src/parser_bison.c"
    break;

  case 42: /* close_scope_osf: %empty  */
#line 1062 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_OSF); }
#line 8234 "src/parser_bison.c"
    break;

  case 43: /* close_scope_policy: %empty  */
#line 1063 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_POLICY); }
#line 8240 "src/parser_bison.c"
    break;

  case 44: /* close_scope_quota: %empty  */
#line 1064 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_QUOTA); }
#line 8246 "src/parser_bison.c"
    break;

  case 45: /* close_scope_queue: %empty  */
#line 1065 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_QUEUE); }
#line 8252 "src/parser_bison.c"
    break;

  case 46: /* close_scope_reject: %empty  */
#line 1066 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_REJECT); }
#line 8258 "src/parser_bison.c"
    break;

  case 47: /* close_scope_reset: %empty  */
#line 1067 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_RESET); }
#line 8264 "src/parser_bison.c"
    break;

  case 48: /* close_scope_rt: %empty  */
#line 1068 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_RT); }
#line 8270 "src/parser_bison.c"
    break;

  case 49: /* close_scope_sctp: %empty  */
#line 1069 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_SCTP); }
#line 8276 "src/parser_bison.c"
    break;

  case 50: /* close_scope_sctp_chunk: %empty  */
#line 1070 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_SCTP_CHUNK); }
#line 8282 "src/parser_bison.c"
    break;

  case 51: /* close_scope_secmark: %empty  */
#line 1071 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_SECMARK); }
#line 8288 "src/parser_bison.c"
    break;

  case 52: /* close_scope_socket: %empty  */
#line 1072 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_SOCKET); }
#line 8294 "src/parser_bison.c"
    break;

  case 53: /* close_scope_tcp: %empty  */
#line 1073 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_TCP); }
#line 8300 "src/parser_bison.c"
    break;

  case 54: /* close_scope_tproxy: %empty  */
#line 1074 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_TPROXY); }
#line 8306 "src/parser_bison.c"
    break;

  case 55: /* close_scope_type: %empty  */
#line 1075 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_TYPE); }
#line 8312 "src/parser_bison.c"
    break;

  case 56: /* close_scope_th: %empty  */
#line 1076 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_TH); }
#line 8318 "src/parser_bison.c"
    break;

  case 57: /* close_scope_udp: %empty  */
#line 1077 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_UDP); }
#line 8324 "src/parser_bison.c"
    break;

  case 58: /* close_scope_udplite: %empty  */
#line 1078 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_UDPLITE); }
#line 8330 "src/parser_bison.c"
    break;

  case 59: /* close_scope_log: %empty  */
#line 1080 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_LOG); }
#line 8336 "src/parser_bison.c"
    break;

  case 60: /* close_scope_synproxy: %empty  */
#line 1081 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_SYNPROXY); }
#line 8342 "src/parser_bison.c"
    break;

  case 61: /* close_scope_xt: %empty  */
#line 1082 "src/parser_bison.y"
                          { scanner_pop_start_cond(nft->scanner, PARSER_SC_XT); }
#line 8348 "src/parser_bison.c"
    break;

  case 62: /* common_block: "include" "quoted string" stmt_separator  */
#line 1085 "src/parser_bison.y"
                        {
				if (scanner_include_file(nft, scanner, (yyvsp[-1].string), &(yyloc)) < 0) {
					free_const((yyvsp[-1].string));
					YYERROR;
				}
				free_const((yyvsp[-1].string));
			}
#line 8360 "src/parser_bison.c"
    break;

  case 63: /* common_block: "define" identifier '=' initializer_expr stmt_separator  */
#line 1093 "src/parser_bison.y"
                        {
				struct scope *scope = current_scope(state);

				if (symbol_lookup(scope, (yyvsp[-3].string)) != NULL) {
					erec_queue(error(&(yylsp[-3]), "redefinition of symbol '%s'", (yyvsp[-3].string)),
						   state->msgs);
					expr_free((yyvsp[-1].expr));
					free_const((yyvsp[-3].string));
					YYERROR;
				}

				symbol_bind(scope, (yyvsp[-3].string), (yyvsp[-1].expr));
				free_const((yyvsp[-3].string));
			}
#line 8379 "src/parser_bison.c"
    break;

  case 64: /* common_block: "redefine" identifier '=' initializer_expr stmt_separator  */
#line 1108 "src/parser_bison.y"
                        {
				struct scope *scope = current_scope(state);

				symbol_bind(scope, (yyvsp[-3].string), (yyvsp[-1].expr));
				free_const((yyvsp[-3].string));
			}
#line 8390 "src/parser_bison.c"
    break;

  case 65: /* common_block: "undefine" identifier stmt_separator  */
#line 1115 "src/parser_bison.y"
                        {
				struct scope *scope = current_scope(state);

				if (symbol_unbind(scope, (yyvsp[-1].string)) < 0) {
					erec_queue(error(&(yylsp[-1]), "undefined symbol '%s'", (yyvsp[-1].string)),
						   state->msgs);
					free_const((yyvsp[-1].string));
					YYERROR;
				}
				free_const((yyvsp[-1].string));
			}
#line 8406 "src/parser_bison.c"
    break;

  case 66: /* common_block: error stmt_separator  */
#line 1127 "src/parser_bison.y"
                        {
				if (++state->nerrs == nft->parser_max_errors)
					YYABORT;
				yyerrok;
			}
#line 8416 "src/parser_bison.c"
    break;

  case 67: /* line: common_block  */
#line 1134 "src/parser_bison.y"
                                                                { (yyval.cmd) = NULL; }
#line 8422 "src/parser_bison.c"
    break;

  case 68: /* line: stmt_separator  */
#line 1135 "src/parser_bison.y"
                                                                { (yyval.cmd) = NULL; }
#line 8428 "src/parser_bison.c"
    break;

  case 69: /* line: base_cmd stmt_separator  */
#line 1136 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8434 "src/parser_bison.c"
    break;

  case 70: /* line: base_cmd "end of file"  */
#line 1138 "src/parser_bison.y"
                        {
				/*
				 * Very hackish workaround for bison >= 2.4: previous versions
				 * terminated parsing after EOF, 2.4+ tries to get further input
				 * in 'input' and calls the scanner again, causing a crash when
				 * the final input buffer has been popped. Terminate manually to
				 * avoid this. The correct fix should be to adjust the grammar
				 * to accept EOF in input, but for unknown reasons it does not
				 * work.
				 */
				if ((yyvsp[-1].cmd) != NULL) {
					(yyvsp[-1].cmd)->location = (yylsp[-1]);
					list_add_tail(&(yyvsp[-1].cmd)->list, state->cmds);
				}
				(yyval.cmd) = NULL;
				YYACCEPT;
			}
#line 8456 "src/parser_bison.c"
    break;

  case 71: /* base_cmd: add_cmd  */
#line 1157 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8462 "src/parser_bison.c"
    break;

  case 72: /* base_cmd: "add" add_cmd  */
#line 1158 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8468 "src/parser_bison.c"
    break;

  case 73: /* base_cmd: "replace" replace_cmd  */
#line 1159 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8474 "src/parser_bison.c"
    break;

  case 74: /* base_cmd: "create" create_cmd  */
#line 1160 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8480 "src/parser_bison.c"
    break;

  case 75: /* base_cmd: "insert" insert_cmd  */
#line 1161 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8486 "src/parser_bison.c"
    break;

  case 76: /* base_cmd: "delete" delete_cmd  */
#line 1162 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8492 "src/parser_bison.c"
    break;

  case 77: /* base_cmd: "get" get_cmd  */
#line 1163 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8498 "src/parser_bison.c"
    break;

  case 78: /* base_cmd: "list" list_cmd close_scope_list  */
#line 1164 "src/parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8504 "src/parser_bison.c"
    break;

  case 79: /* base_cmd: "reset" reset_cmd close_scope_reset  */
#line 1165 "src/parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8510 "src/parser_bison.c"
    break;

  case 80: /* base_cmd: "flush" flush_cmd  */
#line 1166 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8516 "src/parser_bison.c"
    break;

  case 81: /* base_cmd: "rename" rename_cmd  */
#line 1167 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8522 "src/parser_bison.c"
    break;

  case 82: /* base_cmd: "import" import_cmd close_scope_import  */
#line 1168 "src/parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8528 "src/parser_bison.c"
    break;

  case 83: /* base_cmd: "export" export_cmd close_scope_export  */
#line 1169 "src/parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8534 "src/parser_bison.c"
    break;

  case 84: /* base_cmd: "monitor" monitor_cmd close_scope_monitor  */
#line 1170 "src/parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8540 "src/parser_bison.c"
    break;

  case 85: /* base_cmd: "describe" describe_cmd  */
#line 1171 "src/parser_bison.y"
                                                                { (yyval.cmd) = (yyvsp[0].cmd); }
#line 8546 "src/parser_bison.c"
    break;

  case 86: /* base_cmd: "destroy" destroy_cmd close_scope_destroy  */
#line 1172 "src/parser_bison.y"
                                                                                        { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 8552 "src/parser_bison.c"
    break;

  case 87: /* add_cmd: "table" table_spec  */
#line 1176 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8560 "src/parser_bison.c"
    break;

  case 88: /* add_cmd: "table" table_spec table_block_alloc '{' table_block '}'  */
#line 1181 "src/parser_bison.y"
                        {
				handle_merge(&(yyvsp[-3].table)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_TABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].table));
			}
#line 8570 "src/parser_bison.c"
    break;

  case 89: /* add_cmd: "chain" chain_spec  */
#line 1187 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8578 "src/parser_bison.c"
    break;

  case 90: /* add_cmd: "chain" chain_spec chain_block_alloc '{' chain_block '}'  */
#line 1192 "src/parser_bison.y"
                        {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 8589 "src/parser_bison.c"
    break;

  case 91: /* add_cmd: "rule" rule_position rule  */
#line 1199 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 8597 "src/parser_bison.c"
    break;

  case 92: /* add_cmd: rule_position rule  */
#line 1203 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 8605 "src/parser_bison.c"
    break;

  case 93: /* add_cmd: "set" set_spec set_block_alloc '{' set_block '}'  */
#line 1208 "src/parser_bison.y"
                        {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 8615 "src/parser_bison.c"
    break;

  case 94: /* add_cmd: "map" set_spec map_block_alloc '{' map_block '}'  */
#line 1215 "src/parser_bison.y"
                        {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 8625 "src/parser_bison.c"
    break;

  case 95: /* add_cmd: "element" set_spec set_block_expr  */
#line 1221 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 8633 "src/parser_bison.c"
    break;

  case 96: /* add_cmd: "flowtable" flowtable_spec flowtable_block_alloc '{' flowtable_block '}'  */
#line 1226 "src/parser_bison.y"
                        {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 8643 "src/parser_bison.c"
    break;

  case 97: /* add_cmd: "counter" obj_spec close_scope_counter  */
#line 1232 "src/parser_bison.y"
                        {
				struct obj *obj;

				obj = obj_alloc(&(yyloc));
				obj->type = NFT_OBJECT_COUNTER;
				handle_merge(&obj->handle, &(yyvsp[-1].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), obj);
			}
#line 8656 "src/parser_bison.c"
    break;

  case 98: /* add_cmd: "counter" obj_spec counter_obj counter_config close_scope_counter  */
#line 1241 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8664 "src/parser_bison.c"
    break;

  case 99: /* add_cmd: "counter" obj_spec counter_obj '{' counter_block '}' close_scope_counter  */
#line 1245 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8672 "src/parser_bison.c"
    break;

  case 100: /* add_cmd: "quota" obj_spec quota_obj quota_config close_scope_quota  */
#line 1249 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_QUOTA, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8680 "src/parser_bison.c"
    break;

  case 101: /* add_cmd: "quota" obj_spec quota_obj '{' quota_block '}' close_scope_quota  */
#line 1253 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_QUOTA, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8688 "src/parser_bison.c"
    break;

  case 102: /* add_cmd: "ct" "helper" obj_spec ct_obj_alloc '{' ct_helper_block '}' close_scope_ct  */
#line 1257 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_HELPER, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8696 "src/parser_bison.c"
    break;

  case 103: /* add_cmd: "ct" "timeout" obj_spec ct_obj_alloc '{' ct_timeout_block '}' close_scope_ct  */
#line 1261 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_TIMEOUT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8704 "src/parser_bison.c"
    break;

  case 104: /* add_cmd: "ct" "expectation" obj_spec ct_obj_alloc '{' ct_expect_block '}' close_scope_ct  */
#line 1265 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_EXPECT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8712 "src/parser_bison.c"
    break;

  case 105: /* add_cmd: "limit" obj_spec limit_obj limit_config close_scope_limit  */
#line 1269 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_LIMIT, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8720 "src/parser_bison.c"
    break;

  case 106: /* add_cmd: "limit" obj_spec limit_obj '{' limit_block '}' close_scope_limit  */
#line 1273 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_LIMIT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8728 "src/parser_bison.c"
    break;

  case 107: /* add_cmd: "secmark" obj_spec secmark_obj secmark_config close_scope_secmark  */
#line 1277 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SECMARK, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8736 "src/parser_bison.c"
    break;

  case 108: /* add_cmd: "secmark" obj_spec secmark_obj '{' secmark_block '}' close_scope_secmark  */
#line 1281 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SECMARK, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8744 "src/parser_bison.c"
    break;

  case 109: /* add_cmd: "synproxy" obj_spec synproxy_obj synproxy_config close_scope_synproxy  */
#line 1285 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SYNPROXY, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8752 "src/parser_bison.c"
    break;

  case 110: /* add_cmd: "synproxy" obj_spec synproxy_obj '{' synproxy_block '}' close_scope_synproxy  */
#line 1289 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SYNPROXY, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8760 "src/parser_bison.c"
    break;

  case 111: /* replace_cmd: "rule" ruleid_spec rule  */
#line 1295 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_REPLACE, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 8768 "src/parser_bison.c"
    break;

  case 112: /* create_cmd: "table" table_spec  */
#line 1301 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8776 "src/parser_bison.c"
    break;

  case 113: /* create_cmd: "table" table_spec table_block_alloc '{' table_block '}'  */
#line 1306 "src/parser_bison.y"
                        {
				handle_merge(&(yyvsp[-3].table)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_TABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].table));
			}
#line 8786 "src/parser_bison.c"
    break;

  case 114: /* create_cmd: "chain" chain_spec  */
#line 1312 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8794 "src/parser_bison.c"
    break;

  case 115: /* create_cmd: "chain" chain_spec chain_block_alloc '{' chain_block '}'  */
#line 1317 "src/parser_bison.y"
                        {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 8805 "src/parser_bison.c"
    break;

  case 116: /* create_cmd: "set" set_spec set_block_alloc '{' set_block '}'  */
#line 1325 "src/parser_bison.y"
                        {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 8815 "src/parser_bison.c"
    break;

  case 117: /* create_cmd: "map" set_spec map_block_alloc '{' map_block '}'  */
#line 1332 "src/parser_bison.y"
                        {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 8825 "src/parser_bison.c"
    break;

  case 118: /* create_cmd: "element" set_spec set_block_expr  */
#line 1338 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 8833 "src/parser_bison.c"
    break;

  case 119: /* create_cmd: "flowtable" flowtable_spec flowtable_block_alloc '{' flowtable_block '}'  */
#line 1343 "src/parser_bison.y"
                        {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 8843 "src/parser_bison.c"
    break;

  case 120: /* create_cmd: "counter" obj_spec close_scope_counter  */
#line 1349 "src/parser_bison.y"
                        {
				struct obj *obj;

				obj = obj_alloc(&(yyloc));
				obj->type = NFT_OBJECT_COUNTER;
				handle_merge(&obj->handle, &(yyvsp[-1].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), obj);
			}
#line 8856 "src/parser_bison.c"
    break;

  case 121: /* create_cmd: "counter" obj_spec counter_obj counter_config close_scope_counter  */
#line 1358 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_COUNTER, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8864 "src/parser_bison.c"
    break;

  case 122: /* create_cmd: "quota" obj_spec quota_obj quota_config close_scope_quota  */
#line 1362 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_QUOTA, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8872 "src/parser_bison.c"
    break;

  case 123: /* create_cmd: "ct" "helper" obj_spec ct_obj_alloc '{' ct_helper_block '}' close_scope_ct  */
#line 1366 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_HELPER, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8880 "src/parser_bison.c"
    break;

  case 124: /* create_cmd: "ct" "timeout" obj_spec ct_obj_alloc '{' ct_timeout_block '}' close_scope_ct  */
#line 1370 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_TIMEOUT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8888 "src/parser_bison.c"
    break;

  case 125: /* create_cmd: "ct" "expectation" obj_spec ct_obj_alloc '{' ct_expect_block '}' close_scope_ct  */
#line 1374 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_EXPECT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 8896 "src/parser_bison.c"
    break;

  case 126: /* create_cmd: "limit" obj_spec limit_obj limit_config close_scope_limit  */
#line 1378 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_LIMIT, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8904 "src/parser_bison.c"
    break;

  case 127: /* create_cmd: "secmark" obj_spec secmark_obj secmark_config close_scope_secmark  */
#line 1382 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SECMARK, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8912 "src/parser_bison.c"
    break;

  case 128: /* create_cmd: "synproxy" obj_spec synproxy_obj synproxy_config close_scope_synproxy  */
#line 1386 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SYNPROXY, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 8920 "src/parser_bison.c"
    break;

  case 129: /* insert_cmd: "rule" rule_position rule  */
#line 1392 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_INSERT, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 8928 "src/parser_bison.c"
    break;

  case 138: /* delete_cmd: "table" table_or_id_spec  */
#line 1414 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8936 "src/parser_bison.c"
    break;

  case 139: /* delete_cmd: "chain" chain_or_id_spec  */
#line 1418 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8944 "src/parser_bison.c"
    break;

  case 140: /* delete_cmd: "chain" chain_spec chain_block_alloc '{' chain_block '}'  */
#line 1423 "src/parser_bison.y"
                        {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 8955 "src/parser_bison.c"
    break;

  case 141: /* delete_cmd: "rule" ruleid_spec  */
#line 1430 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_RULE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8963 "src/parser_bison.c"
    break;

  case 142: /* delete_cmd: "set" set_or_id_spec  */
#line 1434 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8971 "src/parser_bison.c"
    break;

  case 143: /* delete_cmd: "map" set_spec  */
#line 1438 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8979 "src/parser_bison.c"
    break;

  case 144: /* delete_cmd: "element" set_spec set_block_expr  */
#line 1442 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 8987 "src/parser_bison.c"
    break;

  case 145: /* delete_cmd: "flowtable" flowtable_spec  */
#line 1446 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 8995 "src/parser_bison.c"
    break;

  case 146: /* delete_cmd: "flowtable" flowtableid_spec  */
#line 1450 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9003 "src/parser_bison.c"
    break;

  case 147: /* delete_cmd: "flowtable" flowtable_spec flowtable_block_alloc '{' flowtable_block '}'  */
#line 1455 "src/parser_bison.y"
                        {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 9013 "src/parser_bison.c"
    break;

  case 148: /* delete_cmd: "counter" obj_or_id_spec close_scope_counter  */
#line 1461 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9021 "src/parser_bison.c"
    break;

  case 149: /* delete_cmd: "quota" obj_or_id_spec close_scope_quota  */
#line 1465 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9029 "src/parser_bison.c"
    break;

  case 150: /* delete_cmd: "ct" ct_obj_type obj_spec ct_obj_alloc close_scope_ct  */
#line 1469 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_DELETE, (yyvsp[-3].val), &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
				if ((yyvsp[-3].val) == NFT_OBJECT_CT_TIMEOUT)
					init_list_head(&(yyvsp[-1].obj)->ct_timeout.timeout_list);
			}
#line 9039 "src/parser_bison.c"
    break;

  case 151: /* delete_cmd: "limit" obj_or_id_spec close_scope_limit  */
#line 1475 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_LIMIT, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9047 "src/parser_bison.c"
    break;

  case 152: /* delete_cmd: "secmark" obj_or_id_spec close_scope_secmark  */
#line 1479 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SECMARK, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9055 "src/parser_bison.c"
    break;

  case 153: /* delete_cmd: "synproxy" obj_or_id_spec close_scope_synproxy  */
#line 1483 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SYNPROXY, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9063 "src/parser_bison.c"
    break;

  case 154: /* destroy_cmd: "table" table_or_id_spec  */
#line 1489 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9071 "src/parser_bison.c"
    break;

  case 155: /* destroy_cmd: "chain" chain_or_id_spec  */
#line 1493 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9079 "src/parser_bison.c"
    break;

  case 156: /* destroy_cmd: "rule" ruleid_spec  */
#line 1497 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_RULE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9087 "src/parser_bison.c"
    break;

  case 157: /* destroy_cmd: "set" set_or_id_spec  */
#line 1501 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9095 "src/parser_bison.c"
    break;

  case 158: /* destroy_cmd: "map" set_spec  */
#line 1505 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9103 "src/parser_bison.c"
    break;

  case 159: /* destroy_cmd: "element" set_spec set_block_expr  */
#line 1509 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 9111 "src/parser_bison.c"
    break;

  case 160: /* destroy_cmd: "flowtable" flowtable_spec  */
#line 1513 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9119 "src/parser_bison.c"
    break;

  case 161: /* destroy_cmd: "flowtable" flowtableid_spec  */
#line 1517 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9127 "src/parser_bison.c"
    break;

  case 162: /* destroy_cmd: "flowtable" flowtable_spec flowtable_block_alloc '{' flowtable_block '}'  */
#line 1522 "src/parser_bison.y"
                        {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 9137 "src/parser_bison.c"
    break;

  case 163: /* destroy_cmd: "counter" obj_or_id_spec close_scope_counter  */
#line 1528 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9145 "src/parser_bison.c"
    break;

  case 164: /* destroy_cmd: "quota" obj_or_id_spec close_scope_quota  */
#line 1532 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9153 "src/parser_bison.c"
    break;

  case 165: /* destroy_cmd: "ct" ct_obj_type obj_spec ct_obj_alloc close_scope_ct  */
#line 1536 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_DESTROY, (yyvsp[-3].val), &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
				if ((yyvsp[-3].val) == NFT_OBJECT_CT_TIMEOUT)
					init_list_head(&(yyvsp[-1].obj)->ct_timeout.timeout_list);
			}
#line 9163 "src/parser_bison.c"
    break;

  case 166: /* destroy_cmd: "limit" obj_or_id_spec close_scope_limit  */
#line 1542 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_LIMIT, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9171 "src/parser_bison.c"
    break;

  case 167: /* destroy_cmd: "secmark" obj_or_id_spec close_scope_secmark  */
#line 1546 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_SECMARK, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9179 "src/parser_bison.c"
    break;

  case 168: /* destroy_cmd: "synproxy" obj_or_id_spec close_scope_synproxy  */
#line 1550 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_DESTROY, CMD_OBJ_SYNPROXY, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9187 "src/parser_bison.c"
    break;

  case 169: /* get_cmd: "element" set_spec set_block_expr  */
#line 1557 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_GET, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 9195 "src/parser_bison.c"
    break;

  case 170: /* list_cmd: "table" table_spec  */
#line 1563 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9203 "src/parser_bison.c"
    break;

  case 171: /* list_cmd: "tables" ruleset_spec  */
#line 1567 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9211 "src/parser_bison.c"
    break;

  case 172: /* list_cmd: "chain" chain_spec  */
#line 1571 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9219 "src/parser_bison.c"
    break;

  case 173: /* list_cmd: "chains" ruleset_spec  */
#line 1575 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CHAINS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9227 "src/parser_bison.c"
    break;

  case 174: /* list_cmd: "sets" ruleset_spec  */
#line 1579 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SETS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9235 "src/parser_bison.c"
    break;

  case 175: /* list_cmd: "sets" "table" table_spec  */
#line 1583 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SETS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9243 "src/parser_bison.c"
    break;

  case 176: /* list_cmd: "set" set_spec  */
#line 1587 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9251 "src/parser_bison.c"
    break;

  case 177: /* list_cmd: "counters" ruleset_spec  */
#line 1591 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9259 "src/parser_bison.c"
    break;

  case 178: /* list_cmd: "counters" "table" table_spec  */
#line 1595 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9267 "src/parser_bison.c"
    break;

  case 179: /* list_cmd: "counter" obj_spec close_scope_counter  */
#line 1599 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9275 "src/parser_bison.c"
    break;

  case 180: /* list_cmd: "quotas" ruleset_spec  */
#line 1603 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9283 "src/parser_bison.c"
    break;

  case 181: /* list_cmd: "quotas" "table" table_spec  */
#line 1607 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9291 "src/parser_bison.c"
    break;

  case 182: /* list_cmd: "quota" obj_spec close_scope_quota  */
#line 1611 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9299 "src/parser_bison.c"
    break;

  case 183: /* list_cmd: "limits" ruleset_spec  */
#line 1615 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMITS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9307 "src/parser_bison.c"
    break;

  case 184: /* list_cmd: "limits" "table" table_spec  */
#line 1619 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMITS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9315 "src/parser_bison.c"
    break;

  case 185: /* list_cmd: "limit" obj_spec close_scope_limit  */
#line 1623 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMIT, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9323 "src/parser_bison.c"
    break;

  case 186: /* list_cmd: "secmarks" ruleset_spec  */
#line 1627 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9331 "src/parser_bison.c"
    break;

  case 187: /* list_cmd: "secmarks" "table" table_spec  */
#line 1631 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9339 "src/parser_bison.c"
    break;

  case 188: /* list_cmd: "secmark" obj_spec close_scope_secmark  */
#line 1635 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARK, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9347 "src/parser_bison.c"
    break;

  case 189: /* list_cmd: "synproxys" ruleset_spec  */
#line 1639 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXYS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9355 "src/parser_bison.c"
    break;

  case 190: /* list_cmd: "synproxys" "table" table_spec  */
#line 1643 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXYS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9363 "src/parser_bison.c"
    break;

  case 191: /* list_cmd: "synproxy" obj_spec close_scope_synproxy  */
#line 1647 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXY, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9371 "src/parser_bison.c"
    break;

  case 192: /* list_cmd: "ruleset" ruleset_spec  */
#line 1651 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_RULESET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9379 "src/parser_bison.c"
    break;

  case 193: /* list_cmd: "flow" "tables" ruleset_spec  */
#line 1655 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9387 "src/parser_bison.c"
    break;

  case 194: /* list_cmd: "flow" "table" set_spec  */
#line 1659 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9395 "src/parser_bison.c"
    break;

  case 195: /* list_cmd: "meters" ruleset_spec  */
#line 1663 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9403 "src/parser_bison.c"
    break;

  case 196: /* list_cmd: "meter" set_spec  */
#line 1667 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9411 "src/parser_bison.c"
    break;

  case 197: /* list_cmd: "flowtables" ruleset_spec  */
#line 1671 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_FLOWTABLES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9419 "src/parser_bison.c"
    break;

  case 198: /* list_cmd: "flowtable" flowtable_spec  */
#line 1675 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9427 "src/parser_bison.c"
    break;

  case 199: /* list_cmd: "maps" ruleset_spec  */
#line 1679 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_MAPS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9435 "src/parser_bison.c"
    break;

  case 200: /* list_cmd: "map" set_spec  */
#line 1683 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9443 "src/parser_bison.c"
    break;

  case 201: /* list_cmd: "ct" ct_obj_type obj_spec close_scope_ct  */
#line 1687 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_LIST, (yyvsp[-2].val), &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9451 "src/parser_bison.c"
    break;

  case 202: /* list_cmd: "ct" ct_cmd_type "table" table_spec close_scope_ct  */
#line 1691 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, (yyvsp[-3].val), &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9459 "src/parser_bison.c"
    break;

  case 203: /* list_cmd: "hooks" basehook_spec  */
#line 1695 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_HOOKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9467 "src/parser_bison.c"
    break;

  case 204: /* basehook_device_name: "device" "string"  */
#line 1701 "src/parser_bison.y"
                        {
				(yyval.string) = (yyvsp[0].string);
			}
#line 9475 "src/parser_bison.c"
    break;

  case 205: /* basehook_spec: ruleset_spec  */
#line 1707 "src/parser_bison.y"
                        {
				(yyval.handle) = (yyvsp[0].handle);
			}
#line 9483 "src/parser_bison.c"
    break;

  case 206: /* basehook_spec: ruleset_spec basehook_device_name  */
#line 1711 "src/parser_bison.y"
                        {
				if ((yyvsp[0].string)) {
					(yyvsp[-1].handle).obj.name = (yyvsp[0].string);
					(yyvsp[-1].handle).obj.location = (yylsp[0]);
				}
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 9495 "src/parser_bison.c"
    break;

  case 207: /* reset_cmd: "counters" ruleset_spec  */
#line 1721 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9503 "src/parser_bison.c"
    break;

  case 208: /* reset_cmd: "counters" table_spec  */
#line 1725 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9511 "src/parser_bison.c"
    break;

  case 209: /* reset_cmd: "counters" "table" table_spec  */
#line 1729 "src/parser_bison.y"
                        {
				/* alias of previous rule. */
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9520 "src/parser_bison.c"
    break;

  case 210: /* reset_cmd: "counter" obj_spec close_scope_counter  */
#line 1734 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTER, &(yyvsp[-1].handle),&(yyloc), NULL);
			}
#line 9528 "src/parser_bison.c"
    break;

  case 211: /* reset_cmd: "quotas" ruleset_spec  */
#line 1738 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9536 "src/parser_bison.c"
    break;

  case 212: /* reset_cmd: "quotas" "table" table_spec  */
#line 1742 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9544 "src/parser_bison.c"
    break;

  case 213: /* reset_cmd: "quotas" table_spec  */
#line 1746 "src/parser_bison.y"
                        {
				/* alias of previous rule. */
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9553 "src/parser_bison.c"
    break;

  case 214: /* reset_cmd: "quota" obj_spec close_scope_quota  */
#line 1751 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 9561 "src/parser_bison.c"
    break;

  case 215: /* reset_cmd: "rules" ruleset_spec  */
#line 1755 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9569 "src/parser_bison.c"
    break;

  case 216: /* reset_cmd: "rules" table_spec  */
#line 1759 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9577 "src/parser_bison.c"
    break;

  case 217: /* reset_cmd: "rules" "table" table_spec  */
#line 1763 "src/parser_bison.y"
                        {
				/* alias of previous rule. */
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9586 "src/parser_bison.c"
    break;

  case 218: /* reset_cmd: "rules" chain_spec  */
#line 1768 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9594 "src/parser_bison.c"
    break;

  case 219: /* reset_cmd: "rules" "chain" chain_spec  */
#line 1772 "src/parser_bison.y"
                        {
				/* alias of previous rule. */
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9603 "src/parser_bison.c"
    break;

  case 220: /* reset_cmd: "rule" ruleid_spec  */
#line 1777 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_RULE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9611 "src/parser_bison.c"
    break;

  case 221: /* reset_cmd: "element" set_spec set_block_expr  */
#line 1781 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 9619 "src/parser_bison.c"
    break;

  case 222: /* reset_cmd: "set" set_or_id_spec  */
#line 1785 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9627 "src/parser_bison.c"
    break;

  case 223: /* reset_cmd: "map" set_or_id_spec  */
#line 1789 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9635 "src/parser_bison.c"
    break;

  case 224: /* flush_cmd: "table" table_spec  */
#line 1795 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9643 "src/parser_bison.c"
    break;

  case 225: /* flush_cmd: "chain" chain_spec  */
#line 1799 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9651 "src/parser_bison.c"
    break;

  case 226: /* flush_cmd: "set" set_spec  */
#line 1803 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9659 "src/parser_bison.c"
    break;

  case 227: /* flush_cmd: "map" set_spec  */
#line 1807 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9667 "src/parser_bison.c"
    break;

  case 228: /* flush_cmd: "flow" "table" set_spec  */
#line 1811 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9675 "src/parser_bison.c"
    break;

  case 229: /* flush_cmd: "meter" set_spec  */
#line 1815 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9683 "src/parser_bison.c"
    break;

  case 230: /* flush_cmd: "ruleset" ruleset_spec  */
#line 1819 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_RULESET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 9691 "src/parser_bison.c"
    break;

  case 231: /* rename_cmd: "chain" chain_spec identifier  */
#line 1825 "src/parser_bison.y"
                        {
				(yyval.cmd) = cmd_alloc(CMD_RENAME, CMD_OBJ_CHAIN, &(yyvsp[-1].handle), &(yyloc), NULL);
				(yyval.cmd)->arg = (yyvsp[0].string);
			}
#line 9700 "src/parser_bison.c"
    break;

  case 232: /* import_cmd: "ruleset" markup_format  */
#line 1832 "src/parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_IMPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 9710 "src/parser_bison.c"
    break;

  case 233: /* import_cmd: markup_format  */
#line 1838 "src/parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_IMPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 9720 "src/parser_bison.c"
    break;

  case 234: /* export_cmd: "ruleset" markup_format  */
#line 1846 "src/parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_EXPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 9730 "src/parser_bison.c"
    break;

  case 235: /* export_cmd: markup_format  */
#line 1852 "src/parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_EXPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 9740 "src/parser_bison.c"
    break;

  case 236: /* monitor_cmd: monitor_event monitor_object monitor_format  */
#line 1860 "src/parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct monitor *m = monitor_alloc((yyvsp[0].val), (yyvsp[-1].val), (yyvsp[-2].string));
				m->location = (yylsp[-2]);
				(yyval.cmd) = cmd_alloc(CMD_MONITOR, CMD_OBJ_MONITOR, &h, &(yyloc), m);
			}
#line 9751 "src/parser_bison.c"
    break;

  case 237: /* monitor_event: %empty  */
#line 1868 "src/parser_bison.y"
                                                { (yyval.string) = NULL; }
#line 9757 "src/parser_bison.c"
    break;

  case 238: /* monitor_event: "string"  */
#line 1869 "src/parser_bison.y"
                                                { (yyval.string) = (yyvsp[0].string); }
#line 9763 "src/parser_bison.c"
    break;

  case 239: /* monitor_object: %empty  */
#line 1872 "src/parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_ANY; }
#line 9769 "src/parser_bison.c"
    break;

  case 240: /* monitor_object: "tables"  */
#line 1873 "src/parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_TABLES; }
#line 9775 "src/parser_bison.c"
    break;

  case 241: /* monitor_object: "chains"  */
#line 1874 "src/parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_CHAINS; }
#line 9781 "src/parser_bison.c"
    break;

  case 242: /* monitor_object: "sets"  */
#line 1875 "src/parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_SETS; }
#line 9787 "src/parser_bison.c"
    break;

  case 243: /* monitor_object: "rules"  */
#line 1876 "src/parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_RULES; }
#line 9793 "src/parser_bison.c"
    break;

  case 244: /* monitor_object: "elements"  */
#line 1877 "src/parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_ELEMS; }
#line 9799 "src/parser_bison.c"
    break;

  case 245: /* monitor_object: "ruleset"  */
#line 1878 "src/parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_RULESET; }
#line 9805 "src/parser_bison.c"
    break;

  case 246: /* monitor_object: "trace"  */
#line 1879 "src/parser_bison.y"
                                                { (yyval.val) = CMD_MONITOR_OBJ_TRACE; }
#line 9811 "src/parser_bison.c"
    break;

  case 247: /* monitor_format: %empty  */
#line 1882 "src/parser_bison.y"
                                                { (yyval.val) = NFTNL_OUTPUT_DEFAULT; }
#line 9817 "src/parser_bison.c"
    break;

  case 249: /* markup_format: "xml"  */
#line 1886 "src/parser_bison.y"
                                                { (yyval.val) = __NFT_OUTPUT_NOTSUPP; }
#line 9823 "src/parser_bison.c"
    break;

  case 250: /* markup_format: "json"  */
#line 1887 "src/parser_bison.y"
                                                { (yyval.val) = NFTNL_OUTPUT_JSON; }
#line 9829 "src/parser_bison.c"
    break;

  case 251: /* markup_format: "vm" "json"  */
#line 1888 "src/parser_bison.y"
                                                { (yyval.val) = NFTNL_OUTPUT_JSON; }
#line 9835 "src/parser_bison.c"
    break;

  case 252: /* describe_cmd: primary_expr  */
#line 1892 "src/parser_bison.y"
                        {
				struct handle h = { .family = NFPROTO_UNSPEC };
				(yyval.cmd) = cmd_alloc(CMD_DESCRIBE, CMD_OBJ_EXPR, &h, &(yyloc), NULL);
				(yyval.cmd)->expr = (yyvsp[0].expr);
			}
#line 9845 "src/parser_bison.c"
    break;

  case 253: /* table_block_alloc: %empty  */
#line 1900 "src/parser_bison.y"
                        {
				(yyval.table) = table_alloc();
				if (open_scope(state, &(yyval.table)->scope) < 0) {
					erec_queue(error(&(yyloc), "too many levels of nesting"),
						   state->msgs);
					state->nerrs++;
				}
			}
#line 9858 "src/parser_bison.c"
    break;

  case 254: /* table_options: "flags" table_flags  */
#line 1911 "src/parser_bison.y"
                        {
				(yyvsp[-2].table)->flags |= (yyvsp[0].val);
			}
#line 9866 "src/parser_bison.c"
    break;

  case 255: /* table_options: comment_spec  */
#line 1915 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].table)->comment, &(yyloc), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].table)->comment = (yyvsp[0].string);
			}
#line 9878 "src/parser_bison.c"
    break;

  case 257: /* table_flags: table_flags "comma" table_flag  */
#line 1926 "src/parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 9886 "src/parser_bison.c"
    break;

  case 258: /* table_flag: "string"  */
#line 1931 "src/parser_bison.y"
                        {
				(yyval.val) = parse_table_flag((yyvsp[0].string));
				free_const((yyvsp[0].string));
				if ((yyval.val) == 0) {
					erec_queue(error(&(yylsp[0]), "unknown table option %s", (yyvsp[0].string)),
						   state->msgs);
					YYERROR;
				}
			}
#line 9900 "src/parser_bison.c"
    break;

  case 259: /* table_block: %empty  */
#line 1942 "src/parser_bison.y"
                                                { (yyval.table) = (yyvsp[(-1) - (0)].table); }
#line 9906 "src/parser_bison.c"
    break;

  case 263: /* table_block: table_block "chain" chain_identifier chain_block_alloc '{' chain_block '}' stmt_separator  */
#line 1949 "src/parser_bison.y"
                        {
				(yyvsp[-4].chain)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].chain)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				close_scope(state);
				list_add_tail(&(yyvsp[-4].chain)->list, &(yyvsp[-7].table)->chains);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 9919 "src/parser_bison.c"
    break;

  case 264: /* table_block: table_block "set" set_identifier set_block_alloc '{' set_block '}' stmt_separator  */
#line 1960 "src/parser_bison.y"
                        {
				(yyvsp[-4].set)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].set)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].set)->list, &(yyvsp[-7].table)->sets);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 9931 "src/parser_bison.c"
    break;

  case 265: /* table_block: table_block "map" set_identifier map_block_alloc '{' map_block '}' stmt_separator  */
#line 1970 "src/parser_bison.y"
                        {
				(yyvsp[-4].set)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].set)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].set)->list, &(yyvsp[-7].table)->sets);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 9943 "src/parser_bison.c"
    break;

  case 266: /* table_block: table_block "flowtable" flowtable_identifier flowtable_block_alloc '{' flowtable_block '}' stmt_separator  */
#line 1981 "src/parser_bison.y"
                        {
				(yyvsp[-4].flowtable)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].flowtable)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].flowtable)->list, &(yyvsp[-7].table)->flowtables);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 9955 "src/parser_bison.c"
    break;

  case 267: /* table_block: table_block "counter" obj_identifier obj_block_alloc '{' counter_block '}' stmt_separator close_scope_counter  */
#line 1991 "src/parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_COUNTER;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 9968 "src/parser_bison.c"
    break;

  case 268: /* table_block: table_block "quota" obj_identifier obj_block_alloc '{' quota_block '}' stmt_separator close_scope_quota  */
#line 2002 "src/parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_QUOTA;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 9981 "src/parser_bison.c"
    break;

  case 269: /* table_block: table_block "ct" "helper" obj_identifier obj_block_alloc '{' ct_helper_block '}' stmt_separator close_scope_ct  */
#line 2011 "src/parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_CT_HELPER;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-9].table)->objs);
				(yyval.table) = (yyvsp[-9].table);
			}
#line 9994 "src/parser_bison.c"
    break;

  case 270: /* table_block: table_block "ct" "timeout" obj_identifier obj_block_alloc '{' ct_timeout_block '}' stmt_separator close_scope_ct  */
#line 2020 "src/parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_CT_TIMEOUT;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-9].table)->objs);
				(yyval.table) = (yyvsp[-9].table);
			}
#line 10007 "src/parser_bison.c"
    break;

  case 271: /* table_block: table_block "ct" "expectation" obj_identifier obj_block_alloc '{' ct_expect_block '}' stmt_separator close_scope_ct  */
#line 2029 "src/parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_CT_EXPECT;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-9].table)->objs);
				(yyval.table) = (yyvsp[-9].table);
			}
#line 10020 "src/parser_bison.c"
    break;

  case 272: /* table_block: table_block "limit" obj_identifier obj_block_alloc '{' limit_block '}' stmt_separator close_scope_limit  */
#line 2040 "src/parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_LIMIT;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 10033 "src/parser_bison.c"
    break;

  case 273: /* table_block: table_block "secmark" obj_identifier obj_block_alloc '{' secmark_block '}' stmt_separator close_scope_secmark  */
#line 2051 "src/parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_SECMARK;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 10046 "src/parser_bison.c"
    break;

  case 274: /* table_block: table_block "synproxy" obj_identifier obj_block_alloc '{' synproxy_block '}' stmt_separator close_scope_synproxy  */
#line 2062 "src/parser_bison.y"
                        {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_SYNPROXY;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 10059 "src/parser_bison.c"
    break;

  case 275: /* chain_block_alloc: %empty  */
#line 2073 "src/parser_bison.y"
                        {
				(yyval.chain) = chain_alloc();
				if (open_scope(state, &(yyval.chain)->scope) < 0) {
					erec_queue(error(&(yyloc), "too many levels of nesting"),
						   state->msgs);
					state->nerrs++;
				}
			}
#line 10072 "src/parser_bison.c"
    break;

  case 276: /* chain_block: %empty  */
#line 2083 "src/parser_bison.y"
                                                { (yyval.chain) = (yyvsp[(-1) - (0)].chain); }
#line 10078 "src/parser_bison.c"
    break;

  case 282: /* chain_block: chain_block rule stmt_separator  */
#line 2090 "src/parser_bison.y"
                        {
				list_add_tail(&(yyvsp[-1].rule)->list, &(yyvsp[-2].chain)->rules);
				(yyval.chain) = (yyvsp[-2].chain);
			}
#line 10087 "src/parser_bison.c"
    break;

  case 283: /* chain_block: chain_block "devices" '=' flowtable_expr stmt_separator  */
#line 2095 "src/parser_bison.y"
                        {
				if ((yyval.chain)->dev_expr) {
					list_splice_init(&(yyvsp[-1].expr)->expressions, &(yyval.chain)->dev_expr->expressions);
					expr_free((yyvsp[-1].expr));
					break;
				}
				(yyval.chain)->dev_expr = (yyvsp[-1].expr);
			}
#line 10100 "src/parser_bison.c"
    break;

  case 284: /* chain_block: chain_block comment_spec stmt_separator  */
#line 2104 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-2].chain)->comment, &(yylsp[-1]), state)) {
					free_const((yyvsp[-1].string));
					YYERROR;
				}
				(yyvsp[-2].chain)->comment = (yyvsp[-1].string);
			}
#line 10112 "src/parser_bison.c"
    break;

  case 285: /* subchain_block: %empty  */
#line 2113 "src/parser_bison.y"
                                                { (yyval.chain) = (yyvsp[(-1) - (0)].chain); }
#line 10118 "src/parser_bison.c"
    break;

  case 287: /* subchain_block: subchain_block rule stmt_separator  */
#line 2116 "src/parser_bison.y"
                        {
				list_add_tail(&(yyvsp[-1].rule)->list, &(yyvsp[-2].chain)->rules);
				(yyval.chain) = (yyvsp[-2].chain);
			}
#line 10127 "src/parser_bison.c"
    break;

  case 288: /* typeof_verdict_expr: primary_expr  */
#line 2123 "src/parser_bison.y"
                        {
				struct expr *e = (yyvsp[0].expr);

				if (e->etype == EXPR_SYMBOL &&
				    strcmp("verdict", e->identifier) == 0) {
					struct expr *v = verdict_expr_alloc(&(yylsp[0]), NF_ACCEPT, NULL);

					expr_free(e);
					v->flags &= ~EXPR_F_CONSTANT;
					e = v;
				}

				if (expr_ops(e)->build_udata == NULL) {
					erec_queue(error(&(yylsp[0]), "map data type '%s' lacks typeof serialization", expr_ops(e)->name),
						   state->msgs);
					expr_free(e);
					YYERROR;
				}
				(yyval.expr) = e;
			}
#line 10152 "src/parser_bison.c"
    break;

  case 289: /* typeof_verdict_expr: typeof_expr "." primary_expr  */
#line 2144 "src/parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10165 "src/parser_bison.c"
    break;

  case 290: /* typeof_data_expr: "interval" typeof_expr  */
#line 2155 "src/parser_bison.y"
                        {
				(yyvsp[0].expr)->flags |= EXPR_F_INTERVAL;
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 10174 "src/parser_bison.c"
    break;

  case 291: /* typeof_data_expr: typeof_verdict_expr  */
#line 2160 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 10182 "src/parser_bison.c"
    break;

  case 292: /* typeof_expr: primary_expr  */
#line 2166 "src/parser_bison.y"
                        {
				if (expr_ops((yyvsp[0].expr))->build_udata == NULL) {
					erec_queue(error(&(yylsp[0]), "primary expression type '%s' lacks typeof serialization", expr_ops((yyvsp[0].expr))->name),
						   state->msgs);
					expr_free((yyvsp[0].expr));
					YYERROR;
				}

				(yyval.expr) = (yyvsp[0].expr);
			}
#line 10197 "src/parser_bison.c"
    break;

  case 293: /* typeof_expr: typeof_expr "." primary_expr  */
#line 2177 "src/parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10210 "src/parser_bison.c"
    break;

  case 294: /* set_block_alloc: %empty  */
#line 2189 "src/parser_bison.y"
                        {
				(yyval.set) = set_alloc(&internal_location);
			}
#line 10218 "src/parser_bison.c"
    break;

  case 295: /* typeof_key_expr: "typeof" typeof_expr  */
#line 2194 "src/parser_bison.y"
                                                    { (yyval.expr) = (yyvsp[0].expr); }
#line 10224 "src/parser_bison.c"
    break;

  case 296: /* typeof_key_expr: "type" data_type_expr close_scope_type  */
#line 2195 "src/parser_bison.y"
                                                                        { (yyval.expr) = (yyvsp[-1].expr); }
#line 10230 "src/parser_bison.c"
    break;

  case 297: /* set_block: %empty  */
#line 2198 "src/parser_bison.y"
                                                { (yyval.set) = (yyvsp[(-1) - (0)].set); }
#line 10236 "src/parser_bison.c"
    break;

  case 300: /* set_block: set_block typeof_key_expr stmt_separator  */
#line 2202 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-2].set)->key, &(yylsp[-1]), state)) {
					expr_free((yyvsp[-1].expr));
					YYERROR;
				}

				(yyvsp[-2].set)->key = (yyvsp[-1].expr);
				(yyval.set) = (yyvsp[-2].set);
			}
#line 10250 "src/parser_bison.c"
    break;

  case 301: /* set_block: set_block "flags" set_flag_list stmt_separator  */
#line 2212 "src/parser_bison.y"
                        {
				(yyvsp[-3].set)->flags = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10259 "src/parser_bison.c"
    break;

  case 302: /* set_block: set_block "timeout" time_spec stmt_separator  */
#line 2217 "src/parser_bison.y"
                        {
				(yyvsp[-3].set)->timeout = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10268 "src/parser_bison.c"
    break;

  case 303: /* set_block: set_block "gc-interval" time_spec stmt_separator  */
#line 2222 "src/parser_bison.y"
                        {
				(yyvsp[-3].set)->gc_int = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10277 "src/parser_bison.c"
    break;

  case 304: /* set_block: set_block stateful_stmt_list stmt_separator  */
#line 2227 "src/parser_bison.y"
                        {
				list_splice_tail((yyvsp[-1].list), &(yyvsp[-2].set)->stmt_list);
				(yyval.set) = (yyvsp[-2].set);
				free((yyvsp[-1].list));
			}
#line 10287 "src/parser_bison.c"
    break;

  case 305: /* set_block: set_block "elements" '=' set_block_expr  */
#line 2233 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-3].set)->init, &(yylsp[-2]), state)) {
					expr_free((yyvsp[0].expr));
					YYERROR;
				}
				(yyvsp[-3].set)->init = (yyvsp[0].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10300 "src/parser_bison.c"
    break;

  case 306: /* set_block: set_block "auto-merge"  */
#line 2242 "src/parser_bison.y"
                        {
				(yyvsp[-1].set)->automerge = true;
				(yyval.set) = (yyvsp[-1].set);
			}
#line 10309 "src/parser_bison.c"
    break;

  case 308: /* set_block: set_block comment_spec stmt_separator  */
#line 2248 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-2].set)->comment, &(yylsp[-1]), state)) {
					free_const((yyvsp[-1].string));
					YYERROR;
				}
				(yyvsp[-2].set)->comment = (yyvsp[-1].string);
				(yyval.set) = (yyvsp[-2].set);
			}
#line 10322 "src/parser_bison.c"
    break;

  case 311: /* set_flag_list: set_flag_list "comma" set_flag  */
#line 2263 "src/parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 10330 "src/parser_bison.c"
    break;

  case 313: /* set_flag: "constant"  */
#line 2269 "src/parser_bison.y"
                                                { (yyval.val) = NFT_SET_CONSTANT; }
#line 10336 "src/parser_bison.c"
    break;

  case 314: /* set_flag: "interval"  */
#line 2270 "src/parser_bison.y"
                                                { (yyval.val) = NFT_SET_INTERVAL; }
#line 10342 "src/parser_bison.c"
    break;

  case 315: /* set_flag: "timeout"  */
#line 2271 "src/parser_bison.y"
                                                { (yyval.val) = NFT_SET_TIMEOUT; }
#line 10348 "src/parser_bison.c"
    break;

  case 316: /* set_flag: "dynamic"  */
#line 2272 "src/parser_bison.y"
                                                { (yyval.val) = NFT_SET_EVAL; }
#line 10354 "src/parser_bison.c"
    break;

  case 317: /* map_block_alloc: %empty  */
#line 2276 "src/parser_bison.y"
                        {
				(yyval.set) = set_alloc(&internal_location);
			}
#line 10362 "src/parser_bison.c"
    break;

  case 318: /* ct_obj_type_map: "timeout"  */
#line 2281 "src/parser_bison.y"
                                                { (yyval.val) = NFT_OBJECT_CT_TIMEOUT; }
#line 10368 "src/parser_bison.c"
    break;

  case 319: /* ct_obj_type_map: "expectation"  */
#line 2282 "src/parser_bison.y"
                                                { (yyval.val) = NFT_OBJECT_CT_EXPECT; }
#line 10374 "src/parser_bison.c"
    break;

  case 320: /* map_block_obj_type: "counter" close_scope_counter  */
#line 2285 "src/parser_bison.y"
                                                            { (yyval.val) = NFT_OBJECT_COUNTER; }
#line 10380 "src/parser_bison.c"
    break;

  case 321: /* map_block_obj_type: "quota" close_scope_quota  */
#line 2286 "src/parser_bison.y"
                                                          { (yyval.val) = NFT_OBJECT_QUOTA; }
#line 10386 "src/parser_bison.c"
    break;

  case 322: /* map_block_obj_type: "limit" close_scope_limit  */
#line 2287 "src/parser_bison.y"
                                                          { (yyval.val) = NFT_OBJECT_LIMIT; }
#line 10392 "src/parser_bison.c"
    break;

  case 323: /* map_block_obj_type: "secmark" close_scope_secmark  */
#line 2288 "src/parser_bison.y"
                                                            { (yyval.val) = NFT_OBJECT_SECMARK; }
#line 10398 "src/parser_bison.c"
    break;

  case 324: /* map_block_obj_type: "synproxy" close_scope_synproxy  */
#line 2289 "src/parser_bison.y"
                                                              { (yyval.val) = NFT_OBJECT_SYNPROXY; }
#line 10404 "src/parser_bison.c"
    break;

  case 326: /* map_block_obj_typeof: "ct" ct_obj_type_map close_scope_ct  */
#line 2293 "src/parser_bison.y"
                                                                        { (yyval.val) = (yyvsp[-1].val); }
#line 10410 "src/parser_bison.c"
    break;

  case 327: /* map_block_data_interval: "interval"  */
#line 2296 "src/parser_bison.y"
                                         { (yyval.val) = EXPR_F_INTERVAL; }
#line 10416 "src/parser_bison.c"
    break;

  case 328: /* map_block_data_interval: %empty  */
#line 2297 "src/parser_bison.y"
                                { (yyval.val) = 0; }
#line 10422 "src/parser_bison.c"
    break;

  case 329: /* map_block: %empty  */
#line 2300 "src/parser_bison.y"
                                                { (yyval.set) = (yyvsp[(-1) - (0)].set); }
#line 10428 "src/parser_bison.c"
    break;

  case 332: /* map_block: map_block "timeout" time_spec stmt_separator  */
#line 2304 "src/parser_bison.y"
                        {
				(yyvsp[-3].set)->timeout = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10437 "src/parser_bison.c"
    break;

  case 333: /* map_block: map_block "gc-interval" time_spec stmt_separator  */
#line 2309 "src/parser_bison.y"
                        {
				(yyvsp[-3].set)->gc_int = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10446 "src/parser_bison.c"
    break;

  case 334: /* map_block: map_block "type" data_type_expr "colon" map_block_data_interval data_type_expr stmt_separator close_scope_type  */
#line 2316 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-7].set)->key, &(yylsp[-6]), state)) {
					expr_free((yyvsp[-5].expr));
					expr_free((yyvsp[-2].expr));
					YYERROR;
				}

				(yyvsp[-7].set)->key = (yyvsp[-5].expr);
				(yyvsp[-7].set)->data = (yyvsp[-2].expr);
				(yyvsp[-7].set)->data->flags |= (yyvsp[-3].val);

				(yyvsp[-7].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-7].set);
			}
#line 10465 "src/parser_bison.c"
    break;

  case 335: /* map_block: map_block "typeof" typeof_expr "colon" typeof_data_expr stmt_separator  */
#line 2333 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-5].set)->key, &(yylsp[-4]), state)) {
					expr_free((yyvsp[-3].expr));
					expr_free((yyvsp[-1].expr));
					YYERROR;
				}

				(yyvsp[-5].set)->key = (yyvsp[-3].expr);

				if ((yyvsp[-1].expr)->etype == EXPR_CT && (yyvsp[-1].expr)->ct.key == NFT_CT_HELPER) {
					(yyvsp[-5].set)->objtype = NFT_OBJECT_CT_HELPER;
					(yyvsp[-5].set)->flags  |= NFT_SET_OBJECT;
					expr_free((yyvsp[-1].expr));
				} else {
					(yyvsp[-5].set)->data = (yyvsp[-1].expr);
					(yyvsp[-5].set)->flags |= NFT_SET_MAP;
				}

				(yyval.set) = (yyvsp[-5].set);
			}
#line 10490 "src/parser_bison.c"
    break;

  case 336: /* map_block: map_block "type" data_type_expr "colon" map_block_obj_type stmt_separator close_scope_type  */
#line 2356 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-6].set)->key, &(yylsp[-5]), state)) {
					expr_free((yyvsp[-4].expr));
					YYERROR;
				}

				(yyvsp[-6].set)->key = (yyvsp[-4].expr);
				(yyvsp[-6].set)->objtype = (yyvsp[-2].val);
				(yyvsp[-6].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-6].set);
			}
#line 10506 "src/parser_bison.c"
    break;

  case 337: /* map_block: map_block "typeof" typeof_expr "colon" map_block_obj_typeof stmt_separator  */
#line 2370 "src/parser_bison.y"
                        {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				(yyvsp[-5].set)->objtype = (yyvsp[-1].val);
				(yyvsp[-5].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 10517 "src/parser_bison.c"
    break;

  case 338: /* map_block: map_block "flags" set_flag_list stmt_separator  */
#line 2377 "src/parser_bison.y"
                        {
				(yyvsp[-3].set)->flags |= (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10526 "src/parser_bison.c"
    break;

  case 339: /* map_block: map_block stateful_stmt_list stmt_separator  */
#line 2382 "src/parser_bison.y"
                        {
				list_splice_tail((yyvsp[-1].list), &(yyvsp[-2].set)->stmt_list);
				(yyval.set) = (yyvsp[-2].set);
				free((yyvsp[-1].list));
			}
#line 10536 "src/parser_bison.c"
    break;

  case 340: /* map_block: map_block "elements" '=' set_block_expr  */
#line 2388 "src/parser_bison.y"
                        {
				(yyvsp[-3].set)->init = (yyvsp[0].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 10545 "src/parser_bison.c"
    break;

  case 341: /* map_block: map_block comment_spec stmt_separator  */
#line 2393 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-2].set)->comment, &(yylsp[-1]), state)) {
					free_const((yyvsp[-1].string));
					YYERROR;
				}
				(yyvsp[-2].set)->comment = (yyvsp[-1].string);
				(yyval.set) = (yyvsp[-2].set);
			}
#line 10558 "src/parser_bison.c"
    break;

  case 343: /* set_mechanism: "policy" set_policy_spec close_scope_policy  */
#line 2405 "src/parser_bison.y"
                        {
				(yyvsp[-3].set)->policy = (yyvsp[-1].val);
			}
#line 10566 "src/parser_bison.c"
    break;

  case 344: /* set_mechanism: "size" "number"  */
#line 2409 "src/parser_bison.y"
                        {
				(yyvsp[-2].set)->desc.size = (yyvsp[0].val);
			}
#line 10574 "src/parser_bison.c"
    break;

  case 345: /* set_policy_spec: "performance"  */
#line 2414 "src/parser_bison.y"
                                                { (yyval.val) = NFT_SET_POL_PERFORMANCE; }
#line 10580 "src/parser_bison.c"
    break;

  case 346: /* set_policy_spec: "memory"  */
#line 2415 "src/parser_bison.y"
                                                { (yyval.val) = NFT_SET_POL_MEMORY; }
#line 10586 "src/parser_bison.c"
    break;

  case 347: /* flowtable_block_alloc: %empty  */
#line 2419 "src/parser_bison.y"
                        {
				(yyval.flowtable) = flowtable_alloc(&internal_location);
			}
#line 10594 "src/parser_bison.c"
    break;

  case 348: /* flowtable_block: %empty  */
#line 2424 "src/parser_bison.y"
                                                { (yyval.flowtable) = (yyvsp[(-1) - (0)].flowtable); }
#line 10600 "src/parser_bison.c"
    break;

  case 351: /* flowtable_block: flowtable_block "hook" "string" prio_spec stmt_separator  */
#line 2428 "src/parser_bison.y"
                        {
				(yyval.flowtable)->hook.loc = (yylsp[-2]);
				(yyval.flowtable)->hook.name = chain_hookname_lookup((yyvsp[-2].string));
				if ((yyval.flowtable)->hook.name == NULL) {
					erec_queue(error(&(yylsp[-2]), "unknown chain hook"),
						   state->msgs);
					free_const((yyvsp[-2].string));
					YYERROR;
				}
				free_const((yyvsp[-2].string));

				(yyval.flowtable)->priority = (yyvsp[-1].prio_spec);
			}
#line 10618 "src/parser_bison.c"
    break;

  case 352: /* flowtable_block: flowtable_block "devices" '=' flowtable_expr stmt_separator  */
#line 2442 "src/parser_bison.y"
                        {
				(yyval.flowtable)->dev_expr = (yyvsp[-1].expr);
			}
#line 10626 "src/parser_bison.c"
    break;

  case 353: /* flowtable_block: flowtable_block "counter" close_scope_counter  */
#line 2446 "src/parser_bison.y"
                        {
				(yyval.flowtable)->flags |= NFT_FLOWTABLE_COUNTER;
			}
#line 10634 "src/parser_bison.c"
    break;

  case 354: /* flowtable_block: flowtable_block "flags" "offload" stmt_separator  */
#line 2450 "src/parser_bison.y"
                        {
				(yyval.flowtable)->flags |= FLOWTABLE_F_HW_OFFLOAD;
			}
#line 10642 "src/parser_bison.c"
    break;

  case 355: /* flowtable_expr: '{' flowtable_list_expr '}'  */
#line 2456 "src/parser_bison.y"
                        {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 10651 "src/parser_bison.c"
    break;

  case 356: /* flowtable_expr: variable_expr  */
#line 2461 "src/parser_bison.y"
                        {
				(yyvsp[0].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 10660 "src/parser_bison.c"
    break;

  case 357: /* flowtable_list_expr: flowtable_expr_member  */
#line 2468 "src/parser_bison.y"
                        {
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 10669 "src/parser_bison.c"
    break;

  case 358: /* flowtable_list_expr: flowtable_list_expr "comma" flowtable_expr_member  */
#line 2473 "src/parser_bison.y"
                        {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 10678 "src/parser_bison.c"
    break;

  case 360: /* flowtable_expr_member: "quoted string"  */
#line 2481 "src/parser_bison.y"
                        {
				struct expr *expr = ifname_expr_alloc(&(yyloc), state->msgs, (yyvsp[0].string));

				if (!expr)
					YYERROR;

				(yyval.expr) = expr;
			}
#line 10691 "src/parser_bison.c"
    break;

  case 361: /* flowtable_expr_member: "string"  */
#line 2490 "src/parser_bison.y"
                        {
				struct expr *expr = ifname_expr_alloc(&(yyloc), state->msgs, (yyvsp[0].string));

				if (!expr)
					YYERROR;

				(yyval.expr) = expr;
			}
#line 10704 "src/parser_bison.c"
    break;

  case 362: /* flowtable_expr_member: variable_expr  */
#line 2499 "src/parser_bison.y"
                        {
				datatype_set((yyvsp[0].expr)->sym->expr, &ifname_type);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 10713 "src/parser_bison.c"
    break;

  case 363: /* data_type_atom_expr: type_identifier  */
#line 2506 "src/parser_bison.y"
                        {
				const struct datatype *dtype = datatype_lookup_byname((yyvsp[0].string));
				if (dtype == NULL) {
					erec_queue(error(&(yylsp[0]), "unknown datatype %s", (yyvsp[0].string)),
						   state->msgs);
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyval.expr) = constant_expr_alloc(&(yylsp[0]), dtype, dtype->byteorder,
							 dtype->size, NULL);
				free_const((yyvsp[0].string));
			}
#line 10730 "src/parser_bison.c"
    break;

  case 364: /* data_type_atom_expr: "time"  */
#line 2519 "src/parser_bison.y"
                        {
				(yyval.expr) = constant_expr_alloc(&(yylsp[0]), &time_type, time_type.byteorder,
							 time_type.size, NULL);
			}
#line 10739 "src/parser_bison.c"
    break;

  case 366: /* data_type_expr: data_type_expr "." data_type_atom_expr  */
#line 2527 "src/parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10752 "src/parser_bison.c"
    break;

  case 367: /* obj_block_alloc: %empty  */
#line 2538 "src/parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&internal_location);
			}
#line 10760 "src/parser_bison.c"
    break;

  case 368: /* counter_block: %empty  */
#line 2543 "src/parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10766 "src/parser_bison.c"
    break;

  case 371: /* counter_block: counter_block counter_config  */
#line 2547 "src/parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10774 "src/parser_bison.c"
    break;

  case 372: /* counter_block: counter_block comment_spec  */
#line 2551 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10786 "src/parser_bison.c"
    break;

  case 373: /* quota_block: %empty  */
#line 2560 "src/parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10792 "src/parser_bison.c"
    break;

  case 376: /* quota_block: quota_block quota_config  */
#line 2564 "src/parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10800 "src/parser_bison.c"
    break;

  case 377: /* quota_block: quota_block comment_spec  */
#line 2568 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10812 "src/parser_bison.c"
    break;

  case 378: /* ct_helper_block: %empty  */
#line 2577 "src/parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10818 "src/parser_bison.c"
    break;

  case 381: /* ct_helper_block: ct_helper_block ct_helper_config  */
#line 2581 "src/parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10826 "src/parser_bison.c"
    break;

  case 382: /* ct_helper_block: ct_helper_block comment_spec  */
#line 2585 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10838 "src/parser_bison.c"
    break;

  case 383: /* ct_timeout_block: %empty  */
#line 2595 "src/parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[(-1) - (0)].obj);
				init_list_head(&(yyval.obj)->ct_timeout.timeout_list);
				(yyval.obj)->type = NFT_OBJECT_CT_TIMEOUT;
			}
#line 10848 "src/parser_bison.c"
    break;

  case 386: /* ct_timeout_block: ct_timeout_block ct_timeout_config  */
#line 2603 "src/parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10856 "src/parser_bison.c"
    break;

  case 387: /* ct_timeout_block: ct_timeout_block comment_spec  */
#line 2607 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10868 "src/parser_bison.c"
    break;

  case 388: /* ct_expect_block: %empty  */
#line 2616 "src/parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10874 "src/parser_bison.c"
    break;

  case 391: /* ct_expect_block: ct_expect_block ct_expect_config  */
#line 2620 "src/parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10882 "src/parser_bison.c"
    break;

  case 392: /* ct_expect_block: ct_expect_block comment_spec  */
#line 2624 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10894 "src/parser_bison.c"
    break;

  case 393: /* limit_block: %empty  */
#line 2633 "src/parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10900 "src/parser_bison.c"
    break;

  case 396: /* limit_block: limit_block limit_config  */
#line 2637 "src/parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10908 "src/parser_bison.c"
    break;

  case 397: /* limit_block: limit_block comment_spec  */
#line 2641 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10920 "src/parser_bison.c"
    break;

  case 398: /* secmark_block: %empty  */
#line 2650 "src/parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10926 "src/parser_bison.c"
    break;

  case 401: /* secmark_block: secmark_block secmark_config  */
#line 2654 "src/parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10934 "src/parser_bison.c"
    break;

  case 402: /* secmark_block: secmark_block comment_spec  */
#line 2658 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10946 "src/parser_bison.c"
    break;

  case 403: /* synproxy_block: %empty  */
#line 2667 "src/parser_bison.y"
                                                { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 10952 "src/parser_bison.c"
    break;

  case 406: /* synproxy_block: synproxy_block synproxy_config  */
#line 2671 "src/parser_bison.y"
                        {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 10960 "src/parser_bison.c"
    break;

  case 407: /* synproxy_block: synproxy_block comment_spec  */
#line 2675 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 10972 "src/parser_bison.c"
    break;

  case 408: /* type_identifier: "string"  */
#line 2684 "src/parser_bison.y"
                                        { (yyval.string) = (yyvsp[0].string); }
#line 10978 "src/parser_bison.c"
    break;

  case 409: /* type_identifier: "mark"  */
#line 2685 "src/parser_bison.y"
                                        { (yyval.string) = xstrdup("mark"); }
#line 10984 "src/parser_bison.c"
    break;

  case 410: /* type_identifier: "dscp"  */
#line 2686 "src/parser_bison.y"
                                        { (yyval.string) = xstrdup("dscp"); }
#line 10990 "src/parser_bison.c"
    break;

  case 411: /* type_identifier: "ecn"  */
#line 2687 "src/parser_bison.y"
                                        { (yyval.string) = xstrdup("ecn"); }
#line 10996 "src/parser_bison.c"
    break;

  case 412: /* type_identifier: "classid"  */
#line 2688 "src/parser_bison.y"
                                        { (yyval.string) = xstrdup("classid"); }
#line 11002 "src/parser_bison.c"
    break;

  case 413: /* hook_spec: "type" close_scope_type "string" "hook" "string" dev_spec prio_spec  */
#line 2692 "src/parser_bison.y"
                        {
				const char *chain_type = chain_type_name_lookup((yyvsp[-4].string));

				if (chain_type == NULL) {
					erec_queue(error(&(yylsp[-4]), "unknown chain type"),
						   state->msgs);
					free_const((yyvsp[-4].string));
					free_const((yyvsp[-2].string));
					expr_free((yyvsp[-1].expr));
					expr_free((yyvsp[0].prio_spec).expr);
					YYERROR;
				}
				(yyvsp[-7].chain)->type.loc = (yylsp[-4]);
				(yyvsp[-7].chain)->type.str = xstrdup(chain_type);
				free_const((yyvsp[-4].string));

				(yyvsp[-7].chain)->loc = (yyloc);
				(yyvsp[-7].chain)->hook.loc = (yylsp[-2]);
				(yyvsp[-7].chain)->hook.name = chain_hookname_lookup((yyvsp[-2].string));
				if ((yyvsp[-7].chain)->hook.name == NULL) {
					erec_queue(error(&(yylsp[-2]), "unknown chain hook"),
						   state->msgs);
					free_const((yyvsp[-2].string));
					expr_free((yyvsp[-1].expr));
					expr_free((yyvsp[0].prio_spec).expr);
					YYERROR;
				}
				free_const((yyvsp[-2].string));

				(yyvsp[-7].chain)->dev_expr	= (yyvsp[-1].expr);
				(yyvsp[-7].chain)->priority	= (yyvsp[0].prio_spec);
				(yyvsp[-7].chain)->flags	|= CHAIN_F_BASECHAIN;
			}
#line 11040 "src/parser_bison.c"
    break;

  case 414: /* prio_spec: "priority" extended_prio_spec  */
#line 2728 "src/parser_bison.y"
                        {
				(yyval.prio_spec) = (yyvsp[0].prio_spec);
				(yyval.prio_spec).loc = (yyloc);
			}
#line 11049 "src/parser_bison.c"
    break;

  case 415: /* extended_prio_name: "out"  */
#line 2735 "src/parser_bison.y"
                        {
				(yyval.string) = strdup("out");
			}
#line 11057 "src/parser_bison.c"
    break;

  case 417: /* extended_prio_spec: int_num  */
#line 2742 "src/parser_bison.y"
                        {
				struct prio_spec spec = {0};

				spec.expr = constant_expr_alloc(&(yyloc), &integer_type,
								BYTEORDER_HOST_ENDIAN,
								sizeof(int) *
								BITS_PER_BYTE, &(yyvsp[0].val32));
				(yyval.prio_spec) = spec;
			}
#line 11071 "src/parser_bison.c"
    break;

  case 418: /* extended_prio_spec: variable_expr  */
#line 2752 "src/parser_bison.y"
                        {
				struct prio_spec spec = {0};

				spec.expr = (yyvsp[0].expr);
				(yyval.prio_spec) = spec;
			}
#line 11082 "src/parser_bison.c"
    break;

  case 419: /* extended_prio_spec: extended_prio_name  */
#line 2759 "src/parser_bison.y"
                        {
				struct prio_spec spec = {0};

				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen((yyvsp[0].string)) * BITS_PER_BYTE,
								(yyvsp[0].string));
				free_const((yyvsp[0].string));
				(yyval.prio_spec) = spec;
			}
#line 11097 "src/parser_bison.c"
    break;

  case 420: /* extended_prio_spec: extended_prio_name "+" "number"  */
#line 2770 "src/parser_bison.y"
                        {
				struct prio_spec spec = {0};

				char str[NFT_NAME_MAXLEN];
				snprintf(str, sizeof(str), "%s + %" PRIu64, (yyvsp[-2].string), (yyvsp[0].val));
				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen(str) * BITS_PER_BYTE,
								str);
				free_const((yyvsp[-2].string));
				(yyval.prio_spec) = spec;
			}
#line 11114 "src/parser_bison.c"
    break;

  case 421: /* extended_prio_spec: extended_prio_name "-" "number"  */
#line 2783 "src/parser_bison.y"
                        {
				struct prio_spec spec = {0};
				char str[NFT_NAME_MAXLEN];

				snprintf(str, sizeof(str), "%s - %" PRIu64, (yyvsp[-2].string), (yyvsp[0].val));
				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen(str) * BITS_PER_BYTE,
								str);
				free_const((yyvsp[-2].string));
				(yyval.prio_spec) = spec;
			}
#line 11131 "src/parser_bison.c"
    break;

  case 422: /* int_num: "number"  */
#line 2797 "src/parser_bison.y"
                                                        { (yyval.val32) = (yyvsp[0].val); }
#line 11137 "src/parser_bison.c"
    break;

  case 423: /* int_num: "-" "number"  */
#line 2798 "src/parser_bison.y"
                                                        { (yyval.val32) = -(yyvsp[0].val); }
#line 11143 "src/parser_bison.c"
    break;

  case 424: /* dev_spec: "device" string  */
#line 2802 "src/parser_bison.y"
                        {
				struct expr *expr = ifname_expr_alloc(&(yyloc), state->msgs, (yyvsp[0].string));

				if (!expr)
					YYERROR;

				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), expr);

			}
#line 11158 "src/parser_bison.c"
    break;

  case 425: /* dev_spec: "device" variable_expr  */
#line 2813 "src/parser_bison.y"
                        {
				datatype_set((yyvsp[0].expr)->sym->expr, &ifname_type);
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 11168 "src/parser_bison.c"
    break;

  case 426: /* dev_spec: "devices" '=' flowtable_expr  */
#line 2819 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 11176 "src/parser_bison.c"
    break;

  case 427: /* dev_spec: %empty  */
#line 2822 "src/parser_bison.y"
                                                        { (yyval.expr) = NULL; }
#line 11182 "src/parser_bison.c"
    break;

  case 428: /* flags_spec: "flags" "offload"  */
#line 2826 "src/parser_bison.y"
                        {
				(yyvsp[-2].chain)->flags |= CHAIN_F_HW_OFFLOAD;
			}
#line 11190 "src/parser_bison.c"
    break;

  case 429: /* policy_spec: "policy" policy_expr close_scope_policy  */
#line 2832 "src/parser_bison.y"
                        {
				if ((yyvsp[-3].chain)->policy) {
					erec_queue(error(&(yyloc), "you cannot set chain policy twice"),
						   state->msgs);
					expr_free((yyvsp[-1].expr));
					YYERROR;
				}
				(yyvsp[-3].chain)->policy		= (yyvsp[-1].expr);
				(yyvsp[-3].chain)->policy->location	= (yyloc);
			}
#line 11205 "src/parser_bison.c"
    break;

  case 430: /* policy_expr: variable_expr  */
#line 2845 "src/parser_bison.y"
                        {
				datatype_set((yyvsp[0].expr)->sym->expr, &policy_type);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 11214 "src/parser_bison.c"
    break;

  case 431: /* policy_expr: chain_policy  */
#line 2850 "src/parser_bison.y"
                        {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &integer_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(int) *
							 BITS_PER_BYTE, &(yyvsp[0].val32));
			}
#line 11225 "src/parser_bison.c"
    break;

  case 432: /* chain_policy: "accept"  */
#line 2858 "src/parser_bison.y"
                                                { (yyval.val32) = NF_ACCEPT; }
#line 11231 "src/parser_bison.c"
    break;

  case 433: /* chain_policy: "drop"  */
#line 2859 "src/parser_bison.y"
                                                { (yyval.val32) = NF_DROP;   }
#line 11237 "src/parser_bison.c"
    break;

  case 435: /* identifier: "last"  */
#line 2863 "src/parser_bison.y"
                                                { (yyval.string) = xstrdup("last"); }
#line 11243 "src/parser_bison.c"
    break;

  case 439: /* time_spec: "string"  */
#line 2872 "src/parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t res;

				erec = time_parse(&(yylsp[0]), (yyvsp[0].string), &res);
				free_const((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = res;
			}
#line 11260 "src/parser_bison.c"
    break;

  case 441: /* time_spec_or_num_s: time_spec  */
#line 2888 "src/parser_bison.y"
                                          { (yyval.val) = (yyvsp[0].val) / 1000u; }
#line 11266 "src/parser_bison.c"
    break;

  case 442: /* family_spec: %empty  */
#line 2891 "src/parser_bison.y"
                                                        { (yyval.val) = NFPROTO_IPV4; }
#line 11272 "src/parser_bison.c"
    break;

  case 444: /* family_spec_explicit: "ip" close_scope_ip  */
#line 2895 "src/parser_bison.y"
                                                        { (yyval.val) = NFPROTO_IPV4; }
#line 11278 "src/parser_bison.c"
    break;

  case 445: /* family_spec_explicit: "ip6" close_scope_ip6  */
#line 2896 "src/parser_bison.y"
                                                        { (yyval.val) = NFPROTO_IPV6; }
#line 11284 "src/parser_bison.c"
    break;

  case 446: /* family_spec_explicit: "inet"  */
#line 2897 "src/parser_bison.y"
                                                        { (yyval.val) = NFPROTO_INET; }
#line 11290 "src/parser_bison.c"
    break;

  case 447: /* family_spec_explicit: "arp" close_scope_arp  */
#line 2898 "src/parser_bison.y"
                                                        { (yyval.val) = NFPROTO_ARP; }
#line 11296 "src/parser_bison.c"
    break;

  case 448: /* family_spec_explicit: "bridge"  */
#line 2899 "src/parser_bison.y"
                                                        { (yyval.val) = NFPROTO_BRIDGE; }
#line 11302 "src/parser_bison.c"
    break;

  case 449: /* family_spec_explicit: "netdev"  */
#line 2900 "src/parser_bison.y"
                                                        { (yyval.val) = NFPROTO_NETDEV; }
#line 11308 "src/parser_bison.c"
    break;

  case 450: /* table_spec: family_spec identifier  */
#line 2904 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= (yyvsp[-1].val);
				(yyval.handle).table.location = (yylsp[0]);
				(yyval.handle).table.name	= (yyvsp[0].string);
			}
#line 11319 "src/parser_bison.c"
    break;

  case 451: /* tableid_spec: family_spec "handle" "number"  */
#line 2913 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family 		= (yyvsp[-2].val);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
				(yyval.handle).handle.location	= (yylsp[0]);
			}
#line 11330 "src/parser_bison.c"
    break;

  case 452: /* chain_spec: table_spec identifier  */
#line 2922 "src/parser_bison.y"
                        {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).chain.name	= (yyvsp[0].string);
				(yyval.handle).chain.location = (yylsp[0]);
			}
#line 11340 "src/parser_bison.c"
    break;

  case 453: /* chainid_spec: table_spec "handle" "number"  */
#line 2930 "src/parser_bison.y"
                        {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location 	= (yylsp[0]);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
			}
#line 11350 "src/parser_bison.c"
    break;

  case 454: /* chain_identifier: identifier  */
#line 2938 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).chain.name		= (yyvsp[0].string);
				(yyval.handle).chain.location	= (yylsp[0]);
			}
#line 11360 "src/parser_bison.c"
    break;

  case 455: /* set_spec: table_spec identifier  */
#line 2946 "src/parser_bison.y"
                        {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).set.name	= (yyvsp[0].string);
				(yyval.handle).set.location	= (yylsp[0]);
			}
#line 11370 "src/parser_bison.c"
    break;

  case 456: /* setid_spec: table_spec "handle" "number"  */
#line 2954 "src/parser_bison.y"
                        {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location 	= (yylsp[0]);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
			}
#line 11380 "src/parser_bison.c"
    break;

  case 457: /* set_identifier: identifier  */
#line 2962 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).set.name	= (yyvsp[0].string);
				(yyval.handle).set.location	= (yylsp[0]);
			}
#line 11390 "src/parser_bison.c"
    break;

  case 458: /* flowtable_spec: table_spec identifier  */
#line 2970 "src/parser_bison.y"
                        {
				(yyval.handle)			= (yyvsp[-1].handle);
				(yyval.handle).flowtable.name	= (yyvsp[0].string);
				(yyval.handle).flowtable.location	= (yylsp[0]);
			}
#line 11400 "src/parser_bison.c"
    break;

  case 459: /* flowtableid_spec: table_spec "handle" "number"  */
#line 2978 "src/parser_bison.y"
                        {
				(yyval.handle)			= (yyvsp[-2].handle);
				(yyval.handle).handle.location	= (yylsp[0]);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 11410 "src/parser_bison.c"
    break;

  case 460: /* flowtable_identifier: identifier  */
#line 2986 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).flowtable.name	= (yyvsp[0].string);
				(yyval.handle).flowtable.location	= (yylsp[0]);
			}
#line 11420 "src/parser_bison.c"
    break;

  case 461: /* obj_spec: table_spec identifier  */
#line 2994 "src/parser_bison.y"
                        {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).obj.name	= (yyvsp[0].string);
				(yyval.handle).obj.location	= (yylsp[0]);
			}
#line 11430 "src/parser_bison.c"
    break;

  case 462: /* objid_spec: table_spec "handle" "number"  */
#line 3002 "src/parser_bison.y"
                        {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location	= (yylsp[0]);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 11440 "src/parser_bison.c"
    break;

  case 463: /* obj_identifier: identifier  */
#line 3010 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).obj.name		= (yyvsp[0].string);
				(yyval.handle).obj.location		= (yylsp[0]);
			}
#line 11450 "src/parser_bison.c"
    break;

  case 464: /* handle_spec: "handle" "number"  */
#line 3018 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).handle.location	= (yylsp[0]);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 11460 "src/parser_bison.c"
    break;

  case 465: /* position_spec: "position" "number"  */
#line 3026 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).position.location	= (yyloc);
				(yyval.handle).position.id		= (yyvsp[0].val);
			}
#line 11470 "src/parser_bison.c"
    break;

  case 466: /* index_spec: "index" "number"  */
#line 3034 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).index.location	= (yyloc);
				(yyval.handle).index.id		= (yyvsp[0].val) + 1;
			}
#line 11480 "src/parser_bison.c"
    break;

  case 467: /* rule_position: chain_spec  */
#line 3042 "src/parser_bison.y"
                        {
				(yyval.handle) = (yyvsp[0].handle);
			}
#line 11488 "src/parser_bison.c"
    break;

  case 468: /* rule_position: chain_spec position_spec  */
#line 3046 "src/parser_bison.y"
                        {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 11497 "src/parser_bison.c"
    break;

  case 469: /* rule_position: chain_spec handle_spec  */
#line 3051 "src/parser_bison.y"
                        {
				(yyvsp[0].handle).position.location = (yyvsp[0].handle).handle.location;
				(yyvsp[0].handle).position.id = (yyvsp[0].handle).handle.id;
				(yyvsp[0].handle).handle.id = 0;
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 11509 "src/parser_bison.c"
    break;

  case 470: /* rule_position: chain_spec index_spec  */
#line 3059 "src/parser_bison.y"
                        {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 11518 "src/parser_bison.c"
    break;

  case 471: /* ruleid_spec: chain_spec handle_spec  */
#line 3066 "src/parser_bison.y"
                        {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 11527 "src/parser_bison.c"
    break;

  case 472: /* comment_spec: "comment" string  */
#line 3073 "src/parser_bison.y"
                        {
				if (strlen((yyvsp[0].string)) > NFTNL_UDATA_COMMENT_MAXLEN) {
					erec_queue(error(&(yylsp[0]), "comment too long, %d characters maximum allowed",
							 NFTNL_UDATA_COMMENT_MAXLEN),
						   state->msgs);
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyval.string) = (yyvsp[0].string);
			}
#line 11542 "src/parser_bison.c"
    break;

  case 473: /* ruleset_spec: %empty  */
#line 3086 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= NFPROTO_UNSPEC;
			}
#line 11551 "src/parser_bison.c"
    break;

  case 474: /* ruleset_spec: family_spec_explicit  */
#line 3091 "src/parser_bison.y"
                        {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= (yyvsp[0].val);
			}
#line 11560 "src/parser_bison.c"
    break;

  case 475: /* rule: rule_alloc  */
#line 3098 "src/parser_bison.y"
                        {
				(yyval.rule)->comment = NULL;
			}
#line 11568 "src/parser_bison.c"
    break;

  case 476: /* rule: rule_alloc comment_spec  */
#line 3102 "src/parser_bison.y"
                        {
				(yyval.rule)->comment = (yyvsp[0].string);
			}
#line 11576 "src/parser_bison.c"
    break;

  case 477: /* rule_alloc: stmt_list  */
#line 3108 "src/parser_bison.y"
                        {
				struct stmt *i;

				(yyval.rule) = rule_alloc(&(yyloc), NULL);
				list_for_each_entry(i, (yyvsp[0].list), list)
					(yyval.rule)->num_stmts++;
				list_splice_tail((yyvsp[0].list), &(yyval.rule)->stmts);
				free((yyvsp[0].list));
			}
#line 11590 "src/parser_bison.c"
    break;

  case 478: /* stmt_list: stmt  */
#line 3120 "src/parser_bison.y"
                        {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 11600 "src/parser_bison.c"
    break;

  case 479: /* stmt_list: stmt_list stmt  */
#line 3126 "src/parser_bison.y"
                        {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 11609 "src/parser_bison.c"
    break;

  case 480: /* stateful_stmt_list: stateful_stmt  */
#line 3133 "src/parser_bison.y"
                        {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 11619 "src/parser_bison.c"
    break;

  case 481: /* stateful_stmt_list: stateful_stmt_list stateful_stmt  */
#line 3139 "src/parser_bison.y"
                        {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 11628 "src/parser_bison.c"
    break;

  case 482: /* objref_stmt_counter: "counter" "name" stmt_expr close_scope_counter  */
#line 3146 "src/parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_COUNTER;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 11638 "src/parser_bison.c"
    break;

  case 483: /* objref_stmt_limit: "limit" "name" stmt_expr close_scope_limit  */
#line 3154 "src/parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_LIMIT;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 11648 "src/parser_bison.c"
    break;

  case 484: /* objref_stmt_quota: "quota" "name" stmt_expr close_scope_quota  */
#line 3162 "src/parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_QUOTA;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 11658 "src/parser_bison.c"
    break;

  case 485: /* objref_stmt_synproxy: "synproxy" "name" stmt_expr close_scope_synproxy  */
#line 3170 "src/parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_SYNPROXY;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 11668 "src/parser_bison.c"
    break;

  case 486: /* objref_stmt_ct: "ct" "timeout" "set" stmt_expr close_scope_ct  */
#line 3178 "src/parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_CT_TIMEOUT;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);

			}
#line 11679 "src/parser_bison.c"
    break;

  case 487: /* objref_stmt_ct: "ct" "expectation" "set" stmt_expr close_scope_ct  */
#line 3185 "src/parser_bison.y"
                        {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_CT_EXPECT;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 11689 "src/parser_bison.c"
    break;

  case 521: /* xt_stmt: "xt" "string" string  */
#line 3232 "src/parser_bison.y"
                        {
				(yyval.stmt) = NULL;
				free_const((yyvsp[-1].string));
				free_const((yyvsp[0].string));
				erec_queue(error(&(yyloc), "unsupported xtables compat expression, use iptables-nft with this ruleset"),
					   state->msgs);
				YYERROR;
			}
#line 11702 "src/parser_bison.c"
    break;

  case 522: /* chain_stmt_type: "jump"  */
#line 3242 "src/parser_bison.y"
                                        { (yyval.val) = NFT_JUMP; }
#line 11708 "src/parser_bison.c"
    break;

  case 523: /* chain_stmt_type: "goto"  */
#line 3243 "src/parser_bison.y"
                                        { (yyval.val) = NFT_GOTO; }
#line 11714 "src/parser_bison.c"
    break;

  case 524: /* chain_stmt: chain_stmt_type chain_block_alloc '{' subchain_block '}'  */
#line 3247 "src/parser_bison.y"
                        {
				(yyvsp[-3].chain)->location = (yylsp[-3]);
				close_scope(state);
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				(yyval.stmt) = chain_stmt_alloc(&(yyloc), (yyvsp[-1].chain), (yyvsp[-4].val));
			}
#line 11725 "src/parser_bison.c"
    break;

  case 525: /* verdict_stmt: verdict_expr  */
#line 3256 "src/parser_bison.y"
                        {
				(yyval.stmt) = verdict_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 11733 "src/parser_bison.c"
    break;

  case 526: /* verdict_stmt: verdict_map_stmt  */
#line 3260 "src/parser_bison.y"
                        {
				(yyval.stmt) = verdict_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 11741 "src/parser_bison.c"
    break;

  case 527: /* verdict_map_stmt: concat_expr "vmap" verdict_map_expr  */
#line 3266 "src/parser_bison.y"
                        {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11749 "src/parser_bison.c"
    break;

  case 528: /* verdict_map_expr: '{' verdict_map_list_expr '}'  */
#line 3272 "src/parser_bison.y"
                        {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 11758 "src/parser_bison.c"
    break;

  case 530: /* verdict_map_list_expr: verdict_map_list_member_expr  */
#line 3280 "src/parser_bison.y"
                        {
				(yyval.expr) = set_expr_alloc(&(yyloc), NULL);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 11767 "src/parser_bison.c"
    break;

  case 531: /* verdict_map_list_expr: verdict_map_list_expr "comma" verdict_map_list_member_expr  */
#line 3285 "src/parser_bison.y"
                        {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 11776 "src/parser_bison.c"
    break;

  case 533: /* verdict_map_list_member_expr: opt_newline set_elem_expr "colon" verdict_expr opt_newline  */
#line 3293 "src/parser_bison.y"
                        {
				(yyval.expr) = mapping_expr_alloc(&(yylsp[-3]), (yyvsp[-3].expr), (yyvsp[-1].expr));
			}
#line 11784 "src/parser_bison.c"
    break;

  case 534: /* connlimit_stmt: "ct" "count" "number" close_scope_ct  */
#line 3299 "src/parser_bison.y"
                        {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count	= (yyvsp[-1].val);
			}
#line 11793 "src/parser_bison.c"
    break;

  case 535: /* connlimit_stmt: "ct" "count" "over" "number" close_scope_ct  */
#line 3304 "src/parser_bison.y"
                        {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count = (yyvsp[-1].val);
				(yyval.stmt)->connlimit.flags = NFT_CONNLIMIT_F_INV;
			}
#line 11803 "src/parser_bison.c"
    break;

  case 538: /* counter_stmt_alloc: "counter"  */
#line 3315 "src/parser_bison.y"
                        {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
			}
#line 11811 "src/parser_bison.c"
    break;

  case 539: /* counter_args: counter_arg  */
#line 3321 "src/parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 11819 "src/parser_bison.c"
    break;

  case 541: /* counter_arg: "packets" "number"  */
#line 3328 "src/parser_bison.y"
                        {
				assert((yyvsp[-2].stmt)->ops->type == STMT_COUNTER);
				(yyvsp[-2].stmt)->counter.packets = (yyvsp[0].val);
			}
#line 11828 "src/parser_bison.c"
    break;

  case 542: /* counter_arg: "bytes" "number"  */
#line 3333 "src/parser_bison.y"
                        {
				assert((yyvsp[-2].stmt)->ops->type == STMT_COUNTER);
				(yyvsp[-2].stmt)->counter.bytes	 = (yyvsp[0].val);
			}
#line 11837 "src/parser_bison.c"
    break;

  case 543: /* last_stmt: "last"  */
#line 3340 "src/parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
			}
#line 11845 "src/parser_bison.c"
    break;

  case 544: /* last_stmt: "last" "used" "never"  */
#line 3344 "src/parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
			}
#line 11853 "src/parser_bison.c"
    break;

  case 545: /* last_stmt: "last" "used" time_spec  */
#line 3348 "src/parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
				(yyval.stmt)->last.used = (yyvsp[0].val);
				(yyval.stmt)->last.set = true;
			}
#line 11863 "src/parser_bison.c"
    break;

  case 548: /* log_stmt_alloc: "log"  */
#line 3360 "src/parser_bison.y"
                        {
				(yyval.stmt) = log_stmt_alloc(&(yyloc));
			}
#line 11871 "src/parser_bison.c"
    break;

  case 549: /* log_args: log_arg  */
#line 3366 "src/parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 11879 "src/parser_bison.c"
    break;

  case 551: /* log_arg: "prefix" string  */
#line 3373 "src/parser_bison.y"
                        {
				struct scope *scope = current_scope(state);
				bool done = false, another_var = false;
				char *start, *end, scratch = '\0';
				struct expr *expr, *item;
				struct symbol *sym;
				enum {
					PARSE_TEXT,
					PARSE_VAR,
				} prefix_state;

				/* No variables in log prefix, skip. */
				if (!strchr((yyvsp[0].string), '$')) {
					expr = constant_expr_alloc(&(yyloc), &string_type,
								   BYTEORDER_HOST_ENDIAN,
								   (strlen((yyvsp[0].string)) + 1) * BITS_PER_BYTE, (yyvsp[0].string));
					free_const((yyvsp[0].string));
					(yyvsp[-2].stmt)->log.prefix = expr;
					(yyvsp[-2].stmt)->log.flags |= STMT_LOG_PREFIX;
					break;
				}

				/* Parse variables in log prefix string using a
				 * state machine parser with two states. This
				 * parser creates list of expressions composed
				 * of constant and variable expressions.
				 */
				expr = compound_expr_alloc(&(yyloc), EXPR_LIST);

				start = (char *)(yyvsp[0].string);

				if (*start != '$') {
					prefix_state = PARSE_TEXT;
				} else {
					prefix_state = PARSE_VAR;
					start++;
				}
				end = start;

				/* Not nice, but works. */
				while (!done) {
					switch (prefix_state) {
					case PARSE_TEXT:
						while (*end != '\0' && *end != '$')
							end++;

						if (*end == '\0')
							done = true;

						*end = '\0';
						item = constant_expr_alloc(&(yyloc), &string_type,
									   BYTEORDER_HOST_ENDIAN,
									   (strlen(start) + 1) * BITS_PER_BYTE,
									   start);
						compound_expr_add(expr, item);

						if (done)
							break;

						start = end + 1;
						end = start;

						/* fall through */
					case PARSE_VAR:
						while (isalnum(*end) || *end == '_')
							end++;

						if (*end == '\0')
							done = true;
						else if (*end == '$')
							another_var = true;
						else
							scratch = *end;

						*end = '\0';

						sym = symbol_get(scope, start);
						if (!sym) {
							sym = symbol_lookup_fuzzy(scope, start);
							if (sym) {
								erec_queue(error(&(yylsp[0]), "unknown identifier '%s'; "
										 "did you mean identifier ‘%s’?",
										 start, sym->identifier),
									   state->msgs);
							} else {
								erec_queue(error(&(yylsp[0]), "unknown identifier '%s'",
										 start),
									   state->msgs);
							}
							expr_free(expr);
							free_const((yyvsp[0].string));
							YYERROR;
						}
						item = variable_expr_alloc(&(yyloc), scope, sym);
						compound_expr_add(expr, item);

						if (done)
							break;

						/* Restore original byte after
						 * symbol lookup.
						 */
						if (scratch) {
							*end = scratch;
							scratch = '\0';
						}

						start = end;
						if (another_var) {
							another_var = false;
							start++;
							prefix_state = PARSE_VAR;
						} else {
							prefix_state = PARSE_TEXT;
						}
						end = start;
						break;
					}
				}

				free_const((yyvsp[0].string));
				(yyvsp[-2].stmt)->log.prefix	 = expr;
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_PREFIX;
			}
#line 12008 "src/parser_bison.c"
    break;

  case 552: /* log_arg: "group" "number"  */
#line 3498 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.group	 = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_GROUP;
			}
#line 12017 "src/parser_bison.c"
    break;

  case 553: /* log_arg: "snaplen" "number"  */
#line 3503 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.snaplen	 = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_SNAPLEN;
			}
#line 12026 "src/parser_bison.c"
    break;

  case 554: /* log_arg: "queue-threshold" "number"  */
#line 3508 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.qthreshold = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_QTHRESHOLD;
			}
#line 12035 "src/parser_bison.c"
    break;

  case 555: /* log_arg: "level" level_type  */
#line 3513 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.level	= (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_LEVEL;
			}
#line 12044 "src/parser_bison.c"
    break;

  case 556: /* log_arg: "flags" log_flags  */
#line 3518 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->log.logflags	|= (yyvsp[0].val);
			}
#line 12052 "src/parser_bison.c"
    break;

  case 557: /* level_type: string  */
#line 3524 "src/parser_bison.y"
                        {
				if (!strcmp("emerg", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_EMERG;
				else if (!strcmp("alert", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_ALERT;
				else if (!strcmp("crit", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_CRIT;
				else if (!strcmp("err", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_ERR;
				else if (!strcmp("warn", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_WARNING;
				else if (!strcmp("notice", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_NOTICE;
				else if (!strcmp("info", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_INFO;
				else if (!strcmp("debug", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_DEBUG;
				else if (!strcmp("audit", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_AUDIT;
				else {
					erec_queue(error(&(yylsp[0]), "invalid log level"),
						   state->msgs);
					free_const((yyvsp[0].string));
					YYERROR;
				}
				free_const((yyvsp[0].string));
			}
#line 12084 "src/parser_bison.c"
    break;

  case 558: /* log_flags: "tcp" log_flags_tcp close_scope_tcp  */
#line 3554 "src/parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-1].val);
			}
#line 12092 "src/parser_bison.c"
    break;

  case 559: /* log_flags: "ip" "options" close_scope_ip  */
#line 3558 "src/parser_bison.y"
                        {
				(yyval.val) = NF_LOG_IPOPT;
			}
#line 12100 "src/parser_bison.c"
    break;

  case 560: /* log_flags: "skuid"  */
#line 3562 "src/parser_bison.y"
                        {
				(yyval.val) = NF_LOG_UID;
			}
#line 12108 "src/parser_bison.c"
    break;

  case 561: /* log_flags: "ether" close_scope_eth  */
#line 3566 "src/parser_bison.y"
                        {
				(yyval.val) = NF_LOG_MACDECODE;
			}
#line 12116 "src/parser_bison.c"
    break;

  case 562: /* log_flags: "all"  */
#line 3570 "src/parser_bison.y"
                        {
				(yyval.val) = NF_LOG_MASK;
			}
#line 12124 "src/parser_bison.c"
    break;

  case 563: /* log_flags_tcp: log_flags_tcp "comma" log_flag_tcp  */
#line 3576 "src/parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 12132 "src/parser_bison.c"
    break;

  case 565: /* log_flag_tcp: "seq"  */
#line 3583 "src/parser_bison.y"
                        {
				(yyval.val) = NF_LOG_TCPSEQ;
			}
#line 12140 "src/parser_bison.c"
    break;

  case 566: /* log_flag_tcp: "options"  */
#line 3587 "src/parser_bison.y"
                        {
				(yyval.val) = NF_LOG_TCPOPT;
			}
#line 12148 "src/parser_bison.c"
    break;

  case 567: /* limit_stmt: "limit" "rate" limit_mode limit_rate_pkts limit_burst_pkts close_scope_limit  */
#line 3593 "src/parser_bison.y"
                        {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[-1]), "packet limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate	= (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit	= (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst	= (yyvsp[-1].val);
				(yyval.stmt)->limit.type	= NFT_LIMIT_PKTS;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 12166 "src/parser_bison.c"
    break;

  case 568: /* limit_stmt: "limit" "rate" limit_mode limit_rate_bytes limit_burst_bytes close_scope_limit  */
#line 3607 "src/parser_bison.y"
                        {
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate	= (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit	= (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst	= (yyvsp[-1].val);
				(yyval.stmt)->limit.type	= NFT_LIMIT_PKT_BYTES;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 12179 "src/parser_bison.c"
    break;

  case 569: /* quota_mode: "over"  */
#line 3617 "src/parser_bison.y"
                                                { (yyval.val) = NFT_QUOTA_F_INV; }
#line 12185 "src/parser_bison.c"
    break;

  case 570: /* quota_mode: "until"  */
#line 3618 "src/parser_bison.y"
                                                { (yyval.val) = 0; }
#line 12191 "src/parser_bison.c"
    break;

  case 571: /* quota_mode: %empty  */
#line 3619 "src/parser_bison.y"
                                                { (yyval.val) = 0; }
#line 12197 "src/parser_bison.c"
    break;

  case 572: /* quota_unit: "bytes"  */
#line 3622 "src/parser_bison.y"
                                                { (yyval.string) = xstrdup("bytes"); }
#line 12203 "src/parser_bison.c"
    break;

  case 573: /* quota_unit: "string"  */
#line 3623 "src/parser_bison.y"
                                                { (yyval.string) = (yyvsp[0].string); }
#line 12209 "src/parser_bison.c"
    break;

  case 574: /* quota_used: %empty  */
#line 3626 "src/parser_bison.y"
                                                { (yyval.val) = 0; }
#line 12215 "src/parser_bison.c"
    break;

  case 575: /* quota_used: "used" "number" quota_unit  */
#line 3628 "src/parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[0].string), &rate);
				free_const((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[-1].val) * rate;
			}
#line 12232 "src/parser_bison.c"
    break;

  case 576: /* quota_stmt: "quota" quota_mode "number" quota_unit quota_used close_scope_quota  */
#line 3643 "src/parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-2].string), &rate);
				free_const((yyvsp[-2].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.stmt) = quota_stmt_alloc(&(yyloc));
				(yyval.stmt)->quota.bytes	= (yyvsp[-3].val) * rate;
				(yyval.stmt)->quota.used = (yyvsp[-1].val);
				(yyval.stmt)->quota.flags	= (yyvsp[-4].val);
			}
#line 12252 "src/parser_bison.c"
    break;

  case 577: /* limit_mode: "over"  */
#line 3660 "src/parser_bison.y"
                                                                { (yyval.val) = NFT_LIMIT_F_INV; }
#line 12258 "src/parser_bison.c"
    break;

  case 578: /* limit_mode: "until"  */
#line 3661 "src/parser_bison.y"
                                                                { (yyval.val) = 0; }
#line 12264 "src/parser_bison.c"
    break;

  case 579: /* limit_mode: %empty  */
#line 3662 "src/parser_bison.y"
                                                                { (yyval.val) = 0; }
#line 12270 "src/parser_bison.c"
    break;

  case 580: /* limit_burst_pkts: %empty  */
#line 3665 "src/parser_bison.y"
                                                                { (yyval.val) = 5; }
#line 12276 "src/parser_bison.c"
    break;

  case 581: /* limit_burst_pkts: "burst" "number" "packets"  */
#line 3666 "src/parser_bison.y"
                                                                { (yyval.val) = (yyvsp[-1].val); }
#line 12282 "src/parser_bison.c"
    break;

  case 582: /* limit_rate_pkts: "number" "/" time_unit  */
#line 3670 "src/parser_bison.y"
                        {
				(yyval.limit_rate).rate = (yyvsp[-2].val);
				(yyval.limit_rate).unit = (yyvsp[0].val);
			}
#line 12291 "src/parser_bison.c"
    break;

  case 583: /* limit_burst_bytes: %empty  */
#line 3676 "src/parser_bison.y"
                                                                { (yyval.val) = 0; }
#line 12297 "src/parser_bison.c"
    break;

  case 584: /* limit_burst_bytes: "burst" limit_bytes  */
#line 3677 "src/parser_bison.y"
                                                                { (yyval.val) = (yyvsp[0].val); }
#line 12303 "src/parser_bison.c"
    break;

  case 585: /* limit_rate_bytes: "number" "string"  */
#line 3681 "src/parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate, unit;

				erec = rate_parse(&(yyloc), (yyvsp[0].string), &rate, &unit);
				free_const((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.limit_rate).rate = rate * (yyvsp[-1].val);
				(yyval.limit_rate).unit = unit;
			}
#line 12321 "src/parser_bison.c"
    break;

  case 586: /* limit_rate_bytes: limit_bytes "/" time_unit  */
#line 3695 "src/parser_bison.y"
                        {
				(yyval.limit_rate).rate = (yyvsp[-2].val);
				(yyval.limit_rate).unit = (yyvsp[0].val);
			}
#line 12330 "src/parser_bison.c"
    break;

  case 587: /* limit_bytes: "number" "bytes"  */
#line 3701 "src/parser_bison.y"
                                                        { (yyval.val) = (yyvsp[-1].val); }
#line 12336 "src/parser_bison.c"
    break;

  case 588: /* limit_bytes: "number" "string"  */
#line 3703 "src/parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[0].string), &rate);
				free_const((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[-1].val) * rate;
			}
#line 12353 "src/parser_bison.c"
    break;

  case 589: /* time_unit: "second"  */
#line 3717 "src/parser_bison.y"
                                                { (yyval.val) = 1ULL; }
#line 12359 "src/parser_bison.c"
    break;

  case 590: /* time_unit: "minute"  */
#line 3718 "src/parser_bison.y"
                                                { (yyval.val) = 1ULL * 60; }
#line 12365 "src/parser_bison.c"
    break;

  case 591: /* time_unit: "hour"  */
#line 3719 "src/parser_bison.y"
                                                { (yyval.val) = 1ULL * 60 * 60; }
#line 12371 "src/parser_bison.c"
    break;

  case 592: /* time_unit: "day"  */
#line 3720 "src/parser_bison.y"
                                                { (yyval.val) = 1ULL * 60 * 60 * 24; }
#line 12377 "src/parser_bison.c"
    break;

  case 593: /* time_unit: "week"  */
#line 3721 "src/parser_bison.y"
                                                { (yyval.val) = 1ULL * 60 * 60 * 24 * 7; }
#line 12383 "src/parser_bison.c"
    break;

  case 595: /* reject_stmt_alloc: "reject"  */
#line 3728 "src/parser_bison.y"
                        {
				(yyval.stmt) = reject_stmt_alloc(&(yyloc));
			}
#line 12391 "src/parser_bison.c"
    break;

  case 596: /* reject_with_expr: "string"  */
#line 3734 "src/parser_bison.y"
                        {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state), (yyvsp[0].string));
				free_const((yyvsp[0].string));
			}
#line 12401 "src/parser_bison.c"
    break;

  case 597: /* reject_with_expr: integer_expr  */
#line 3739 "src/parser_bison.y"
                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12407 "src/parser_bison.c"
    break;

  case 598: /* reject_opts: %empty  */
#line 3743 "src/parser_bison.y"
                        {
				(yyvsp[0].stmt)->reject.type = -1;
				(yyvsp[0].stmt)->reject.icmp_code = -1;
			}
#line 12416 "src/parser_bison.c"
    break;

  case 599: /* reject_opts: "with" "icmp" "type" reject_with_expr close_scope_type close_scope_icmp  */
#line 3748 "src/parser_bison.y"
                        {
				(yyvsp[-6].stmt)->reject.family = NFPROTO_IPV4;
				(yyvsp[-6].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-6].stmt)->reject.expr = (yyvsp[-2].expr);
				datatype_set((yyvsp[-6].stmt)->reject.expr, &reject_icmp_code_type);
			}
#line 12427 "src/parser_bison.c"
    break;

  case 600: /* reject_opts: "with" "icmp" reject_with_expr  */
#line 3755 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->reject.family = NFPROTO_IPV4;
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-3].stmt)->reject.expr = (yyvsp[0].expr);
				datatype_set((yyvsp[-3].stmt)->reject.expr, &reject_icmp_code_type);
			}
#line 12438 "src/parser_bison.c"
    break;

  case 601: /* reject_opts: "with" "icmpv6" "type" reject_with_expr close_scope_type close_scope_icmp  */
#line 3762 "src/parser_bison.y"
                        {
				(yyvsp[-6].stmt)->reject.family = NFPROTO_IPV6;
				(yyvsp[-6].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-6].stmt)->reject.expr = (yyvsp[-2].expr);
				datatype_set((yyvsp[-6].stmt)->reject.expr, &reject_icmpv6_code_type);
			}
#line 12449 "src/parser_bison.c"
    break;

  case 602: /* reject_opts: "with" "icmpv6" reject_with_expr  */
#line 3769 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->reject.family = NFPROTO_IPV6;
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-3].stmt)->reject.expr = (yyvsp[0].expr);
				datatype_set((yyvsp[-3].stmt)->reject.expr, &reject_icmpv6_code_type);
			}
#line 12460 "src/parser_bison.c"
    break;

  case 603: /* reject_opts: "with" "icmpx" "type" reject_with_expr close_scope_type  */
#line 3776 "src/parser_bison.y"
                        {
				(yyvsp[-5].stmt)->reject.type = NFT_REJECT_ICMPX_UNREACH;
				(yyvsp[-5].stmt)->reject.expr = (yyvsp[-1].expr);
				datatype_set((yyvsp[-5].stmt)->reject.expr, &reject_icmpx_code_type);
			}
#line 12470 "src/parser_bison.c"
    break;

  case 604: /* reject_opts: "with" "icmpx" reject_with_expr  */
#line 3782 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_ICMPX_UNREACH;
				(yyvsp[-3].stmt)->reject.expr = (yyvsp[0].expr);
				datatype_set((yyvsp[-3].stmt)->reject.expr, &reject_icmpx_code_type);
			}
#line 12480 "src/parser_bison.c"
    break;

  case 605: /* reject_opts: "with" "tcp" close_scope_tcp "reset" close_scope_reset  */
#line 3788 "src/parser_bison.y"
                        {
				(yyvsp[-5].stmt)->reject.type = NFT_REJECT_TCP_RST;
			}
#line 12488 "src/parser_bison.c"
    break;

  case 607: /* nat_stmt_alloc: "snat"  */
#line 3796 "src/parser_bison.y"
                                        { (yyval.stmt) = nat_stmt_alloc(&(yyloc), __NFT_NAT_SNAT); }
#line 12494 "src/parser_bison.c"
    break;

  case 608: /* nat_stmt_alloc: "dnat"  */
#line 3797 "src/parser_bison.y"
                                        { (yyval.stmt) = nat_stmt_alloc(&(yyloc), __NFT_NAT_DNAT); }
#line 12500 "src/parser_bison.c"
    break;

  case 609: /* tproxy_stmt: "tproxy" "to" stmt_expr  */
#line 3801 "src/parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.addr = (yyvsp[0].expr);
			}
#line 12510 "src/parser_bison.c"
    break;

  case 610: /* tproxy_stmt: "tproxy" nf_key_proto "to" stmt_expr  */
#line 3807 "src/parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-2].val);
				(yyval.stmt)->tproxy.addr = (yyvsp[0].expr);
			}
#line 12520 "src/parser_bison.c"
    break;

  case 611: /* tproxy_stmt: "tproxy" "to" "colon" stmt_expr  */
#line 3813 "src/parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 12530 "src/parser_bison.c"
    break;

  case 612: /* tproxy_stmt: "tproxy" "to" stmt_expr "colon" stmt_expr  */
#line 3819 "src/parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.addr = (yyvsp[-2].expr);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 12541 "src/parser_bison.c"
    break;

  case 613: /* tproxy_stmt: "tproxy" nf_key_proto "to" stmt_expr "colon" stmt_expr  */
#line 3826 "src/parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-4].val);
				(yyval.stmt)->tproxy.addr = (yyvsp[-2].expr);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 12552 "src/parser_bison.c"
    break;

  case 614: /* tproxy_stmt: "tproxy" nf_key_proto "to" "colon" stmt_expr  */
#line 3833 "src/parser_bison.y"
                        {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-3].val);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 12562 "src/parser_bison.c"
    break;

  case 617: /* synproxy_stmt_alloc: "synproxy"  */
#line 3845 "src/parser_bison.y"
                        {
				(yyval.stmt) = synproxy_stmt_alloc(&(yyloc));
			}
#line 12570 "src/parser_bison.c"
    break;

  case 618: /* synproxy_args: synproxy_arg  */
#line 3851 "src/parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 12578 "src/parser_bison.c"
    break;

  case 620: /* synproxy_arg: "mss" "number"  */
#line 3858 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->synproxy.mss = (yyvsp[0].val);
				(yyvsp[-2].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_MSS;
			}
#line 12587 "src/parser_bison.c"
    break;

  case 621: /* synproxy_arg: "wscale" "number"  */
#line 3863 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->synproxy.wscale = (yyvsp[0].val);
				(yyvsp[-2].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_WSCALE;
			}
#line 12596 "src/parser_bison.c"
    break;

  case 622: /* synproxy_arg: "timestamp"  */
#line 3868 "src/parser_bison.y"
                        {
				(yyvsp[-1].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_TIMESTAMP;
			}
#line 12604 "src/parser_bison.c"
    break;

  case 623: /* synproxy_arg: "sack-permitted"  */
#line 3872 "src/parser_bison.y"
                        {
				(yyvsp[-1].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_SACK_PERM;
			}
#line 12612 "src/parser_bison.c"
    break;

  case 624: /* synproxy_config: "mss" "number" "wscale" "number" synproxy_ts synproxy_sack  */
#line 3878 "src/parser_bison.y"
                        {
				struct synproxy *synproxy;
				uint32_t flags = 0;

				synproxy = &(yyvsp[-6].obj)->synproxy;
				synproxy->mss = (yyvsp[-4].val);
				flags |= NF_SYNPROXY_OPT_MSS;
				synproxy->wscale = (yyvsp[-2].val);
				flags |= NF_SYNPROXY_OPT_WSCALE;
				if ((yyvsp[-1].val))
					flags |= (yyvsp[-1].val);
				if ((yyvsp[0].val))
					flags |= (yyvsp[0].val);
				synproxy->flags = flags;
			}
#line 12632 "src/parser_bison.c"
    break;

  case 625: /* synproxy_config: "mss" "number" stmt_separator "wscale" "number" stmt_separator synproxy_ts synproxy_sack  */
#line 3894 "src/parser_bison.y"
                        {
				struct synproxy *synproxy;
				uint32_t flags = 0;

				synproxy = &(yyvsp[-8].obj)->synproxy;
				synproxy->mss = (yyvsp[-6].val);
				flags |= NF_SYNPROXY_OPT_MSS;
				synproxy->wscale = (yyvsp[-3].val);
				flags |= NF_SYNPROXY_OPT_WSCALE;
				if ((yyvsp[-1].val))
					flags |= (yyvsp[-1].val);
				if ((yyvsp[0].val))
					flags |= (yyvsp[0].val);
				synproxy->flags = flags;
			}
#line 12652 "src/parser_bison.c"
    break;

  case 626: /* synproxy_obj: %empty  */
#line 3912 "src/parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_SYNPROXY;
			}
#line 12661 "src/parser_bison.c"
    break;

  case 627: /* synproxy_ts: %empty  */
#line 3918 "src/parser_bison.y"
                                                { (yyval.val) = 0; }
#line 12667 "src/parser_bison.c"
    break;

  case 628: /* synproxy_ts: "timestamp"  */
#line 3920 "src/parser_bison.y"
                        {
				(yyval.val) = NF_SYNPROXY_OPT_TIMESTAMP;
			}
#line 12675 "src/parser_bison.c"
    break;

  case 629: /* synproxy_sack: %empty  */
#line 3925 "src/parser_bison.y"
                                                { (yyval.val) = 0; }
#line 12681 "src/parser_bison.c"
    break;

  case 630: /* synproxy_sack: "sack-permitted"  */
#line 3927 "src/parser_bison.y"
                        {
				(yyval.val) = NF_SYNPROXY_OPT_SACK_PERM;
			}
#line 12689 "src/parser_bison.c"
    break;

  case 631: /* primary_stmt_expr: symbol_expr  */
#line 3932 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12695 "src/parser_bison.c"
    break;

  case 632: /* primary_stmt_expr: integer_expr  */
#line 3933 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12701 "src/parser_bison.c"
    break;

  case 633: /* primary_stmt_expr: boolean_expr  */
#line 3934 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12707 "src/parser_bison.c"
    break;

  case 634: /* primary_stmt_expr: meta_expr  */
#line 3935 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12713 "src/parser_bison.c"
    break;

  case 635: /* primary_stmt_expr: rt_expr  */
#line 3936 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12719 "src/parser_bison.c"
    break;

  case 636: /* primary_stmt_expr: ct_expr  */
#line 3937 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12725 "src/parser_bison.c"
    break;

  case 637: /* primary_stmt_expr: numgen_expr  */
#line 3938 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12731 "src/parser_bison.c"
    break;

  case 638: /* primary_stmt_expr: hash_expr  */
#line 3939 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12737 "src/parser_bison.c"
    break;

  case 639: /* primary_stmt_expr: payload_expr  */
#line 3940 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12743 "src/parser_bison.c"
    break;

  case 640: /* primary_stmt_expr: keyword_expr  */
#line 3941 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12749 "src/parser_bison.c"
    break;

  case 641: /* primary_stmt_expr: socket_expr  */
#line 3942 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12755 "src/parser_bison.c"
    break;

  case 642: /* primary_stmt_expr: osf_expr  */
#line 3943 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 12761 "src/parser_bison.c"
    break;

  case 643: /* primary_stmt_expr: '(' basic_stmt_expr ')'  */
#line 3944 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[-1].expr); }
#line 12767 "src/parser_bison.c"
    break;

  case 645: /* shift_stmt_expr: shift_stmt_expr "<<" primary_stmt_expr  */
#line 3949 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12775 "src/parser_bison.c"
    break;

  case 646: /* shift_stmt_expr: shift_stmt_expr ">>" primary_stmt_expr  */
#line 3953 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12783 "src/parser_bison.c"
    break;

  case 648: /* and_stmt_expr: and_stmt_expr "&" shift_stmt_expr  */
#line 3960 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12791 "src/parser_bison.c"
    break;

  case 650: /* exclusive_or_stmt_expr: exclusive_or_stmt_expr "^" and_stmt_expr  */
#line 3967 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12799 "src/parser_bison.c"
    break;

  case 652: /* inclusive_or_stmt_expr: inclusive_or_stmt_expr '|' exclusive_or_stmt_expr  */
#line 3974 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12807 "src/parser_bison.c"
    break;

  case 655: /* concat_stmt_expr: concat_stmt_expr "." primary_stmt_expr  */
#line 3984 "src/parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 12820 "src/parser_bison.c"
    break;

  case 658: /* map_stmt_expr: concat_stmt_expr "map" map_stmt_expr_set  */
#line 3999 "src/parser_bison.y"
                        {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12828 "src/parser_bison.c"
    break;

  case 659: /* map_stmt_expr: concat_stmt_expr  */
#line 4002 "src/parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 12834 "src/parser_bison.c"
    break;

  case 660: /* prefix_stmt_expr: basic_stmt_expr "/" "number"  */
#line 4006 "src/parser_bison.y"
                        {
				(yyval.expr) = prefix_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].val));
			}
#line 12842 "src/parser_bison.c"
    break;

  case 661: /* range_stmt_expr: basic_stmt_expr "-" basic_stmt_expr  */
#line 4012 "src/parser_bison.y"
                        {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12850 "src/parser_bison.c"
    break;

  case 667: /* nat_stmt_args: stmt_expr  */
#line 4027 "src/parser_bison.y"
                        {
				(yyvsp[-1].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12858 "src/parser_bison.c"
    break;

  case 668: /* nat_stmt_args: "to" stmt_expr  */
#line 4031 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12866 "src/parser_bison.c"
    break;

  case 669: /* nat_stmt_args: nf_key_proto "to" stmt_expr  */
#line 4035 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.family = (yyvsp[-2].val);
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12875 "src/parser_bison.c"
    break;

  case 670: /* nat_stmt_args: stmt_expr "colon" stmt_expr  */
#line 4040 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12884 "src/parser_bison.c"
    break;

  case 671: /* nat_stmt_args: "to" stmt_expr "colon" stmt_expr  */
#line 4045 "src/parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12893 "src/parser_bison.c"
    break;

  case 672: /* nat_stmt_args: nf_key_proto "to" stmt_expr "colon" stmt_expr  */
#line 4050 "src/parser_bison.y"
                        {
				(yyvsp[-5].stmt)->nat.family = (yyvsp[-4].val);
				(yyvsp[-5].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-5].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12903 "src/parser_bison.c"
    break;

  case 673: /* nat_stmt_args: "colon" stmt_expr  */
#line 4056 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12911 "src/parser_bison.c"
    break;

  case 674: /* nat_stmt_args: "to" "colon" stmt_expr  */
#line 4060 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12919 "src/parser_bison.c"
    break;

  case 675: /* nat_stmt_args: nat_stmt_args nf_nat_flags  */
#line 4064 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 12927 "src/parser_bison.c"
    break;

  case 676: /* nat_stmt_args: nf_key_proto "addr" "." "port" "to" stmt_expr  */
#line 4068 "src/parser_bison.y"
                        {
				(yyvsp[-6].stmt)->nat.family = (yyvsp[-5].val);
				(yyvsp[-6].stmt)->nat.addr = (yyvsp[0].expr);
				(yyvsp[-6].stmt)->nat.type_flags = STMT_NAT_F_CONCAT;
			}
#line 12937 "src/parser_bison.c"
    break;

  case 677: /* nat_stmt_args: nf_key_proto "interval" "to" stmt_expr  */
#line 4074 "src/parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.family = (yyvsp[-3].val);
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12946 "src/parser_bison.c"
    break;

  case 678: /* nat_stmt_args: "interval" "to" stmt_expr  */
#line 4079 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 12954 "src/parser_bison.c"
    break;

  case 679: /* nat_stmt_args: nf_key_proto "prefix" "to" stmt_expr  */
#line 4083 "src/parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.family = (yyvsp[-3].val);
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[0].expr);
				(yyvsp[-4].stmt)->nat.type_flags =
						STMT_NAT_F_PREFIX;
				(yyvsp[-4].stmt)->nat.flags |= NF_NAT_RANGE_NETMAP;
			}
#line 12966 "src/parser_bison.c"
    break;

  case 680: /* nat_stmt_args: "prefix" "to" stmt_expr  */
#line 4091 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
				(yyvsp[-3].stmt)->nat.type_flags =
						STMT_NAT_F_PREFIX;
				(yyvsp[-3].stmt)->nat.flags |= NF_NAT_RANGE_NETMAP;
			}
#line 12977 "src/parser_bison.c"
    break;

  case 683: /* masq_stmt_alloc: "masquerade"  */
#line 4103 "src/parser_bison.y"
                                                { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_MASQ); }
#line 12983 "src/parser_bison.c"
    break;

  case 684: /* masq_stmt_args: "to" "colon" stmt_expr  */
#line 4107 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 12991 "src/parser_bison.c"
    break;

  case 685: /* masq_stmt_args: "to" "colon" stmt_expr nf_nat_flags  */
#line 4111 "src/parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-4].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 13000 "src/parser_bison.c"
    break;

  case 686: /* masq_stmt_args: nf_nat_flags  */
#line 4116 "src/parser_bison.y"
                        {
				(yyvsp[-1].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 13008 "src/parser_bison.c"
    break;

  case 689: /* redir_stmt_alloc: "redirect"  */
#line 4125 "src/parser_bison.y"
                                                { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_REDIR); }
#line 13014 "src/parser_bison.c"
    break;

  case 690: /* redir_stmt_arg: "to" stmt_expr  */
#line 4129 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 13022 "src/parser_bison.c"
    break;

  case 691: /* redir_stmt_arg: "to" "colon" stmt_expr  */
#line 4133 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 13030 "src/parser_bison.c"
    break;

  case 692: /* redir_stmt_arg: nf_nat_flags  */
#line 4137 "src/parser_bison.y"
                        {
				(yyvsp[-1].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 13038 "src/parser_bison.c"
    break;

  case 693: /* redir_stmt_arg: "to" stmt_expr nf_nat_flags  */
#line 4141 "src/parser_bison.y"
                        {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-3].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 13047 "src/parser_bison.c"
    break;

  case 694: /* redir_stmt_arg: "to" "colon" stmt_expr nf_nat_flags  */
#line 4146 "src/parser_bison.y"
                        {
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-4].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 13056 "src/parser_bison.c"
    break;

  case 695: /* dup_stmt: "dup" "to" stmt_expr  */
#line 4153 "src/parser_bison.y"
                        {
				(yyval.stmt) = dup_stmt_alloc(&(yyloc));
				(yyval.stmt)->dup.to = (yyvsp[0].expr);
			}
#line 13065 "src/parser_bison.c"
    break;

  case 696: /* dup_stmt: "dup" "to" stmt_expr "device" stmt_expr  */
#line 4158 "src/parser_bison.y"
                        {
				(yyval.stmt) = dup_stmt_alloc(&(yyloc));
				(yyval.stmt)->dup.to = (yyvsp[-2].expr);
				(yyval.stmt)->dup.dev = (yyvsp[0].expr);
			}
#line 13075 "src/parser_bison.c"
    break;

  case 697: /* fwd_stmt: "fwd" "to" stmt_expr  */
#line 4166 "src/parser_bison.y"
                        {
				(yyval.stmt) = fwd_stmt_alloc(&(yyloc));
				(yyval.stmt)->fwd.dev = (yyvsp[0].expr);
			}
#line 13084 "src/parser_bison.c"
    break;

  case 698: /* fwd_stmt: "fwd" nf_key_proto "to" stmt_expr "device" stmt_expr  */
#line 4171 "src/parser_bison.y"
                        {
				(yyval.stmt) = fwd_stmt_alloc(&(yyloc));
				(yyval.stmt)->fwd.family = (yyvsp[-4].val);
				(yyval.stmt)->fwd.addr = (yyvsp[-2].expr);
				(yyval.stmt)->fwd.dev = (yyvsp[0].expr);
			}
#line 13095 "src/parser_bison.c"
    break;

  case 700: /* nf_nat_flags: nf_nat_flags "comma" nf_nat_flag  */
#line 4181 "src/parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 13103 "src/parser_bison.c"
    break;

  case 701: /* nf_nat_flag: "random"  */
#line 4186 "src/parser_bison.y"
                                                { (yyval.val) = NF_NAT_RANGE_PROTO_RANDOM; }
#line 13109 "src/parser_bison.c"
    break;

  case 702: /* nf_nat_flag: "fully-random"  */
#line 4187 "src/parser_bison.y"
                                                { (yyval.val) = NF_NAT_RANGE_PROTO_RANDOM_FULLY; }
#line 13115 "src/parser_bison.c"
    break;

  case 703: /* nf_nat_flag: "persistent"  */
#line 4188 "src/parser_bison.y"
                                                { (yyval.val) = NF_NAT_RANGE_PERSISTENT; }
#line 13121 "src/parser_bison.c"
    break;

  case 705: /* queue_stmt: "queue" "to" queue_stmt_expr close_scope_queue  */
#line 4193 "src/parser_bison.y"
                        {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), (yyvsp[-1].expr), 0);
			}
#line 13129 "src/parser_bison.c"
    break;

  case 706: /* queue_stmt: "queue" "flags" queue_stmt_flags "to" queue_stmt_expr close_scope_queue  */
#line 4197 "src/parser_bison.y"
                        {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), (yyvsp[-1].expr), (yyvsp[-3].val));
			}
#line 13137 "src/parser_bison.c"
    break;

  case 707: /* queue_stmt: "queue" "flags" queue_stmt_flags "num" queue_stmt_expr_simple close_scope_queue  */
#line 4201 "src/parser_bison.y"
                        {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), (yyvsp[-1].expr), (yyvsp[-3].val));
			}
#line 13145 "src/parser_bison.c"
    break;

  case 710: /* queue_stmt_alloc: "queue"  */
#line 4211 "src/parser_bison.y"
                        {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), NULL, 0);
			}
#line 13153 "src/parser_bison.c"
    break;

  case 711: /* queue_stmt_args: queue_stmt_arg  */
#line 4217 "src/parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 13161 "src/parser_bison.c"
    break;

  case 713: /* queue_stmt_arg: "num" queue_stmt_expr_simple  */
#line 4224 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->queue.queue = (yyvsp[0].expr);
				(yyvsp[-2].stmt)->queue.queue->location = (yyloc);
			}
#line 13170 "src/parser_bison.c"
    break;

  case 714: /* queue_stmt_arg: queue_stmt_flags  */
#line 4229 "src/parser_bison.y"
                        {
				(yyvsp[-1].stmt)->queue.flags |= (yyvsp[0].val);
			}
#line 13178 "src/parser_bison.c"
    break;

  case 719: /* queue_stmt_expr_simple: queue_expr "-" queue_expr  */
#line 4241 "src/parser_bison.y"
                        {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13186 "src/parser_bison.c"
    break;

  case 725: /* queue_stmt_flags: queue_stmt_flags "comma" queue_stmt_flag  */
#line 4254 "src/parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 13194 "src/parser_bison.c"
    break;

  case 726: /* queue_stmt_flag: "bypass"  */
#line 4259 "src/parser_bison.y"
                                        { (yyval.val) = NFT_QUEUE_FLAG_BYPASS; }
#line 13200 "src/parser_bison.c"
    break;

  case 727: /* queue_stmt_flag: "fanout"  */
#line 4260 "src/parser_bison.y"
                                        { (yyval.val) = NFT_QUEUE_FLAG_CPU_FANOUT; }
#line 13206 "src/parser_bison.c"
    break;

  case 730: /* set_elem_expr_stmt_alloc: concat_expr  */
#line 4268 "src/parser_bison.y"
                        {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 13214 "src/parser_bison.c"
    break;

  case 731: /* set_stmt: "set" set_stmt_op set_elem_expr_stmt set_ref_expr  */
#line 4274 "src/parser_bison.y"
                        {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-2].val);
				(yyval.stmt)->set.key = (yyvsp[-1].expr);
				(yyval.stmt)->set.set = (yyvsp[0].expr);
			}
#line 13225 "src/parser_bison.c"
    break;

  case 732: /* set_stmt: set_stmt_op set_ref_expr '{' set_elem_expr_stmt '}'  */
#line 4281 "src/parser_bison.y"
                        {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-4].val);
				(yyval.stmt)->set.key = (yyvsp[-1].expr);
				(yyval.stmt)->set.set = (yyvsp[-3].expr);
			}
#line 13236 "src/parser_bison.c"
    break;

  case 733: /* set_stmt: set_stmt_op set_ref_expr '{' set_elem_expr_stmt stateful_stmt_list '}'  */
#line 4288 "src/parser_bison.y"
                        {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-5].val);
				(yyval.stmt)->set.key = (yyvsp[-2].expr);
				(yyval.stmt)->set.set = (yyvsp[-4].expr);
				list_splice_tail((yyvsp[-1].list), &(yyval.stmt)->set.stmt_list);
				free((yyvsp[-1].list));
			}
#line 13249 "src/parser_bison.c"
    break;

  case 734: /* set_stmt_op: "add"  */
#line 4298 "src/parser_bison.y"
                                        { (yyval.val) = NFT_DYNSET_OP_ADD; }
#line 13255 "src/parser_bison.c"
    break;

  case 735: /* set_stmt_op: "update"  */
#line 4299 "src/parser_bison.y"
                                        { (yyval.val) = NFT_DYNSET_OP_UPDATE; }
#line 13261 "src/parser_bison.c"
    break;

  case 736: /* set_stmt_op: "delete"  */
#line 4300 "src/parser_bison.y"
                                        { (yyval.val) = NFT_DYNSET_OP_DELETE; }
#line 13267 "src/parser_bison.c"
    break;

  case 737: /* map_stmt: set_stmt_op set_ref_expr '{' set_elem_expr_stmt "colon" set_elem_expr_stmt '}'  */
#line 4304 "src/parser_bison.y"
                        {
				(yyval.stmt) = map_stmt_alloc(&(yyloc));
				(yyval.stmt)->map.op  = (yyvsp[-6].val);
				(yyval.stmt)->map.key = (yyvsp[-3].expr);
				(yyval.stmt)->map.data = (yyvsp[-1].expr);
				(yyval.stmt)->map.set = (yyvsp[-5].expr);
			}
#line 13279 "src/parser_bison.c"
    break;

  case 738: /* map_stmt: set_stmt_op set_ref_expr '{' set_elem_expr_stmt stateful_stmt_list "colon" set_elem_expr_stmt '}'  */
#line 4312 "src/parser_bison.y"
                        {
				(yyval.stmt) = map_stmt_alloc(&(yyloc));
				(yyval.stmt)->map.op  = (yyvsp[-7].val);
				(yyval.stmt)->map.key = (yyvsp[-4].expr);
				(yyval.stmt)->map.data = (yyvsp[-1].expr);
				(yyval.stmt)->map.set = (yyvsp[-6].expr);
				list_splice_tail((yyvsp[-3].list), &(yyval.stmt)->map.stmt_list);
				free((yyvsp[-3].list));
			}
#line 13293 "src/parser_bison.c"
    break;

  case 739: /* meter_stmt: flow_stmt_legacy_alloc flow_stmt_opts '{' meter_key_expr stmt '}'  */
#line 4324 "src/parser_bison.y"
                        {
				(yyvsp[-5].stmt)->meter.key  = (yyvsp[-2].expr);
				(yyvsp[-5].stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
				(yyval.stmt) = (yyvsp[-5].stmt);
			}
#line 13304 "src/parser_bison.c"
    break;

  case 740: /* meter_stmt: meter_stmt_alloc  */
#line 4330 "src/parser_bison.y"
                                                                { (yyval.stmt) = (yyvsp[0].stmt); }
#line 13310 "src/parser_bison.c"
    break;

  case 741: /* flow_stmt_legacy_alloc: "flow"  */
#line 4334 "src/parser_bison.y"
                        {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
			}
#line 13318 "src/parser_bison.c"
    break;

  case 742: /* flow_stmt_opts: flow_stmt_opt  */
#line 4340 "src/parser_bison.y"
                        {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 13326 "src/parser_bison.c"
    break;

  case 744: /* flow_stmt_opt: "table" identifier  */
#line 4347 "src/parser_bison.y"
                        {
				(yyvsp[-2].stmt)->meter.name = (yyvsp[0].string);
			}
#line 13334 "src/parser_bison.c"
    break;

  case 745: /* meter_stmt_alloc: "meter" identifier '{' meter_key_expr stmt '}'  */
#line 4353 "src/parser_bison.y"
                        {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
				(yyval.stmt)->meter.name = (yyvsp[-4].string);
				(yyval.stmt)->meter.size = 0;
				(yyval.stmt)->meter.key  = (yyvsp[-2].expr);
				(yyval.stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
			}
#line 13347 "src/parser_bison.c"
    break;

  case 746: /* meter_stmt_alloc: "meter" identifier "size" "number" '{' meter_key_expr stmt '}'  */
#line 4362 "src/parser_bison.y"
                        {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
				(yyval.stmt)->meter.name = (yyvsp[-6].string);
				(yyval.stmt)->meter.size = (yyvsp[-4].val);
				(yyval.stmt)->meter.key  = (yyvsp[-2].expr);
				(yyval.stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
			}
#line 13360 "src/parser_bison.c"
    break;

  case 747: /* match_stmt: relational_expr  */
#line 4373 "src/parser_bison.y"
                        {
				(yyval.stmt) = expr_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 13368 "src/parser_bison.c"
    break;

  case 748: /* variable_expr: '$' identifier  */
#line 4379 "src/parser_bison.y"
                        {
				struct scope *scope = current_scope(state);
				struct symbol *sym;

				sym = symbol_get(scope, (yyvsp[0].string));
				if (!sym) {
					sym = symbol_lookup_fuzzy(scope, (yyvsp[0].string));
					if (sym) {
						erec_queue(error(&(yylsp[0]), "unknown identifier '%s'; "
								      "did you mean identifier ‘%s’?",
								      (yyvsp[0].string), sym->identifier),
							   state->msgs);
					} else {
						erec_queue(error(&(yylsp[0]), "unknown identifier '%s'", (yyvsp[0].string)),
							   state->msgs);
					}
					free_const((yyvsp[0].string));
					YYERROR;
				}

				(yyval.expr) = variable_expr_alloc(&(yyloc), scope, sym);
				free_const((yyvsp[0].string));
			}
#line 13396 "src/parser_bison.c"
    break;

  case 750: /* symbol_expr: string  */
#line 4406 "src/parser_bison.y"
                        {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       (yyvsp[0].string));
				free_const((yyvsp[0].string));
			}
#line 13407 "src/parser_bison.c"
    break;

  case 753: /* set_ref_symbol_expr: "@" identifier close_scope_at  */
#line 4419 "src/parser_bison.y"
                        {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_SET,
						       current_scope(state),
						       (yyvsp[-1].string));
				free_const((yyvsp[-1].string));
			}
#line 13418 "src/parser_bison.c"
    break;

  case 754: /* integer_expr: "number"  */
#line 4428 "src/parser_bison.y"
                        {
				char str[64];

				snprintf(str, sizeof(str), "%" PRIu64, (yyvsp[0].val));
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       str);
			}
#line 13431 "src/parser_bison.c"
    break;

  case 755: /* primary_expr: symbol_expr  */
#line 4438 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13437 "src/parser_bison.c"
    break;

  case 756: /* primary_expr: integer_expr  */
#line 4439 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13443 "src/parser_bison.c"
    break;

  case 757: /* primary_expr: payload_expr  */
#line 4440 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13449 "src/parser_bison.c"
    break;

  case 758: /* primary_expr: exthdr_expr  */
#line 4441 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13455 "src/parser_bison.c"
    break;

  case 759: /* primary_expr: exthdr_exists_expr  */
#line 4442 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13461 "src/parser_bison.c"
    break;

  case 760: /* primary_expr: meta_expr  */
#line 4443 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13467 "src/parser_bison.c"
    break;

  case 761: /* primary_expr: socket_expr  */
#line 4444 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13473 "src/parser_bison.c"
    break;

  case 762: /* primary_expr: rt_expr  */
#line 4445 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13479 "src/parser_bison.c"
    break;

  case 763: /* primary_expr: ct_expr  */
#line 4446 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13485 "src/parser_bison.c"
    break;

  case 764: /* primary_expr: numgen_expr  */
#line 4447 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13491 "src/parser_bison.c"
    break;

  case 765: /* primary_expr: hash_expr  */
#line 4448 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13497 "src/parser_bison.c"
    break;

  case 766: /* primary_expr: fib_expr  */
#line 4449 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13503 "src/parser_bison.c"
    break;

  case 767: /* primary_expr: osf_expr  */
#line 4450 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13509 "src/parser_bison.c"
    break;

  case 768: /* primary_expr: xfrm_expr  */
#line 4451 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[0].expr); }
#line 13515 "src/parser_bison.c"
    break;

  case 769: /* primary_expr: '(' basic_expr ')'  */
#line 4452 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[-1].expr); }
#line 13521 "src/parser_bison.c"
    break;

  case 770: /* fib_expr: "fib" fib_tuple fib_result close_scope_fib  */
#line 4456 "src/parser_bison.y"
                        {
				if (((yyvsp[-2].val) & (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) == 0) {
					erec_queue(error(&(yylsp[-2]), "fib: need either saddr or daddr"), state->msgs);
					YYERROR;
				}

				if (((yyvsp[-2].val) & (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) ==
					  (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) {
					erec_queue(error(&(yylsp[-2]), "fib: saddr and daddr are mutually exclusive"), state->msgs);
					YYERROR;
				}

				if (((yyvsp[-2].val) & (NFTA_FIB_F_IIF|NFTA_FIB_F_OIF)) ==
					  (NFTA_FIB_F_IIF|NFTA_FIB_F_OIF)) {
					erec_queue(error(&(yylsp[-2]), "fib: iif and oif are mutually exclusive"), state->msgs);
					YYERROR;
				}

				(yyval.expr) = fib_expr_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 13546 "src/parser_bison.c"
    break;

  case 771: /* fib_result: "oif"  */
#line 4478 "src/parser_bison.y"
                                        { (yyval.val) =NFT_FIB_RESULT_OIF; }
#line 13552 "src/parser_bison.c"
    break;

  case 772: /* fib_result: "oifname"  */
#line 4479 "src/parser_bison.y"
                                        { (yyval.val) =NFT_FIB_RESULT_OIFNAME; }
#line 13558 "src/parser_bison.c"
    break;

  case 773: /* fib_result: "type" close_scope_type  */
#line 4480 "src/parser_bison.y"
                                                                { (yyval.val) =NFT_FIB_RESULT_ADDRTYPE; }
#line 13564 "src/parser_bison.c"
    break;

  case 774: /* fib_flag: "saddr"  */
#line 4483 "src/parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_SADDR; }
#line 13570 "src/parser_bison.c"
    break;

  case 775: /* fib_flag: "daddr"  */
#line 4484 "src/parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_DADDR; }
#line 13576 "src/parser_bison.c"
    break;

  case 776: /* fib_flag: "mark"  */
#line 4485 "src/parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_MARK; }
#line 13582 "src/parser_bison.c"
    break;

  case 777: /* fib_flag: "iif"  */
#line 4486 "src/parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_IIF; }
#line 13588 "src/parser_bison.c"
    break;

  case 778: /* fib_flag: "oif"  */
#line 4487 "src/parser_bison.y"
                                        { (yyval.val) = NFTA_FIB_F_OIF; }
#line 13594 "src/parser_bison.c"
    break;

  case 779: /* fib_tuple: fib_flag "." fib_tuple  */
#line 4491 "src/parser_bison.y"
                        {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 13602 "src/parser_bison.c"
    break;

  case 781: /* osf_expr: "osf" osf_ttl "version" close_scope_osf  */
#line 4498 "src/parser_bison.y"
                        {
				(yyval.expr) = osf_expr_alloc(&(yyloc), (yyvsp[-2].val), NFT_OSF_F_VERSION);
			}
#line 13610 "src/parser_bison.c"
    break;

  case 782: /* osf_expr: "osf" osf_ttl "name" close_scope_osf  */
#line 4502 "src/parser_bison.y"
                        {
				(yyval.expr) = osf_expr_alloc(&(yyloc), (yyvsp[-2].val), 0);
			}
#line 13618 "src/parser_bison.c"
    break;

  case 783: /* osf_ttl: %empty  */
#line 4508 "src/parser_bison.y"
                        {
				(yyval.val) = NF_OSF_TTL_TRUE;
			}
#line 13626 "src/parser_bison.c"
    break;

  case 784: /* osf_ttl: "ttl" "string"  */
#line 4512 "src/parser_bison.y"
                        {
				if (!strcmp((yyvsp[0].string), "loose"))
					(yyval.val) = NF_OSF_TTL_LESS;
				else if (!strcmp((yyvsp[0].string), "skip"))
					(yyval.val) = NF_OSF_TTL_NOCHECK;
				else {
					erec_queue(error(&(yylsp[0]), "invalid ttl option"),
						   state->msgs);
					free_const((yyvsp[0].string));
					YYERROR;
				}
				free_const((yyvsp[0].string));
			}
#line 13644 "src/parser_bison.c"
    break;

  case 786: /* shift_expr: shift_expr "<<" primary_rhs_expr  */
#line 4529 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13652 "src/parser_bison.c"
    break;

  case 787: /* shift_expr: shift_expr ">>" primary_rhs_expr  */
#line 4533 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13660 "src/parser_bison.c"
    break;

  case 789: /* and_expr: and_expr "&" shift_rhs_expr  */
#line 4540 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13668 "src/parser_bison.c"
    break;

  case 791: /* exclusive_or_expr: exclusive_or_expr "^" and_rhs_expr  */
#line 4547 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13676 "src/parser_bison.c"
    break;

  case 793: /* inclusive_or_expr: inclusive_or_expr '|' exclusive_or_rhs_expr  */
#line 4554 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13684 "src/parser_bison.c"
    break;

  case 796: /* concat_expr: concat_expr "." basic_expr  */
#line 4564 "src/parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 13697 "src/parser_bison.c"
    break;

  case 797: /* prefix_rhs_expr: basic_rhs_expr "/" "number"  */
#line 4575 "src/parser_bison.y"
                        {
				(yyval.expr) = prefix_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].val));
			}
#line 13705 "src/parser_bison.c"
    break;

  case 798: /* range_rhs_expr: basic_rhs_expr "-" basic_rhs_expr  */
#line 4581 "src/parser_bison.y"
                        {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13713 "src/parser_bison.c"
    break;

  case 801: /* map_expr: concat_expr "map" rhs_expr  */
#line 4591 "src/parser_bison.y"
                        {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13721 "src/parser_bison.c"
    break;

  case 805: /* set_expr: '{' set_list_expr '}'  */
#line 4602 "src/parser_bison.y"
                        {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 13730 "src/parser_bison.c"
    break;

  case 806: /* set_list_expr: set_list_member_expr  */
#line 4609 "src/parser_bison.y"
                        {
				(yyval.expr) = set_expr_alloc(&(yyloc), NULL);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 13739 "src/parser_bison.c"
    break;

  case 807: /* set_list_expr: set_list_expr "comma" set_list_member_expr  */
#line 4614 "src/parser_bison.y"
                        {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 13748 "src/parser_bison.c"
    break;

  case 809: /* set_list_member_expr: opt_newline set_expr opt_newline  */
#line 4622 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 13756 "src/parser_bison.c"
    break;

  case 810: /* set_list_member_expr: opt_newline set_elem_expr opt_newline  */
#line 4626 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 13764 "src/parser_bison.c"
    break;

  case 811: /* set_list_member_expr: opt_newline set_elem_expr "colon" set_rhs_expr opt_newline  */
#line 4630 "src/parser_bison.y"
                        {
				(yyval.expr) = mapping_expr_alloc(&(yylsp[-3]), (yyvsp[-3].expr), (yyvsp[-1].expr));
			}
#line 13772 "src/parser_bison.c"
    break;

  case 813: /* meter_key_expr: meter_key_expr_alloc set_elem_options  */
#line 4637 "src/parser_bison.y"
                        {
				(yyval.expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 13781 "src/parser_bison.c"
    break;

  case 814: /* meter_key_expr_alloc: concat_expr  */
#line 4644 "src/parser_bison.y"
                        {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 13789 "src/parser_bison.c"
    break;

  case 817: /* set_elem_expr: set_elem_expr_alloc set_elem_expr_options set_elem_stmt_list  */
#line 4652 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[-2].expr);
				list_splice_tail((yyvsp[0].list), &(yyval.expr)->stmt_list);
				free((yyvsp[0].list));
			}
#line 13799 "src/parser_bison.c"
    break;

  case 818: /* set_elem_key_expr: set_lhs_expr  */
#line 4659 "src/parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 13805 "src/parser_bison.c"
    break;

  case 819: /* set_elem_key_expr: "*"  */
#line 4660 "src/parser_bison.y"
                                                        { (yyval.expr) = set_elem_catchall_expr_alloc(&(yylsp[0])); }
#line 13811 "src/parser_bison.c"
    break;

  case 820: /* set_elem_expr_alloc: set_elem_key_expr set_elem_stmt_list  */
#line 4664 "src/parser_bison.y"
                        {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[-1]), (yyvsp[-1].expr));
				list_splice_tail((yyvsp[0].list), &(yyval.expr)->stmt_list);
				free((yyvsp[0].list));
			}
#line 13821 "src/parser_bison.c"
    break;

  case 821: /* set_elem_expr_alloc: set_elem_key_expr  */
#line 4670 "src/parser_bison.y"
                        {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 13829 "src/parser_bison.c"
    break;

  case 822: /* set_elem_options: set_elem_option  */
#line 4676 "src/parser_bison.y"
                        {
				(yyval.expr)	= (yyvsp[-1].expr);
			}
#line 13837 "src/parser_bison.c"
    break;

  case 824: /* set_elem_option: "timeout" time_spec  */
#line 4683 "src/parser_bison.y"
                        {
				(yyvsp[-2].expr)->timeout = (yyvsp[0].val);
			}
#line 13845 "src/parser_bison.c"
    break;

  case 825: /* set_elem_option: "expires" time_spec  */
#line 4687 "src/parser_bison.y"
                        {
				(yyvsp[-2].expr)->expiration = (yyvsp[0].val);
			}
#line 13853 "src/parser_bison.c"
    break;

  case 826: /* set_elem_option: comment_spec  */
#line 4691 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].expr)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].expr)->comment = (yyvsp[0].string);
			}
#line 13865 "src/parser_bison.c"
    break;

  case 827: /* set_elem_expr_options: set_elem_expr_option  */
#line 4701 "src/parser_bison.y"
                        {
				(yyval.expr)	= (yyvsp[-1].expr);
			}
#line 13873 "src/parser_bison.c"
    break;

  case 829: /* set_elem_stmt_list: set_elem_stmt  */
#line 4708 "src/parser_bison.y"
                        {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 13883 "src/parser_bison.c"
    break;

  case 830: /* set_elem_stmt_list: set_elem_stmt_list set_elem_stmt  */
#line 4714 "src/parser_bison.y"
                        {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 13892 "src/parser_bison.c"
    break;

  case 831: /* set_elem_stmt: "counter" close_scope_counter  */
#line 4721 "src/parser_bison.y"
                        {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
			}
#line 13900 "src/parser_bison.c"
    break;

  case 832: /* set_elem_stmt: "counter" "packets" "number" "bytes" "number" close_scope_counter  */
#line 4725 "src/parser_bison.y"
                        {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
				(yyval.stmt)->counter.packets = (yyvsp[-3].val);
				(yyval.stmt)->counter.bytes = (yyvsp[-1].val);
			}
#line 13910 "src/parser_bison.c"
    break;

  case 833: /* set_elem_stmt: "limit" "rate" limit_mode limit_rate_pkts limit_burst_pkts close_scope_limit  */
#line 4731 "src/parser_bison.y"
                        {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[-1]), "limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate  = (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit  = (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst = (yyvsp[-1].val);
				(yyval.stmt)->limit.type  = NFT_LIMIT_PKTS;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 13928 "src/parser_bison.c"
    break;

  case 834: /* set_elem_stmt: "limit" "rate" limit_mode limit_rate_bytes limit_burst_bytes close_scope_limit  */
#line 4745 "src/parser_bison.y"
                        {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[0]), "limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate  = (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit  = (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst = (yyvsp[-1].val);
				(yyval.stmt)->limit.type  = NFT_LIMIT_PKT_BYTES;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 13946 "src/parser_bison.c"
    break;

  case 835: /* set_elem_stmt: "ct" "count" "number" close_scope_ct  */
#line 4759 "src/parser_bison.y"
                        {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count	= (yyvsp[-1].val);
			}
#line 13955 "src/parser_bison.c"
    break;

  case 836: /* set_elem_stmt: "ct" "count" "over" "number" close_scope_ct  */
#line 4764 "src/parser_bison.y"
                        {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count = (yyvsp[-1].val);
				(yyval.stmt)->connlimit.flags = NFT_CONNLIMIT_F_INV;
			}
#line 13965 "src/parser_bison.c"
    break;

  case 837: /* set_elem_stmt: "quota" quota_mode "number" quota_unit quota_used close_scope_quota  */
#line 4770 "src/parser_bison.y"
                        {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-2].string), &rate);
				free_const((yyvsp[-2].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.stmt) = quota_stmt_alloc(&(yyloc));
				(yyval.stmt)->quota.bytes	= (yyvsp[-3].val) * rate;
				(yyval.stmt)->quota.used = (yyvsp[-1].val);
				(yyval.stmt)->quota.flags	= (yyvsp[-4].val);
			}
#line 13985 "src/parser_bison.c"
    break;

  case 838: /* set_elem_stmt: "last" "used" "never" close_scope_last  */
#line 4786 "src/parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
			}
#line 13993 "src/parser_bison.c"
    break;

  case 839: /* set_elem_stmt: "last" "used" time_spec close_scope_last  */
#line 4790 "src/parser_bison.y"
                        {
				(yyval.stmt) = last_stmt_alloc(&(yyloc));
				(yyval.stmt)->last.used = (yyvsp[-1].val);
				(yyval.stmt)->last.set = true;
			}
#line 14003 "src/parser_bison.c"
    break;

  case 840: /* set_elem_expr_option: "timeout" time_spec  */
#line 4798 "src/parser_bison.y"
                        {
				(yyvsp[-2].expr)->timeout = (yyvsp[0].val);
			}
#line 14011 "src/parser_bison.c"
    break;

  case 841: /* set_elem_expr_option: "expires" time_spec  */
#line 4802 "src/parser_bison.y"
                        {
				(yyvsp[-2].expr)->expiration = (yyvsp[0].val);
			}
#line 14019 "src/parser_bison.c"
    break;

  case 842: /* set_elem_expr_option: comment_spec  */
#line 4806 "src/parser_bison.y"
                        {
				if (already_set((yyvsp[-1].expr)->comment, &(yylsp[0]), state)) {
					free_const((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].expr)->comment = (yyvsp[0].string);
			}
#line 14031 "src/parser_bison.c"
    break;

  case 848: /* initializer_expr: '{' '}'  */
#line 4824 "src/parser_bison.y"
                                                { (yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_SET); }
#line 14037 "src/parser_bison.c"
    break;

  case 849: /* initializer_expr: "-" "number"  */
#line 4826 "src/parser_bison.y"
                        {
				int32_t num = -(yyvsp[0].val);

				(yyval.expr) = constant_expr_alloc(&(yyloc), &integer_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(num) * BITS_PER_BYTE,
							 &num);
			}
#line 14050 "src/parser_bison.c"
    break;

  case 850: /* counter_config: "packets" "number" "bytes" "number"  */
#line 4837 "src/parser_bison.y"
                        {
				struct counter *counter;

				counter = &(yyvsp[-4].obj)->counter;
				counter->packets = (yyvsp[-2].val);
				counter->bytes = (yyvsp[0].val);
			}
#line 14062 "src/parser_bison.c"
    break;

  case 851: /* counter_obj: %empty  */
#line 4847 "src/parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_COUNTER;
			}
#line 14071 "src/parser_bison.c"
    break;

  case 852: /* quota_config: quota_mode "number" quota_unit quota_used  */
#line 4854 "src/parser_bison.y"
                        {
				struct error_record *erec;
				struct quota *quota;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-1].string), &rate);
				free_const((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				quota = &(yyvsp[-4].obj)->quota;
				quota->bytes	= (yyvsp[-2].val) * rate;
				quota->used	= (yyvsp[0].val);
				quota->flags	= (yyvsp[-3].val);
			}
#line 14093 "src/parser_bison.c"
    break;

  case 853: /* quota_obj: %empty  */
#line 4874 "src/parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_QUOTA;
			}
#line 14102 "src/parser_bison.c"
    break;

  case 854: /* secmark_config: string  */
#line 4881 "src/parser_bison.y"
                        {
				int ret;
				struct secmark *secmark;

				secmark = &(yyvsp[-1].obj)->secmark;
				ret = snprintf(secmark->ctx, sizeof(secmark->ctx), "%s", (yyvsp[0].string));
				if (ret <= 0 || ret >= (int)sizeof(secmark->ctx)) {
					erec_queue(error(&(yylsp[0]), "invalid context '%s', max length is %u\n", (yyvsp[0].string), (int)sizeof(secmark->ctx)), state->msgs);
					free_const((yyvsp[0].string));
					YYERROR;
				}
				free_const((yyvsp[0].string));
			}
#line 14120 "src/parser_bison.c"
    break;

  case 855: /* secmark_obj: %empty  */
#line 4897 "src/parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_SECMARK;
			}
#line 14129 "src/parser_bison.c"
    break;

  case 856: /* ct_obj_type: "helper"  */
#line 4903 "src/parser_bison.y"
                                                { (yyval.val) = NFT_OBJECT_CT_HELPER; }
#line 14135 "src/parser_bison.c"
    break;

  case 857: /* ct_obj_type: "timeout"  */
#line 4904 "src/parser_bison.y"
                                                { (yyval.val) = NFT_OBJECT_CT_TIMEOUT; }
#line 14141 "src/parser_bison.c"
    break;

  case 858: /* ct_obj_type: "expectation"  */
#line 4905 "src/parser_bison.y"
                                                { (yyval.val) = NFT_OBJECT_CT_EXPECT; }
#line 14147 "src/parser_bison.c"
    break;

  case 859: /* ct_cmd_type: "helpers"  */
#line 4908 "src/parser_bison.y"
                                                { (yyval.val) = CMD_OBJ_CT_HELPERS; }
#line 14153 "src/parser_bison.c"
    break;

  case 860: /* ct_cmd_type: "timeout"  */
#line 4909 "src/parser_bison.y"
                                                { (yyval.val) = CMD_OBJ_CT_TIMEOUTS; }
#line 14159 "src/parser_bison.c"
    break;

  case 861: /* ct_cmd_type: "expectation"  */
#line 4910 "src/parser_bison.y"
                                                { (yyval.val) = CMD_OBJ_CT_EXPECTATIONS; }
#line 14165 "src/parser_bison.c"
    break;

  case 862: /* ct_l4protoname: "tcp" close_scope_tcp  */
#line 4913 "src/parser_bison.y"
                                                        { (yyval.val) = IPPROTO_TCP; }
#line 14171 "src/parser_bison.c"
    break;

  case 863: /* ct_l4protoname: "udp" close_scope_udp  */
#line 4914 "src/parser_bison.y"
                                                        { (yyval.val) = IPPROTO_UDP; }
#line 14177 "src/parser_bison.c"
    break;

  case 864: /* ct_helper_config: "type" "quoted string" "protocol" ct_l4protoname stmt_separator close_scope_type  */
#line 4918 "src/parser_bison.y"
                        {
				struct ct_helper *ct;
				int ret;

				ct = &(yyvsp[-6].obj)->ct_helper;

				if (ct->l4proto) {
					erec_queue(error(&(yylsp[-4]), "You can only specify this once. This statement is already set for %s.", ct->name), state->msgs);
					free_const((yyvsp[-4].string));
					YYERROR;
				}

				ret = snprintf(ct->name, sizeof(ct->name), "%s", (yyvsp[-4].string));
				if (ret <= 0 || ret >= (int)sizeof(ct->name)) {
					erec_queue(error(&(yylsp[-4]), "invalid name '%s', max length is %u\n", (yyvsp[-4].string), (int)sizeof(ct->name)), state->msgs);
					free_const((yyvsp[-4].string));
					YYERROR;
				}
				free_const((yyvsp[-4].string));

				ct->l4proto = (yyvsp[-2].val);
			}
#line 14204 "src/parser_bison.c"
    break;

  case 865: /* ct_helper_config: "l3proto" family_spec_explicit stmt_separator  */
#line 4941 "src/parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_helper.l3proto = (yyvsp[-1].val);
			}
#line 14212 "src/parser_bison.c"
    break;

  case 866: /* timeout_states: timeout_state  */
#line 4947 "src/parser_bison.y"
                        {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].timeout_state)->head, (yyval.list));
			}
#line 14222 "src/parser_bison.c"
    break;

  case 867: /* timeout_states: timeout_states "comma" timeout_state  */
#line 4953 "src/parser_bison.y"
                        {
				list_add_tail(&(yyvsp[0].timeout_state)->head, (yyvsp[-2].list));
				(yyval.list) = (yyvsp[-2].list);
			}
#line 14231 "src/parser_bison.c"
    break;

  case 868: /* timeout_state: "string" "colon" time_spec_or_num_s  */
#line 4960 "src/parser_bison.y"
                        {
				struct timeout_state *ts;

				ts = xzalloc(sizeof(*ts));
				ts->timeout_str = (yyvsp[-2].string);
				ts->timeout_value = (yyvsp[0].val);
				ts->location = (yylsp[-2]);
				init_list_head(&ts->head);
				(yyval.timeout_state) = ts;
			}
#line 14246 "src/parser_bison.c"
    break;

  case 869: /* ct_timeout_config: "protocol" ct_l4protoname stmt_separator  */
#line 4973 "src/parser_bison.y"
                        {
				struct ct_timeout *ct;
				int l4proto = (yyvsp[-1].val);

				ct = &(yyvsp[-3].obj)->ct_timeout;
				ct->l4proto = l4proto;
			}
#line 14258 "src/parser_bison.c"
    break;

  case 870: /* ct_timeout_config: "policy" '=' '{' timeout_states '}' stmt_separator close_scope_policy  */
#line 4981 "src/parser_bison.y"
                        {
				struct ct_timeout *ct;

				ct = &(yyvsp[-7].obj)->ct_timeout;
				list_splice_tail((yyvsp[-3].list), &ct->timeout_list);
				free((yyvsp[-3].list));
			}
#line 14270 "src/parser_bison.c"
    break;

  case 871: /* ct_timeout_config: "l3proto" family_spec_explicit stmt_separator  */
#line 4989 "src/parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_timeout.l3proto = (yyvsp[-1].val);
			}
#line 14278 "src/parser_bison.c"
    break;

  case 872: /* ct_expect_config: "protocol" ct_l4protoname stmt_separator  */
#line 4995 "src/parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.l4proto = (yyvsp[-1].val);
			}
#line 14286 "src/parser_bison.c"
    break;

  case 873: /* ct_expect_config: "dport" "number" stmt_separator  */
#line 4999 "src/parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.dport = (yyvsp[-1].val);
			}
#line 14294 "src/parser_bison.c"
    break;

  case 874: /* ct_expect_config: "timeout" time_spec stmt_separator  */
#line 5003 "src/parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.timeout = (yyvsp[-1].val);
			}
#line 14302 "src/parser_bison.c"
    break;

  case 875: /* ct_expect_config: "size" "number" stmt_separator  */
#line 5007 "src/parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.size = (yyvsp[-1].val);
			}
#line 14310 "src/parser_bison.c"
    break;

  case 876: /* ct_expect_config: "l3proto" family_spec_explicit stmt_separator  */
#line 5011 "src/parser_bison.y"
                        {
				(yyvsp[-3].obj)->ct_expect.l3proto = (yyvsp[-1].val);
			}
#line 14318 "src/parser_bison.c"
    break;

  case 877: /* ct_obj_alloc: %empty  */
#line 5017 "src/parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
			}
#line 14326 "src/parser_bison.c"
    break;

  case 878: /* limit_config: "rate" limit_mode limit_rate_pkts limit_burst_pkts  */
#line 5023 "src/parser_bison.y"
                        {
				struct limit *limit;

				limit = &(yyvsp[-4].obj)->limit;
				limit->rate	= (yyvsp[-1].limit_rate).rate;
				limit->unit	= (yyvsp[-1].limit_rate).unit;
				limit->burst	= (yyvsp[0].val);
				limit->type	= NFT_LIMIT_PKTS;
				limit->flags	= (yyvsp[-2].val);
			}
#line 14341 "src/parser_bison.c"
    break;

  case 879: /* limit_config: "rate" limit_mode limit_rate_bytes limit_burst_bytes  */
#line 5034 "src/parser_bison.y"
                        {
				struct limit *limit;

				limit = &(yyvsp[-4].obj)->limit;
				limit->rate	= (yyvsp[-1].limit_rate).rate;
				limit->unit	= (yyvsp[-1].limit_rate).unit;
				limit->burst	= (yyvsp[0].val);
				limit->type	= NFT_LIMIT_PKT_BYTES;
				limit->flags	= (yyvsp[-2].val);
			}
#line 14356 "src/parser_bison.c"
    break;

  case 880: /* limit_obj: %empty  */
#line 5047 "src/parser_bison.y"
                        {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_LIMIT;
			}
#line 14365 "src/parser_bison.c"
    break;

  case 881: /* relational_expr: expr rhs_expr  */
#line 5054 "src/parser_bison.y"
                        {
				(yyval.expr) = relational_expr_alloc(&(yyloc), OP_IMPLICIT, (yyvsp[-1].expr), (yyvsp[0].expr));
			}
#line 14373 "src/parser_bison.c"
    break;

  case 882: /* relational_expr: expr list_rhs_expr  */
#line 5058 "src/parser_bison.y"
                        {
				(yyval.expr) = relational_expr_alloc(&(yyloc), OP_IMPLICIT, (yyvsp[-1].expr), (yyvsp[0].expr));
			}
#line 14381 "src/parser_bison.c"
    break;

  case 883: /* relational_expr: expr basic_rhs_expr "/" list_rhs_expr  */
#line 5062 "src/parser_bison.y"
                        {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), OP_EQ, (yyvsp[-3].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 14389 "src/parser_bison.c"
    break;

  case 884: /* relational_expr: expr list_rhs_expr "/" list_rhs_expr  */
#line 5066 "src/parser_bison.y"
                        {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), OP_EQ, (yyvsp[-3].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 14397 "src/parser_bison.c"
    break;

  case 885: /* relational_expr: expr relational_op basic_rhs_expr "/" list_rhs_expr  */
#line 5070 "src/parser_bison.y"
                        {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-4].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 14405 "src/parser_bison.c"
    break;

  case 886: /* relational_expr: expr relational_op list_rhs_expr "/" list_rhs_expr  */
#line 5074 "src/parser_bison.y"
                        {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-4].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 14413 "src/parser_bison.c"
    break;

  case 887: /* relational_expr: expr relational_op rhs_expr  */
#line 5078 "src/parser_bison.y"
                        {
				(yyval.expr) = relational_expr_alloc(&(yylsp[-1]), (yyvsp[-1].val), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14421 "src/parser_bison.c"
    break;

  case 888: /* relational_expr: expr relational_op list_rhs_expr  */
#line 5082 "src/parser_bison.y"
                        {
				(yyval.expr) = relational_expr_alloc(&(yylsp[-1]), (yyvsp[-1].val), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14429 "src/parser_bison.c"
    break;

  case 889: /* list_rhs_expr: basic_rhs_expr "comma" basic_rhs_expr  */
#line 5088 "src/parser_bison.y"
                        {
				(yyval.expr) = list_expr_alloc(&(yyloc));
				compound_expr_add((yyval.expr), (yyvsp[-2].expr));
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 14439 "src/parser_bison.c"
    break;

  case 890: /* list_rhs_expr: list_rhs_expr "comma" basic_rhs_expr  */
#line 5094 "src/parser_bison.y"
                        {
				(yyvsp[-2].expr)->location = (yyloc);
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 14449 "src/parser_bison.c"
    break;

  case 891: /* rhs_expr: concat_rhs_expr  */
#line 5101 "src/parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14455 "src/parser_bison.c"
    break;

  case 892: /* rhs_expr: set_expr  */
#line 5102 "src/parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14461 "src/parser_bison.c"
    break;

  case 893: /* rhs_expr: set_ref_symbol_expr  */
#line 5103 "src/parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14467 "src/parser_bison.c"
    break;

  case 895: /* shift_rhs_expr: shift_rhs_expr "<<" primary_rhs_expr  */
#line 5108 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14475 "src/parser_bison.c"
    break;

  case 896: /* shift_rhs_expr: shift_rhs_expr ">>" primary_rhs_expr  */
#line 5112 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14483 "src/parser_bison.c"
    break;

  case 898: /* and_rhs_expr: and_rhs_expr "&" shift_rhs_expr  */
#line 5119 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14491 "src/parser_bison.c"
    break;

  case 900: /* exclusive_or_rhs_expr: exclusive_or_rhs_expr "^" and_rhs_expr  */
#line 5126 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14499 "src/parser_bison.c"
    break;

  case 902: /* inclusive_or_rhs_expr: inclusive_or_rhs_expr '|' exclusive_or_rhs_expr  */
#line 5133 "src/parser_bison.y"
                        {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 14507 "src/parser_bison.c"
    break;

  case 906: /* concat_rhs_expr: concat_rhs_expr "." multiton_rhs_expr  */
#line 5144 "src/parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 14520 "src/parser_bison.c"
    break;

  case 907: /* concat_rhs_expr: concat_rhs_expr "." basic_rhs_expr  */
#line 5153 "src/parser_bison.y"
                        {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 14533 "src/parser_bison.c"
    break;

  case 908: /* boolean_keys: "exists"  */
#line 5163 "src/parser_bison.y"
                                                { (yyval.val8) = true; }
#line 14539 "src/parser_bison.c"
    break;

  case 909: /* boolean_keys: "missing"  */
#line 5164 "src/parser_bison.y"
                                                { (yyval.val8) = false; }
#line 14545 "src/parser_bison.c"
    break;

  case 910: /* boolean_expr: boolean_keys  */
#line 5168 "src/parser_bison.y"
                        {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &boolean_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof((yyvsp[0].val8)) * BITS_PER_BYTE, &(yyvsp[0].val8));
			}
#line 14555 "src/parser_bison.c"
    break;

  case 911: /* keyword_expr: "ether" close_scope_eth  */
#line 5175 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "ether"); }
#line 14561 "src/parser_bison.c"
    break;

  case 912: /* keyword_expr: "ip" close_scope_ip  */
#line 5176 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "ip"); }
#line 14567 "src/parser_bison.c"
    break;

  case 913: /* keyword_expr: "ip6" close_scope_ip6  */
#line 5177 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "ip6"); }
#line 14573 "src/parser_bison.c"
    break;

  case 914: /* keyword_expr: "vlan" close_scope_vlan  */
#line 5178 "src/parser_bison.y"
                                                         { (yyval.expr) = symbol_value(&(yyloc), "vlan"); }
#line 14579 "src/parser_bison.c"
    break;

  case 915: /* keyword_expr: "arp" close_scope_arp  */
#line 5179 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "arp"); }
#line 14585 "src/parser_bison.c"
    break;

  case 916: /* keyword_expr: "dnat" close_scope_nat  */
#line 5180 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "dnat"); }
#line 14591 "src/parser_bison.c"
    break;

  case 917: /* keyword_expr: "snat" close_scope_nat  */
#line 5181 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "snat"); }
#line 14597 "src/parser_bison.c"
    break;

  case 918: /* keyword_expr: "ecn"  */
#line 5182 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "ecn"); }
#line 14603 "src/parser_bison.c"
    break;

  case 919: /* keyword_expr: "reset" close_scope_reset  */
#line 5183 "src/parser_bison.y"
                                                                { (yyval.expr) = symbol_value(&(yyloc), "reset"); }
#line 14609 "src/parser_bison.c"
    break;

  case 920: /* keyword_expr: "destroy" close_scope_destroy  */
#line 5184 "src/parser_bison.y"
                                                                { (yyval.expr) = symbol_value(&(yyloc), "destroy"); }
#line 14615 "src/parser_bison.c"
    break;

  case 921: /* keyword_expr: "original"  */
#line 5185 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "original"); }
#line 14621 "src/parser_bison.c"
    break;

  case 922: /* keyword_expr: "reply"  */
#line 5186 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "reply"); }
#line 14627 "src/parser_bison.c"
    break;

  case 923: /* keyword_expr: "label"  */
#line 5187 "src/parser_bison.y"
                                                        { (yyval.expr) = symbol_value(&(yyloc), "label"); }
#line 14633 "src/parser_bison.c"
    break;

  case 924: /* keyword_expr: "last" close_scope_last  */
#line 5188 "src/parser_bison.y"
                                                                { (yyval.expr) = symbol_value(&(yyloc), "last"); }
#line 14639 "src/parser_bison.c"
    break;

  case 925: /* primary_rhs_expr: symbol_expr  */
#line 5191 "src/parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14645 "src/parser_bison.c"
    break;

  case 926: /* primary_rhs_expr: integer_expr  */
#line 5192 "src/parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14651 "src/parser_bison.c"
    break;

  case 927: /* primary_rhs_expr: boolean_expr  */
#line 5193 "src/parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14657 "src/parser_bison.c"
    break;

  case 928: /* primary_rhs_expr: keyword_expr  */
#line 5194 "src/parser_bison.y"
                                                        { (yyval.expr) = (yyvsp[0].expr); }
#line 14663 "src/parser_bison.c"
    break;

  case 929: /* primary_rhs_expr: "tcp" close_scope_tcp  */
#line 5196 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_TCP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14674 "src/parser_bison.c"
    break;

  case 930: /* primary_rhs_expr: "udp" close_scope_udp  */
#line 5203 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_UDP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14685 "src/parser_bison.c"
    break;

  case 931: /* primary_rhs_expr: "udplite" close_scope_udplite  */
#line 5210 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_UDPLITE;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14696 "src/parser_bison.c"
    break;

  case 932: /* primary_rhs_expr: "esp" close_scope_esp  */
#line 5217 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_ESP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14707 "src/parser_bison.c"
    break;

  case 933: /* primary_rhs_expr: "ah" close_scope_ah  */
#line 5224 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_AH;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14718 "src/parser_bison.c"
    break;

  case 934: /* primary_rhs_expr: "icmp" close_scope_icmp  */
#line 5231 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_ICMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14729 "src/parser_bison.c"
    break;

  case 935: /* primary_rhs_expr: "igmp"  */
#line 5238 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_IGMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14740 "src/parser_bison.c"
    break;

  case 936: /* primary_rhs_expr: "icmpv6" close_scope_icmp  */
#line 5245 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_ICMPV6;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14751 "src/parser_bison.c"
    break;

  case 937: /* primary_rhs_expr: "gre" close_scope_gre  */
#line 5252 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_GRE;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14762 "src/parser_bison.c"
    break;

  case 938: /* primary_rhs_expr: "comp" close_scope_comp  */
#line 5259 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_COMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14773 "src/parser_bison.c"
    break;

  case 939: /* primary_rhs_expr: "dccp" close_scope_dccp  */
#line 5266 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_DCCP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14784 "src/parser_bison.c"
    break;

  case 940: /* primary_rhs_expr: "sctp" close_scope_sctp  */
#line 5273 "src/parser_bison.y"
                        {
				uint8_t data = IPPROTO_SCTP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14795 "src/parser_bison.c"
    break;

  case 941: /* primary_rhs_expr: "redirect" close_scope_nat  */
#line 5280 "src/parser_bison.y"
                        {
				uint8_t data = ICMP_REDIRECT;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &icmp_type_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 14806 "src/parser_bison.c"
    break;

  case 942: /* primary_rhs_expr: '(' basic_rhs_expr ')'  */
#line 5286 "src/parser_bison.y"
                                                                { (yyval.expr) = (yyvsp[-1].expr); }
#line 14812 "src/parser_bison.c"
    break;

  case 943: /* relational_op: "=="  */
#line 5289 "src/parser_bison.y"
                                                { (yyval.val) = OP_EQ; }
#line 14818 "src/parser_bison.c"
    break;

  case 944: /* relational_op: "!="  */
#line 5290 "src/parser_bison.y"
                                                { (yyval.val) = OP_NEQ; }
#line 14824 "src/parser_bison.c"
    break;

  case 945: /* relational_op: "<"  */
#line 5291 "src/parser_bison.y"
                                                { (yyval.val) = OP_LT; }
#line 14830 "src/parser_bison.c"
    break;

  case 946: /* relational_op: ">"  */
#line 5292 "src/parser_bison.y"
                                                { (yyval.val) = OP_GT; }
#line 14836 "src/parser_bison.c"
    break;

  case 947: /* relational_op: ">="  */
#line 5293 "src/parser_bison.y"
                                                { (yyval.val) = OP_GTE; }
#line 14842 "src/parser_bison.c"
    break;

  case 948: /* relational_op: "<="  */
#line 5294 "src/parser_bison.y"
                                                { (yyval.val) = OP_LTE; }
#line 14848 "src/parser_bison.c"
    break;

  case 949: /* relational_op: "!"  */
#line 5295 "src/parser_bison.y"
                                                { (yyval.val) = OP_NEG; }
#line 14854 "src/parser_bison.c"
    break;

  case 950: /* verdict_expr: "accept"  */
#line 5299 "src/parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NF_ACCEPT, NULL);
			}
#line 14862 "src/parser_bison.c"
    break;

  case 951: /* verdict_expr: "drop"  */
#line 5303 "src/parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NF_DROP, NULL);
			}
#line 14870 "src/parser_bison.c"
    break;

  case 952: /* verdict_expr: "continue"  */
#line 5307 "src/parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_CONTINUE, NULL);
			}
#line 14878 "src/parser_bison.c"
    break;

  case 953: /* verdict_expr: "jump" chain_expr  */
#line 5311 "src/parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_JUMP, (yyvsp[0].expr));
			}
#line 14886 "src/parser_bison.c"
    break;

  case 954: /* verdict_expr: "goto" chain_expr  */
#line 5315 "src/parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_GOTO, (yyvsp[0].expr));
			}
#line 14894 "src/parser_bison.c"
    break;

  case 955: /* verdict_expr: "return"  */
#line 5319 "src/parser_bison.y"
                        {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_RETURN, NULL);
			}
#line 14902 "src/parser_bison.c"
    break;

  case 957: /* chain_expr: identifier  */
#line 5326 "src/parser_bison.y"
                        {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &string_type,
							 BYTEORDER_HOST_ENDIAN,
							 strlen((yyvsp[0].string)) * BITS_PER_BYTE,
							 (yyvsp[0].string));
				free_const((yyvsp[0].string));
			}
#line 14914 "src/parser_bison.c"
    break;

  case 958: /* meta_expr: "meta" meta_key close_scope_meta  */
#line 5336 "src/parser_bison.y"
                        {
				(yyval.expr) = meta_expr_alloc(&(yyloc), (yyvsp[-1].val));
			}
#line 14922 "src/parser_bison.c"
    break;

  case 959: /* meta_expr: meta_key_unqualified  */
#line 5340 "src/parser_bison.y"
                        {
				(yyval.expr) = meta_expr_alloc(&(yyloc), (yyvsp[0].val));
			}
#line 14930 "src/parser_bison.c"
    break;

  case 960: /* meta_expr: "meta" "string" close_scope_meta  */
#line 5344 "src/parser_bison.y"
                        {
				struct error_record *erec;
				unsigned int key;

				erec = meta_key_parse(&(yyloc), (yyvsp[-1].string), &key);
				free_const((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				(yyval.expr) = meta_expr_alloc(&(yyloc), key);
			}
#line 14948 "src/parser_bison.c"
    break;

  case 963: /* meta_key_qualified: "length"  */
#line 5363 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_LEN; }
#line 14954 "src/parser_bison.c"
    break;

  case 964: /* meta_key_qualified: "protocol"  */
#line 5364 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_PROTOCOL; }
#line 14960 "src/parser_bison.c"
    break;

  case 965: /* meta_key_qualified: "priority"  */
#line 5365 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_PRIORITY; }
#line 14966 "src/parser_bison.c"
    break;

  case 966: /* meta_key_qualified: "random"  */
#line 5366 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_PRANDOM; }
#line 14972 "src/parser_bison.c"
    break;

  case 967: /* meta_key_qualified: "secmark" close_scope_secmark  */
#line 5367 "src/parser_bison.y"
                                                            { (yyval.val) = NFT_META_SECMARK; }
#line 14978 "src/parser_bison.c"
    break;

  case 968: /* meta_key_unqualified: "mark"  */
#line 5370 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_MARK; }
#line 14984 "src/parser_bison.c"
    break;

  case 969: /* meta_key_unqualified: "iif"  */
#line 5371 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_IIF; }
#line 14990 "src/parser_bison.c"
    break;

  case 970: /* meta_key_unqualified: "iifname"  */
#line 5372 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_IIFNAME; }
#line 14996 "src/parser_bison.c"
    break;

  case 971: /* meta_key_unqualified: "iiftype"  */
#line 5373 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_IIFTYPE; }
#line 15002 "src/parser_bison.c"
    break;

  case 972: /* meta_key_unqualified: "oif"  */
#line 5374 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_OIF; }
#line 15008 "src/parser_bison.c"
    break;

  case 973: /* meta_key_unqualified: "oifname"  */
#line 5375 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_OIFNAME; }
#line 15014 "src/parser_bison.c"
    break;

  case 974: /* meta_key_unqualified: "oiftype"  */
#line 5376 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_OIFTYPE; }
#line 15020 "src/parser_bison.c"
    break;

  case 975: /* meta_key_unqualified: "skuid"  */
#line 5377 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_SKUID; }
#line 15026 "src/parser_bison.c"
    break;

  case 976: /* meta_key_unqualified: "skgid"  */
#line 5378 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_SKGID; }
#line 15032 "src/parser_bison.c"
    break;

  case 977: /* meta_key_unqualified: "nftrace"  */
#line 5379 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_NFTRACE; }
#line 15038 "src/parser_bison.c"
    break;

  case 978: /* meta_key_unqualified: "rtclassid"  */
#line 5380 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_RTCLASSID; }
#line 15044 "src/parser_bison.c"
    break;

  case 979: /* meta_key_unqualified: "ibriport"  */
#line 5381 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_BRI_IIFNAME; }
#line 15050 "src/parser_bison.c"
    break;

  case 980: /* meta_key_unqualified: "obriport"  */
#line 5382 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_BRI_OIFNAME; }
#line 15056 "src/parser_bison.c"
    break;

  case 981: /* meta_key_unqualified: "ibrname"  */
#line 5383 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_BRI_IIFNAME; }
#line 15062 "src/parser_bison.c"
    break;

  case 982: /* meta_key_unqualified: "obrname"  */
#line 5384 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_BRI_OIFNAME; }
#line 15068 "src/parser_bison.c"
    break;

  case 983: /* meta_key_unqualified: "pkttype"  */
#line 5385 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_PKTTYPE; }
#line 15074 "src/parser_bison.c"
    break;

  case 984: /* meta_key_unqualified: "cpu"  */
#line 5386 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_CPU; }
#line 15080 "src/parser_bison.c"
    break;

  case 985: /* meta_key_unqualified: "iifgroup"  */
#line 5387 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_IIFGROUP; }
#line 15086 "src/parser_bison.c"
    break;

  case 986: /* meta_key_unqualified: "oifgroup"  */
#line 5388 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_OIFGROUP; }
#line 15092 "src/parser_bison.c"
    break;

  case 987: /* meta_key_unqualified: "cgroup"  */
#line 5389 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_CGROUP; }
#line 15098 "src/parser_bison.c"
    break;

  case 988: /* meta_key_unqualified: "ipsec" close_scope_ipsec  */
#line 5390 "src/parser_bison.y"
                                                          { (yyval.val) = NFT_META_SECPATH; }
#line 15104 "src/parser_bison.c"
    break;

  case 989: /* meta_key_unqualified: "time"  */
#line 5391 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_TIME_NS; }
#line 15110 "src/parser_bison.c"
    break;

  case 990: /* meta_key_unqualified: "day"  */
#line 5392 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_TIME_DAY; }
#line 15116 "src/parser_bison.c"
    break;

  case 991: /* meta_key_unqualified: "hour"  */
#line 5393 "src/parser_bison.y"
                                                { (yyval.val) = NFT_META_TIME_HOUR; }
#line 15122 "src/parser_bison.c"
    break;

  case 992: /* meta_stmt: "meta" meta_key "set" stmt_expr close_scope_meta  */
#line 5397 "src/parser_bison.y"
                        {
				switch ((yyvsp[-3].val)) {
				case NFT_META_SECMARK:
					switch ((yyvsp[-1].expr)->etype) {
					case EXPR_CT:
						(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-1].expr));
						break;
					default:
						(yyval.stmt) = objref_stmt_alloc(&(yyloc));
						(yyval.stmt)->objref.type = NFT_OBJECT_SECMARK;
						(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
						break;
					}
					break;
				default:
					(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-1].expr));
					break;
				}
			}
#line 15146 "src/parser_bison.c"
    break;

  case 993: /* meta_stmt: meta_key_unqualified "set" stmt_expr  */
#line 5417 "src/parser_bison.y"
                        {
				(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[0].expr));
			}
#line 15154 "src/parser_bison.c"
    break;

  case 994: /* meta_stmt: "meta" "string" "set" stmt_expr close_scope_meta  */
#line 5421 "src/parser_bison.y"
                        {
				struct error_record *erec;
				unsigned int key;

				erec = meta_key_parse(&(yyloc), (yyvsp[-3].string), &key);
				free_const((yyvsp[-3].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					expr_free((yyvsp[-1].expr));
					YYERROR;
				}

				(yyval.stmt) = meta_stmt_alloc(&(yyloc), key, (yyvsp[-1].expr));
			}
#line 15173 "src/parser_bison.c"
    break;

  case 995: /* meta_stmt: "notrack"  */
#line 5436 "src/parser_bison.y"
                        {
				(yyval.stmt) = notrack_stmt_alloc(&(yyloc));
			}
#line 15181 "src/parser_bison.c"
    break;

  case 996: /* meta_stmt: "flow" "offload" "@" string close_scope_at  */
#line 5440 "src/parser_bison.y"
                        {
				(yyval.stmt) = flow_offload_stmt_alloc(&(yyloc), (yyvsp[-1].string));
			}
#line 15189 "src/parser_bison.c"
    break;

  case 997: /* meta_stmt: "flow" "add" "@" string close_scope_at  */
#line 5444 "src/parser_bison.y"
                        {
				(yyval.stmt) = flow_offload_stmt_alloc(&(yyloc), (yyvsp[-1].string));
			}
#line 15197 "src/parser_bison.c"
    break;

  case 998: /* socket_expr: "socket" socket_key close_scope_socket  */
#line 5450 "src/parser_bison.y"
                        {
				(yyval.expr) = socket_expr_alloc(&(yyloc), (yyvsp[-1].val), 0);
			}
#line 15205 "src/parser_bison.c"
    break;

  case 999: /* socket_expr: "socket" "cgroupv2" "level" "number" close_scope_socket  */
#line 5454 "src/parser_bison.y"
                        {
				(yyval.expr) = socket_expr_alloc(&(yyloc), NFT_SOCKET_CGROUPV2, (yyvsp[-1].val));
			}
#line 15213 "src/parser_bison.c"
    break;

  case 1000: /* socket_key: "transparent"  */
#line 5459 "src/parser_bison.y"
                                                { (yyval.val) = NFT_SOCKET_TRANSPARENT; }
#line 15219 "src/parser_bison.c"
    break;

  case 1001: /* socket_key: "mark"  */
#line 5460 "src/parser_bison.y"
                                                { (yyval.val) = NFT_SOCKET_MARK; }
#line 15225 "src/parser_bison.c"
    break;

  case 1002: /* socket_key: "wildcard"  */
#line 5461 "src/parser_bison.y"
                                                { (yyval.val) = NFT_SOCKET_WILDCARD; }
#line 15231 "src/parser_bison.c"
    break;

  case 1003: /* offset_opt: %empty  */
#line 5464 "src/parser_bison.y"
                                                { (yyval.val) = 0; }
#line 15237 "src/parser_bison.c"
    break;

  case 1004: /* offset_opt: "offset" "number"  */
#line 5465 "src/parser_bison.y"
                                                { (yyval.val) = (yyvsp[0].val); }
#line 15243 "src/parser_bison.c"
    break;

  case 1005: /* numgen_type: "inc"  */
#line 5468 "src/parser_bison.y"
                                                { (yyval.val) = NFT_NG_INCREMENTAL; }
#line 15249 "src/parser_bison.c"
    break;

  case 1006: /* numgen_type: "random"  */
#line 5469 "src/parser_bison.y"
                                                { (yyval.val) = NFT_NG_RANDOM; }
#line 15255 "src/parser_bison.c"
    break;

  case 1007: /* numgen_expr: "numgen" numgen_type "mod" "number" offset_opt close_scope_numgen  */
#line 5473 "src/parser_bison.y"
                        {
				(yyval.expr) = numgen_expr_alloc(&(yyloc), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 15263 "src/parser_bison.c"
    break;

  case 1008: /* xfrm_spnum: "spnum" "number"  */
#line 5478 "src/parser_bison.y"
                                            { (yyval.val) = (yyvsp[0].val); }
#line 15269 "src/parser_bison.c"
    break;

  case 1009: /* xfrm_spnum: %empty  */
#line 5479 "src/parser_bison.y"
                                            { (yyval.val) = 0; }
#line 15275 "src/parser_bison.c"
    break;

  case 1010: /* xfrm_dir: "in"  */
#line 5482 "src/parser_bison.y"
                                        { (yyval.val) = XFRM_POLICY_IN; }
#line 15281 "src/parser_bison.c"
    break;

  case 1011: /* xfrm_dir: "out"  */
#line 5483 "src/parser_bison.y"
                                        { (yyval.val) = XFRM_POLICY_OUT; }
#line 15287 "src/parser_bison.c"
    break;

  case 1012: /* xfrm_state_key: "spi"  */
#line 5486 "src/parser_bison.y"
                                    { (yyval.val) = NFT_XFRM_KEY_SPI; }
#line 15293 "src/parser_bison.c"
    break;

  case 1013: /* xfrm_state_key: "reqid"  */
#line 5487 "src/parser_bison.y"
                                      { (yyval.val) = NFT_XFRM_KEY_REQID; }
#line 15299 "src/parser_bison.c"
    break;

  case 1014: /* xfrm_state_proto_key: "daddr"  */
#line 5490 "src/parser_bison.y"
                                                { (yyval.val) = NFT_XFRM_KEY_DADDR_IP4; }
#line 15305 "src/parser_bison.c"
    break;

  case 1015: /* xfrm_state_proto_key: "saddr"  */
#line 5491 "src/parser_bison.y"
                                                { (yyval.val) = NFT_XFRM_KEY_SADDR_IP4; }
#line 15311 "src/parser_bison.c"
    break;

  case 1016: /* xfrm_expr: "ipsec" xfrm_dir xfrm_spnum xfrm_state_key close_scope_ipsec  */
#line 5495 "src/parser_bison.y"
                        {
				if ((yyvsp[-2].val) > 255) {
					erec_queue(error(&(yylsp[-2]), "value too large"), state->msgs);
					YYERROR;
				}
				(yyval.expr) = xfrm_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 15323 "src/parser_bison.c"
    break;

  case 1017: /* xfrm_expr: "ipsec" xfrm_dir xfrm_spnum nf_key_proto xfrm_state_proto_key close_scope_ipsec  */
#line 5503 "src/parser_bison.y"
                        {
				enum nft_xfrm_keys xfrmk = (yyvsp[-1].val);

				switch ((yyvsp[-2].val)) {
				case NFPROTO_IPV4:
					break;
				case NFPROTO_IPV6:
					if ((yyvsp[-1].val) == NFT_XFRM_KEY_SADDR_IP4)
						xfrmk = NFT_XFRM_KEY_SADDR_IP6;
					else if ((yyvsp[-1].val) == NFT_XFRM_KEY_DADDR_IP4)
						xfrmk = NFT_XFRM_KEY_DADDR_IP6;
					break;
				default:
					YYERROR;
					break;
				}

				if ((yyvsp[-3].val) > 255) {
					erec_queue(error(&(yylsp[-3]), "value too large"), state->msgs);
					YYERROR;
				}

				(yyval.expr) = xfrm_expr_alloc(&(yyloc), (yyvsp[-4].val), (yyvsp[-3].val), xfrmk);
			}
#line 15352 "src/parser_bison.c"
    break;

  case 1018: /* hash_expr: "jhash" expr "mod" "number" "seed" "number" offset_opt close_scope_hash  */
#line 5530 "src/parser_bison.y"
                        {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-4].val), true, (yyvsp[-2].val), (yyvsp[-1].val), NFT_HASH_JENKINS);
				(yyval.expr)->hash.expr = (yyvsp[-6].expr);
			}
#line 15361 "src/parser_bison.c"
    break;

  case 1019: /* hash_expr: "jhash" expr "mod" "number" offset_opt close_scope_hash  */
#line 5535 "src/parser_bison.y"
                        {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-2].val), false, 0, (yyvsp[-1].val), NFT_HASH_JENKINS);
				(yyval.expr)->hash.expr = (yyvsp[-4].expr);
			}
#line 15370 "src/parser_bison.c"
    break;

  case 1020: /* hash_expr: "symhash" "mod" "number" offset_opt close_scope_hash  */
#line 5540 "src/parser_bison.y"
                        {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-2].val), false, 0, (yyvsp[-1].val), NFT_HASH_SYM);
			}
#line 15378 "src/parser_bison.c"
    break;

  case 1021: /* nf_key_proto: "ip" close_scope_ip  */
#line 5545 "src/parser_bison.y"
                                                       { (yyval.val) = NFPROTO_IPV4; }
#line 15384 "src/parser_bison.c"
    break;

  case 1022: /* nf_key_proto: "ip6" close_scope_ip6  */
#line 5546 "src/parser_bison.y"
                                                        { (yyval.val) = NFPROTO_IPV6; }
#line 15390 "src/parser_bison.c"
    break;

  case 1023: /* rt_expr: "rt" rt_key close_scope_rt  */
#line 5550 "src/parser_bison.y"
                        {
				(yyval.expr) = rt_expr_alloc(&(yyloc), (yyvsp[-1].val), true);
			}
#line 15398 "src/parser_bison.c"
    break;

  case 1024: /* rt_expr: "rt" nf_key_proto rt_key close_scope_rt  */
#line 5554 "src/parser_bison.y"
                        {
				enum nft_rt_keys rtk = (yyvsp[-1].val);

				switch ((yyvsp[-2].val)) {
				case NFPROTO_IPV4:
					break;
				case NFPROTO_IPV6:
					if ((yyvsp[-1].val) == NFT_RT_NEXTHOP4)
						rtk = NFT_RT_NEXTHOP6;
					break;
				default:
					YYERROR;
					break;
				}

				(yyval.expr) = rt_expr_alloc(&(yyloc), rtk, false);
			}
#line 15420 "src/parser_bison.c"
    break;

  case 1025: /* rt_key: "classid"  */
#line 5573 "src/parser_bison.y"
                                                { (yyval.val) = NFT_RT_CLASSID; }
#line 15426 "src/parser_bison.c"
    break;

  case 1026: /* rt_key: "nexthop"  */
#line 5574 "src/parser_bison.y"
                                                { (yyval.val) = NFT_RT_NEXTHOP4; }
#line 15432 "src/parser_bison.c"
    break;

  case 1027: /* rt_key: "mtu"  */
#line 5575 "src/parser_bison.y"
                                                { (yyval.val) = NFT_RT_TCPMSS; }
#line 15438 "src/parser_bison.c"
    break;

  case 1028: /* rt_key: "ipsec" close_scope_ipsec  */
#line 5576 "src/parser_bison.y"
                                                          { (yyval.val) = NFT_RT_XFRM; }
#line 15444 "src/parser_bison.c"
    break;

  case 1029: /* ct_expr: "ct" ct_key close_scope_ct  */
#line 5580 "src/parser_bison.y"
                        {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[-1].val), -1);
			}
#line 15452 "src/parser_bison.c"
    break;

  case 1030: /* ct_expr: "ct" ct_dir ct_key_dir close_scope_ct  */
#line 5584 "src/parser_bison.y"
                        {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[-2].val));
			}
#line 15460 "src/parser_bison.c"
    break;

  case 1031: /* ct_expr: "ct" ct_dir ct_key_proto_field close_scope_ct  */
#line 5588 "src/parser_bison.y"
                        {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[-2].val));
			}
#line 15468 "src/parser_bison.c"
    break;

  case 1032: /* ct_dir: "original"  */
#line 5593 "src/parser_bison.y"
                                                { (yyval.val) = IP_CT_DIR_ORIGINAL; }
#line 15474 "src/parser_bison.c"
    break;

  case 1033: /* ct_dir: "reply"  */
#line 5594 "src/parser_bison.y"
                                                { (yyval.val) = IP_CT_DIR_REPLY; }
#line 15480 "src/parser_bison.c"
    break;

  case 1034: /* ct_key: "l3proto"  */
#line 5597 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_L3PROTOCOL; }
#line 15486 "src/parser_bison.c"
    break;

  case 1035: /* ct_key: "protocol"  */
#line 5598 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTOCOL; }
#line 15492 "src/parser_bison.c"
    break;

  case 1036: /* ct_key: "mark"  */
#line 5599 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_MARK; }
#line 15498 "src/parser_bison.c"
    break;

  case 1037: /* ct_key: "state"  */
#line 5600 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_STATE; }
#line 15504 "src/parser_bison.c"
    break;

  case 1038: /* ct_key: "direction"  */
#line 5601 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_DIRECTION; }
#line 15510 "src/parser_bison.c"
    break;

  case 1039: /* ct_key: "status"  */
#line 5602 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_STATUS; }
#line 15516 "src/parser_bison.c"
    break;

  case 1040: /* ct_key: "expiration"  */
#line 5603 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_EXPIRATION; }
#line 15522 "src/parser_bison.c"
    break;

  case 1041: /* ct_key: "helper"  */
#line 5604 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_HELPER; }
#line 15528 "src/parser_bison.c"
    break;

  case 1042: /* ct_key: "saddr"  */
#line 5605 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_SRC; }
#line 15534 "src/parser_bison.c"
    break;

  case 1043: /* ct_key: "daddr"  */
#line 5606 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_DST; }
#line 15540 "src/parser_bison.c"
    break;

  case 1044: /* ct_key: "proto-src"  */
#line 5607 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTO_SRC; }
#line 15546 "src/parser_bison.c"
    break;

  case 1045: /* ct_key: "proto-dst"  */
#line 5608 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTO_DST; }
#line 15552 "src/parser_bison.c"
    break;

  case 1046: /* ct_key: "label"  */
#line 5609 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_LABELS; }
#line 15558 "src/parser_bison.c"
    break;

  case 1047: /* ct_key: "event"  */
#line 5610 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_EVENTMASK; }
#line 15564 "src/parser_bison.c"
    break;

  case 1048: /* ct_key: "secmark" close_scope_secmark  */
#line 5611 "src/parser_bison.y"
                                                            { (yyval.val) = NFT_CT_SECMARK; }
#line 15570 "src/parser_bison.c"
    break;

  case 1049: /* ct_key: "id"  */
#line 5612 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_ID; }
#line 15576 "src/parser_bison.c"
    break;

  case 1051: /* ct_key_dir: "saddr"  */
#line 5616 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_SRC; }
#line 15582 "src/parser_bison.c"
    break;

  case 1052: /* ct_key_dir: "daddr"  */
#line 5617 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_DST; }
#line 15588 "src/parser_bison.c"
    break;

  case 1053: /* ct_key_dir: "l3proto"  */
#line 5618 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_L3PROTOCOL; }
#line 15594 "src/parser_bison.c"
    break;

  case 1054: /* ct_key_dir: "protocol"  */
#line 5619 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTOCOL; }
#line 15600 "src/parser_bison.c"
    break;

  case 1055: /* ct_key_dir: "proto-src"  */
#line 5620 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTO_SRC; }
#line 15606 "src/parser_bison.c"
    break;

  case 1056: /* ct_key_dir: "proto-dst"  */
#line 5621 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_PROTO_DST; }
#line 15612 "src/parser_bison.c"
    break;

  case 1058: /* ct_key_proto_field: "ip" "saddr" close_scope_ip  */
#line 5625 "src/parser_bison.y"
                                                               { (yyval.val) = NFT_CT_SRC_IP; }
#line 15618 "src/parser_bison.c"
    break;

  case 1059: /* ct_key_proto_field: "ip" "daddr" close_scope_ip  */
#line 5626 "src/parser_bison.y"
                                                               { (yyval.val) = NFT_CT_DST_IP; }
#line 15624 "src/parser_bison.c"
    break;

  case 1060: /* ct_key_proto_field: "ip6" "saddr" close_scope_ip6  */
#line 5627 "src/parser_bison.y"
                                                                { (yyval.val) = NFT_CT_SRC_IP6; }
#line 15630 "src/parser_bison.c"
    break;

  case 1061: /* ct_key_proto_field: "ip6" "daddr" close_scope_ip6  */
#line 5628 "src/parser_bison.y"
                                                                { (yyval.val) = NFT_CT_DST_IP6; }
#line 15636 "src/parser_bison.c"
    break;

  case 1062: /* ct_key_dir_optional: "bytes"  */
#line 5631 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_BYTES; }
#line 15642 "src/parser_bison.c"
    break;

  case 1063: /* ct_key_dir_optional: "packets"  */
#line 5632 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_PKTS; }
#line 15648 "src/parser_bison.c"
    break;

  case 1064: /* ct_key_dir_optional: "avgpkt"  */
#line 5633 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_AVGPKT; }
#line 15654 "src/parser_bison.c"
    break;

  case 1065: /* ct_key_dir_optional: "zone"  */
#line 5634 "src/parser_bison.y"
                                                { (yyval.val) = NFT_CT_ZONE; }
#line 15660 "src/parser_bison.c"
    break;

  case 1068: /* list_stmt_expr: symbol_stmt_expr "comma" symbol_stmt_expr  */
#line 5642 "src/parser_bison.y"
                        {
				(yyval.expr) = list_expr_alloc(&(yyloc));
				compound_expr_add((yyval.expr), (yyvsp[-2].expr));
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 15670 "src/parser_bison.c"
    break;

  case 1069: /* list_stmt_expr: list_stmt_expr "comma" symbol_stmt_expr  */
#line 5648 "src/parser_bison.y"
                        {
				(yyvsp[-2].expr)->location = (yyloc);
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 15680 "src/parser_bison.c"
    break;

  case 1070: /* ct_stmt: "ct" ct_key "set" stmt_expr close_scope_ct  */
#line 5656 "src/parser_bison.y"
                        {
				switch ((yyvsp[-3].val)) {
				case NFT_CT_HELPER:
					(yyval.stmt) = objref_stmt_alloc(&(yyloc));
					(yyval.stmt)->objref.type = NFT_OBJECT_CT_HELPER;
					(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
					break;
				default:
					(yyval.stmt) = ct_stmt_alloc(&(yyloc), (yyvsp[-3].val), -1, (yyvsp[-1].expr));
					break;
				}
			}
#line 15697 "src/parser_bison.c"
    break;

  case 1071: /* ct_stmt: "ct" ct_dir ct_key_dir_optional "set" stmt_expr close_scope_ct  */
#line 5669 "src/parser_bison.y"
                        {
				(yyval.stmt) = ct_stmt_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-4].val), (yyvsp[-1].expr));
			}
#line 15705 "src/parser_bison.c"
    break;

  case 1072: /* payload_stmt: payload_expr "set" stmt_expr  */
#line 5675 "src/parser_bison.y"
                        {
				if ((yyvsp[-2].expr)->etype == EXPR_EXTHDR)
					(yyval.stmt) = exthdr_stmt_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
				else
					(yyval.stmt) = payload_stmt_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 15716 "src/parser_bison.c"
    break;

  case 1095: /* payload_raw_len: "number"  */
#line 5708 "src/parser_bison.y"
                        {
				if ((yyvsp[0].val) > NFT_MAX_EXPR_LEN_BITS) {
					erec_queue(error(&(yylsp[0]), "raw payload length %u exceeds upper limit of %u",
							 (yyvsp[0].val), NFT_MAX_EXPR_LEN_BITS),
						 state->msgs);
					YYERROR;
				}

				if ((yyvsp[0].val) == 0) {
					erec_queue(error(&(yylsp[0]), "raw payload length cannot be 0"), state->msgs);
					YYERROR;
				}

				(yyval.val) = (yyvsp[0].val);
			}
#line 15736 "src/parser_bison.c"
    break;

  case 1096: /* payload_raw_expr: "@" payload_base_spec "comma" "number" "comma" payload_raw_len close_scope_at  */
#line 5726 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), NULL, 0);
				payload_init_raw((yyval.expr), (yyvsp[-5].val), (yyvsp[-3].val), (yyvsp[-1].val));
				(yyval.expr)->byteorder		= BYTEORDER_BIG_ENDIAN;
				(yyval.expr)->payload.is_raw	= true;
			}
#line 15747 "src/parser_bison.c"
    break;

  case 1097: /* payload_base_spec: "ll"  */
#line 5734 "src/parser_bison.y"
                                                { (yyval.val) = PROTO_BASE_LL_HDR; }
#line 15753 "src/parser_bison.c"
    break;

  case 1098: /* payload_base_spec: "nh"  */
#line 5735 "src/parser_bison.y"
                                                { (yyval.val) = PROTO_BASE_NETWORK_HDR; }
#line 15759 "src/parser_bison.c"
    break;

  case 1099: /* payload_base_spec: "th" close_scope_th  */
#line 5736 "src/parser_bison.y"
                                                                { (yyval.val) = PROTO_BASE_TRANSPORT_HDR; }
#line 15765 "src/parser_bison.c"
    break;

  case 1100: /* payload_base_spec: "string"  */
#line 5738 "src/parser_bison.y"
                        {
				if (!strcmp((yyvsp[0].string), "ih")) {
					(yyval.val) = PROTO_BASE_INNER_HDR;
				} else {
					erec_queue(error(&(yylsp[0]), "unknown raw payload base"), state->msgs);
					free_const((yyvsp[0].string));
					YYERROR;
				}
				free_const((yyvsp[0].string));
			}
#line 15780 "src/parser_bison.c"
    break;

  case 1101: /* eth_hdr_expr: "ether" eth_hdr_field close_scope_eth  */
#line 5751 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_eth, (yyvsp[-1].val));
			}
#line 15788 "src/parser_bison.c"
    break;

  case 1102: /* eth_hdr_field: "saddr"  */
#line 5756 "src/parser_bison.y"
                                                { (yyval.val) = ETHHDR_SADDR; }
#line 15794 "src/parser_bison.c"
    break;

  case 1103: /* eth_hdr_field: "daddr"  */
#line 5757 "src/parser_bison.y"
                                                { (yyval.val) = ETHHDR_DADDR; }
#line 15800 "src/parser_bison.c"
    break;

  case 1104: /* eth_hdr_field: "type" close_scope_type  */
#line 5758 "src/parser_bison.y"
                                                                        { (yyval.val) = ETHHDR_TYPE; }
#line 15806 "src/parser_bison.c"
    break;

  case 1105: /* vlan_hdr_expr: "vlan" vlan_hdr_field close_scope_vlan  */
#line 5762 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_vlan, (yyvsp[-1].val));
			}
#line 15814 "src/parser_bison.c"
    break;

  case 1106: /* vlan_hdr_field: "id"  */
#line 5767 "src/parser_bison.y"
                                                { (yyval.val) = VLANHDR_VID; }
#line 15820 "src/parser_bison.c"
    break;

  case 1107: /* vlan_hdr_field: "cfi"  */
#line 5768 "src/parser_bison.y"
                                                { (yyval.val) = VLANHDR_CFI; }
#line 15826 "src/parser_bison.c"
    break;

  case 1108: /* vlan_hdr_field: "dei"  */
#line 5769 "src/parser_bison.y"
                                                { (yyval.val) = VLANHDR_DEI; }
#line 15832 "src/parser_bison.c"
    break;

  case 1109: /* vlan_hdr_field: "pcp"  */
#line 5770 "src/parser_bison.y"
                                                { (yyval.val) = VLANHDR_PCP; }
#line 15838 "src/parser_bison.c"
    break;

  case 1110: /* vlan_hdr_field: "type" close_scope_type  */
#line 5771 "src/parser_bison.y"
                                                                        { (yyval.val) = VLANHDR_TYPE; }
#line 15844 "src/parser_bison.c"
    break;

  case 1111: /* arp_hdr_expr: "arp" arp_hdr_field close_scope_arp  */
#line 5775 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_arp, (yyvsp[-1].val));
			}
#line 15852 "src/parser_bison.c"
    break;

  case 1112: /* arp_hdr_field: "htype"  */
#line 5780 "src/parser_bison.y"
                                                { (yyval.val) = ARPHDR_HRD; }
#line 15858 "src/parser_bison.c"
    break;

  case 1113: /* arp_hdr_field: "ptype"  */
#line 5781 "src/parser_bison.y"
                                                { (yyval.val) = ARPHDR_PRO; }
#line 15864 "src/parser_bison.c"
    break;

  case 1114: /* arp_hdr_field: "hlen"  */
#line 5782 "src/parser_bison.y"
                                                { (yyval.val) = ARPHDR_HLN; }
#line 15870 "src/parser_bison.c"
    break;

  case 1115: /* arp_hdr_field: "plen"  */
#line 5783 "src/parser_bison.y"
                                                { (yyval.val) = ARPHDR_PLN; }
#line 15876 "src/parser_bison.c"
    break;

  case 1116: /* arp_hdr_field: "operation"  */
#line 5784 "src/parser_bison.y"
                                                { (yyval.val) = ARPHDR_OP; }
#line 15882 "src/parser_bison.c"
    break;

  case 1117: /* arp_hdr_field: "saddr" "ether" close_scope_eth  */
#line 5785 "src/parser_bison.y"
                                                                { (yyval.val) = ARPHDR_SADDR_ETHER; }
#line 15888 "src/parser_bison.c"
    break;

  case 1118: /* arp_hdr_field: "daddr" "ether" close_scope_eth  */
#line 5786 "src/parser_bison.y"
                                                                { (yyval.val) = ARPHDR_DADDR_ETHER; }
#line 15894 "src/parser_bison.c"
    break;

  case 1119: /* arp_hdr_field: "saddr" "ip" close_scope_ip  */
#line 5787 "src/parser_bison.y"
                                                                { (yyval.val) = ARPHDR_SADDR_IP; }
#line 15900 "src/parser_bison.c"
    break;

  case 1120: /* arp_hdr_field: "daddr" "ip" close_scope_ip  */
#line 5788 "src/parser_bison.y"
                                                                { (yyval.val) = ARPHDR_DADDR_IP; }
#line 15906 "src/parser_bison.c"
    break;

  case 1121: /* ip_hdr_expr: "ip" ip_hdr_field close_scope_ip  */
#line 5792 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ip, (yyvsp[-1].val));
			}
#line 15914 "src/parser_bison.c"
    break;

  case 1122: /* ip_hdr_expr: "ip" "option" ip_option_type ip_option_field close_scope_ip  */
#line 5796 "src/parser_bison.y"
                        {
				(yyval.expr) = ipopt_expr_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[-1].val));
				if (!(yyval.expr)) {
					erec_queue(error(&(yylsp[-4]), "unknown ip option type/field"), state->msgs);
					YYERROR;
				}
			}
#line 15926 "src/parser_bison.c"
    break;

  case 1123: /* ip_hdr_expr: "ip" "option" ip_option_type close_scope_ip  */
#line 5804 "src/parser_bison.y"
                        {
				(yyval.expr) = ipopt_expr_alloc(&(yyloc), (yyvsp[-1].val), IPOPT_FIELD_TYPE);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 15935 "src/parser_bison.c"
    break;

  case 1124: /* ip_hdr_field: "version"  */
#line 5810 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_VERSION; }
#line 15941 "src/parser_bison.c"
    break;

  case 1125: /* ip_hdr_field: "hdrlength"  */
#line 5811 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_HDRLENGTH; }
#line 15947 "src/parser_bison.c"
    break;

  case 1126: /* ip_hdr_field: "dscp"  */
#line 5812 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_DSCP; }
#line 15953 "src/parser_bison.c"
    break;

  case 1127: /* ip_hdr_field: "ecn"  */
#line 5813 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_ECN; }
#line 15959 "src/parser_bison.c"
    break;

  case 1128: /* ip_hdr_field: "length"  */
#line 5814 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_LENGTH; }
#line 15965 "src/parser_bison.c"
    break;

  case 1129: /* ip_hdr_field: "id"  */
#line 5815 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_ID; }
#line 15971 "src/parser_bison.c"
    break;

  case 1130: /* ip_hdr_field: "frag-off"  */
#line 5816 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_FRAG_OFF; }
#line 15977 "src/parser_bison.c"
    break;

  case 1131: /* ip_hdr_field: "ttl"  */
#line 5817 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_TTL; }
#line 15983 "src/parser_bison.c"
    break;

  case 1132: /* ip_hdr_field: "protocol"  */
#line 5818 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_PROTOCOL; }
#line 15989 "src/parser_bison.c"
    break;

  case 1133: /* ip_hdr_field: "checksum"  */
#line 5819 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_CHECKSUM; }
#line 15995 "src/parser_bison.c"
    break;

  case 1134: /* ip_hdr_field: "saddr"  */
#line 5820 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_SADDR; }
#line 16001 "src/parser_bison.c"
    break;

  case 1135: /* ip_hdr_field: "daddr"  */
#line 5821 "src/parser_bison.y"
                                                { (yyval.val) = IPHDR_DADDR; }
#line 16007 "src/parser_bison.c"
    break;

  case 1136: /* ip_option_type: "lsrr"  */
#line 5824 "src/parser_bison.y"
                                                { (yyval.val) = IPOPT_LSRR; }
#line 16013 "src/parser_bison.c"
    break;

  case 1137: /* ip_option_type: "rr"  */
#line 5825 "src/parser_bison.y"
                                                { (yyval.val) = IPOPT_RR; }
#line 16019 "src/parser_bison.c"
    break;

  case 1138: /* ip_option_type: "ssrr"  */
#line 5826 "src/parser_bison.y"
                                                { (yyval.val) = IPOPT_SSRR; }
#line 16025 "src/parser_bison.c"
    break;

  case 1139: /* ip_option_type: "ra"  */
#line 5827 "src/parser_bison.y"
                                                { (yyval.val) = IPOPT_RA; }
#line 16031 "src/parser_bison.c"
    break;

  case 1140: /* ip_option_field: "type" close_scope_type  */
#line 5830 "src/parser_bison.y"
                                                                        { (yyval.val) = IPOPT_FIELD_TYPE; }
#line 16037 "src/parser_bison.c"
    break;

  case 1141: /* ip_option_field: "length"  */
#line 5831 "src/parser_bison.y"
                                                { (yyval.val) = IPOPT_FIELD_LENGTH; }
#line 16043 "src/parser_bison.c"
    break;

  case 1142: /* ip_option_field: "value"  */
#line 5832 "src/parser_bison.y"
                                                { (yyval.val) = IPOPT_FIELD_VALUE; }
#line 16049 "src/parser_bison.c"
    break;

  case 1143: /* ip_option_field: "ptr"  */
#line 5833 "src/parser_bison.y"
                                                { (yyval.val) = IPOPT_FIELD_PTR; }
#line 16055 "src/parser_bison.c"
    break;

  case 1144: /* ip_option_field: "addr"  */
#line 5834 "src/parser_bison.y"
                                                { (yyval.val) = IPOPT_FIELD_ADDR_0; }
#line 16061 "src/parser_bison.c"
    break;

  case 1145: /* icmp_hdr_expr: "icmp" icmp_hdr_field close_scope_icmp  */
#line 5838 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_icmp, (yyvsp[-1].val));
			}
#line 16069 "src/parser_bison.c"
    break;

  case 1146: /* icmp_hdr_field: "type" close_scope_type  */
#line 5843 "src/parser_bison.y"
                                                                        { (yyval.val) = ICMPHDR_TYPE; }
#line 16075 "src/parser_bison.c"
    break;

  case 1147: /* icmp_hdr_field: "code"  */
#line 5844 "src/parser_bison.y"
                                                { (yyval.val) = ICMPHDR_CODE; }
#line 16081 "src/parser_bison.c"
    break;

  case 1148: /* icmp_hdr_field: "checksum"  */
#line 5845 "src/parser_bison.y"
                                                { (yyval.val) = ICMPHDR_CHECKSUM; }
#line 16087 "src/parser_bison.c"
    break;

  case 1149: /* icmp_hdr_field: "id"  */
#line 5846 "src/parser_bison.y"
                                                { (yyval.val) = ICMPHDR_ID; }
#line 16093 "src/parser_bison.c"
    break;

  case 1150: /* icmp_hdr_field: "seq"  */
#line 5847 "src/parser_bison.y"
                                                { (yyval.val) = ICMPHDR_SEQ; }
#line 16099 "src/parser_bison.c"
    break;

  case 1151: /* icmp_hdr_field: "gateway"  */
#line 5848 "src/parser_bison.y"
                                                { (yyval.val) = ICMPHDR_GATEWAY; }
#line 16105 "src/parser_bison.c"
    break;

  case 1152: /* icmp_hdr_field: "mtu"  */
#line 5849 "src/parser_bison.y"
                                                { (yyval.val) = ICMPHDR_MTU; }
#line 16111 "src/parser_bison.c"
    break;

  case 1153: /* igmp_hdr_expr: "igmp" igmp_hdr_field close_scope_igmp  */
#line 5853 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_igmp, (yyvsp[-1].val));
			}
#line 16119 "src/parser_bison.c"
    break;

  case 1154: /* igmp_hdr_field: "type" close_scope_type  */
#line 5858 "src/parser_bison.y"
                                                                        { (yyval.val) = IGMPHDR_TYPE; }
#line 16125 "src/parser_bison.c"
    break;

  case 1155: /* igmp_hdr_field: "checksum"  */
#line 5859 "src/parser_bison.y"
                                                { (yyval.val) = IGMPHDR_CHECKSUM; }
#line 16131 "src/parser_bison.c"
    break;

  case 1156: /* igmp_hdr_field: "mrt"  */
#line 5860 "src/parser_bison.y"
                                                { (yyval.val) = IGMPHDR_MRT; }
#line 16137 "src/parser_bison.c"
    break;

  case 1157: /* igmp_hdr_field: "group"  */
#line 5861 "src/parser_bison.y"
                                                { (yyval.val) = IGMPHDR_GROUP; }
#line 16143 "src/parser_bison.c"
    break;

  case 1158: /* ip6_hdr_expr: "ip6" ip6_hdr_field close_scope_ip6  */
#line 5865 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ip6, (yyvsp[-1].val));
			}
#line 16151 "src/parser_bison.c"
    break;

  case 1159: /* ip6_hdr_field: "version"  */
#line 5870 "src/parser_bison.y"
                                                { (yyval.val) = IP6HDR_VERSION; }
#line 16157 "src/parser_bison.c"
    break;

  case 1160: /* ip6_hdr_field: "dscp"  */
#line 5871 "src/parser_bison.y"
                                                { (yyval.val) = IP6HDR_DSCP; }
#line 16163 "src/parser_bison.c"
    break;

  case 1161: /* ip6_hdr_field: "ecn"  */
#line 5872 "src/parser_bison.y"
                                                { (yyval.val) = IP6HDR_ECN; }
#line 16169 "src/parser_bison.c"
    break;

  case 1162: /* ip6_hdr_field: "flowlabel"  */
#line 5873 "src/parser_bison.y"
                                                { (yyval.val) = IP6HDR_FLOWLABEL; }
#line 16175 "src/parser_bison.c"
    break;

  case 1163: /* ip6_hdr_field: "length"  */
#line 5874 "src/parser_bison.y"
                                                { (yyval.val) = IP6HDR_LENGTH; }
#line 16181 "src/parser_bison.c"
    break;

  case 1164: /* ip6_hdr_field: "nexthdr"  */
#line 5875 "src/parser_bison.y"
                                                { (yyval.val) = IP6HDR_NEXTHDR; }
#line 16187 "src/parser_bison.c"
    break;

  case 1165: /* ip6_hdr_field: "hoplimit"  */
#line 5876 "src/parser_bison.y"
                                                { (yyval.val) = IP6HDR_HOPLIMIT; }
#line 16193 "src/parser_bison.c"
    break;

  case 1166: /* ip6_hdr_field: "saddr"  */
#line 5877 "src/parser_bison.y"
                                                { (yyval.val) = IP6HDR_SADDR; }
#line 16199 "src/parser_bison.c"
    break;

  case 1167: /* ip6_hdr_field: "daddr"  */
#line 5878 "src/parser_bison.y"
                                                { (yyval.val) = IP6HDR_DADDR; }
#line 16205 "src/parser_bison.c"
    break;

  case 1168: /* icmp6_hdr_expr: "icmpv6" icmp6_hdr_field close_scope_icmp  */
#line 5881 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_icmp6, (yyvsp[-1].val));
			}
#line 16213 "src/parser_bison.c"
    break;

  case 1169: /* icmp6_hdr_field: "type" close_scope_type  */
#line 5886 "src/parser_bison.y"
                                                                        { (yyval.val) = ICMP6HDR_TYPE; }
#line 16219 "src/parser_bison.c"
    break;

  case 1170: /* icmp6_hdr_field: "code"  */
#line 5887 "src/parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_CODE; }
#line 16225 "src/parser_bison.c"
    break;

  case 1171: /* icmp6_hdr_field: "checksum"  */
#line 5888 "src/parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_CHECKSUM; }
#line 16231 "src/parser_bison.c"
    break;

  case 1172: /* icmp6_hdr_field: "param-problem"  */
#line 5889 "src/parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_PPTR; }
#line 16237 "src/parser_bison.c"
    break;

  case 1173: /* icmp6_hdr_field: "mtu"  */
#line 5890 "src/parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_MTU; }
#line 16243 "src/parser_bison.c"
    break;

  case 1174: /* icmp6_hdr_field: "id"  */
#line 5891 "src/parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_ID; }
#line 16249 "src/parser_bison.c"
    break;

  case 1175: /* icmp6_hdr_field: "seq"  */
#line 5892 "src/parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_SEQ; }
#line 16255 "src/parser_bison.c"
    break;

  case 1176: /* icmp6_hdr_field: "max-delay"  */
#line 5893 "src/parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_MAXDELAY; }
#line 16261 "src/parser_bison.c"
    break;

  case 1177: /* icmp6_hdr_field: "taddr"  */
#line 5894 "src/parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_TADDR; }
#line 16267 "src/parser_bison.c"
    break;

  case 1178: /* icmp6_hdr_field: "daddr"  */
#line 5895 "src/parser_bison.y"
                                                { (yyval.val) = ICMP6HDR_DADDR; }
#line 16273 "src/parser_bison.c"
    break;

  case 1179: /* auth_hdr_expr: "ah" auth_hdr_field close_scope_ah  */
#line 5899 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ah, (yyvsp[-1].val));
			}
#line 16281 "src/parser_bison.c"
    break;

  case 1180: /* auth_hdr_field: "nexthdr"  */
#line 5904 "src/parser_bison.y"
                                                { (yyval.val) = AHHDR_NEXTHDR; }
#line 16287 "src/parser_bison.c"
    break;

  case 1181: /* auth_hdr_field: "hdrlength"  */
#line 5905 "src/parser_bison.y"
                                                { (yyval.val) = AHHDR_HDRLENGTH; }
#line 16293 "src/parser_bison.c"
    break;

  case 1182: /* auth_hdr_field: "reserved"  */
#line 5906 "src/parser_bison.y"
                                                { (yyval.val) = AHHDR_RESERVED; }
#line 16299 "src/parser_bison.c"
    break;

  case 1183: /* auth_hdr_field: "spi"  */
#line 5907 "src/parser_bison.y"
                                                { (yyval.val) = AHHDR_SPI; }
#line 16305 "src/parser_bison.c"
    break;

  case 1184: /* auth_hdr_field: "seq"  */
#line 5908 "src/parser_bison.y"
                                                { (yyval.val) = AHHDR_SEQUENCE; }
#line 16311 "src/parser_bison.c"
    break;

  case 1185: /* esp_hdr_expr: "esp" esp_hdr_field close_scope_esp  */
#line 5912 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_esp, (yyvsp[-1].val));
			}
#line 16319 "src/parser_bison.c"
    break;

  case 1186: /* esp_hdr_field: "spi"  */
#line 5917 "src/parser_bison.y"
                                                { (yyval.val) = ESPHDR_SPI; }
#line 16325 "src/parser_bison.c"
    break;

  case 1187: /* esp_hdr_field: "seq"  */
#line 5918 "src/parser_bison.y"
                                                { (yyval.val) = ESPHDR_SEQUENCE; }
#line 16331 "src/parser_bison.c"
    break;

  case 1188: /* comp_hdr_expr: "comp" comp_hdr_field close_scope_comp  */
#line 5922 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_comp, (yyvsp[-1].val));
			}
#line 16339 "src/parser_bison.c"
    break;

  case 1189: /* comp_hdr_field: "nexthdr"  */
#line 5927 "src/parser_bison.y"
                                                { (yyval.val) = COMPHDR_NEXTHDR; }
#line 16345 "src/parser_bison.c"
    break;

  case 1190: /* comp_hdr_field: "flags"  */
#line 5928 "src/parser_bison.y"
                                                { (yyval.val) = COMPHDR_FLAGS; }
#line 16351 "src/parser_bison.c"
    break;

  case 1191: /* comp_hdr_field: "cpi"  */
#line 5929 "src/parser_bison.y"
                                                { (yyval.val) = COMPHDR_CPI; }
#line 16357 "src/parser_bison.c"
    break;

  case 1192: /* udp_hdr_expr: "udp" udp_hdr_field close_scope_udp  */
#line 5933 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_udp, (yyvsp[-1].val));
			}
#line 16365 "src/parser_bison.c"
    break;

  case 1193: /* udp_hdr_field: "sport"  */
#line 5938 "src/parser_bison.y"
                                                { (yyval.val) = UDPHDR_SPORT; }
#line 16371 "src/parser_bison.c"
    break;

  case 1194: /* udp_hdr_field: "dport"  */
#line 5939 "src/parser_bison.y"
                                                { (yyval.val) = UDPHDR_DPORT; }
#line 16377 "src/parser_bison.c"
    break;

  case 1195: /* udp_hdr_field: "length"  */
#line 5940 "src/parser_bison.y"
                                                { (yyval.val) = UDPHDR_LENGTH; }
#line 16383 "src/parser_bison.c"
    break;

  case 1196: /* udp_hdr_field: "checksum"  */
#line 5941 "src/parser_bison.y"
                                                { (yyval.val) = UDPHDR_CHECKSUM; }
#line 16389 "src/parser_bison.c"
    break;

  case 1197: /* udplite_hdr_expr: "udplite" udplite_hdr_field close_scope_udplite  */
#line 5945 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_udplite, (yyvsp[-1].val));
			}
#line 16397 "src/parser_bison.c"
    break;

  case 1198: /* udplite_hdr_field: "sport"  */
#line 5950 "src/parser_bison.y"
                                                { (yyval.val) = UDPHDR_SPORT; }
#line 16403 "src/parser_bison.c"
    break;

  case 1199: /* udplite_hdr_field: "dport"  */
#line 5951 "src/parser_bison.y"
                                                { (yyval.val) = UDPHDR_DPORT; }
#line 16409 "src/parser_bison.c"
    break;

  case 1200: /* udplite_hdr_field: "csumcov"  */
#line 5952 "src/parser_bison.y"
                                                { (yyval.val) = UDPHDR_LENGTH; }
#line 16415 "src/parser_bison.c"
    break;

  case 1201: /* udplite_hdr_field: "checksum"  */
#line 5953 "src/parser_bison.y"
                                                { (yyval.val) = UDPHDR_CHECKSUM; }
#line 16421 "src/parser_bison.c"
    break;

  case 1202: /* tcp_hdr_expr: "tcp" tcp_hdr_field  */
#line 5957 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_tcp, (yyvsp[0].val));
			}
#line 16429 "src/parser_bison.c"
    break;

  case 1203: /* tcp_hdr_expr: "tcp" "option" tcp_hdr_option_type  */
#line 5961 "src/parser_bison.y"
                        {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[0].val), TCPOPT_COMMON_KIND);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 16438 "src/parser_bison.c"
    break;

  case 1204: /* tcp_hdr_expr: "tcp" "option" tcp_hdr_option_kind_and_field  */
#line 5966 "src/parser_bison.y"
                        {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[0].tcp_kind_field).kind, (yyvsp[0].tcp_kind_field).field);
				if ((yyval.expr) == NULL) {
					erec_queue(error(&(yylsp[-2]), "Could not find a tcp option template"), state->msgs);
					YYERROR;
				}
			}
#line 16450 "src/parser_bison.c"
    break;

  case 1205: /* tcp_hdr_expr: "tcp" "option" "@" close_scope_at tcp_hdr_option_type "comma" "number" "comma" payload_raw_len  */
#line 5974 "src/parser_bison.y"
                        {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[-4].val), 0);
				tcpopt_init_raw((yyval.expr), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[0].val), 0);
			}
#line 16459 "src/parser_bison.c"
    break;

  case 1225: /* vxlan_hdr_expr: "vxlan" vxlan_hdr_field  */
#line 6006 "src/parser_bison.y"
                        {
				struct expr *expr;

				expr = payload_expr_alloc(&(yyloc), &proto_vxlan, (yyvsp[0].val));
				expr->payload.inner_desc = &proto_vxlan;
				(yyval.expr) = expr;
			}
#line 16471 "src/parser_bison.c"
    break;

  case 1226: /* vxlan_hdr_expr: "vxlan" inner_expr  */
#line 6014 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
				(yyval.expr)->location = (yyloc);
				(yyval.expr)->payload.inner_desc = &proto_vxlan;
			}
#line 16481 "src/parser_bison.c"
    break;

  case 1227: /* vxlan_hdr_field: "vni"  */
#line 6021 "src/parser_bison.y"
                                                        { (yyval.val) = VXLANHDR_VNI; }
#line 16487 "src/parser_bison.c"
    break;

  case 1228: /* vxlan_hdr_field: "flags"  */
#line 6022 "src/parser_bison.y"
                                                        { (yyval.val) = VXLANHDR_FLAGS; }
#line 16493 "src/parser_bison.c"
    break;

  case 1229: /* geneve_hdr_expr: "geneve" geneve_hdr_field  */
#line 6026 "src/parser_bison.y"
                        {
				struct expr *expr;

				expr = payload_expr_alloc(&(yyloc), &proto_geneve, (yyvsp[0].val));
				expr->payload.inner_desc = &proto_geneve;
				(yyval.expr) = expr;
			}
#line 16505 "src/parser_bison.c"
    break;

  case 1230: /* geneve_hdr_expr: "geneve" inner_expr  */
#line 6034 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
				(yyval.expr)->location = (yyloc);
				(yyval.expr)->payload.inner_desc = &proto_geneve;
			}
#line 16515 "src/parser_bison.c"
    break;

  case 1231: /* geneve_hdr_field: "vni"  */
#line 6041 "src/parser_bison.y"
                                                        { (yyval.val) = GNVHDR_VNI; }
#line 16521 "src/parser_bison.c"
    break;

  case 1232: /* geneve_hdr_field: "type"  */
#line 6042 "src/parser_bison.y"
                                                        { (yyval.val) = GNVHDR_TYPE; }
#line 16527 "src/parser_bison.c"
    break;

  case 1233: /* gre_hdr_expr: "gre" gre_hdr_field close_scope_gre  */
#line 6046 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_gre, (yyvsp[-1].val));
			}
#line 16535 "src/parser_bison.c"
    break;

  case 1234: /* gre_hdr_expr: "gre" close_scope_gre inner_inet_expr  */
#line 6050 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
				(yyval.expr)->payload.inner_desc = &proto_gre;
			}
#line 16544 "src/parser_bison.c"
    break;

  case 1235: /* gre_hdr_field: "version"  */
#line 6056 "src/parser_bison.y"
                                                        { (yyval.val) = GREHDR_VERSION;	}
#line 16550 "src/parser_bison.c"
    break;

  case 1236: /* gre_hdr_field: "flags"  */
#line 6057 "src/parser_bison.y"
                                                        { (yyval.val) = GREHDR_FLAGS; }
#line 16556 "src/parser_bison.c"
    break;

  case 1237: /* gre_hdr_field: "protocol"  */
#line 6058 "src/parser_bison.y"
                                                        { (yyval.val) = GREHDR_PROTOCOL; }
#line 16562 "src/parser_bison.c"
    break;

  case 1238: /* gretap_hdr_expr: "gretap" close_scope_gre inner_expr  */
#line 6062 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[0].expr);
				(yyval.expr)->payload.inner_desc = &proto_gretap;
			}
#line 16571 "src/parser_bison.c"
    break;

  case 1239: /* optstrip_stmt: "reset" "tcp" "option" tcp_hdr_option_type close_scope_tcp  */
#line 6069 "src/parser_bison.y"
                        {
				(yyval.stmt) = optstrip_stmt_alloc(&(yyloc), tcpopt_expr_alloc(&(yyloc),
										(yyvsp[-1].val), TCPOPT_COMMON_KIND));
			}
#line 16580 "src/parser_bison.c"
    break;

  case 1240: /* tcp_hdr_field: "sport"  */
#line 6075 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_SPORT; }
#line 16586 "src/parser_bison.c"
    break;

  case 1241: /* tcp_hdr_field: "dport"  */
#line 6076 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_DPORT; }
#line 16592 "src/parser_bison.c"
    break;

  case 1242: /* tcp_hdr_field: "seq"  */
#line 6077 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_SEQ; }
#line 16598 "src/parser_bison.c"
    break;

  case 1243: /* tcp_hdr_field: "ackseq"  */
#line 6078 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_ACKSEQ; }
#line 16604 "src/parser_bison.c"
    break;

  case 1244: /* tcp_hdr_field: "doff"  */
#line 6079 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_DOFF; }
#line 16610 "src/parser_bison.c"
    break;

  case 1245: /* tcp_hdr_field: "reserved"  */
#line 6080 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_RESERVED; }
#line 16616 "src/parser_bison.c"
    break;

  case 1246: /* tcp_hdr_field: "flags"  */
#line 6081 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_FLAGS; }
#line 16622 "src/parser_bison.c"
    break;

  case 1247: /* tcp_hdr_field: "window"  */
#line 6082 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_WINDOW; }
#line 16628 "src/parser_bison.c"
    break;

  case 1248: /* tcp_hdr_field: "checksum"  */
#line 6083 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_CHECKSUM; }
#line 16634 "src/parser_bison.c"
    break;

  case 1249: /* tcp_hdr_field: "urgptr"  */
#line 6084 "src/parser_bison.y"
                                                { (yyval.val) = TCPHDR_URGPTR; }
#line 16640 "src/parser_bison.c"
    break;

  case 1250: /* tcp_hdr_option_kind_and_field: "mss" tcpopt_field_maxseg  */
#line 6088 "src/parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_MAXSEG, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16649 "src/parser_bison.c"
    break;

  case 1251: /* tcp_hdr_option_kind_and_field: tcp_hdr_option_sack tcpopt_field_sack  */
#line 6093 "src/parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = (yyvsp[-1].val), .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16658 "src/parser_bison.c"
    break;

  case 1252: /* tcp_hdr_option_kind_and_field: "window" tcpopt_field_window  */
#line 6098 "src/parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_WINDOW, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16667 "src/parser_bison.c"
    break;

  case 1253: /* tcp_hdr_option_kind_and_field: "timestamp" tcpopt_field_tsopt  */
#line 6103 "src/parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_TIMESTAMP, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16676 "src/parser_bison.c"
    break;

  case 1254: /* tcp_hdr_option_kind_and_field: tcp_hdr_option_type "length"  */
#line 6108 "src/parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = (yyvsp[-1].val), .field = TCPOPT_COMMON_LENGTH };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16685 "src/parser_bison.c"
    break;

  case 1255: /* tcp_hdr_option_kind_and_field: "mptcp" tcpopt_field_mptcp  */
#line 6113 "src/parser_bison.y"
                                {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_MPTCP, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 16694 "src/parser_bison.c"
    break;

  case 1256: /* tcp_hdr_option_sack: "sack"  */
#line 6119 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK; }
#line 16700 "src/parser_bison.c"
    break;

  case 1257: /* tcp_hdr_option_sack: "sack0"  */
#line 6120 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK; }
#line 16706 "src/parser_bison.c"
    break;

  case 1258: /* tcp_hdr_option_sack: "sack1"  */
#line 6121 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK1; }
#line 16712 "src/parser_bison.c"
    break;

  case 1259: /* tcp_hdr_option_sack: "sack2"  */
#line 6122 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK2; }
#line 16718 "src/parser_bison.c"
    break;

  case 1260: /* tcp_hdr_option_sack: "sack3"  */
#line 6123 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_KIND_SACK3; }
#line 16724 "src/parser_bison.c"
    break;

  case 1261: /* tcp_hdr_option_type: "echo"  */
#line 6126 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_ECHO; }
#line 16730 "src/parser_bison.c"
    break;

  case 1262: /* tcp_hdr_option_type: "eol"  */
#line 6127 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_EOL; }
#line 16736 "src/parser_bison.c"
    break;

  case 1263: /* tcp_hdr_option_type: "fastopen"  */
#line 6128 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_FASTOPEN; }
#line 16742 "src/parser_bison.c"
    break;

  case 1264: /* tcp_hdr_option_type: "md5sig"  */
#line 6129 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_MD5SIG; }
#line 16748 "src/parser_bison.c"
    break;

  case 1265: /* tcp_hdr_option_type: "mptcp"  */
#line 6130 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_MPTCP; }
#line 16754 "src/parser_bison.c"
    break;

  case 1266: /* tcp_hdr_option_type: "mss"  */
#line 6131 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_MAXSEG; }
#line 16760 "src/parser_bison.c"
    break;

  case 1267: /* tcp_hdr_option_type: "nop"  */
#line 6132 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_NOP; }
#line 16766 "src/parser_bison.c"
    break;

  case 1268: /* tcp_hdr_option_type: "sack-permitted"  */
#line 6133 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_SACK_PERMITTED; }
#line 16772 "src/parser_bison.c"
    break;

  case 1269: /* tcp_hdr_option_type: "timestamp"  */
#line 6134 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_TIMESTAMP; }
#line 16778 "src/parser_bison.c"
    break;

  case 1270: /* tcp_hdr_option_type: "window"  */
#line 6135 "src/parser_bison.y"
                                                        { (yyval.val) = TCPOPT_KIND_WINDOW; }
#line 16784 "src/parser_bison.c"
    break;

  case 1271: /* tcp_hdr_option_type: tcp_hdr_option_sack  */
#line 6136 "src/parser_bison.y"
                                                        { (yyval.val) = (yyvsp[0].val); }
#line 16790 "src/parser_bison.c"
    break;

  case 1272: /* tcp_hdr_option_type: "number"  */
#line 6137 "src/parser_bison.y"
                                                        {
				if ((yyvsp[0].val) > 255) {
					erec_queue(error(&(yylsp[0]), "value too large"), state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[0].val);
			}
#line 16802 "src/parser_bison.c"
    break;

  case 1273: /* tcpopt_field_sack: "left"  */
#line 6146 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_SACK_LEFT; }
#line 16808 "src/parser_bison.c"
    break;

  case 1274: /* tcpopt_field_sack: "right"  */
#line 6147 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_SACK_RIGHT; }
#line 16814 "src/parser_bison.c"
    break;

  case 1275: /* tcpopt_field_window: "count"  */
#line 6150 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_WINDOW_COUNT; }
#line 16820 "src/parser_bison.c"
    break;

  case 1276: /* tcpopt_field_tsopt: "tsval"  */
#line 6153 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_TS_TSVAL; }
#line 16826 "src/parser_bison.c"
    break;

  case 1277: /* tcpopt_field_tsopt: "tsecr"  */
#line 6154 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_TS_TSECR; }
#line 16832 "src/parser_bison.c"
    break;

  case 1278: /* tcpopt_field_maxseg: "size"  */
#line 6157 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_MAXSEG_SIZE; }
#line 16838 "src/parser_bison.c"
    break;

  case 1279: /* tcpopt_field_mptcp: "subtype"  */
#line 6160 "src/parser_bison.y"
                                                { (yyval.val) = TCPOPT_MPTCP_SUBTYPE; }
#line 16844 "src/parser_bison.c"
    break;

  case 1280: /* dccp_hdr_expr: "dccp" dccp_hdr_field close_scope_dccp  */
#line 6164 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_dccp, (yyvsp[-1].val));
			}
#line 16852 "src/parser_bison.c"
    break;

  case 1281: /* dccp_hdr_expr: "dccp" "option" "number" close_scope_dccp  */
#line 6168 "src/parser_bison.y"
                        {
				if ((yyvsp[-1].val) > DCCPOPT_TYPE_MAX) {
					erec_queue(error(&(yylsp[-3]), "value too large"),
						   state->msgs);
					YYERROR;
				}
				(yyval.expr) = dccpopt_expr_alloc(&(yyloc), (yyvsp[-1].val));
			}
#line 16865 "src/parser_bison.c"
    break;

  case 1282: /* dccp_hdr_field: "sport"  */
#line 6178 "src/parser_bison.y"
                                                { (yyval.val) = DCCPHDR_SPORT; }
#line 16871 "src/parser_bison.c"
    break;

  case 1283: /* dccp_hdr_field: "dport"  */
#line 6179 "src/parser_bison.y"
                                                { (yyval.val) = DCCPHDR_DPORT; }
#line 16877 "src/parser_bison.c"
    break;

  case 1284: /* dccp_hdr_field: "type" close_scope_type  */
#line 6180 "src/parser_bison.y"
                                                                        { (yyval.val) = DCCPHDR_TYPE; }
#line 16883 "src/parser_bison.c"
    break;

  case 1285: /* sctp_chunk_type: "data"  */
#line 6183 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_DATA; }
#line 16889 "src/parser_bison.c"
    break;

  case 1286: /* sctp_chunk_type: "init"  */
#line 6184 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_INIT; }
#line 16895 "src/parser_bison.c"
    break;

  case 1287: /* sctp_chunk_type: "init-ack"  */
#line 6185 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_INIT_ACK; }
#line 16901 "src/parser_bison.c"
    break;

  case 1288: /* sctp_chunk_type: "sack"  */
#line 6186 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_SACK; }
#line 16907 "src/parser_bison.c"
    break;

  case 1289: /* sctp_chunk_type: "heartbeat"  */
#line 6187 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_HEARTBEAT; }
#line 16913 "src/parser_bison.c"
    break;

  case 1290: /* sctp_chunk_type: "heartbeat-ack"  */
#line 6188 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_HEARTBEAT_ACK; }
#line 16919 "src/parser_bison.c"
    break;

  case 1291: /* sctp_chunk_type: "abort"  */
#line 6189 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ABORT; }
#line 16925 "src/parser_bison.c"
    break;

  case 1292: /* sctp_chunk_type: "shutdown"  */
#line 6190 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN; }
#line 16931 "src/parser_bison.c"
    break;

  case 1293: /* sctp_chunk_type: "shutdown-ack"  */
#line 6191 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN_ACK; }
#line 16937 "src/parser_bison.c"
    break;

  case 1294: /* sctp_chunk_type: "error"  */
#line 6192 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ERROR; }
#line 16943 "src/parser_bison.c"
    break;

  case 1295: /* sctp_chunk_type: "cookie-echo"  */
#line 6193 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_COOKIE_ECHO; }
#line 16949 "src/parser_bison.c"
    break;

  case 1296: /* sctp_chunk_type: "cookie-ack"  */
#line 6194 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_COOKIE_ACK; }
#line 16955 "src/parser_bison.c"
    break;

  case 1297: /* sctp_chunk_type: "ecne"  */
#line 6195 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ECNE; }
#line 16961 "src/parser_bison.c"
    break;

  case 1298: /* sctp_chunk_type: "cwr"  */
#line 6196 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_CWR; }
#line 16967 "src/parser_bison.c"
    break;

  case 1299: /* sctp_chunk_type: "shutdown-complete"  */
#line 6197 "src/parser_bison.y"
                                                  { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN_COMPLETE; }
#line 16973 "src/parser_bison.c"
    break;

  case 1300: /* sctp_chunk_type: "asconf-ack"  */
#line 6198 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ASCONF_ACK; }
#line 16979 "src/parser_bison.c"
    break;

  case 1301: /* sctp_chunk_type: "forward-tsn"  */
#line 6199 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_FORWARD_TSN; }
#line 16985 "src/parser_bison.c"
    break;

  case 1302: /* sctp_chunk_type: "asconf"  */
#line 6200 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_TYPE_ASCONF; }
#line 16991 "src/parser_bison.c"
    break;

  case 1303: /* sctp_chunk_common_field: "type" close_scope_type  */
#line 6203 "src/parser_bison.y"
                                                                { (yyval.val) = SCTP_CHUNK_COMMON_TYPE; }
#line 16997 "src/parser_bison.c"
    break;

  case 1304: /* sctp_chunk_common_field: "flags"  */
#line 6204 "src/parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_COMMON_FLAGS; }
#line 17003 "src/parser_bison.c"
    break;

  case 1305: /* sctp_chunk_common_field: "length"  */
#line 6205 "src/parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_COMMON_LENGTH; }
#line 17009 "src/parser_bison.c"
    break;

  case 1306: /* sctp_chunk_data_field: "tsn"  */
#line 6208 "src/parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_DATA_TSN; }
#line 17015 "src/parser_bison.c"
    break;

  case 1307: /* sctp_chunk_data_field: "stream"  */
#line 6209 "src/parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_DATA_STREAM; }
#line 17021 "src/parser_bison.c"
    break;

  case 1308: /* sctp_chunk_data_field: "ssn"  */
#line 6210 "src/parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_DATA_SSN; }
#line 17027 "src/parser_bison.c"
    break;

  case 1309: /* sctp_chunk_data_field: "ppid"  */
#line 6211 "src/parser_bison.y"
                                        { (yyval.val) = SCTP_CHUNK_DATA_PPID; }
#line 17033 "src/parser_bison.c"
    break;

  case 1310: /* sctp_chunk_init_field: "init-tag"  */
#line 6214 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_TAG; }
#line 17039 "src/parser_bison.c"
    break;

  case 1311: /* sctp_chunk_init_field: "a-rwnd"  */
#line 6215 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_RWND; }
#line 17045 "src/parser_bison.c"
    break;

  case 1312: /* sctp_chunk_init_field: "num-outbound-streams"  */
#line 6216 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_OSTREAMS; }
#line 17051 "src/parser_bison.c"
    break;

  case 1313: /* sctp_chunk_init_field: "num-inbound-streams"  */
#line 6217 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_ISTREAMS; }
#line 17057 "src/parser_bison.c"
    break;

  case 1314: /* sctp_chunk_init_field: "initial-tsn"  */
#line 6218 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_INIT_TSN; }
#line 17063 "src/parser_bison.c"
    break;

  case 1315: /* sctp_chunk_sack_field: "cum-tsn-ack"  */
#line 6221 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_SACK_CTSN_ACK; }
#line 17069 "src/parser_bison.c"
    break;

  case 1316: /* sctp_chunk_sack_field: "a-rwnd"  */
#line 6222 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_SACK_RWND; }
#line 17075 "src/parser_bison.c"
    break;

  case 1317: /* sctp_chunk_sack_field: "num-gap-ack-blocks"  */
#line 6223 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_SACK_GACK_BLOCKS; }
#line 17081 "src/parser_bison.c"
    break;

  case 1318: /* sctp_chunk_sack_field: "num-dup-tsns"  */
#line 6224 "src/parser_bison.y"
                                                { (yyval.val) = SCTP_CHUNK_SACK_DUP_TSNS; }
#line 17087 "src/parser_bison.c"
    break;

  case 1319: /* sctp_chunk_alloc: sctp_chunk_type  */
#line 6228 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), (yyvsp[0].val), SCTP_CHUNK_COMMON_TYPE);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 17096 "src/parser_bison.c"
    break;

  case 1320: /* sctp_chunk_alloc: sctp_chunk_type sctp_chunk_common_field  */
#line 6233 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[0].val));
			}
#line 17104 "src/parser_bison.c"
    break;

  case 1321: /* sctp_chunk_alloc: "data" sctp_chunk_data_field  */
#line 6237 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_DATA, (yyvsp[0].val));
			}
#line 17112 "src/parser_bison.c"
    break;

  case 1322: /* sctp_chunk_alloc: "init" sctp_chunk_init_field  */
#line 6241 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_INIT, (yyvsp[0].val));
			}
#line 17120 "src/parser_bison.c"
    break;

  case 1323: /* sctp_chunk_alloc: "init-ack" sctp_chunk_init_field  */
#line 6245 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_INIT_ACK, (yyvsp[0].val));
			}
#line 17128 "src/parser_bison.c"
    break;

  case 1324: /* sctp_chunk_alloc: "sack" sctp_chunk_sack_field  */
#line 6249 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_SACK, (yyvsp[0].val));
			}
#line 17136 "src/parser_bison.c"
    break;

  case 1325: /* sctp_chunk_alloc: "shutdown" "cum-tsn-ack"  */
#line 6253 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_SHUTDOWN,
							   SCTP_CHUNK_SHUTDOWN_CTSN_ACK);
			}
#line 17145 "src/parser_bison.c"
    break;

  case 1326: /* sctp_chunk_alloc: "ecne" "lowest-tsn"  */
#line 6258 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ECNE,
							   SCTP_CHUNK_ECNE_CWR_MIN_TSN);
			}
#line 17154 "src/parser_bison.c"
    break;

  case 1327: /* sctp_chunk_alloc: "cwr" "lowest-tsn"  */
#line 6263 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_CWR,
							   SCTP_CHUNK_ECNE_CWR_MIN_TSN);
			}
#line 17163 "src/parser_bison.c"
    break;

  case 1328: /* sctp_chunk_alloc: "asconf-ack" "seqno"  */
#line 6268 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ASCONF_ACK,
							   SCTP_CHUNK_ASCONF_SEQNO);
			}
#line 17172 "src/parser_bison.c"
    break;

  case 1329: /* sctp_chunk_alloc: "forward-tsn" "new-cum-tsn"  */
#line 6273 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_FORWARD_TSN,
							   SCTP_CHUNK_FORWARD_TSN_NCTSN);
			}
#line 17181 "src/parser_bison.c"
    break;

  case 1330: /* sctp_chunk_alloc: "asconf" "seqno"  */
#line 6278 "src/parser_bison.y"
                        {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ASCONF,
							   SCTP_CHUNK_ASCONF_SEQNO);
			}
#line 17190 "src/parser_bison.c"
    break;

  case 1331: /* sctp_hdr_expr: "sctp" sctp_hdr_field close_scope_sctp  */
#line 6285 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_sctp, (yyvsp[-1].val));
			}
#line 17198 "src/parser_bison.c"
    break;

  case 1332: /* sctp_hdr_expr: "sctp" "chunk" sctp_chunk_alloc close_scope_sctp_chunk close_scope_sctp  */
#line 6289 "src/parser_bison.y"
                        {
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 17206 "src/parser_bison.c"
    break;

  case 1333: /* sctp_hdr_field: "sport"  */
#line 6294 "src/parser_bison.y"
                                                { (yyval.val) = SCTPHDR_SPORT; }
#line 17212 "src/parser_bison.c"
    break;

  case 1334: /* sctp_hdr_field: "dport"  */
#line 6295 "src/parser_bison.y"
                                                { (yyval.val) = SCTPHDR_DPORT; }
#line 17218 "src/parser_bison.c"
    break;

  case 1335: /* sctp_hdr_field: "vtag"  */
#line 6296 "src/parser_bison.y"
                                                { (yyval.val) = SCTPHDR_VTAG; }
#line 17224 "src/parser_bison.c"
    break;

  case 1336: /* sctp_hdr_field: "checksum"  */
#line 6297 "src/parser_bison.y"
                                                { (yyval.val) = SCTPHDR_CHECKSUM; }
#line 17230 "src/parser_bison.c"
    break;

  case 1337: /* th_hdr_expr: "th" th_hdr_field close_scope_th  */
#line 6301 "src/parser_bison.y"
                        {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_th, (yyvsp[-1].val));
				if ((yyval.expr))
					(yyval.expr)->payload.is_raw = true;
			}
#line 17240 "src/parser_bison.c"
    break;

  case 1338: /* th_hdr_field: "sport"  */
#line 6308 "src/parser_bison.y"
                                                { (yyval.val) = THDR_SPORT; }
#line 17246 "src/parser_bison.c"
    break;

  case 1339: /* th_hdr_field: "dport"  */
#line 6309 "src/parser_bison.y"
                                                { (yyval.val) = THDR_DPORT; }
#line 17252 "src/parser_bison.c"
    break;

  case 1348: /* hbh_hdr_expr: "hbh" hbh_hdr_field close_scope_hbh  */
#line 6323 "src/parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_hbh, (yyvsp[-1].val));
			}
#line 17260 "src/parser_bison.c"
    break;

  case 1349: /* hbh_hdr_field: "nexthdr"  */
#line 6328 "src/parser_bison.y"
                                                { (yyval.val) = HBHHDR_NEXTHDR; }
#line 17266 "src/parser_bison.c"
    break;

  case 1350: /* hbh_hdr_field: "hdrlength"  */
#line 6329 "src/parser_bison.y"
                                                { (yyval.val) = HBHHDR_HDRLENGTH; }
#line 17272 "src/parser_bison.c"
    break;

  case 1351: /* rt_hdr_expr: "rt" rt_hdr_field close_scope_rt  */
#line 6333 "src/parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt, (yyvsp[-1].val));
			}
#line 17280 "src/parser_bison.c"
    break;

  case 1352: /* rt_hdr_field: "nexthdr"  */
#line 6338 "src/parser_bison.y"
                                                { (yyval.val) = RTHDR_NEXTHDR; }
#line 17286 "src/parser_bison.c"
    break;

  case 1353: /* rt_hdr_field: "hdrlength"  */
#line 6339 "src/parser_bison.y"
                                                { (yyval.val) = RTHDR_HDRLENGTH; }
#line 17292 "src/parser_bison.c"
    break;

  case 1354: /* rt_hdr_field: "type" close_scope_type  */
#line 6340 "src/parser_bison.y"
                                                                        { (yyval.val) = RTHDR_TYPE; }
#line 17298 "src/parser_bison.c"
    break;

  case 1355: /* rt_hdr_field: "seg-left"  */
#line 6341 "src/parser_bison.y"
                                                { (yyval.val) = RTHDR_SEG_LEFT; }
#line 17304 "src/parser_bison.c"
    break;

  case 1356: /* rt0_hdr_expr: "rt0" rt0_hdr_field close_scope_rt  */
#line 6345 "src/parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt0, (yyvsp[-1].val));
			}
#line 17312 "src/parser_bison.c"
    break;

  case 1357: /* rt0_hdr_field: "addr" '[' "number" ']'  */
#line 6351 "src/parser_bison.y"
                        {
				(yyval.val) = RT0HDR_ADDR_1 + (yyvsp[-1].val) - 1;
			}
#line 17320 "src/parser_bison.c"
    break;

  case 1358: /* rt2_hdr_expr: "rt2" rt2_hdr_field close_scope_rt  */
#line 6357 "src/parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt2, (yyvsp[-1].val));
			}
#line 17328 "src/parser_bison.c"
    break;

  case 1359: /* rt2_hdr_field: "addr"  */
#line 6362 "src/parser_bison.y"
                                                { (yyval.val) = RT2HDR_ADDR; }
#line 17334 "src/parser_bison.c"
    break;

  case 1360: /* rt4_hdr_expr: "srh" rt4_hdr_field close_scope_rt  */
#line 6366 "src/parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt4, (yyvsp[-1].val));
			}
#line 17342 "src/parser_bison.c"
    break;

  case 1361: /* rt4_hdr_field: "last-entry"  */
#line 6371 "src/parser_bison.y"
                                                { (yyval.val) = RT4HDR_LASTENT; }
#line 17348 "src/parser_bison.c"
    break;

  case 1362: /* rt4_hdr_field: "flags"  */
#line 6372 "src/parser_bison.y"
                                                { (yyval.val) = RT4HDR_FLAGS; }
#line 17354 "src/parser_bison.c"
    break;

  case 1363: /* rt4_hdr_field: "tag"  */
#line 6373 "src/parser_bison.y"
                                                { (yyval.val) = RT4HDR_TAG; }
#line 17360 "src/parser_bison.c"
    break;

  case 1364: /* rt4_hdr_field: "sid" '[' "number" ']'  */
#line 6375 "src/parser_bison.y"
                        {
				(yyval.val) = RT4HDR_SID_1 + (yyvsp[-1].val) - 1;
			}
#line 17368 "src/parser_bison.c"
    break;

  case 1365: /* frag_hdr_expr: "frag" frag_hdr_field close_scope_frag  */
#line 6381 "src/parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_frag, (yyvsp[-1].val));
			}
#line 17376 "src/parser_bison.c"
    break;

  case 1366: /* frag_hdr_field: "nexthdr"  */
#line 6386 "src/parser_bison.y"
                                                { (yyval.val) = FRAGHDR_NEXTHDR; }
#line 17382 "src/parser_bison.c"
    break;

  case 1367: /* frag_hdr_field: "reserved"  */
#line 6387 "src/parser_bison.y"
                                                { (yyval.val) = FRAGHDR_RESERVED; }
#line 17388 "src/parser_bison.c"
    break;

  case 1368: /* frag_hdr_field: "frag-off"  */
#line 6388 "src/parser_bison.y"
                                                { (yyval.val) = FRAGHDR_FRAG_OFF; }
#line 17394 "src/parser_bison.c"
    break;

  case 1369: /* frag_hdr_field: "reserved2"  */
#line 6389 "src/parser_bison.y"
                                                { (yyval.val) = FRAGHDR_RESERVED2; }
#line 17400 "src/parser_bison.c"
    break;

  case 1370: /* frag_hdr_field: "more-fragments"  */
#line 6390 "src/parser_bison.y"
                                                { (yyval.val) = FRAGHDR_MFRAGS; }
#line 17406 "src/parser_bison.c"
    break;

  case 1371: /* frag_hdr_field: "id"  */
#line 6391 "src/parser_bison.y"
                                                { (yyval.val) = FRAGHDR_ID; }
#line 17412 "src/parser_bison.c"
    break;

  case 1372: /* dst_hdr_expr: "dst" dst_hdr_field close_scope_dst  */
#line 6395 "src/parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_dst, (yyvsp[-1].val));
			}
#line 17420 "src/parser_bison.c"
    break;

  case 1373: /* dst_hdr_field: "nexthdr"  */
#line 6400 "src/parser_bison.y"
                                                { (yyval.val) = DSTHDR_NEXTHDR; }
#line 17426 "src/parser_bison.c"
    break;

  case 1374: /* dst_hdr_field: "hdrlength"  */
#line 6401 "src/parser_bison.y"
                                                { (yyval.val) = DSTHDR_HDRLENGTH; }
#line 17432 "src/parser_bison.c"
    break;

  case 1375: /* mh_hdr_expr: "mh" mh_hdr_field close_scope_mh  */
#line 6405 "src/parser_bison.y"
                        {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_mh, (yyvsp[-1].val));
			}
#line 17440 "src/parser_bison.c"
    break;

  case 1376: /* mh_hdr_field: "nexthdr"  */
#line 6410 "src/parser_bison.y"
                                                { (yyval.val) = MHHDR_NEXTHDR; }
#line 17446 "src/parser_bison.c"
    break;

  case 1377: /* mh_hdr_field: "hdrlength"  */
#line 6411 "src/parser_bison.y"
                                                { (yyval.val) = MHHDR_HDRLENGTH; }
#line 17452 "src/parser_bison.c"
    break;

  case 1378: /* mh_hdr_field: "type" close_scope_type  */
#line 6412 "src/parser_bison.y"
                                                                        { (yyval.val) = MHHDR_TYPE; }
#line 17458 "src/parser_bison.c"
    break;

  case 1379: /* mh_hdr_field: "reserved"  */
#line 6413 "src/parser_bison.y"
                                                { (yyval.val) = MHHDR_RESERVED; }
#line 17464 "src/parser_bison.c"
    break;

  case 1380: /* mh_hdr_field: "checksum"  */
#line 6414 "src/parser_bison.y"
                                                { (yyval.val) = MHHDR_CHECKSUM; }
#line 17470 "src/parser_bison.c"
    break;

  case 1381: /* exthdr_exists_expr: "exthdr" exthdr_key  */
#line 6418 "src/parser_bison.y"
                        {
				const struct exthdr_desc *desc;

				desc = exthdr_find_proto((yyvsp[0].val));

				/* Assume that NEXTHDR template is always
				 * the first one in list of templates.
				 */
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), desc, 1);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 17486 "src/parser_bison.c"
    break;

  case 1382: /* exthdr_key: "hbh" close_scope_hbh  */
#line 6431 "src/parser_bison.y"
                                                        { (yyval.val) = IPPROTO_HOPOPTS; }
#line 17492 "src/parser_bison.c"
    break;

  case 1383: /* exthdr_key: "rt" close_scope_rt  */
#line 6432 "src/parser_bison.y"
                                                        { (yyval.val) = IPPROTO_ROUTING; }
#line 17498 "src/parser_bison.c"
    break;

  case 1384: /* exthdr_key: "frag" close_scope_frag  */
#line 6433 "src/parser_bison.y"
                                                                { (yyval.val) = IPPROTO_FRAGMENT; }
#line 17504 "src/parser_bison.c"
    break;

  case 1385: /* exthdr_key: "dst" close_scope_dst  */
#line 6434 "src/parser_bison.y"
                                                        { (yyval.val) = IPPROTO_DSTOPTS; }
#line 17510 "src/parser_bison.c"
    break;

  case 1386: /* exthdr_key: "mh" close_scope_mh  */
#line 6435 "src/parser_bison.y"
                                                        { (yyval.val) = IPPROTO_MH; }
#line 17516 "src/parser_bison.c"
    break;


#line 17520 "src/parser_bison.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yytoken, &yylloc};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (&yylloc, nft, scanner, state, yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  yyerror_range[1] = yylloc;
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= TOKEN_EOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == TOKEN_EOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, nft, scanner, state);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, yylsp, nft, scanner, state);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  ++yylsp;
  YYLLOC_DEFAULT (*yylsp, yyerror_range, 2);

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, nft, scanner, state, YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, nft, scanner, state);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, yylsp, nft, scanner, state);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 6438 "src/parser_bison.y"

